(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 6.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[    169675,       5799]
NotebookOptionsPosition[    144602,       5069]
NotebookOutlinePosition[    146802,       5124]
CellTagsIndexPosition[    146703,       5118]
WindowFrame->Normal
ContainsDynamic->False*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell[TextData[{
 "Note about the ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " Version 6 Files: "
}], "Subsubsection",
 CellChangeTimes->{{3.424620415746278*^9, 3.42462042670328*^9}},
 ImageRegion->{{0, 1}, {0, 1}}],

Cell[TextData[{
 "(* Note about the ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " Version 6 Files: \n\nDear user. \n\nThese files have been roughly adapted \
for Mathematica Version 6. There were significant changes with this \
Mathematica version. \n\nThe Mathematica input has been adapted to generate \
the solutions. In rare cases, changes in the internal Mathematica graphics \
structure made it difficult to fully reproduces the graphics of versions 4.x \
and 5.x; a 3'rd edition of our text is in progress and these will be \
addressed in this new book. \n\nFredrick Olness\nJuly 2008\n\n *)\n"
}], "Input",
 Evaluatable->False,
 CellChangeTimes->{{3.424620433558357*^9, 3.424620592507797*^9}, {
  3.424620630088725*^9, 3.424620726566171*^9}},
 ImageRegion->{{0, 1}, {0, 1}}]
}, Closed]],

Cell[CellGroupData[{

Cell["Legal Notice, Disclaimer, and Book Ordering Information:", \
"Subsubsection",
 ImageRegion->{{0, 1}, {0, 1}}],

Cell[TextData[{
 "(* Legal Notice, Disclaimer, and Book Ordering Information:\n\nLast \
Modified: FIO July 9, 2008: updated for Mathematica version 6.x\nLast \
Modified: FIO June 8, 2002\n\n",
 StyleBox["Mathematica For Physics: 2nd Edition",
  FontColor->RGBColor[1, 0, 0]],
 "\n\nRobert L. Zimmerman and Fredrick I. Olness\n\nWebSite:  \n",
 StyleBox["  www.physics.smu.edu/~olness\n  darkwing.uoregon.edu/~phys600/\n\n\
",
  FontColor->RGBColor[1, 0, 0]],
 "MathSource Number: 0206-862",
 StyleBox["\n",
  FontColor->RGBColor[1, 0, 0]],
 "\nISBN 0-201-53796-6\nFor ordering information, call 1-800-282-0693\n\
Addison-Wesley Publishing Company\n\nCommunication with the authors:\n\
Fredrick I. Olness:  olness@mail.physics.smu.edu\nRobert L. Zimmerman: \
bob@zim.uoregon.edu\n\nCopyright 2002, Addison-Wesley Publishing Company, \
Inc. The material in\nthis file may be distributed freely  so long as the \
content remains\nunchanged, and the copyright and  reference notices are \
included. The\npublisher grants permission for the noncommercial use of these \
programs\nand program segments.  All other uses require the prior written \
consent\nof the publisher.    \n\nAll rights are reserved with regard to the  \
material in the\n\"Mathematica For Physics\" text, and may not be reproduced, \
stored in a\nretrieval system, or transmitted,  in any form or by any means,\n\
electronic, mechanical, photocopying,  recording, or otherwise, without\nthe \
prior written permission  of the publisher. \n\nThe programs and applications \
presented in this book have been included\nfor  their instructional value. \
They have been tested with care but are\nnot  guaranteed for any particular \
purpose. The publisher does not\noffer any  warranties or representations, \
nor does it accept any\nliabilities with  respect to the programs or \
applications. \n\n *)\n"
}], "Input",
 Evaluatable->False,
 CellChangeTimes->{{3.424620828588587*^9, 3.42462084491675*^9}},
 ImageRegion->{{0, 1}, {0, 1}}]
}, Closed]],

Cell["2. GENERAL PHYSICS", "Title",
 Evaluatable->False,
 AspectRatioFixed->True],

Cell[CellGroupData[{

Cell[" Introduction  ", "Section",
 Evaluatable->False,
 AspectRatioFixed->True],

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"Off", "[", 
    RowBox[{"General", "::", "spell1"}], "]"}], ";"}], 
  "   "}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Off", "[", 
   RowBox[{"General", "::", "spell"}], "]"}], ";"}]}], "Input"]
}, Closed]],

Cell[TextData[{
 "2.1 Newtonian Mechanics in Inertial Frames ",
 StyleBox[" ",
  FontColor->RGBColor[1, 0, 0]]
}], "Section",
 Evaluatable->False,
 AspectRatioFixed->True],

Cell["Overview of Newtonian Mechanics in Inertial Frames", "Subsection"],

Cell[CellGroupData[{

Cell["Problem 1: Escape Velocity  ", "Subsection",
 Evaluatable->False,
 AspectRatioFixed->True],

Cell["Remarks and Outline", "Subsubsection"],

Cell[CellGroupData[{

Cell["Solution", "Subsubsection",
 Evaluatable->False,
 AspectRatioFixed->True],

Cell["Clear[\"Global`*\"];", "Input",
 AspectRatioFixed->True],

Cell["\<\
T= (1/2) m v^2;     
U= -G M m/r;
energy=T+U\
\>", "Input",
 AspectRatioFixed->True],

Cell[BoxData[
 RowBox[{"sol", "=", 
  RowBox[{
   RowBox[{"Solve", "[", 
    RowBox[{
     RowBox[{"energy", "\[Equal]", "0"}], ",", "v"}], "]"}], "[", 
   RowBox[{"[", "2", "]"}], "]"}]}]], "Input"],

Cell[BoxData[
 RowBox[{
  RowBox[{"Needs", "[", "\"\<PhysicalConstants`\>\"", "]"}], ";"}]], "Input",
 AspectRatioFixed->True],

Cell[BoxData[
 RowBox[{"?", "PhysicalConstants`*"}]], "Input"],

Cell[BoxData[
 RowBox[{
  RowBox[{"values", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"G", "\[Rule]", "GravitationalConstant"}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"r", "\[Rule]", "EarthRadius"}], ",", "\[IndentingNewLine]", 
     RowBox[{"M", "\[Rule]", "EarthMass"}], ",", "\[IndentingNewLine]", 
     RowBox[{"Newton", "\[Rule]", 
      RowBox[{"Kilogram", " ", 
       RowBox[{"Meter", "/", 
        RowBox[{"Second", "^", "2"}]}]}]}]}], "}"}]}], ";"}]], "Input"],

Cell[BoxData[
 RowBox[{"v0", "=", 
  RowBox[{
   RowBox[{
    RowBox[{"v", "/.", "sol"}], "//.", "values"}], " ", "//", 
   "PowerExpand"}]}]], "Input"],

Cell[BoxData[
 RowBox[{
  RowBox[{"Needs", "[", "\"\<Units`\>\"", "]"}], ";"}]], "Input"],

Cell[BoxData[
 RowBox[{"?", "Convert"}]], "Input"],

Cell["Convert[v0,Kilo Meter/Second]", "Input",
 AspectRatioFixed->True],

Cell["Convert[v0,Mile/Second]", "Input",
 AspectRatioFixed->True]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell["Problem 2: Projectile in a Uniform Gravitional Field  ", "Subsection",
 Evaluatable->False,
 AspectRatioFixed->True],

Cell["Remarks and Outline ", "Subsubsection",
 Evaluatable->False,
 AspectRatioFixed->True],

Cell[CellGroupData[{

Cell["Solution", "Subsubsection",
 Evaluatable->False,
 AspectRatioFixed->True],

Cell["Clear[\"Global`*\"];", "Input",
 AspectRatioFixed->True],

Cell[CellGroupData[{

Cell["Part a", "Subsubsection"],

Cell["eq1 ={m x''[t]==0, m z''[t]==-m g };", "Input",
 AspectRatioFixed->True],

Cell["initial1={x[0]==0, x[t1]==x1,z[0]==0, z[t1]==z1};", "Input",
 AspectRatioFixed->True],

Cell["dsol1=DSolve[Join[eq1,initial1], {x[t],z[t]},t] //Flatten", "Input",
 AspectRatioFixed->True],

Cell[BoxData[
 RowBox[{"Map", "[", 
  RowBox[{
   RowBox[{
    RowBox[{"Collect", "[", 
     RowBox[{"#", ",", "t"}], "]"}], "&"}], ",", "dsol1", ",", 
   RowBox[{"{", "2", "}"}]}], "]"}]], "Input"],

Cell[BoxData[
 RowBox[{"Map", "[", 
  RowBox[{
   RowBox[{
    RowBox[{"collect", "[", 
     RowBox[{"#", ",", "t"}], "]"}], "&"}], ",", "dsol1", ",", 
   RowBox[{"{", "2", "}"}]}], "]"}]], "Input"],

Cell[BoxData[
 RowBox[{
  RowBox[{"values1", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"x1", "\[Rule]", "300"}], ",", 
     RowBox[{"z1", "\[Rule]", "0"}], ",", 
     RowBox[{"g", "\[Rule]", "9.8"}]}], "}"}]}], ";"}]], "Input"],

Cell["coord1[t_,t1_]= {x[t],z[t]} /.dsol1 /.values1", "Input",
 AspectRatioFixed->True],

Cell[BoxData[
 RowBox[{
  RowBox[{"points", "[", "t1_", "]"}], " ", ":=", 
  RowBox[{"Table", "[", 
   RowBox[{
    RowBox[{"coord1", "[", 
     RowBox[{"t", ",", "t1"}], "]"}], ",", 
    RowBox[{"{", 
     RowBox[{"t", ",", "0", ",", "t1", ",", "0.5"}], "}"}]}], 
   "]"}]}]], "Input"],

Cell[BoxData[
 RowBox[{
  RowBox[{"plot1", "[", "t1_", "]"}], ":=", 
  RowBox[{"ListPlot", "[", " ", 
   RowBox[{
    RowBox[{
     RowBox[{"points", "[", "t1", "]"}], "//", "Evaluate"}], ",", 
    "\[IndentingNewLine]", 
    RowBox[{"PlotStyle", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"Hue", "[", "0.8", "]"}], ",", 
       RowBox[{"PointSize", "[", "0.02", "]"}]}], "}"}]}], ",", 
    "\[IndentingNewLine]", 
    RowBox[{"GridLines", "\[Rule]", "Automatic"}]}], "]"}]}]], "Input",
 CellChangeTimes->{3.42435889714604*^9}],

Cell[BoxData[
 RowBox[{"Show", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{"plot1", "[", "5", "]"}], ",", 
     RowBox[{"plot1", "[", "10", "]"}], ",", 
     RowBox[{"plot1", "[", "15", "]"}]}], "}"}], ",", "\[IndentingNewLine]", 
   RowBox[{"Epilog", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"Text", "[", 
       RowBox[{"\"\<t1= 5\>\"", ",", 
        RowBox[{"coord1", "[", 
         RowBox[{
          FractionBox["5", "2"], ",", "5"}], "]"}]}], "]"}], ",", 
      "\[IndentingNewLine]", 
      RowBox[{"Text", "[", 
       RowBox[{"\"\<t1=10\>\"", ",", 
        RowBox[{"coord1", "[", 
         RowBox[{
          FractionBox["10", "2"], ",", "10"}], "]"}]}], "]"}], ",", 
      "\[IndentingNewLine]", 
      RowBox[{"Text", "[", 
       RowBox[{"\"\<t1=15\>\"", ",", 
        RowBox[{"coord1", "[", 
         RowBox[{
          FractionBox["15", "2"], ",", "15"}], "]"}]}], "]"}], ",", 
      "\[IndentingNewLine]", 
      RowBox[{"BaseStyle", "\[Rule]", 
       RowBox[{"{", 
        RowBox[{"FontWeight", "\[Rule]", "\"\<Bold\>\""}], "}"}]}], ",", 
      "\[IndentingNewLine]", 
      RowBox[{"BaseStyle", "\[Rule]", 
       RowBox[{"{", 
        RowBox[{"FontWeight", "\[Rule]", "\"\<Bold\>\""}], "}"}]}], ",", 
      "\[IndentingNewLine]", 
      RowBox[{"BaseStyle", "\[Rule]", 
       RowBox[{"{", 
        RowBox[{"FontWeight", "\[Rule]", "\"\<Bold\>\""}], "}"}]}]}], "}"}]}],
    ",", "\[IndentingNewLine]", 
   RowBox[{"PlotRange", "\[Rule]", "All"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.424358008860386*^9, 3.424358028714119*^9}}]
}, Closed]],

Cell[CellGroupData[{

Cell["Part b", "Subsubsection"],

Cell["\<\
initial2={x[0]==0 ,x'[0]==v0 Cos[\[Theta]], z[0]==0, z'[0]==v0 \
Sin[\[Theta]]};\
\>", "Input",
 AspectRatioFixed->True],

Cell["dsol2=DSolve[Join[eq1,initial2],{x,z},t] //Flatten", "Input",
 AspectRatioFixed->True],

Cell[BoxData[
 RowBox[{"eq2", "=", "  ", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"z", "'"}], "[", "t", "]"}], "\[Equal]", "0"}], "/.", 
   "dsol2"}]}]], "Input"],

Cell[BoxData[
 RowBox[{" ", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"z", "'"}], "[", "t", "]"}], "\[Equal]", "0"}], "/.", 
   "dsol1"}]}]], "Input"],

Cell["tsol= Solve[eq2,t] //Flatten", "Input",
 AspectRatioFixed->True],

Cell["{x[t],z[t]} /.dsol2 /.tsol //Simplify", "Input",
 AspectRatioFixed->True],

Cell["values2 = {g->9.8, v0->100};", "Input",
 AspectRatioFixed->True],

Cell["\<\
coord2[t_,\[Theta]_]= {x[t],z[t]} /.dsol2 /.values2\
\>", "Input",
 AspectRatioFixed->True],

Cell[BoxData[
 RowBox[{
  RowBox[{"plot2", "[", "\[Theta]_", "]"}], ":=", 
  RowBox[{"ListPlot", "[", " ", 
   RowBox[{
    RowBox[{
     RowBox[{"Table", "[", 
      RowBox[{
       RowBox[{"coord2", "[", 
        RowBox[{"t", ",", "\[Theta]"}], "]"}], ",", 
       RowBox[{"{", 
        RowBox[{"t", ",", "0", ",", "20", ",", 
         RowBox[{"1", "/", "2"}]}], "}"}]}], "]"}], "//", "Evaluate"}], ",", 
    "\[IndentingNewLine]", 
    RowBox[{"PlotStyle", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"Hue", "[", ".8", "]"}], ",", 
       RowBox[{"PointSize", "[", "0.02", "]"}]}], "}"}]}], ",", 
    "\[IndentingNewLine]", 
    RowBox[{"GridLines", "\[Rule]", "Automatic"}]}], "]"}]}]], "Input",
 CellChangeTimes->{3.424358920871382*^9}],

Cell[BoxData[
 RowBox[{"Show", "[", 
  RowBox[{
   RowBox[{
    RowBox[{"(", 
     RowBox[{
      RowBox[{"plot2", "[", "#1", "]"}], "&"}], ")"}], "/@", 
    RowBox[{"{", 
     RowBox[{
      FractionBox["\[Pi]", "8"], ",", 
      FractionBox[
       RowBox[{"2", " ", "\[Pi]"}], "8"], ",", 
      FractionBox[
       RowBox[{"3", " ", "\[Pi]"}], "8"]}], "}"}]}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"Epilog", "\[Rule]", 
    RowBox[{"{", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"Text", "[", 
       RowBox[{"\"\<\[Theta]= \[Pi]/8\>\"", ",", 
        RowBox[{"coord2", "[", 
         RowBox[{"5", ",", 
          FractionBox["\[Pi]", "8"]}], "]"}]}], "]"}], ",", 
      "\[IndentingNewLine]", 
      RowBox[{"Text", "[", 
       RowBox[{"\"\<\[Theta]=2\[Pi]/8\>\"", ",", 
        RowBox[{"coord2", "[", 
         RowBox[{"5", ",", 
          FractionBox[
           RowBox[{"2", " ", "\[Pi]"}], "8"]}], "]"}]}], "]"}], ",", 
      "\[IndentingNewLine]", 
      RowBox[{"Text", "[", 
       RowBox[{"\"\<\[Theta]=3\[Pi]/8\>\"", ",", 
        RowBox[{"coord2", "[", 
         RowBox[{"5", ",", 
          FractionBox[
           RowBox[{"3", " ", "\[Pi]"}], "8"]}], "]"}]}], "]"}], ",", 
      "\[IndentingNewLine]", 
      RowBox[{"BaseStyle", "\[Rule]", 
       RowBox[{"{", 
        RowBox[{"FontWeight", "\[Rule]", "\"\<Bold\>\""}], "}"}]}], ",", 
      "\[IndentingNewLine]", 
      RowBox[{"BaseStyle", "\[Rule]", 
       RowBox[{"{", 
        RowBox[{"FontWeight", "\[Rule]", "\"\<Bold\>\""}], "}"}]}], ",", 
      "\[IndentingNewLine]", 
      RowBox[{"BaseStyle", "\[Rule]", 
       RowBox[{"{", 
        RowBox[{"FontWeight", "\[Rule]", "\"\<Bold\>\""}], "}"}]}]}], "}"}]}],
    ",", "\[IndentingNewLine]", 
   RowBox[{"PlotRange", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"0", ",", "1000"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"0", ",", "500"}], "}"}]}], "}"}]}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"FrameLabel", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"\"\<x[t]\>\"", ",", "\"\<z[t]\>\""}], "}"}]}]}], "]"}]], "Input",\

 CellChangeTimes->{{3.42435804134449*^9, 3.424358056432367*^9}}]
}, Closed]]
}, Closed]],

Cell[BoxData[
 RowBox[{"eq3", "=", " ", 
  RowBox[{
   RowBox[{
    RowBox[{"coord2", "[", 
     RowBox[{"t", ",", "\[Theta]"}], "]"}], "\[Equal]", 
    RowBox[{"{", 
     RowBox[{"xMax", ",", "0"}], "}"}]}], " ", "//", "Thread"}]}]], "Input"],

Cell[BoxData[
 RowBox[{"sol3", "=", " ", 
  RowBox[{"Solve", "[", 
   RowBox[{"eq3", ",", 
    RowBox[{"{", 
     RowBox[{"t", ",", "xMax"}], "}"}]}], "]"}]}]], "Input"],

Cell[BoxData[
 RowBox[{"xMax", "=", 
  RowBox[{
   RowBox[{"xMax", " ", "/.", "sol3"}], " ", "//", "Last"}]}]], "Input"],

Cell[BoxData[
 RowBox[{
  RowBox[{
   FractionBox["\[Theta]", "\[Pi]"], " ", "/.", 
   RowBox[{"Solve", "[", " ", 
    RowBox[{
     RowBox[{
      RowBox[{"D", "[", 
       RowBox[{"xMax", ",", "\[Theta]"}], "]"}], "\[Equal]", "0"}], " ", ",", 
     "\[Theta]"}], "]"}]}], " ", "//", "Rationalize"}]], "Input"]
}, Closed]],

Cell[CellGroupData[{

Cell["Problem 3: Reflecting Trajectories ", "Subsection",
 Evaluatable->False,
 AspectRatioFixed->True],

Cell[CellGroupData[{

Cell["Solution", "Subsubsection"],

Cell["Clear[\"Global`*\"];", "Input",
 AspectRatioFixed->True],

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"{", 
    RowBox[{"xEq", ",", "yEq"}], "}"}], "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{"x", "[", "t", "]"}], "==", 
      RowBox[{"x0", "+", " ", 
       RowBox[{"vx0", " ", "t"}], " ", "+", " ", 
       RowBox[{
        FractionBox["1", "2"], " ", "ax", " ", 
        SuperscriptBox["t", "2"]}]}]}], ",", 
     RowBox[{
      RowBox[{"y", "[", "t", "]"}], "==", 
      RowBox[{"y0", "+", " ", 
       RowBox[{"vy0", " ", "t"}], " ", "+", " ", 
       RowBox[{
        FractionBox["1", "2"], " ", "ay", " ", 
        SuperscriptBox["t", "2"]}]}]}]}], "}"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"rules", "=", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"vy0", " ", "\[Rule]", " ", "0"}], ",", " ", 
      RowBox[{"ax", "\[Rule]", "0"}], ",", " ", 
      RowBox[{"ay", "\[Rule]", 
       RowBox[{"-", "g"}]}]}], "}"}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"{", 
   RowBox[{"xEq", ",", "yEq"}], "}"}], "=", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"xEq", ",", "yEq"}], "}"}], " ", "/.", "rules"}]}]}], "Input"],

Cell[BoxData[
 RowBox[{"ySol", "=", " ", 
  RowBox[{
   RowBox[{"DSolve", "[", 
    RowBox[{"yEq", ",", "y", ",", "t"}], "]"}], " ", "//", 
   "Flatten"}]}]], "Input"],

Cell[BoxData[
 RowBox[{"xSol", "=", " ", 
  RowBox[{
   RowBox[{"DSolve", "[", 
    RowBox[{"xEq", ",", "x", ",", "t"}], "]"}], " ", "//", 
   "Flatten"}]}]], "Input"],

Cell[BoxData[
 RowBox[{
  RowBox[{"position", "[", "t_", "]"}], ":=", 
  RowBox[{
   RowBox[{
    RowBox[{"If", "[", " ", 
     RowBox[{
      RowBox[{"t", "<", "tWall"}], ",", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"+", 
         RowBox[{"x", "[", "t", "]"}]}], ",", 
        RowBox[{"y", "[", "t", "]"}]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"-", 
         RowBox[{"x", "[", "t", "]"}]}], ",", 
        RowBox[{"y", "[", "t", "]"}]}], "}"}]}], "]"}], "/.", "ySol"}], " ", "/.",
    "xSol"}]}]], "Input"],

Cell[BoxData[
 RowBox[{"tWall", "=", " ", 
  RowBox[{"t", " ", "/.", 
   RowBox[{
    RowBox[{"Solve", "[", 
     RowBox[{
      RowBox[{
       RowBox[{
        RowBox[{"x", "[", "t", "]"}], "\[Equal]", "0"}], " ", "/.", "xSol"}], 
      ",", "t"}], "]"}], "[", 
    RowBox[{"[", "1", "]"}], "]"}]}]}]], "Input"],

Cell[BoxData[
 RowBox[{"values", "=", 
  RowBox[{"{", 
   RowBox[{
    RowBox[{"x0", "\[Rule]", 
     RowBox[{"-", "100"}]}], ",", 
    RowBox[{"g", "\[Rule]", "9.8"}], ",", " ", 
    RowBox[{"y0", "\[Rule]", "100"}]}], "}"}]}]], "Input"],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"plot", "[", "v_", "]"}], ":=", 
   RowBox[{"ParametricPlot", "[", 
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{
        RowBox[{"position", "[", "t", "]"}], " ", "//.", "values"}], " ", "/.",
        
       RowBox[{"{", 
        RowBox[{"vx0", "\[Rule]", "v"}], "}"}]}], " ", "//", "Evaluate"}], 
     ",", 
     RowBox[{"{", 
      RowBox[{"t", ",", "0", ",", "5"}], "}"}], ",", 
     RowBox[{"DisplayFunction", "\[Rule]", "Identity"}]}], "]"}]}], 
  ";"}]], "Input"],

Cell[BoxData[
 RowBox[{"Show", "[", 
  RowBox[{
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{"plot", "[", "v", "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"v", ",", "5", ",", "50", ",", "5"}], "}"}]}], "]"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"PlotRange", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{"-", "125"}], ",", "0"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"0", ",", "100"}], "}"}]}], "}"}]}], ",", 
   RowBox[{"Epilog", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"Thickness", "[", "0.02`", "]"}], ",", 
      RowBox[{"Hue", "[", "1.`", "]"}], ",", 
      RowBox[{"Line", "[", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "0"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"0", ",", "100"}], "}"}]}], "}"}], "]"}]}], "}"}]}]}], 
  "]"}]], "Input",
 CellChangeTimes->{3.424358067077454*^9}]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell["\<\
Problem 4: Falling Projectile with Linear Air Resistance Drag\
\>", "Subsection",
 Evaluatable->False,
 AspectRatioFixed->True],

Cell["Remarks and Outline ", "Subsubsection",
 Evaluatable->False,
 AspectRatioFixed->True],

Cell[CellGroupData[{

Cell["Solution", "Subsubsection",
 Evaluatable->False,
 AspectRatioFixed->True],

Cell["Clear[\"Global`*\"];", "Input",
 AspectRatioFixed->True],

Cell[CellGroupData[{

Cell["Part a", "Subsubsection"],

Cell[BoxData[
 RowBox[{
  RowBox[{"eq1", "=", " ", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"m", " ", 
      RowBox[{
       RowBox[{"z", "''"}], "[", "t", "]"}]}], "\[Equal]", 
     RowBox[{
      RowBox[{
       RowBox[{"-", "m"}], " ", "g"}], "-", 
      RowBox[{"b", " ", 
       RowBox[{
        RowBox[{"z", "'"}], "[", "t", "]"}]}]}]}], "}"}]}], ";"}]], "Input"],

Cell[BoxData[
 RowBox[{
  RowBox[{"initial", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{"z", "[", "0", "]"}], "\[Equal]", "z0"}], ",", 
     RowBox[{
      RowBox[{
       RowBox[{"z", "'"}], "[", "0", "]"}], "\[Equal]", "0"}]}], "}"}]}], 
  ";"}]], "Input"],

Cell[BoxData[
 RowBox[{
  RowBox[{"z", "[", "t_", "]"}], "=", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"z", "[", "t", "]"}], "/.", 
     RowBox[{"DSolve", "[", " ", 
      RowBox[{
       RowBox[{"Join", "[", 
        RowBox[{"eq1", ",", "initial"}], "]"}], ",", 
       RowBox[{"{", "z", "}"}], ",", "t"}], "]"}]}], " ", "//", "First"}], "//",
    "Simplify", " "}]}]], "Input"],

Cell[BoxData[
 RowBox[{
  RowBox[{"v", "[", "t_", "]"}], "=", 
  RowBox[{
   RowBox[{
    RowBox[{"z", "'"}], "[", "t", "]"}], " ", "//", "Simplify"}]}]], "Input"],

Cell[BoxData[
 RowBox[{"vTerminal", "=", 
  RowBox[{"Limit", "[", 
   RowBox[{
    RowBox[{
     RowBox[{"v", "[", "t", "]"}], " ", "/.", 
     RowBox[{"{", 
      RowBox[{"t", "\[Rule]", 
       RowBox[{"\[Tau]", " ", 
        RowBox[{"m", "/", "b"}]}]}], "}"}]}], ",", 
    RowBox[{"\[Tau]", "\[Rule]", "\[Infinity]"}]}], "]"}]}]], "Input"],

Cell[BoxData[
 RowBox[{
  RowBox[{"{", 
   RowBox[{"zff", ",", " ", "vff"}], "}"}], "=", 
  RowBox[{"Limit", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
      RowBox[{"z", "[", "t", "]"}], ",", 
      RowBox[{"v", "[", "t", "]"}]}], "}"}], ",", 
    RowBox[{"b", "\[Rule]", "0"}]}], "]"}]}]], "Input"]
}, Closed]],

Cell[CellGroupData[{

Cell["Part b", "Subsubsection"],

Cell[BoxData[
 RowBox[{
  RowBox[{"values", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"g", "\[Rule]", "9.8"}], ",", 
     RowBox[{"m", "\[Rule]", "1"}], ",", 
     RowBox[{"z0", "\[Rule]", "0"}]}], "}"}]}], ";"}]], "Input"],

Cell[BoxData[
 RowBox[{
  RowBox[{"pointZ", "[", 
   RowBox[{"b_", ",", "t_"}], "]"}], "=", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"t", ",", 
     RowBox[{"z", "[", "t", "]"}]}], "}"}], "/.", "values"}]}]], "Input"],

Cell[BoxData[
 RowBox[{
  RowBox[{"pointZ", "[", 
   RowBox[{"0", ",", "t_"}], "]"}], "=", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"t", ",", "zff"}], "}"}], "/.", "values"}]}]], "Input"],

Cell[BoxData[
 RowBox[{
  RowBox[{"plotZ", "[", 
   RowBox[{"b_", ",", "hue_"}], "]"}], ":=", "\[IndentingNewLine]", 
  RowBox[{"ParametricPlot", "[", " ", 
   RowBox[{
    RowBox[{"pointZ", "[", 
     RowBox[{"b", ",", "t"}], "]"}], " ", ",", 
    RowBox[{"{", 
     RowBox[{"t", ",", "0", ",", "10"}], "}"}], ",", "\[IndentingNewLine]", 
    RowBox[{"PlotStyle", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"Hue", "[", "hue", "]"}], ",", 
       RowBox[{"Thickness", "[", "0.008", "]"}]}], "}"}]}]}], 
   "]"}]}]], "Input",
 CellChangeTimes->{3.424358974586253*^9, 3.424359020290759*^9}],

Cell[BoxData[
 RowBox[{"part1", "=", 
  RowBox[{"Show", "[", " ", 
   RowBox[{
    RowBox[{"Table", "[", " ", 
     RowBox[{
      RowBox[{"plotZ", "[", 
       RowBox[{"b", ",", 
        RowBox[{"b", "/", "2"}]}], "]"}], ",", 
      RowBox[{"{", 
       RowBox[{"b", ",", "0", ",", "1", ",", 
        RowBox[{"1", "/", "2"}]}], "}"}]}], "]"}], ",", 
    RowBox[{"PlotRange", "\[Rule]", "Automatic"}], ",", 
    RowBox[{"AspectRatio", "\[Rule]", 
     RowBox[{"1", "/", "GoldenRatio"}]}]}], "]"}]}]], "Input",
 CellChangeTimes->{{3.424358080807624*^9, 3.424358085738106*^9}, {
  3.424359100682721*^9, 3.424359115075628*^9}, {3.424359195594859*^9, 
  3.424359235698067*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"textZ", "=", 
   RowBox[{
    RowBox[{"{", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"Text", "[", 
       RowBox[{
        RowBox[{"Style", "[", 
         RowBox[{"\"\<b=0  \>\"", ",", 
          RowBox[{"{", 
           RowBox[{"\"\<Times-Bold\>\"", ",", "12"}], "}"}]}], "]"}], ",", 
        RowBox[{"pointZ", "[", 
         RowBox[{"0", ",", "7"}], "]"}]}], " ", "]"}], ",", 
      "\[IndentingNewLine]", 
      RowBox[{"Text", "[", 
       RowBox[{
        RowBox[{"Style", "[", 
         RowBox[{"\"\<b=1/2\>\"", ",", 
          RowBox[{"{", 
           RowBox[{"\"\<Times-Bold\>\"", ",", "12"}], "}"}]}], "]"}], ",", 
        RowBox[{"pointZ", "[", 
         RowBox[{"0.5", ",", "7"}], "]"}]}], "]"}], ",", 
      "\[IndentingNewLine]", 
      RowBox[{"Text", "[", 
       RowBox[{
        RowBox[{"Style", "[", 
         RowBox[{"\"\<b=1  \>\"", ",", 
          RowBox[{"{", 
           RowBox[{"\"\<Times-Bold\>\"", ",", "12"}], "}"}]}], "]"}], ",", 
        RowBox[{"pointZ", "[", 
         RowBox[{"1", ",", "7"}], "]"}]}], "]"}]}], "\[IndentingNewLine]", 
     "}"}], " ", "//", "Graphics"}]}], ";"}]], "Input",
 CellChangeTimes->{
  3.424358100425171*^9, {3.424359247065949*^9, 3.424359270078598*^9}, {
   3.424359341199164*^9, 3.424359380624324*^9}}],

Cell[BoxData[
 RowBox[{"Show", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"part1", ",", "textZ"}], "}"}], ",", "\[IndentingNewLine]", 
   RowBox[{"Frame", "\[Rule]", "True"}], ",", "\[IndentingNewLine]", 
   RowBox[{"GridLines", "\[Rule]", "Automatic"}], ",", "\[IndentingNewLine]", 
   
   RowBox[{"FrameLabel", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
     "\"\<time\>\"", ",", "\"\<height\>\"", ",", 
      "\"\<Effect of Air Resistance\>\"", ",", "\"\< \>\""}], "}"}]}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"RotateLabel", "\[Rule]", "False"}]}], "\[IndentingNewLine]", 
  "]"}]], "Input",
 CellChangeTimes->{{3.424358106685797*^9, 3.424358107623443*^9}, 
   3.424359258939493*^9}]
}, Closed]],

Cell[CellGroupData[{

Cell["Part c", "Subsubsection"],

Cell[BoxData[
 RowBox[{
  RowBox[{"pointV", "[", 
   RowBox[{"b_", ",", "t_"}], "]"}], "=", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"t", ",", 
     RowBox[{"v", "[", "t", "]"}]}], "}"}], "/.", "values"}]}]], "Input"],

Cell[BoxData[
 RowBox[{
  RowBox[{"pointV", "[", 
   RowBox[{"0", ",", "t_"}], "]"}], "=", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"t", ",", "vff"}], "}"}], "/.", "values"}]}]], "Input"],

Cell[BoxData[
 RowBox[{
  RowBox[{"plotV", "[", 
   RowBox[{"b_", ",", "hue_"}], "]"}], ":=", 
  RowBox[{"ParametricPlot", "[", " ", 
   RowBox[{
    RowBox[{"pointV", "[", 
     RowBox[{"b", ",", "t"}], "]"}], " ", ",", 
    RowBox[{"{", 
     RowBox[{"t", ",", "0", ",", "10"}], "}"}], ",", "\[IndentingNewLine]", 
    RowBox[{"PlotStyle", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"Hue", "[", "hue", "]"}], ",", 
       RowBox[{"Thickness", "[", "0.008", "]"}]}], "}"}]}]}], 
   "]"}]}]], "Input",
 CellChangeTimes->{3.424359394085834*^9}],

Cell[BoxData[
 RowBox[{"part2", "=", 
  RowBox[{"Show", "[", " ", 
   RowBox[{
    RowBox[{"Table", "[", " ", 
     RowBox[{
      RowBox[{"plotV", "[", 
       RowBox[{"b", ",", 
        RowBox[{"b", "/", "2"}]}], "]"}], ",", 
      RowBox[{"{", 
       RowBox[{"b", ",", "0", ",", "1", ",", 
        RowBox[{"1", "/", "2"}]}], "}"}]}], "]"}], ",", 
    RowBox[{"PlotRange", "\[Rule]", "Automatic"}], ",", 
    RowBox[{"AspectRatio", "\[Rule]", 
     RowBox[{"1", "/", "GoldenRatio"}]}]}], "]"}]}]], "Input",
 CellChangeTimes->{{3.424358116778297*^9, 3.424358118687971*^9}, {
  3.424359402487147*^9, 3.424359439244463*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"textV", "=", 
   RowBox[{
    RowBox[{"{", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"Text", "[", 
       RowBox[{
        RowBox[{"Style", "[", 
         RowBox[{"\"\<b=0  \>\"", ",", 
          RowBox[{"{", 
           RowBox[{"\"\<Times-Bold\>\"", ",", "12"}], "}"}]}], "]"}], ",", 
        RowBox[{"pointV", "[", 
         RowBox[{"0", ",", "3"}], "]"}]}], " ", "]"}], ",", 
      "\[IndentingNewLine]", 
      RowBox[{"Text", "[", 
       RowBox[{
        RowBox[{"Style", "[", 
         RowBox[{"\"\<b=1/2\>\"", ",", 
          RowBox[{"{", 
           RowBox[{"\"\<Times-Bold\>\"", ",", "12"}], "}"}]}], "]"}], ",", 
        RowBox[{"pointV", "[", 
         RowBox[{"0.5", ",", "7"}], "]"}]}], "]"}], ",", 
      "\[IndentingNewLine]", 
      RowBox[{"Text", "[", 
       RowBox[{
        RowBox[{"Style", "[", 
         RowBox[{"\"\<b=1  \>\"", ",", 
          RowBox[{"{", 
           RowBox[{"\"\<Times-Bold\>\"", ",", "12"}], "}"}]}], "]"}], ",", 
        RowBox[{"pointV", "[", 
         RowBox[{"1", ",", "7"}], "]"}]}], "]"}]}], "\[IndentingNewLine]", 
     "}"}], " ", "//", "Graphics"}]}], ";"}]], "Input",
 CellChangeTimes->{
  3.424358126252988*^9, {3.424359447474708*^9, 3.424359466597877*^9}, {
   3.424359578082176*^9, 3.42435958548134*^9}}],

Cell[BoxData[
 RowBox[{"Show", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"part2", ",", "textV"}], "}"}], ",", "\[IndentingNewLine]", 
   RowBox[{"Frame", "\[Rule]", "True"}], ",", "\[IndentingNewLine]", 
   RowBox[{"GridLines", "\[Rule]", "Automatic"}], ",", "\[IndentingNewLine]", 
   
   RowBox[{"FrameLabel", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
     "\"\<time\>\"", ",", "\"\<speed\>\"", ",", 
      "\"\<Effect of Air Resistance\>\"", ",", "\"\< \>\""}], "}"}]}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"RotateLabel", "\[Rule]", "False"}]}], "\[IndentingNewLine]", 
  "]"}]], "Input",
 CellChangeTimes->{{3.42435813216777*^9, 3.424358133376736*^9}, 
   3.424359460933362*^9}]
}, Closed]],

Cell[CellGroupData[{

Cell["Part d", "Subsubsection"],

Cell["(* Obsolete:  <<Statistics`NormalDistribution`  *)", "Input",
 CellChangeTimes->{{3.424359964684284*^9, 3.42435997443012*^9}},
 CellTags->"S6.9.1"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"gaussian", ":=", " ", 
   RowBox[{"Random", "[", 
    RowBox[{"NormalDistribution", "[", 
     RowBox[{"1", ",", "0.1"}], "]"}], "]"}]}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{"Table", "[", 
  RowBox[{"gaussian", ",", 
   RowBox[{"{", 
    RowBox[{"i", ",", "10"}], "}"}]}], "]"}]}], "Input"],

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"data", "=", " ", 
    RowBox[{
     RowBox[{
      RowBox[{"Table", "[", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"t", ",", 
          RowBox[{
           RowBox[{"z", "[", "t", "]"}], "gaussian"}]}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"t", ",", "0", ",", "40", ",", "1"}], "}"}]}], "]"}], " ", "/.",
       "values"}], " ", "/.", 
     RowBox[{"{", 
      RowBox[{"b", "\[Rule]", 
       RowBox[{"1", "/", "2"}]}], "}"}]}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{"listplot", "=", 
  RowBox[{"ListPlot", "[", 
   RowBox[{"data", ",", 
    RowBox[{"PlotStyle", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{"PointSize", "[", "0.03", "]"}], "}"}]}]}], "]"}]}]}], "Input",
 CellChangeTimes->{3.424358151530211*^9}],

Cell[BoxData[
 RowBox[{"(*", " ", 
  RowBox[{"OBSOLETE", " ", 
   RowBox[{"<<", "\"\<NonlinearRegression`\>\""}]}], " ", "*)"}]], "Input",
 CellChangeTimes->{{3.424359986481696*^9, 3.424359992946157*^9}}],

Cell[BoxData[
 RowBox[{"?", "NonlinearFit"}]], "Input",
 Evaluatable->False,
 CellChangeTimes->{{3.424360151765192*^9, 3.424360152983869*^9}}],

Cell[BoxData[
 RowBox[{"?", "FindFit"}]], "Input",
 CellChangeTimes->{{3.424360158847695*^9, 3.424360164962759*^9}}],

Cell[BoxData[
 RowBox[{"fit", "=", 
  RowBox[{
   RowBox[{"a1", "+", 
    RowBox[{"a2", " ", "t"}], "+", 
    RowBox[{"a3", " ", 
     SuperscriptBox["\[ExponentialE]", 
      RowBox[{
       RowBox[{"-", "a4"}], " ", "t"}]]}]}], "/.", "\[InvisibleSpace]", 
   RowBox[{"FindFit", "[", 
    RowBox[{"data", ",", 
     RowBox[{"a1", "+", 
      RowBox[{"a2", " ", "t"}], "+", 
      RowBox[{"a3", " ", 
       SuperscriptBox["\[ExponentialE]", 
        RowBox[{
         RowBox[{"-", "a4"}], " ", "t"}]]}]}], ",", 
     RowBox[{"{", 
      RowBox[{"a1", ",", "a2", ",", "a3", ",", "a4"}], "}"}], ",", 
     RowBox[{"{", "t", "}"}]}], "]"}]}]}]], "Input"]
}, Closed]],

Cell[BoxData[
 RowBox[{"fitPlot", "=", " ", 
  RowBox[{"Plot", "[", 
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{"{", 
        RowBox[{"fit", ",", 
         RowBox[{"z", "[", "t", "]"}]}], "}"}], "/.", "values"}], " ", "/.", 
      RowBox[{"{", 
       RowBox[{"b", "\[Rule]", 
        RowBox[{"1", "/", "2"}]}], "}"}]}], " ", "//", "Evaluate"}], ",", 
    RowBox[{"{", 
     RowBox[{"t", ",", "0", ",", "40"}], "}"}], ",", 
    RowBox[{"PlotStyle", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"RGBColor", "[", 
         RowBox[{"0", ",", "0", ",", "1"}], "]"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"RGBColor", "[", 
          RowBox[{"1", ",", "0", ",", "0"}], "]"}], ",", 
         RowBox[{"Thickness", "[", "0.008", "]"}]}], "}"}]}], "}"}]}]}], 
   "]"}]}]], "Input",
 CellChangeTimes->{3.424358167875031*^9}],

Cell[BoxData[
 RowBox[{"Plot", "[", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{"fit", "/", 
       RowBox[{"z", "[", "t", "]"}]}], "/.", "values"}], " ", "/.", 
     RowBox[{"{", 
      RowBox[{"b", "\[Rule]", 
       RowBox[{"1", "/", "2"}]}], "}"}]}], " ", "//", "Evaluate"}], ",", 
   RowBox[{"{", 
    RowBox[{"t", ",", "0", ",", "40"}], "}"}]}], "]"}]], "Input",
 CellChangeTimes->{3.424358176493559*^9}],

Cell[BoxData[
 RowBox[{"Show", "[", 
  RowBox[{"listplot", ",", "fitPlot", ",", "\[IndentingNewLine]", 
   RowBox[{"GridLines", "\[Rule]", "Automatic"}], ",", "\[IndentingNewLine]", 
   
   RowBox[{"Frame", "\[Rule]", "True"}], ",", "\[IndentingNewLine]", 
   RowBox[{"FrameLabel", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
     "\"\<time\>\"", ",", "\"\<height\>\"", ",", "\"\<Experimental Data\>\"", 
      ",", "\"\<\>\""}], "}"}]}], ",", "\[IndentingNewLine]", 
   RowBox[{"RotateLabel", "\[Rule]", "False"}]}], "\[IndentingNewLine]", 
  "]"}]], "Input",
 CellChangeTimes->{3.424358182933205*^9}]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell["\<\
Problem 5: Falling Projectile with Quadratic Air Resistance Drag\
\>", "Subsection",
 Evaluatable->False,
 AspectRatioFixed->True],

Cell["Remarks and Outline ", "Subsubsection",
 Evaluatable->False,
 AspectRatioFixed->True],

Cell[CellGroupData[{

Cell["Solution", "Subsubsection",
 Evaluatable->False,
 AspectRatioFixed->True],

Cell["Clear[\"Global`*\"];", "Input",
 AspectRatioFixed->True],

Cell[CellGroupData[{

Cell["Part a", "Subsubsection"],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"eq1", "[", "sign_", "]"}], "=", " ", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"m", " ", 
      RowBox[{
       RowBox[{"z", "''"}], "[", "t", "]"}]}], "\[Equal]", 
     RowBox[{
      RowBox[{
       RowBox[{"-", "m"}], " ", "g"}], "-", " ", 
      RowBox[{"sign", " ", "b", " ", 
       SuperscriptBox[
        RowBox[{
         RowBox[{"z", "'"}], "[", "t", "]"}], "2"]}]}]}], "}"}]}], 
  ";"}]], "Input"],

Cell[BoxData[
 RowBox[{"dsolUp", "=", " ", 
  RowBox[{
   RowBox[{
    RowBox[{"DSolve", "[", " ", 
     RowBox[{
      RowBox[{"Join", "[", 
       RowBox[{
        RowBox[{"eq1", "[", 
         RowBox[{"+", "1"}], "]"}], ",", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{
           RowBox[{"z", "'"}], "[", "0", "]"}], "\[Equal]", "vz0"}], "}"}]}], 
       "]"}], ",", 
      RowBox[{"{", "z", "}"}], ",", "t"}], "]"}], " ", "//", "First"}], "  ", 
   "//", "Simplify"}]}]], "Input"],

Cell[BoxData[
 RowBox[{"c2sol", "=", " ", 
  RowBox[{
   RowBox[{
    RowBox[{"Solve", "[", 
     RowBox[{
      RowBox[{
       RowBox[{
        RowBox[{"z", "[", "0", "]"}], "\[Equal]", "z0"}], " ", "/.", 
       "dsolUp"}], ",", 
      FormBox[
       RowBox[{" ", 
        SubscriptBox[
         TagBox["c",
          C], "2"]}],
       TraditionalForm]}], "]"}], " ", "//", "First"}], "  ", "//", 
   "Simplify"}]}]], "Input"],

Cell[BoxData[
 RowBox[{
  RowBox[{"dsolUp", "=", 
   RowBox[{"dsolUp", " ", "/.", "c2sol"}]}], ";"}]], "Input"],

Cell[BoxData[
 RowBox[{
  RowBox[{"{", 
   RowBox[{"zUp", ",", "vUp"}], "}"}], "=", " ", 
  RowBox[{
   RowBox[{
    RowBox[{"{", 
     RowBox[{
      RowBox[{"z", "[", "t", "]"}], ",", 
      RowBox[{
       RowBox[{"z", "'"}], "[", "t", "]"}]}], "}"}], " ", "/.", "dsolUp"}], 
   "  ", "//", "FullSimplify", " "}]}]], "Input"],

Cell[BoxData[
 RowBox[{
  RowBox[{"{", 
   RowBox[{"zUp0", ",", "vUp0"}], "}"}], "=", 
  RowBox[{"Limit", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"zUp", ",", "vUp"}], "}"}], ",", 
    RowBox[{"b", "\[Rule]", "0"}]}], "]"}]}]], "Input"]
}, Closed]],

Cell[CellGroupData[{

Cell["Part b", "Subsubsection"],

Cell[BoxData[
 RowBox[{"dsolDown", "=", " ", 
  RowBox[{
   RowBox[{
    RowBox[{"DSolve", "[", " ", 
     RowBox[{
      RowBox[{"Join", "[", 
       RowBox[{
        RowBox[{"eq1", "[", 
         RowBox[{"-", "1"}], "]"}], ",", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{
           RowBox[{"z", "'"}], "[", "timeTop", "]"}], "\[Equal]", "0"}], 
         "}"}]}], "]"}], ",", 
      RowBox[{"{", "z", "}"}], ",", "t"}], "]"}], " ", "//", "First"}], "  ", 
   "//", "Simplify"}]}]], "Input"],

Cell[BoxData[
 RowBox[{"c2sol", "=", " ", 
  RowBox[{
   RowBox[{
    RowBox[{"Solve", "[", 
     RowBox[{
      RowBox[{
       RowBox[{
        RowBox[{"z", "[", "timeTop", "]"}], "\[Equal]", "zMax"}], " ", "/.", 
       "dsolDown"}], ",", 
      FormBox[
       RowBox[{" ", 
        SubscriptBox[
         TagBox["c",
          C], "2"]}],
       TraditionalForm]}], "]"}], " ", "//", "First"}], "  ", "//", 
   "Simplify"}]}]], "Input"],

Cell[BoxData[
 RowBox[{
  RowBox[{"dsolDown", "=", 
   RowBox[{"dsolDown", " ", "/.", "c2sol"}]}], ";"}]], "Input"],

Cell[BoxData[
 RowBox[{
  RowBox[{"{", 
   RowBox[{"zDown", ",", "vDown"}], "}"}], "=", " ", 
  RowBox[{
   RowBox[{
    RowBox[{"{", 
     RowBox[{
      RowBox[{"z", "[", "t", "]"}], ",", 
      RowBox[{
       RowBox[{"z", "'"}], "[", "t", "]"}]}], "}"}], " ", "/.", "dsolDown"}], 
   " ", "//", "FullSimplify", " "}]}]], "Input"],

Cell[BoxData[
 RowBox[{
  RowBox[{"{", 
   RowBox[{"zDown0", ",", "vDown0"}], "}"}], "=", " ", 
  RowBox[{"Limit", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"zDown", ",", "vDown"}], "}"}], ",", 
    RowBox[{"b", "\[Rule]", "0"}]}], "]"}]}]], "Input"]
}, Closed]],

Cell[BoxData[
 RowBox[{"vTerminal", "=", " ", 
  RowBox[{"Limit", "[", " ", 
   RowBox[{
    RowBox[{"vDown", "/.", 
     RowBox[{"{", 
      RowBox[{"t", "\[Rule]", 
       FractionBox[
        RowBox[{
         SqrtBox["m"], " ", "\[Tau]"}], 
        RowBox[{
         SqrtBox["b"], " ", 
         SqrtBox["g"]}]]}], "}"}]}], ",", 
    RowBox[{"\[Tau]", "\[Rule]", "\[Infinity]"}]}], "]"}]}]], "Input"],

Cell[CellGroupData[{

Cell["Part c", "Subsubsection"],

Cell[BoxData[
 RowBox[{
  RowBox[{"values", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"g", "\[Rule]", "9.8"}], ",", 
     RowBox[{"m", "\[Rule]", "1"}], ",", 
     RowBox[{"z0", "\[Rule]", "0"}], ",", " ", 
     RowBox[{"b", "\[Rule]", "0.1"}], ",", " ", 
     RowBox[{"vz0", "\[Rule]", 
      RowBox[{"+", "20"}]}]}], "}"}]}], ";"}]], "Input"],

Cell[BoxData[
 RowBox[{"timeTop", "=", 
  RowBox[{
   RowBox[{"t", " ", "/.", " ", 
    RowBox[{"Solve", "[", 
     RowBox[{
      RowBox[{
       RowBox[{"vUp", "\[Equal]", "0"}], " ", "/.", "values"}], ",", "t"}], 
     "]"}]}], " ", "//", "First"}]}]], "Input"],

Cell[BoxData[
 RowBox[{"zMax", "=", 
  RowBox[{
   RowBox[{"zUp", "/.", "values"}], " ", "/.", 
   RowBox[{"{", 
    RowBox[{"t", "\[Rule]", "timeTop"}], "}"}]}]}]], "Input"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"zFull", "[", "tIn_", "]"}], ":=", 
  RowBox[{
   RowBox[{
    RowBox[{"If", "[", 
     RowBox[{
      RowBox[{"tIn", "<", "timeTop"}], ",", " ", "zUp", ",", "zDown"}], "]"}],
     " ", "/.", "values"}], " ", "/.", 
   RowBox[{"{", 
    RowBox[{"t", "\[Rule]", "tIn"}], "}"}]}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"vFull", "[", "tIn_", "]"}], ":=", 
  RowBox[{
   RowBox[{
    RowBox[{"If", "[", 
     RowBox[{
      RowBox[{"tIn", "<", "timeTop"}], ",", " ", "vUp", ",", "vDown"}], "]"}],
     " ", "/.", "values"}], " ", "/.", 
   RowBox[{"{", 
    RowBox[{"t", "\[Rule]", "tIn"}], "}"}]}]}]}], "Input"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"zFull0", "[", "tIn_", "]"}], ":=", 
  RowBox[{
   RowBox[{"zUp0", "/.", "values"}], " ", "/.", 
   RowBox[{"{", 
    RowBox[{"t", "\[Rule]", "tIn"}], "}"}]}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"vFull0", "[", "tIn_", "]"}], ":=", 
  RowBox[{
   RowBox[{"vUp0", "/.", "values"}], " ", "/.", 
   RowBox[{"{", 
    RowBox[{"t", "\[Rule]", "tIn"}], "}"}]}]}]}], "Input"],

Cell[BoxData[
 RowBox[{"Plot", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{"zFull", "[", "t", "]"}], ",", 
     RowBox[{"zFull0", "[", "t", "]"}]}], "}"}], " ", ",", 
   RowBox[{"{", 
    RowBox[{"t", ",", "0", ",", "7"}], "}"}], ",", "\[IndentingNewLine]", 
   RowBox[{"PlotStyle", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"Thickness", "[", "0.008", "]"}], "}"}], ",", 
      RowBox[{"{", "}"}]}], "}"}]}]}], "]"}]], "Input",
 CellChangeTimes->{3.424358189133781*^9}],

Cell[BoxData[
 RowBox[{"Plot", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{"vFull", "[", "t", "]"}], ",", 
     RowBox[{"vFull0", "[", "t", "]"}]}], "}"}], " ", ",", 
   RowBox[{"{", 
    RowBox[{"t", ",", "0", ",", "7"}], "}"}], ",", "\[IndentingNewLine]", 
   RowBox[{"PlotStyle", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"Thickness", "[", "0.008", "]"}], "}"}], ",", 
      RowBox[{"{", "}"}]}], "}"}]}]}], "]"}]], "Input",
 CellChangeTimes->{3.424358201010203*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"{", 
   RowBox[{
    RowBox[{"vFull", "[", "100", "]"}], ",", "vTerminal"}], " ", "}"}], "/.", 
  "values"}]], "Input"]
}, Closed]]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell["Problem 6: Rocket with varying Mass   ", "Subsection",
 Evaluatable->False,
 AspectRatioFixed->True],

Cell["Remarks and Outline ", "Subsubsection",
 Evaluatable->False,
 AspectRatioFixed->True],

Cell[CellGroupData[{

Cell["Solution       ", "Subsubsection",
 Evaluatable->False,
 AspectRatioFixed->True],

Cell["Clear[\"Global`*\"];", "Input",
 AspectRatioFixed->True],

Cell[CellGroupData[{

Cell["Part a", "Subsubsection"],

Cell["\<\
p[t   ]=  m[t] v;
p[t+\[Delta]t]= (m[t]-\[Delta]m)(v+\[Delta]v) + (+\[Delta]m)(v-ve); \
\>", "Input",
 AspectRatioFixed->True],

Cell[BoxData[{
 RowBox[{
  RowBox[{"\[Delta]v", "=", 
   RowBox[{
    RowBox[{
     RowBox[{"x", "''"}], "[", "t", "]"}], " ", "\[Delta]t"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"\[Delta]m", "=", 
   RowBox[{
    RowBox[{"-", 
     RowBox[{
      RowBox[{"m", "'"}], "[", "t", "]"}]}], "   ", "\[Delta]t"}]}], 
  ";"}]}], "Input"],

Cell["\<\
\[Delta]p =(p[t+\[Delta]t] - p[t])//ExpandAll    \
\>", "Input",
 AspectRatioFixed->True],

Cell[BoxData[
 RowBox[{"eq1", "=", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"-", 
      RowBox[{"m", "[", "t", "]"}]}], " ", "g"}], "\[Equal]", 
    RowBox[{"\[Delta]p", "/", "\[Delta]t"}]}], " ", "//", 
   "ExpandAll"}]}]], "Input"],

Cell[BoxData[
 RowBox[{"eq1", "=", 
  RowBox[{"eq1", "/.", " ", 
   RowBox[{"\[Delta]t", "\[Rule]", "0", " "}]}]}]], "Input"]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
 "Part ",
 StyleBox["b",
  FontWeight->"Plain"]
}], "Subsubsection"],

Cell[BoxData[
 RowBox[{"dsol1", "=", 
  RowBox[{
   RowBox[{"DSolve", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{
        RowBox[{
         RowBox[{"m", "'"}], "[", "t", "]"}], "\[Equal]", 
        RowBox[{"-", "\[CapitalDelta]m"}]}], ",", 
       RowBox[{
        RowBox[{"m", "[", "0", "]"}], "\[Equal]", "m0"}]}], "}"}], ",", "m", 
     ",", "t"}], "]"}], "//", "Flatten"}]}]], "Input"],

Cell[BoxData[
 RowBox[{"eq2", "=", 
  RowBox[{
   RowBox[{"eq1", "/.", "dsol1"}], "//", "Simplify"}]}]], "Input"],

Cell[BoxData[
 RowBox[{"eq3", "=", 
  RowBox[{
   RowBox[{"(", 
    RowBox[{
     RowBox[{
      RowBox[{"Solve", "[", 
       RowBox[{"eq2", ",", 
        RowBox[{
         RowBox[{"x", "''"}], "[", "t", "]"}]}], "]"}], "//", "First"}], " ", 
     "//", "First"}], ")"}], "/.", 
   RowBox[{"Rule", "\[Rule]", "Equal", " "}]}]}]], "Input"],

Cell[BoxData[
 RowBox[{"position", "=", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"x", "[", "t", "]"}], "/.", 
     RowBox[{"DSolve", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"eq3", ",", 
         RowBox[{
          RowBox[{"x", "[", "0", "]"}], "\[Equal]", "0"}], ",", 
         RowBox[{
          RowBox[{
           RowBox[{"x", "'"}], "[", "0", "]"}], "\[Equal]", "0"}]}], "}"}], 
       ",", "x", ",", "t"}], "]"}]}], "//", "First"}], "//", 
   "FullSimplify"}]}]], "Input"],

Cell[BoxData[
 RowBox[{"speed", "=", " ", 
  RowBox[{
   RowBox[{"D", "[", 
    RowBox[{"position", ",", "t"}], "]"}], "//", "Simplify"}]}]], "Input"],

Cell["\<\
height= Limit[position,t->m0/\[CapitalDelta]m]    \
\>", "Input",
 AspectRatioFixed->True]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
 "Part ",
 StyleBox["c",
  FontWeight->"Plain"]
}], "Subsubsection"],

Cell[BoxData[
 RowBox[{
  RowBox[{"values", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"m0", "\[Rule]", "100"}], ",", 
     RowBox[{"\[CapitalDelta]m", "\[Rule]", "10"}], ",", 
     RowBox[{"g", "\[Rule]", "9.8"}]}], "}"}]}], ";"}]], "Input"],

Cell[BoxData[
 RowBox[{"tf", "=", 
  RowBox[{
   RowBox[{"(", 
    RowBox[{"m0", "/", "\[CapitalDelta]m"}], ")"}], "/.", 
   "values"}]}]], "Input"],

Cell[BoxData[
 RowBox[{
  RowBox[{"plot1", "[", "veIn_", "]"}], ":=", "\[IndentingNewLine]", 
  RowBox[{"ParametricPlot", "[", 
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{"{", 
        RowBox[{"position", ",", "speed"}], "}"}], "/.", "values"}], "/.", 
      RowBox[{"{", 
       RowBox[{"ve", "\[Rule]", "veIn"}], "}"}]}], " ", "//", "Evaluate"}], 
    ",", "\[IndentingNewLine]", 
    RowBox[{"{", 
     RowBox[{"t", ",", "0", ",", "tf"}], "}"}], ",", "\[IndentingNewLine]", 
    RowBox[{"PlotStyle", "\[Rule]", 
     RowBox[{"Thickness", "[", ".010", "]"}]}], ",", "\[IndentingNewLine]", 
    RowBox[{"DisplayFunction", "\[Rule]", "Identity"}]}], 
   "\[IndentingNewLine]", "]"}]}]], "Input"],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"elevation", "[", "ve_", "]"}], "=", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"Thickness", "[", "0.004", "]"}], ",", 
       RowBox[{"Hue", "[", "0.8", "]"}], ",", 
       RowBox[{"Line", "[", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{"height", ",", "0"}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"height", ",", "10000"}], "}"}]}], "}"}], "]"}]}], "}"}], "/.",
      "values"}], "//", "Graphics"}]}], ";"}]], "Input",
 CellChangeTimes->{3.424358208462348*^9, 3.424360669412028*^9}],

Cell[BoxData[
 RowBox[{"Show", "[", 
  RowBox[{
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"elevation", "[", "ve", "]"}], ",", 
       RowBox[{"plot1", "[", "ve", "]"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"ve", ",", "100", ",", "400", ",", "100"}], "}"}]}], "]"}], ",",
    "\[IndentingNewLine]", 
   RowBox[{"Frame", "\[Rule]", "True"}], ",", "\[IndentingNewLine]", 
   RowBox[{"FrameLabel", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
     "\"\<position\>\"", ",", "\"\<speed\>\"", ",", "\"\<\>\"", ",", 
      "\"\< \>\""}], "}"}]}], ",", "\[IndentingNewLine]", 
   RowBox[{"RotateLabel", "\[Rule]", "False"}], ",", "\[IndentingNewLine]", 
   RowBox[{"PlotRange", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"0", ",", "4000"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"0", ",", "4000"}], "}"}]}], "}"}]}]}], "]"}]], "Input",
 CellChangeTimes->{{3.424358213202525*^9, 3.424358218877561*^9}}]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
 "Part ",
 StyleBox["d",
  FontWeight->"Plain"]
}], "Subsubsection"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"initial", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{"x", "[", "0", "]"}], "\[Rule]", "0"}], ",", 
     RowBox[{
      RowBox[{
       RowBox[{"x", "'"}], "[", "0", "]"}], "\[Rule]", "0"}]}], "}"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"order", "=", "6"}], ";"}]}], "Input"],

Cell[BoxData[
 RowBox[{"eq4", "=", " ", 
  RowBox[{
   RowBox[{
    RowBox[{"Series", "[", 
     RowBox[{
      RowBox[{
       RowBox[{"eq3", "[", 
        RowBox[{"[", "1", "]"}], "]"}], "-", 
       RowBox[{"eq3", "[", 
        RowBox[{"[", "2", "]"}], "]"}]}], ",", 
      RowBox[{"{", 
       RowBox[{"t", ",", "0", ",", "order"}], "}"}]}], "]"}], "/.", 
    "initial"}], "//", "Simplify", " "}]}]], "Input"],

Cell[BoxData[
 RowBox[{"variables", "=", 
  RowBox[{
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{"D", "[", 
      RowBox[{
       RowBox[{"x", "[", "t", "]"}], ",", 
       RowBox[{"{", 
        RowBox[{"t", ",", "n"}], "}"}]}], "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"n", ",", "0", ",", 
       RowBox[{"order", "+", "1"}]}], "}"}]}], "]"}], "/.", 
   RowBox[{"{", 
    RowBox[{"t", "\[Rule]", "0"}], "}"}]}]}]], "Input"],

Cell[BoxData[
 RowBox[{"sol1", "=", 
  RowBox[{
   RowBox[{"Solve", "[", 
    RowBox[{
     RowBox[{"eq4", "\[Equal]", "0"}], ",", "variables"}], "]"}], "[", 
   RowBox[{"[", "1", "]"}], "]"}]}]], "Input"],

Cell[BoxData[
 RowBox[{"series1", "=", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"(", 
      RowBox[{
       RowBox[{"x", "[", "t", "]"}], "+", 
       RowBox[{
        RowBox[{"O", "[", "t", "]"}], "^", "order"}]}], ")"}], " ", "/.", 
     "sol1"}], "/.", "initial"}], "//", "ExpandAll"}]}]], "Input"],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"term", "[", "n_", "]"}], "=", 
   FractionBox[
    RowBox[{
     SuperscriptBox["t", 
      RowBox[{"n", "+", "1"}]], " ", "ve", " ", 
     SuperscriptBox[
      RowBox[{"(", 
       FractionBox["\[CapitalDelta]m", "m0"], ")"}], "n"]}], 
    RowBox[{"n", " ", 
     RowBox[{"(", 
      RowBox[{"n", "+", "1"}], ")"}]}]]}], ";"}]], "Input"],

Cell["\<\
series2= -(1/2) g t^2 + Sum[term[n],{n,1,order-2}];

series1==series2 //Normal //ExpandAll\
\>", "Input",
 AspectRatioFixed->True],

Cell[BoxData[
 RowBox[{"exact2", "=", " ", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"-", 
      RowBox[{"(", 
       RowBox[{"1", "/", "2"}], ")"}]}], " ", "g", " ", 
     RowBox[{"t", "^", "2"}]}], " ", "+", " ", 
    RowBox[{"Sum", "[", 
     RowBox[{
      RowBox[{"term", "[", "n", "]"}], ",", 
      RowBox[{"{", 
       RowBox[{"n", ",", "1", ",", "\[Infinity]"}], "}"}]}], "]"}]}], " ", "//",
    " ", "FullSimplify"}]}]], "Input"],

Cell[BoxData[
 RowBox[{"(", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"(", 
      RowBox[{"position", "==", "exact2"}], " ", ")"}], " ", 
     "\[IndentingNewLine]", "//", 
     RowBox[{
      RowBox[{"MapAll", "[", 
       RowBox[{"Together", ",", "#"}], "]"}], "&"}]}], "  ", 
    "\[IndentingNewLine]", "//", "PowerExpand"}], " ", "\[IndentingNewLine]", 
   "//", " ", "FullSimplify"}], "\[IndentingNewLine]", ")"}]], "Input",
 CellChangeTimes->{{3.4243607339634132`*^9, 3.424360748881892*^9}}]
}, Closed]]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell["Problem 7: Keplerian Orbits", "Subsection",
 Evaluatable->False,
 AspectRatioFixed->True],

Cell["Remarks and Outline ", "Subsubsection",
 Evaluatable->False,
 AspectRatioFixed->True],

Cell[CellGroupData[{

Cell["Solution", "Subsubsection"],

Cell["Clear[\"Global`*\"];", "Input",
 AspectRatioFixed->True],

Cell[CellGroupData[{

Cell["Part a", "Subsubsection"],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", "          ", 
   RowBox[{
   "mass", "                ", "axes", "      ", "period", "   ", 
    "\[Epsilon]"}], "    ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"Mercury", "  ", "=", 
     StyleBox[
      RowBox[{"{", 
       RowBox[{
        RowBox[{"3.300", "*", 
         RowBox[{"10", "^", "23"}]}], ",", "   ", 
        RowBox[{"0.5791", "*", 
         RowBox[{"10", "^", "11"}]}], ",", "    ", "0.241", ",", " ", 
        "0.206"}], "}"}],
      FontFamily->"Courier"]}], 
    StyleBox[";",
     FontFamily->"Courier"]}], "\[IndentingNewLine]", 
   StyleBox[
    RowBox[{
     RowBox[{"Venus", "      ", "=", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"4.870", "*", 
         RowBox[{"10", "^", "24"}]}], ",", "   ", 
        RowBox[{"1.0821", "*", 
         RowBox[{"10", "^", "11"}]}], ",", "    ", "0.615", ",", " ", 
        "0.007"}], "}"}]}], ";"}],
    FontFamily->"Courier"], "\[IndentingNewLine]", 
   StyleBox[
    RowBox[{
     RowBox[{"Earth", "      ", "=", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"5.974", "*", 
         RowBox[{"10", "^", "24"}]}], ",", "   ", 
        RowBox[{"1.4960", "*", 
         RowBox[{"10", "^", "11"}]}], ",", "    ", "1.000", ",", " ", 
        "0.017"}], "}"}]}], ";"}],
    FontFamily->"Courier"], "\[IndentingNewLine]", 
   StyleBox[
    RowBox[{
     RowBox[{"Mars", "        ", "=", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"6.419", "*", 
         RowBox[{"10", "^", "23"}]}], ",", "   ", 
        RowBox[{"2.2794", "*", 
         RowBox[{"10", "^", "11"}]}], ",", "    ", "1.881", ",", " ", 
        "0.093"}], "}"}]}], ";"}],
    FontFamily->"Courier"], "\[IndentingNewLine]", 
   StyleBox[
    RowBox[{
     RowBox[{"Jupiter", " ", "=", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"18.99", "*", 
         RowBox[{"10", "^", "26"}]}], ",", "   ", 
        RowBox[{"7.7840", "*", 
         RowBox[{"10", "^", "11"}]}], ",", "  ", "11.860", ",", " ", 
        "0.048"}], "}"}]}], ";"}],
    FontFamily->"Courier"], "\[IndentingNewLine]", 
   StyleBox[
    RowBox[{
     RowBox[{"Saturn", "   ", "=", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"5.680", "*", 
         RowBox[{"10", "^", "26"}]}], ",", " ", 
        RowBox[{"14.2700", "*", 
         RowBox[{"10", "^", "11"}]}], ",", "  ", "29.420", ",", " ", 
        "0.054"}], "}"}]}], ";"}],
    FontFamily->"Courier"], "\[IndentingNewLine]", 
   StyleBox[
    RowBox[{
     RowBox[{"Uranus", "   ", "=", 
      RowBox[{"{", 
       StyleBox[
        RowBox[{
         RowBox[{"8.680", "*", 
          RowBox[{"10", "^", "25"}]}], ",", " ", 
         RowBox[{"28.7100", "*", 
          RowBox[{"10", "^", "11"}]}], ",", "  ", "83.750", ",", " ", 
         "0.047"}],
        FontWeight->"Bold"], "}"}]}], ";"}],
    FontFamily->"Courier"], "\[IndentingNewLine]", 
   StyleBox[
    RowBox[{
     RowBox[{"Neptune", " ", "=", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"10.20", "*", 
         RowBox[{"10", "^", "25"}]}], ",", " ", 
        RowBox[{"44.9800", "*", 
         RowBox[{"10", "^", "11"}]}], ",", "163.700", ",", " ", "0.009"}], 
       "}"}]}], ";"}],
    FontFamily->"Courier"], "\[IndentingNewLine]", 
   StyleBox[
    RowBox[{
     RowBox[{"Pluto", "     ", "=", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"1.270", "*", 
         RowBox[{"10", "^", "22"}]}], ",", "  ", 
        RowBox[{"59.5060", "*", 
         RowBox[{"10", "^", "11"}]}], ",", "248.000", ",", " ", "0.249"}], 
       "}"}]}], ";"}],
    FontFamily->"Courier"]}]}]], "Input"],

Cell[BoxData[
 RowBox[{
  RowBox[{"data", "=", 
   RowBox[{"{", 
    RowBox[{
    "Mercury", ",", "Venus", ",", "Earth", ",", "Mars", ",", "Jupiter", ",", 
     "Saturn", ",", "Uranus", ",", "Neptune", ",", "Pluto"}], "}"}]}], 
  ";"}]], "Input"],

Cell[BoxData[
 RowBox[{
  RowBox[{"names", "=", 
   RowBox[{"{", 
    RowBox[{
    "\"\<Mercury\>\"", ",", "\"\<Venus\>\"", ",", "\"\<Earth\>\"", ",", 
     "\"\<Mars\>\"", ",", "\"\<Jupiter\>\"", ",", "\"\<Saturn\>\"", ",", 
     "\"\<Uranus\>\"", ",", "\"\<Neptune\>\"", ",", "\"\<Pluto\>\""}], 
    "}"}]}], ";"}]], "Input"],

Cell[BoxData[
 RowBox[{"TableForm", "[", 
  RowBox[{"data", ",", 
   RowBox[{"TableHeadings", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"names", ",", 
      RowBox[{"{", 
       RowBox[{
       "\"\<Mass\>\"", ",", "\"\<Axes\>\"", ",", "\"\<Period\>\"", ",", 
        "\"\<\[Epsilon]\>\""}], "}"}]}], "}"}]}]}], "]"}]], "Input"],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"{", 
    RowBox[{"mass", ",", "axes", ",", "period", ",", " ", "\[Epsilon]"}], 
    "}"}], "=", 
   RowBox[{"Transpose", "[", "data", "]"}]}], ";"}]], "Input"],

Cell[BoxData["period"], "Input"],

Cell[BoxData[
 RowBox[{"(*", "  ", 
  RowBox[{"OBSOLETE", " ", 
   RowBox[{"<<", "\"\<Units`\>\""}], " ", 
   RowBox[{"<<", "\"\<PhysicalConstants`\>\""}]}], " ", "*)"}]], "Input",
 CellChangeTimes->{{3.424360809182337*^9, 3.424360814745719*^9}},
 CellTags->"S5.65.1"],

Cell[BoxData[
 RowBox[{"<<", "PhysicalConstants`"}]], "Input",
 CellID->1289732017],

Cell[BoxData[
 RowBox[{" ", 
  RowBox[{
   RowBox[{
    RowBox[{"values", "=", 
     RowBox[{"{", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"year2sec", "\[Rule]", 
        RowBox[{"Convert", "[", 
         RowBox[{"Year", ",", "Second"}], "]"}]}], ",", " ", 
       "\[IndentingNewLine]", 
       RowBox[{"G", "\[Rule]", "GravitationalConstant"}], ",", " ", 
       "\[IndentingNewLine]", 
       RowBox[{"Newton", " ", "\[Rule]", " ", 
        RowBox[{"Kilogram", " ", 
         RowBox[{"Meter", "/", 
          SuperscriptBox["Second", "2"]}]}]}], ",", "\[IndentingNewLine]", 
       RowBox[{"AstronomicalUnit", "->", 
        RowBox[{"Convert", "[", 
         RowBox[{"AstronomicalUnit", ",", "Meter"}], "]"}]}]}], "}"}]}], 
    ";"}], "\[IndentingNewLine]", 
   RowBox[{"values", " ", "//", "TableForm"}]}]}]], "Input"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"kepler", "=", 
   RowBox[{
    RowBox[{
     FractionBox[
      RowBox[{"4", " ", 
       SuperscriptBox["a", "3"], " ", 
       SuperscriptBox["\[Pi]", "2"]}], 
      RowBox[{
       SuperscriptBox["T", "2"], " ", "G"}]], " ", "/.", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"a", "\[Rule]", 
        RowBox[{"axes", " ", "*", " ", "Meter"}]}], ",", 
       RowBox[{"T", "\[Rule]", " ", 
        RowBox[{"period", " ", "*", " ", "year2sec"}]}]}], "}"}]}], "  ", "//.",
     "values"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"kepler", " ", "//", "TableForm"}]}], "Input",
 CellChangeTimes->{{3.424361001632328*^9, 3.424361005684093*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"solarMass", "=", 
   RowBox[{"1.99", " ", "*", " ", 
    SuperscriptBox["10", "30"], "Kilogram"}]}], ";", 
  RowBox[{
   RowBox[{"TableForm", "[", 
    RowBox[{
     FractionBox["kepler", "solarMass"], ",", 
     RowBox[{"TableHeadings", "\[Rule]", 
      RowBox[{"{", "names", "}"}]}]}], "]"}], "//", 
   RowBox[{
    RowBox[{"PaddedForm", "[", 
     RowBox[{"#", ",", 
      RowBox[{"{", 
       RowBox[{"4", ",", "3"}], "}"}]}], "]"}], "&"}]}]}]], "Input"]
}, Closed]],

Cell[CellGroupData[{

Cell["Part b ", "Subsubsection",
 Evaluatable->False,
 AspectRatioFixed->True],

Cell[BoxData[
 RowBox[{"r", "=", 
  RowBox[{
   RowBox[{
    FractionBox[
     RowBox[{"a", " ", 
      RowBox[{"(", 
       RowBox[{"1", "-", 
        SuperscriptBox["e", "2"]}], ")"}]}], 
     RowBox[{"(", 
      RowBox[{"1", "+", 
       RowBox[{"e", " ", 
        RowBox[{"Cos", "[", " ", "\[Theta]", "]"}]}]}], ")"}]], " ", "/.", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"a", "\[Rule]", 
       RowBox[{"axes", " ", "*", " ", "Meter"}]}], ",", 
      RowBox[{"T", "\[Rule]", " ", 
       RowBox[{"period", " ", "*", " ", "year2sec"}]}], ",", " ", 
      RowBox[{"e", "\[Rule]", "\[Epsilon]"}]}], "}"}]}], "  ", "//.", 
   "values"}]}]], "Input"],

Cell[BoxData[
 RowBox[{"points", "=", 
  RowBox[{
   RowBox[{"Outer", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"#1", " ", "*", " ", "#2"}], "&"}], ",", 
     FractionBox["r", "AstronomicalUnit"], " ", ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"Cos", "[", "\[Theta]", "]"}], ",", 
       RowBox[{"Sin", "[", "\[Theta]", "]"}]}], "}"}]}], "]"}], " ", "/.", 
   "values"}]}]], "Input"],

Cell[BoxData[
 RowBox[{"plot1", "=", 
  RowBox[{"ParametricPlot", "[", " ", 
   RowBox[{
    RowBox[{
     RowBox[{"points", "[", 
      RowBox[{"[", 
       RowBox[{"{", 
        RowBox[{"1", ",", "2", ",", "3", ",", "4"}], "}"}], "]"}], "]"}], " ",
      "//", "Evaluate"}], ",", 
    RowBox[{"{", 
     RowBox[{"\[Theta]", ",", "0", ",", 
      RowBox[{"2", " ", "\[Pi]"}]}], "}"}], ",", 
    RowBox[{"PlotRange", "\[Rule]", "All"}], ",", 
    RowBox[{"AspectRatio", "\[Rule]", "1"}]}], "]"}]}]], "Input",
 CellChangeTimes->{{3.424358238876145*^9, 3.424358242519985*^9}}],

Cell[BoxData[
 RowBox[{"plot2", "=", 
  RowBox[{"ParametricPlot", "[", " ", 
   RowBox[{
    RowBox[{
     RowBox[{"points", "[", 
      RowBox[{"[", 
       RowBox[{"{", 
        RowBox[{"5", ",", "6", ",", "7", ",", "8", ",", "9"}], "}"}], "]"}], 
      "]"}], " ", "//", "Evaluate"}], ",", 
    RowBox[{"{", 
     RowBox[{"\[Theta]", ",", "0", ",", 
      RowBox[{"2", " ", "\[Pi]"}]}], "}"}], ",", 
    RowBox[{"PlotRange", "\[Rule]", "All"}], ",", 
    RowBox[{"AspectRatio", "\[Rule]", "1"}]}], "]"}]}]], "Input",
 CellChangeTimes->{3.424358248014058*^9}],

Cell[BoxData[
 RowBox[{"Show", "[", 
  RowBox[{"GraphicsRow", "[", 
   RowBox[{"{", 
    RowBox[{"plot1", ",", "plot2"}], "}"}], "]"}], "]"}]], "Input"]
}, Closed]]
}, Closed]]
}, Closed]],

Cell["2.2 Newtonian Mechanics in Rotating Frames ", "Section",
 Evaluatable->False,
 AspectRatioFixed->True],

Cell["Overview of Newtonian Mechanics in Rotating Frames", "Subsection"],

Cell[CellGroupData[{

Cell["\<\
Problem 1:  Projectile Motion as Measured by an Observer on Earth  \
\>", "Subsection",
 Evaluatable->False,
 AspectRatioFixed->True],

Cell["Remarks and Outline", "Subsubsection",
 Evaluatable->False,
 AspectRatioFixed->True],

Cell[CellGroupData[{

Cell["Solution", "Subsubsection",
 Evaluatable->False,
 AspectRatioFixed->True],

Cell["Clear[\"Global`*\"];", "Input",
 AspectRatioFixed->True],

Cell[CellGroupData[{

Cell["Part a ", "Subsubsection"],

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"r", "[", "t_", "]"}], "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"x", "[", "t", "]"}], ",", 
     RowBox[{"y", "[", "t", "]"}], ",", 
     RowBox[{"z", "[", "t", "]"}]}], "}"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"\[Omega]", "[", "t_", "]"}], "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{"-", "\[Omega]0"}], " ", 
      RowBox[{"Sin", "[", "\[Theta]", "]"}]}], ",", "0", ",", 
     RowBox[{"\[Omega]0", " ", 
      RowBox[{"Cos", "[", "\[Theta]", "]"}]}]}], "}"}]}], ";"}]}], "Input"],

Cell[BoxData[
 RowBox[{"fTransverse", "=", " ", 
  RowBox[{
   RowBox[{"-", "    ", "m"}], " ", 
   RowBox[{"Cross", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"\[Omega]", "'"}], "[", "t", "]"}], ",", 
     RowBox[{"r", "[", "t", "]"}]}], "]"}]}]}]], "Input"],

Cell[BoxData[
 RowBox[{"fCoriolis", "=", "   ", 
  RowBox[{
   RowBox[{"-", "   ", "2"}], " ", "m", " ", 
   RowBox[{"Cross", "[", 
    RowBox[{
     RowBox[{"\[Omega]", "[", "t", "]"}], ",", " ", 
     RowBox[{
      RowBox[{"r", "'"}], "[", "t", "]"}]}], "]"}]}]}]], "Input"],

Cell[BoxData[
 RowBox[{"fCentrifugal", "=", " ", 
  RowBox[{
   RowBox[{
    RowBox[{"-", "m"}], " ", 
    RowBox[{"Cross", "[", " ", 
     RowBox[{
      RowBox[{"\[Omega]", "[", "t", "]"}], ",", " ", 
      RowBox[{"Cross", "[", 
       RowBox[{
        RowBox[{"\[Omega]", "[", "t", "]"}], ",", 
        RowBox[{"r", "[", "t", "]"}]}], "]"}]}], " ", "]"}]}], " ", "//", 
   "Simplify"}]}]], "Input"],

Cell[BoxData[
 RowBox[{
  RowBox[{"fInertial", "=", " ", 
   RowBox[{"{", 
    RowBox[{"0", ",", "0", ",", 
     RowBox[{
      RowBox[{"-", "m"}], " ", "g"}]}], "}"}]}], ";"}]], "Input"],

Cell[BoxData[
 RowBox[{"eq1", "=", 
  RowBox[{
   RowBox[{"m", "  ", 
    RowBox[{
     RowBox[{"r", "''"}], "[", "t", "]"}]}], "-", "fInertial", " ", "-", 
   "fTransverse", "-", "fCoriolis", "-", "fCentrifugal"}]}]], "Input"],

Cell[BoxData[
 RowBox[{"initialRule", "=", " ", 
  RowBox[{
   RowBox[{"Thread", " ", "/@", " ", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{
       RowBox[{"r", "[", "0", "]"}], "\[Rule]", " ", "0"}], ",", 
      RowBox[{
       RowBox[{
        RowBox[{"r", "'"}], "[", "0", "]"}], "\[Rule]", " ", 
       RowBox[{"{", 
        RowBox[{"1", ",", "0", ",", "0"}], "}"}]}]}], "}"}]}], " ", "//", 
   "Flatten"}]}]], "Input"],

Cell[BoxData[
 RowBox[{
  RowBox[{"nOrder", "=", "0"}], ";"}]], "Input"],

Cell[BoxData[
 RowBox[{"eq2", "=", " ", 
  RowBox[{"(", " ", 
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{
        RowBox[{"Series", "[", 
         RowBox[{
          RowBox[{"eq1", "/", "m"}], ",", 
          RowBox[{"{", 
           RowBox[{"t", ",", "0", ",", "nOrder"}], "}"}]}], "]"}], "\[Equal]",
         "0"}], "  ", "/.", "initialRule"}], "//", "Normal"}], " ", "//", 
     "Thread"}], " ", "//", " ", "Simplify"}], " ", ")"}]}]], "Input",
 CellChangeTimes->{{3.424361098737633*^9, 3.424361099204155*^9}, {
  3.424363653132155*^9, 3.424363656730429*^9}}],

Cell[BoxData[
 RowBox[{"vars", "=", " ", "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"Table", "[", 
     RowBox[{
      RowBox[{"D", "[", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{
          RowBox[{"x", "[", "t", "]"}], ",", 
          RowBox[{"y", "[", "t", "]"}], ",", 
          RowBox[{"z", "[", "t", "]"}]}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"t", ",", "i"}], "}"}]}], "]"}], ",", 
      RowBox[{"{", 
       RowBox[{"i", ",", "2", ",", 
        RowBox[{"nOrder", "+", "2"}]}], "}"}]}], "]"}], "/.", 
    RowBox[{"t", "\[Rule]", "0"}]}], " ", "//", "Flatten", " "}]}]], "Input"],

Cell[BoxData[
 RowBox[{" ", 
  RowBox[{"sol", "=", " ", 
   RowBox[{
    RowBox[{"Solve", "[", 
     RowBox[{"eq2", " ", ",", "vars"}], "]"}], " ", "//", 
    "First"}]}]}]], "Input"],

Cell[BoxData[
 RowBox[{
  RowBox[{"point", "[", 
   RowBox[{"t_", ",", "\[Theta]_"}], "]"}], "=", "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"Series", "[", " ", 
      RowBox[{
       RowBox[{"r", "[", "t", "]"}], ",", 
       RowBox[{"{", 
        RowBox[{"t", ",", "0", ",", 
         RowBox[{"nOrder", "+", "2"}]}], "}"}]}], "]"}], " ", "/.", "sol"}], 
    " ", "/.", "initialRule"}], "//", "Normal"}]}]], "Input"],

Cell[BoxData[
 RowBox[{
  RowBox[{"plot", "[", "\[Theta]_", "]"}], ":=", 
  RowBox[{"ParametricPlot", "[", 
   RowBox[{
    FormBox[
     RowBox[{" ", 
      RowBox[{
       RowBox[{
        RowBox[{
         RowBox[{"point", "[", 
          RowBox[{"t", ",", "\[Theta]"}], "]"}], "[", 
         RowBox[{"[", 
          RowBox[{"{", 
           RowBox[{"1", ",", "2"}], "}"}], "]"}], "]"}], "/.", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"\[Omega]0", "\[Rule]", "1"}], ",", 
          RowBox[{"g", "\[Rule]", "9.8"}]}], "}"}]}], " ", "//", 
       "Evaluate"}]}],
     TraditionalForm], ",", "\[IndentingNewLine]", 
    RowBox[{"{", 
     RowBox[{"t", ",", "0", ",", "20"}], "}"}], ",", "\[IndentingNewLine]", 
    RowBox[{"PlotStyle", "->", 
     RowBox[{"{", " ", 
      RowBox[{"Thickness", "[", "0.016", "]"}], "}"}]}], ",", 
    "\[IndentingNewLine]", 
    RowBox[{"AxesLabel", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{"\"\<x,South\>\"", ",", "\"\<y,East\>\""}], "}"}]}], ",", 
    "\[IndentingNewLine]", 
    RowBox[{"PlotRange", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"0", ",", "20"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"+", "200"}], ",", 
         RowBox[{"-", "200"}]}], "}"}]}], "}"}]}], ",", "\[IndentingNewLine]",
     
    RowBox[{"AspectRatio", "\[Rule]", 
     RowBox[{"1", "/", "GoldenRatio"}]}], ",", "\[IndentingNewLine]", 
    RowBox[{"Ticks", "\[Rule]", "False"}]}], " ", "]"}]}]], "Input",
 CellChangeTimes->{
  3.424361114330589*^9, {3.424361154514806*^9, 3.424361171483652*^9}}],

Cell[BoxData[
 RowBox[{"Show", "[", 
  RowBox[{"GraphicsRow", "[", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"plot", "[", 
      FractionBox["\[Pi]", "4"], "]"}], ",", 
     RowBox[{"plot", "[", 
      FractionBox[
       RowBox[{"3", " ", "\[Pi]"}], "4"], "]"}]}], "}"}], "]"}], 
  "]"}]], "Input"]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell["Part b", "Subsubsection"],

Cell[BoxData[
 RowBox[{"initial", "=", " ", 
  RowBox[{
   RowBox[{"Thread", " ", "/@", " ", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{
       RowBox[{"r", "[", "0", "]"}], "==", "0"}], ",", 
      RowBox[{
       RowBox[{
        RowBox[{"r", "'"}], "[", "0", "]"}], "==", 
       RowBox[{"{", 
        RowBox[{"vx0", ",", "0", ",", "0"}], "}"}]}]}], "}"}]}], " ", "//", 
   "Flatten"}]}]], "Input"],

Cell[BoxData[
 RowBox[{"eqNorth", "=", 
  RowBox[{
   RowBox[{"Join", "[", 
    RowBox[{
     RowBox[{"Thread", "[", 
      RowBox[{"eq1", "\[Equal]", "0"}], "]"}], ",", "initial"}], "]"}], " ", "/.",
    
   RowBox[{"\[Theta]", "\[Rule]", "0", "  "}]}]}]], "Input"],

Cell[BoxData[
 RowBox[{"solNorth", "=", " ", 
  RowBox[{
   RowBox[{
    RowBox[{"DSolve", "[", 
     RowBox[{"eqNorth", ",", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"x", "[", "t", "]"}], ",", 
        RowBox[{"y", "[", "t", "]"}], ",", 
        RowBox[{"z", "[", "t", "]"}]}], "}"}], ",", "t"}], "]"}], " ", "//", 
    "First"}], "//", "FullSimplify"}]}]], "Input"],

Cell[BoxData[
 RowBox[{
  RowBox[{"values", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"g", "\[Rule]", "9.8"}], ",", 
     RowBox[{"z0", "\[Rule]", "500"}], ",", 
     RowBox[{"vx0", "\[Rule]", "1"}]}], "}"}]}], ";"}]], "Input"],

Cell[BoxData[
 RowBox[{
  RowBox[{"pointNorth", "[", 
   RowBox[{"t_", ",", "\[Omega]0_"}], "]"}], "=", 
  RowBox[{
   RowBox[{
    RowBox[{"r", "[", "t", "]"}], "/.", "solNorth"}], " ", "/.", 
   "values"}]}]], "Input"],

Cell[BoxData[
 RowBox[{"plot1", "=", 
  RowBox[{"ParametricPlot3D", "[", 
   RowBox[{
    RowBox[{
     RowBox[{"pointNorth", "[", 
      RowBox[{"t", ",", "0"}], "]"}], "//", "Evaluate"}], ",", 
    "\[IndentingNewLine]", 
    RowBox[{"{", 
     RowBox[{"t", ",", "0", ",", "10"}], "}"}], ",", "\[IndentingNewLine]", 
    RowBox[{"BoxRatios", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{"1", ",", "1", ",", "1"}], "}"}]}]}], "]"}]}]], "Input",
 CellChangeTimes->{3.424358277796754*^9}],

Cell[BoxData[
 RowBox[{"plot2", "=", 
  RowBox[{"ParametricPlot3D", "[", 
   RowBox[{
    RowBox[{
     RowBox[{"Join", "[", 
      RowBox[{
       RowBox[{"pointNorth", "[", 
        RowBox[{"t", ",", "0.01"}], "]"}], ",", 
       RowBox[{"{", 
        RowBox[{"Thickness", "[", ".02", "]"}], "}"}]}], " ", "]"}], "//", 
     "Evaluate"}], ",", 
    RowBox[{"{", 
     RowBox[{"t", ",", "0", ",", "10"}], "}"}], ",", "\[IndentingNewLine]", 
    RowBox[{"BoxRatios", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{"1", ",", "1", ",", "1"}], "}"}]}]}], "]"}]}]], "Input",
 CellChangeTimes->{3.424358284436175*^9}]
}, Closed]],

Cell[BoxData[
 RowBox[{"Show", "[", " ", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"plot1", ",", "plot2"}], "}"}], ",", "\[IndentingNewLine]", 
   RowBox[{"FaceGrids", "->", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"0", ",", "1", ",", "0"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"-", "1"}], ",", "0", ",", "0"}], "}"}]}], "}"}]}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"BoxRatios", "->", 
    RowBox[{"{", 
     RowBox[{"1", ",", "1", ",", "1"}], "}"}]}], ",", "\[IndentingNewLine]", 
   RowBox[{"ViewPoint", "->", 
    RowBox[{"{", 
     RowBox[{"1.5", ",", 
      RowBox[{"-", "1.0"}], ",", "0.7"}], "}"}]}], ",", "\[IndentingNewLine]",
    
   RowBox[{"AxesLabel", "->", 
    RowBox[{"{", 
     RowBox[{
     "\"\<x-south\>\"", ",", "\"\<west\>\"", ",", "\"\<z-vertical\>\""}], 
     "}"}]}]}], "\[IndentingNewLine]", "]"}]], "Input",
 CellChangeTimes->{3.42435829122854*^9}],

Cell[CellGroupData[{

Cell["Part c", "Subsubsection"],

Cell[BoxData[
 RowBox[{"eqEquator", "=", 
  RowBox[{
   RowBox[{"Join", "[", 
    RowBox[{
     RowBox[{"Thread", "[", 
      RowBox[{"eq1", "\[Equal]", "0"}], "]"}], ",", "initial"}], "]"}], " ", "/.",
    
   RowBox[{"\[Theta]", "\[Rule]", 
    RowBox[{"\[Pi]", "/", "2"}], "  "}]}]}]], "Input"],

Cell[BoxData[
 RowBox[{"solEquator", "=", " ", 
  RowBox[{
   RowBox[{
    RowBox[{"DSolve", "[", 
     RowBox[{"eqEquator", ",", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"x", "[", "t", "]"}], ",", 
        RowBox[{"y", "[", "t", "]"}], ",", 
        RowBox[{"z", "[", "t", "]"}]}], "}"}], ",", "t"}], "]"}], " ", "//", 
    "First"}], "//", "FullSimplify"}]}]], "Input"],

Cell[BoxData[
 RowBox[{
  RowBox[{"pointEquator", "[", 
   RowBox[{"t_", ",", "\[Omega]0_"}], "]"}], "=", 
  RowBox[{
   RowBox[{
    RowBox[{"r", "[", "t", "]"}], "/.", "solEquator"}], "/.", 
   "values"}]}]], "Input"],

Cell[BoxData[
 RowBox[{
  RowBox[{"pointEquator", "[", 
   RowBox[{"t_", ",", "0"}], "]"}], "=", " ", 
  RowBox[{"Limit", "[", 
   RowBox[{
    RowBox[{"pointEquator", "[", 
     RowBox[{"t", ",", "\[Omega]0"}], "]"}], ",", 
    RowBox[{"\[Omega]0", "\[Rule]", "0"}]}], "]"}]}]], "Input"],

Cell[BoxData[
 RowBox[{
  RowBox[{"plotEquator", "[", 
   RowBox[{"\[Omega]0_", ",", "style_"}], "]"}], ":=", "\[IndentingNewLine]", 
  
  RowBox[{"ParametricPlot3D", "[", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{"Join", "[", " ", 
       RowBox[{"pointEquator", "[", 
        RowBox[{"t", ",", "\[Omega]0"}], "]"}], "]"}], " ", "/.", "values"}], 
     " ", "//", "Evaluate"}], ",", "\[IndentingNewLine]", 
    RowBox[{"{", 
     RowBox[{"t", ",", "0", ",", "10"}], "}"}], ",", "\[IndentingNewLine]", 
    RowBox[{"BoxRatios", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{"1", ",", "1", ",", "1"}], "}"}]}], ",", "\[IndentingNewLine]", 
    
    RowBox[{"PlotStyle", "\[Rule]", "style"}]}], "\[IndentingNewLine]", 
   "]"}]}]], "Input",
 CellChangeTimes->{{3.424361216236954*^9, 3.424361230817998*^9}, {
  3.424361319117355*^9, 3.424361338954531*^9}}],

Cell[BoxData[
 RowBox[{"Show", "[", " ", "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{"{", " ", 
    RowBox[{
     RowBox[{"plotEquator", "[", 
      RowBox[{"0", "     ", ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"Thickness", "[", "0.02", "]"}], ",", 
         RowBox[{"Hue", "[", "0.6", "]"}]}], "}"}]}], "]"}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"plotEquator", "[", 
      RowBox[{"0.01", ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"Thickness", "[", "0.01", "]"}], ",", 
         RowBox[{"Hue", "[", "0.4", "]"}]}], "}"}]}], "]"}]}], " ", "}"}], 
   ",", "\[IndentingNewLine]", 
   RowBox[{"FaceGrids", "->", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"0", ",", 
        RowBox[{"-", "1"}], ",", "0"}], "}"}], ",", " ", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"-", "1"}], ",", "0", ",", "0"}], "}"}]}], "}"}]}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"BoxRatios", "->", 
    RowBox[{"{", 
     RowBox[{"1", ",", "1", ",", "1"}], "}"}]}], ",", "\[IndentingNewLine]", 
   RowBox[{"ViewPoint", "->", 
    RowBox[{"{", 
     RowBox[{"1", ",", "0.7", ",", "0.7"}], "}"}]}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"AxesLabel", "->", 
    RowBox[{"{", 
     RowBox[{"\"\<x-South\>\"", ",", "\"\<y-East\>\"", ",", "\"\<z-Up\>\""}], 
     "}"}]}]}], "]"}]], "Input",
 CellChangeTimes->{{3.424358299713922*^9, 3.424358301061413*^9}}]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell["Problem 2:  Foucault Pendulum    ", "Subsection",
 Evaluatable->False,
 AspectRatioFixed->True],

Cell["Remarks and Outline", "Subsubsection",
 Evaluatable->False,
 AspectRatioFixed->True],

Cell[CellGroupData[{

Cell["Solution", "Subsubsection",
 Evaluatable->False,
 AspectRatioFixed->True],

Cell["Clear[\"Global`*\"];", "Input",
 AspectRatioFixed->True],

Cell[CellGroupData[{

Cell["Part a", "Subsubsection"],

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"r", "[", "t_", "]"}], "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"x", "[", "t", "]"}], ",", 
     RowBox[{"y", "[", "t", "]"}], ",", 
     RowBox[{"z", "[", "t", "]"}]}], "}"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"\[Omega]", "[", "t_", "]"}], "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{"-", "\[Omega]0"}], " ", 
      RowBox[{"Sin", "[", "\[Theta]", "]"}]}], ",", "0", ",", 
     RowBox[{"\[Omega]0", " ", 
      RowBox[{"Cos", "[", "\[Theta]", "]"}]}]}], "}"}]}], ";"}]}], "Input"],

Cell[BoxData[
 RowBox[{"fTransverse", "=", " ", 
  RowBox[{
   RowBox[{"-", "    ", "m"}], " ", 
   RowBox[{"Cross", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"\[Omega]", "'"}], "[", "t", "]"}], ",", 
     RowBox[{"r", "[", "t", "]"}]}], "]"}]}]}]], "Input"],

Cell[BoxData[
 RowBox[{"fCoriolis", "=", "   ", 
  RowBox[{
   RowBox[{"-", "   ", "2"}], " ", "m", " ", 
   RowBox[{"Cross", "[", 
    RowBox[{
     RowBox[{"\[Omega]", "[", "t", "]"}], ",", " ", 
     RowBox[{
      RowBox[{"r", "'"}], "[", "t", "]"}]}], "]"}]}]}]], "Input"],

Cell[BoxData[
 RowBox[{"fCentrifugal", "=", " ", 
  RowBox[{
   RowBox[{
    RowBox[{"-", "m"}], " ", 
    RowBox[{"Cross", "[", " ", 
     RowBox[{
      RowBox[{"\[Omega]", "[", "t", "]"}], ",", " ", 
      RowBox[{"Cross", "[", 
       RowBox[{
        RowBox[{"\[Omega]", "[", "t", "]"}], ",", 
        RowBox[{"r", "[", "t", "]"}]}], "]"}]}], " ", "]"}]}], " ", "//", 
   "Simplify"}]}]], "Input"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"fGravity", "=", 
   RowBox[{"{", 
    RowBox[{"0", ",", "0", ",", 
     RowBox[{
      RowBox[{"-", "m"}], " ", "g"}]}], "}"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"fTension", "=", 
   RowBox[{"tension", 
    RowBox[{"(", " ", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"0", ",", "0", ",", "1"}], "}"}], "-", 
      RowBox[{
       RowBox[{"r", "[", "t", "]"}], "/", "L"}]}], " ", ")"}]}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"fInertial", "=", 
  RowBox[{"fGravity", "+", "fTension"}]}]}], "Input"],

Cell[BoxData[
 RowBox[{"eq1", "=", 
  RowBox[{
   RowBox[{"0", "\[Equal]", 
    RowBox[{
     RowBox[{"m", "  ", 
      RowBox[{
       RowBox[{"r", "''"}], "[", "t", "]"}]}], "-", "fInertial", " ", "-", 
     "fTransverse", "-", "fCoriolis", "-", "fCentrifugal"}]}], " ", "//", 
   "Thread"}]}]], "Input"],

Cell[BoxData[
 RowBox[{"initialRule", "=", " ", 
  RowBox[{
   RowBox[{"Thread", " ", "/@", " ", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{
       RowBox[{"r", "[", "0", "]"}], "\[Rule]", "0"}], ",", 
      RowBox[{
       RowBox[{
        RowBox[{"r", "'"}], "[", "0", "]"}], "\[Rule]", 
       RowBox[{"{", 
        RowBox[{"1", ",", "0", ",", "0"}], "}"}]}]}], "}"}]}], " ", "//", 
   "Flatten"}]}]], "Input"],

Cell[BoxData[
 RowBox[{"zSol", "=", 
  RowBox[{
   RowBox[{"DSolve", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"z", "[", "t", "]"}], "\[Equal]", "0"}], "}"}], ",", "z", ",", 
     "t"}], "]"}], " ", "//", "First"}]}]], "Input"],

Cell[BoxData[
 RowBox[{"eq2", "=", " ", 
  RowBox[{
   RowBox[{"eq1", "/.", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{
       SuperscriptBox["\[Omega]0", "2"], "->", "0"}], ",", " ", 
      RowBox[{
       RowBox[{"Sin", "[", "\[Theta]", "]"}], "\[Rule]", "0"}]}], "}"}]}], 
   " ", "/.", "zSol"}]}]], "Input"],

Cell[BoxData[
 RowBox[{"eq3", "=", " ", 
  RowBox[{
   RowBox[{
    RowBox[{"Solve", "[", 
     RowBox[{"eq2", ",", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{
         RowBox[{"x", "''"}], "[", "t", "]"}], ",", 
        RowBox[{
         RowBox[{"y", "''"}], "[", "t", "]"}]}], "}"}], ",", "tension"}], 
     "]"}], " ", "/.", 
    RowBox[{"{", 
     RowBox[{"Rule", " ", "\[Rule]", " ", "Equal"}], "}"}]}], " ", "//", 
   "First"}]}]], "Input"],

Cell[BoxData[
 RowBox[{"eq4", "=", " ", 
  RowBox[{
   RowBox[{"eq3", "/.", 
    RowBox[{"{", " ", 
     RowBox[{"g", "\[Rule]", " ", 
      RowBox[{
       SuperscriptBox["\[Omega]", "2"], " ", "L"}]}], "}"}]}], " ", "//", 
   "Simplify"}]}]], "Input"],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"DSolve", "[", 
    RowBox[{"eq4", ",", 
     RowBox[{"{", 
      RowBox[{"x", ",", "y"}], "}"}], ",", "t"}], "]"}], ";"}], "  ", 
  RowBox[{"(*", " ", 
   RowBox[{"Not", " ", "Displayed"}], " ", "*)"}]}]], "Input"]
}, Closed]],

Cell[CellGroupData[{

Cell["Part b", "Subsubsection"],

Cell[BoxData[
 RowBox[{"imEq", "=", "  ", 
  RowBox[{
   RowBox[{"I", " ", 
    RowBox[{"eq4", "[", 
     RowBox[{"[", "2", "]"}], "]"}]}], "//", 
   RowBox[{
    RowBox[{"Thread", "[", 
     RowBox[{"#", ",", "Equal"}], "]"}], "&"}]}]}]], "Input"],

Cell[BoxData[
 RowBox[{"reEq", "=", " ", 
  RowBox[{"eq4", "[", 
   RowBox[{"[", "1", "]"}], "]"}], " "}]], "Input"],

Cell[BoxData[
 RowBox[{"eq5", "=", " ", 
  RowBox[{
   RowBox[{
    RowBox[{"reEq", " ", "+", " ", "imEq"}], "//", 
    RowBox[{
     RowBox[{"Thread", "[", 
      RowBox[{"#", ",", "Equal"}], "]"}], "&"}]}], " ", "//", 
   "Simplify"}]}]], "Input"],

Cell[BoxData[
 RowBox[{"eq6", "=", " ", 
  RowBox[{
   RowBox[{"eq5", " ", "/.", 
    RowBox[{
     RowBox[{"DSolve", "[", 
      RowBox[{
       RowBox[{
        RowBox[{"u", "[", "t", "]"}], "\[Equal]", 
        RowBox[{
         RowBox[{"x", "[", "t", "]"}], "+", 
         RowBox[{"I", " ", 
          RowBox[{"y", "[", "t", "]"}]}]}]}], ",", "x", ",", "t"}], "]"}], 
     "[", 
     RowBox[{"[", "1", "]"}], "]"}]}], " ", "//", "Simplify"}]}]], "Input"],

Cell[BoxData[
 RowBox[{
  RowBox[{"initial", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{"u", "[", "0", "]"}], "\[Equal]", 
      RowBox[{"I", " ", "y0"}]}], ",", 
     RowBox[{
      RowBox[{
       RowBox[{"u", "'"}], "[", "0", "]"}], "\[Equal]", "0"}]}], "}"}]}], 
  ";"}]], "Input"],

Cell[BoxData[
 RowBox[{"dsol", "=", 
  RowBox[{
   RowBox[{"DSolve", "[", 
    RowBox[{
     RowBox[{"Join", "[", 
      RowBox[{
       RowBox[{"{", "eq6", "}"}], ",", "initial"}], "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"u", "[", "t", "]"}], "}"}], ",", "t"}], "]"}], " ", "//", 
   "First"}]}]], "Input"],

Cell[BoxData[
 RowBox[{"uSol", "=", 
  RowBox[{"(", " ", 
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{
        RowBox[{"u", "[", "t", "]"}], "  ", "/.", "dsol"}], "  ", "/.", " ", 
       RowBox[{
        RowBox[{"\[Omega]0", "^", "2"}], "\[Rule]", "0"}]}], " ", "//", 
      "PowerExpand"}], " ", "//", "ExpToTrig"}], "   ", "//", "ExpandAll"}], 
   " ", ")"}]}]], "Input",
 CellChangeTimes->{{3.42436140031483*^9, 3.424361409276794*^9}}],

Cell[BoxData[
 RowBox[{"x", "=", " ", 
  RowBox[{"reSol", "=", " ", 
   RowBox[{"uSol", "/.", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"Complex", "[", 
       RowBox[{"a_", ",", "b_"}], "]"}], "\[RuleDelayed]", "a"}], 
     "}"}]}]}]}]], "Input"],

Cell[BoxData[
 RowBox[{"y", "=", " ", 
  RowBox[{"imSol", "=", " ", 
   RowBox[{
    RowBox[{
     RowBox[{"(", 
      RowBox[{"uSol", "-", " ", "reSol"}], ")"}], "/", "I"}], " ", "//", 
    "Simplify"}]}]}]], "Input"],

Cell[BoxData[
 RowBox[{
  RowBox[{"point", "=", 
   RowBox[{"{", 
    RowBox[{"x", ",", "y"}], "}"}]}], ";"}]], "Input"],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"point", "/.", 
    RowBox[{"{", 
     RowBox[{
      FractionBox["\[Omega]0", "\[Omega]"], "\[Rule]", "0"}], "}"}]}], " ", "//",
    "FullSimplify"}], "//", "TableForm"}]], "Input"]
}, Closed]],

Cell[CellGroupData[{

Cell["Part c", "Subsubsection"],

Cell[BoxData[
 RowBox[{
  RowBox[{"values", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"\[Omega]", "\[Rule]", 
      RowBox[{"Sqrt", "[", 
       RowBox[{"g", "/", "L"}], "]"}]}], ",", " ", 
     RowBox[{"L", "\[Rule]", "1"}], ",", " ", 
     RowBox[{"g", "\[Rule]", "9.8"}], ",", " ", 
     RowBox[{"\[Omega]0", "\[Rule]", 
      RowBox[{"1", "/", "10"}]}], ",", " ", 
     RowBox[{"y0", "\[Rule]", "1"}]}], "}"}]}], ";"}]], "Input"],

Cell[BoxData[
 RowBox[{
  RowBox[{"plot", "[", 
   RowBox[{"\[Theta]in_", ",", 
    RowBox[{"options_:", 
     RowBox[{"{", "}"}]}]}], "]"}], ":=", "\[IndentingNewLine]", 
  RowBox[{"ParametricPlot", "[", " ", 
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{"point", "  ", "//.", "values"}], "/.", 
      RowBox[{"{", 
       RowBox[{"\[Theta]", "\[Rule]", "\[Theta]in"}], "}"}]}], "//", 
     "Evaluate"}], ",", "\[IndentingNewLine]", 
    RowBox[{"{", 
     RowBox[{"t", ",", "0", ",", "10"}], "}"}], ",", "\[IndentingNewLine]", 
    RowBox[{"Ticks", "\[Rule]", "False"}], ",", "\[IndentingNewLine]", 
    RowBox[{"PlotStyle", "\[Rule]", 
     RowBox[{"{", "options", "}"}]}], ",", "\[IndentingNewLine]", 
    RowBox[{"PlotRange", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{"-", "1"}], ",", "1"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"-", "1"}], ",", "1"}], "}"}]}], "}"}]}], ",", 
    "\[IndentingNewLine]", 
    RowBox[{"AxesLabel", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{"\"\<x-axis, south\>\"", ",", "\"\<y-axis, east\>\""}], 
      "}"}]}]}], "]"}]}]], "Input",
 CellChangeTimes->{3.424358310649588*^9, 3.424361439781575*^9}],

Cell[BoxData[
 RowBox[{"plot", "[", "0", "]"}]], "Input",
 CellChangeTimes->{3.424361442863472*^9}],

Cell[BoxData[
 RowBox[{"plot", "[", "\[Pi]", "]"}]], "Input",
 CellChangeTimes->{3.424361446116775*^9}],

Cell[BoxData[
 RowBox[{"plot", "[", 
  RowBox[{
   RowBox[{"\[Pi]", "/", "2"}], ",", 
   RowBox[{"Thickness", "[", "0.02", "]"}]}], "]"}]], "Input",
 CellChangeTimes->{3.424361449433283*^9}]
}, Closed]]
}, Closed]]
}, Closed]],

Cell["2.3 Electricity and Magnetism ", "Section",
 Evaluatable->False,
 AspectRatioFixed->True],

Cell[" Overview of Electricity and Magnetism    ", "Subsection",
 Evaluatable->False,
 AspectRatioFixed->True],

Cell[CellGroupData[{

Cell["Problem 1: Charged Disk   ", "Subsection",
 Evaluatable->False,
 AspectRatioFixed->True],

Cell["Remarks and Outline", "Subsubsection"],

Cell[CellGroupData[{

Cell["Solution", "Subsubsection"],

Cell["Clear[\"Global`*\"];", "Input"],

Cell[CellGroupData[{

Cell["Part a", "Subsubsection"],

Cell[BoxData[
 RowBox[{
  RowBox[{"dV", "=", 
   RowBox[{"k", 
    FractionBox["dq", 
     SqrtBox[
      RowBox[{
       SuperscriptBox["z", "2"], "+", 
       SuperscriptBox["r", "2"]}]]]}]}], ";"}]], "Input"],

Cell[BoxData[
 RowBox[{
  RowBox[{"dq", "=", 
   RowBox[{"2", " ", "\[Pi]", "  ", "r", " ", "dr", " ", "\[Sigma]"}]}], 
  ";"}]], "Input"],

Cell[BoxData[
 FractionBox["dV", "dr"]], "Input"],

Cell[BoxData[
 RowBox[{"diskPotential", "=", 
  RowBox[{
   RowBox[{"Integrate", "[", 
    RowBox[{
     FractionBox["dV", "dr"], ",", 
     RowBox[{"{", 
      RowBox[{"r", ",", "0", ",", "R"}], "}"}], ",", 
     RowBox[{"GenerateConditions", "\[Rule]", "False"}]}], "]"}], "  ", "//", 
   "PowerExpand"}]}]], "Input",
 CellChangeTimes->{{3.42436168488683*^9, 3.424361690524034*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"Needs", "[", "\"\<VectorAnalysis`\>\"", "]"}], ";"}]], "Input"],

Cell[BoxData[
 RowBox[{"Edisk", "=", 
  RowBox[{"-", 
   RowBox[{"Grad", "[", 
    RowBox[{"diskPotential", ",", 
     RowBox[{"Cartesian", "[", 
      RowBox[{"x", ",", "y", ",", "z"}], "]"}]}], "]"}]}]}]], "Input"]
}, Closed]],

Cell[CellGroupData[{

Cell["Part b", "Subsubsection"],

Cell[BoxData[
 RowBox[{"Eplane", "=", 
  RowBox[{"Limit", "[", 
   RowBox[{"Edisk", ",", 
    RowBox[{"R", "\[Rule]", "\[Infinity]"}]}], "]"}]}]], "Input"]
}, Closed]]
}, Closed]],

Cell[BoxData[
 RowBox[{"Eplane", " ", "/.", 
  RowBox[{"{", 
   RowBox[{"k", "\[Rule]", 
    FractionBox["1", 
     RowBox[{"4", "\[Pi]", " ", 
      SubscriptBox["\[Epsilon]", "0"]}]]}], "}"}]}]], "Input"]
}, Closed]],

Cell[CellGroupData[{

Cell["Problem 2: Uniformly Charged Sphere ", "Subsection",
 Evaluatable->False,
 AspectRatioFixed->True],

Cell["Remarks and Outline", "Subsubsection",
 Evaluatable->False,
 AspectRatioFixed->True],

Cell[CellGroupData[{

Cell["Solution", "Subsubsection",
 Evaluatable->False,
 AspectRatioFixed->True],

Cell["Clear[\"Global`*\"];", "Input",
 AspectRatioFixed->True],

Cell[CellGroupData[{

Cell["Part a", "Subsubsection"],

Cell[BoxData[
 RowBox[{
  RowBox[{"eq1", "=", 
   RowBox[{"{", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{
      RowBox[{"4", " ", "\[Pi]", " ", 
       SuperscriptBox["r", "2"], " ", "Eoutside"}], "\[Equal]", "qTotal"}], 
     "      ", 
     RowBox[{"(*", " ", 
      RowBox[{"r", ">", "R"}], " ", "*)"}], ",", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"4", " ", "\[Pi]", " ", 
       SuperscriptBox["r", "2"], " ", "Einside"}], "\[Equal]", 
      "qEnclosed"}]}], " ", 
    RowBox[{"(*", " ", 
     RowBox[{"r", "<", "R"}], " ", "*)"}], "}"}]}], ";"}]], "Input"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"qTotal", "=", 
   RowBox[{
    FractionBox[
     RowBox[{"4", "\[Pi]", " ", 
      SuperscriptBox["R", "3"]}], 
     RowBox[{"3", " "}]], "\[Rho]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"qEnclosed", "=", 
   RowBox[{
    FractionBox[
     RowBox[{"4", "\[Pi]", " ", 
      SuperscriptBox["r", "3"]}], "3"], "\[Rho]"}]}], ";"}]}], "Input"],

Cell[BoxData[
 RowBox[{"sol", "=", 
  RowBox[{
   RowBox[{"Solve", "[", 
    RowBox[{"eq1", ",", 
     RowBox[{"{", 
      RowBox[{"Einside", ",", "Eoutside"}], "}"}]}], "]"}], " ", "//", 
   "First"}]}]], "Input"],

Cell[BoxData[
 RowBox[{
  RowBox[{"eField", "[", 
   RowBox[{"rr_", ",", 
    RowBox[{"RR_:", "1"}], ",", 
    RowBox[{"\[Rho]\[Rho]_:", "1"}]}], "]"}], ":=", " ", 
  RowBox[{
   RowBox[{
    RowBox[{"If", "[", " ", 
     RowBox[{
      RowBox[{"rr", "\[LessEqual]", "RR"}], ",", " ", "Einside", ",", 
      "Eoutside"}], "]"}], "/.", "sol"}], "/.", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"r", "\[Rule]", "rr"}], ",", 
     RowBox[{"R", "\[Rule]", "RR"}], ",", 
     RowBox[{"\[Rho]", "\[Rule]", "\[Rho]\[Rho]"}]}], "}"}]}]}]], "Input"],

Cell[BoxData[
 RowBox[{"p1", "=", 
  RowBox[{"Plot", "[", 
   RowBox[{
    RowBox[{"eField", "[", "r", "]"}], ",", 
    RowBox[{"{", 
     RowBox[{"r", ",", 
      SuperscriptBox["10", 
       RowBox[{"-", "6"}]], ",", "3"}], "}"}]}], "]"}]}]], "Input",
 CellChangeTimes->{3.42435832277916*^9}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"medium1", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"Hue", "[", ".2", "]"}], ",", 
     RowBox[{"Polygon", "[", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"1", ",", ".51"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"1", ",", "0"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"3", ",", "0"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"3", ",", ".51"}], "}"}]}], "}"}], "]"}]}], "}"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"medium2", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"Hue", "[", ".5", "]"}], ",", 
     RowBox[{"Polygon", "[", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"0", ",", ".51"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"0", ",", "0"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"1", ",", "0"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"1", ",", ".51"}], "}"}]}], "}"}], "]"}]}], "}"}]}], 
  ";"}]}], "Input"],

Cell[BoxData[
 RowBox[{"Show", "[", "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{"Graphics", "[", 
      RowBox[{"{", "\[IndentingNewLine]", 
       RowBox[{
       "medium1", ",", "\[IndentingNewLine]", "medium2", ",", 
        "\[IndentingNewLine]", 
        RowBox[{"Text", "[", 
         RowBox[{"\"\<Inside \>\"", ",", 
          RowBox[{"{", 
           RowBox[{"0.5", ",", "0.4"}], "}"}]}], "]"}], ",", 
        "\[IndentingNewLine]", 
        RowBox[{"Text", "[", 
         RowBox[{"\"\<Outside\>\"", ",", 
          RowBox[{"{", 
           RowBox[{"2.0", ",", "0.4"}], "}"}]}], "]"}]}], "}"}], "]"}], ",", 
     "\[IndentingNewLine]", "p1"}], "\[IndentingNewLine]", "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"AxesLabel", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"\"\<Distance \>\"", ",", "\"\<Electric Field\>\""}], "}"}]}], 
   ",", "\[IndentingNewLine]", 
   RowBox[{"Axes", "\[Rule]", "True"}], ",", "\[IndentingNewLine]", 
   RowBox[{"AspectRatio", "\[Rule]", 
    RowBox[{"1", "/", "GoldenRatio"}]}]}], "]"}]], "Input",
 CellChangeTimes->{
  3.424358328720245*^9, {3.424361835147464*^9, 3.424361840610597*^9}}]
}, Closed]],

Cell[CellGroupData[{

Cell["Part b", "Subsubsection"],

Cell[BoxData[
 RowBox[{
  RowBox[{"vOut", "[", 
   RowBox[{"r_", ",", "R_"}], "]"}], "=", 
  RowBox[{"-", 
   RowBox[{"Integrate", "[", 
    RowBox[{
     RowBox[{"Eoutside", "/.", "sol"}], ",", 
     RowBox[{"{", 
      RowBox[{"r", ",", "\[Infinity]", ",", "r"}], "}"}], ",", 
     RowBox[{"GenerateConditions", "\[Rule]", "False"}]}], "]"}]}]}]], "Input",\

 CellChangeTimes->{{3.424361740057869*^9, 3.42436174461742*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"vIn", "[", 
   RowBox[{"r_", ",", "R_"}], "]"}], "=", 
  RowBox[{
   RowBox[{"(", 
    RowBox[{
     RowBox[{"vOut", "[", 
      RowBox[{"R", ",", "R"}], "]"}], "-", 
     RowBox[{"Integrate", "[", 
      RowBox[{
       RowBox[{"Einside", "/.", "sol"}], ",", 
       RowBox[{"{", 
        RowBox[{"r", ",", "R", ",", "r"}], "}"}]}], "]"}]}], ")"}], "//", 
   "Simplify"}]}]], "Input"],

Cell[TextData[{
 "The potential for all  ",
 StyleBox["r",
  FontFamily->"Courier",
  FontWeight->"Bold"],
 " is   "
}], "Special5",
 Evaluatable->False,
 AspectRatioFixed->True],

Cell["v[r_,R_]:= If[r<R,vIn[r,R],vOut[r,R]]; ", "Input",
 AspectRatioFixed->True],

Cell[BoxData[
 RowBox[{"p2", "=", 
  RowBox[{"Plot", "[", 
   RowBox[{
    RowBox[{
     RowBox[{"v", "[", 
      RowBox[{"r", ",", "1"}], "]"}], "/.", 
     RowBox[{"\[Rho]", "\[Rule]", "1"}]}], ",", 
    RowBox[{"{", 
     RowBox[{"r", ",", 
      SuperscriptBox["10", 
       RowBox[{"-", "6"}]], ",", "3"}], "}"}]}], "]"}]}]], "Input",
 CellChangeTimes->{3.424358336695622*^9}],

Cell[BoxData[
 RowBox[{"Show", "[", 
  RowBox[{
   RowBox[{"{", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"Graphics", "[", 
      RowBox[{"{", "\[IndentingNewLine]", 
       RowBox[{
       "medium1", ",", "\[IndentingNewLine]", "medium2", ",", 
        "\[IndentingNewLine]", 
        RowBox[{"Text", "[", 
         RowBox[{"\"\<Inside \>\"", ",", 
          RowBox[{"{", 
           RowBox[{"0.5", ",", "0.3"}], "}"}]}], "]"}], ",", 
        "\[IndentingNewLine]", 
        RowBox[{"Text", "[", 
         RowBox[{"\"\<Outside\>\"", ",", 
          RowBox[{"{", 
           RowBox[{"2.0", ",", "0.3"}], "}"}]}], "]"}]}], "}"}], "]"}], ",", 
     "\[IndentingNewLine]", "p2"}], "\[IndentingNewLine]", "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"AxesLabel", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"\"\<Distance \>\"", ",", "\"\<Potential Field\>\""}], "}"}]}], 
   ",", "\[IndentingNewLine]", 
   RowBox[{"Axes", "\[Rule]", "True"}], ",", "\[IndentingNewLine]", 
   RowBox[{"AspectRatio", "\[Rule]", 
    RowBox[{"1", "/", "GoldenRatio"}]}]}], "\[IndentingNewLine]", 
  "]"}]], "Input",
 CellChangeTimes->{
  3.424358342639058*^9, {3.424361853942314*^9, 3.42436185855141*^9}}]
}, Closed]],

Cell[CellGroupData[{

Cell["Part c", "Subsubsection"],

Cell[BoxData[
 RowBox[{
  RowBox[{"vv", "[", 
   RowBox[{"x_", ",", "y_", ",", 
    RowBox[{"z_:", "0"}], ",", 
    RowBox[{"R_:", "1"}], ",", 
    RowBox[{"\[Rho]\[Rho]_:", "1"}]}], "]"}], ":=", "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{"If", "[", 
    RowBox[{
     RowBox[{"r", "<", "R"}], ",", 
     RowBox[{
      RowBox[{"vIn", "[", 
       RowBox[{"r", ",", "R"}], "]"}], "//", "Evaluate"}], ",", 
     RowBox[{
      RowBox[{"vOut", "[", 
       RowBox[{"r", ",", "R"}], "]"}], "//", "Evaluate"}]}], "]"}], " ", "/.",
    
   RowBox[{"{", 
    RowBox[{
     RowBox[{"r", "->", 
      SqrtBox[
       RowBox[{
        SuperscriptBox["x", "2"], "+", 
        SuperscriptBox["y", "2"], "+", 
        SuperscriptBox["z", "2"]}]]}], ",", 
     RowBox[{"\[Rho]", "\[Rule]", "\[Rho]\[Rho]"}]}], "}"}], " "}]}]], "Input"],

Cell[BoxData[
 RowBox[{"vPlot", "=", 
  RowBox[{"ContourPlot", "[", 
   RowBox[{
    RowBox[{"vv", "[", 
     RowBox[{"x", ",", "y"}], "]"}], " ", ",", 
    RowBox[{"{", 
     RowBox[{"x", ",", 
      RowBox[{"-", "2"}], ",", "2"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"y", ",", 
      RowBox[{"-", "2"}], ",", "2"}], "}"}], ",", "\[IndentingNewLine]", 
    RowBox[{"PlotPoints", "\[Rule]", "30"}], ",", "\[IndentingNewLine]", 
    RowBox[{"ColorFunction", "\[Rule]", "Hue"}]}], "]"}]}]], "Input",
 CellChangeTimes->{3.42436175313903*^9, 3.42436189033058*^9}],

Cell[TextData[{
 StyleBox["(* OBSOLETE  ",
  FontColor->RGBColor[1, 0, 0]],
 "Needs[\"Graphics`PlotField`\"]; *)"
}], "Input",
 CellChangeTimes->{{3.424361918981571*^9, 3.424361927810531*^9}},
 AspectRatioFixed->True],

Cell[BoxData[
 RowBox[{"Needs", "[", "\"\<VectorFieldPlots`\>\"", "]"}]], "Input",
 CellChangeTimes->{3.424361932127035*^9}],

Cell[BoxData[
 RowBox[{"ePlot", "=", 
  RowBox[{"VectorFieldPlots`GradientFieldPlot", "[", 
   RowBox[{
    RowBox[{"-", 
     RowBox[{"vv", "[", 
      RowBox[{"x", ",", "y"}], "]"}]}], ",", 
    RowBox[{"{", 
     RowBox[{"x", ",", 
      RowBox[{"-", "2"}], ",", "2"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"y", ",", 
      RowBox[{"-", "2"}], ",", "2"}], "}"}], ",", 
    RowBox[{"ScaleFunction", "\[Rule]", 
     RowBox[{"(", 
      RowBox[{"1", "&"}], ")"}]}]}], "]"}]}]], "Input",
 CellChangeTimes->{
  3.424358351800392*^9, {3.424361936652868*^9, 3.424361940527179*^9}}],

Cell[BoxData[
 RowBox[{"Show", "[", 
  RowBox[{"{", 
   RowBox[{"vPlot", ",", "ePlot"}], "}"}], "]"}]], "Input",
 CellChangeTimes->{3.424358359161075*^9}]
}, Closed]],

Cell[CellGroupData[{

Cell["Part d", "Subsubsection"],

Cell[BoxData[
 RowBox[{"ePlot3D", "=", 
  RowBox[{"VectorFieldPlots`GradientFieldPlot3D", "[", 
   RowBox[{
    RowBox[{"-", 
     RowBox[{"vv", "[", 
      RowBox[{"x", ",", "y", ",", "z"}], "]"}]}], ",", 
    RowBox[{"{", 
     RowBox[{"x", ",", "0", ",", "2"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"y", ",", "0", ",", "2"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"z", ",", "0", ",", "2"}], "}"}], ",", 
    RowBox[{"VectorHeads", "\[Rule]", "True"}], ",", 
    RowBox[{"ScaleFunction", "\[Rule]", 
     RowBox[{"(", 
      RowBox[{"1", "&"}], ")"}]}]}], "]"}]}]], "Input",
 CellChangeTimes->{{3.424361767169369*^9, 3.424361770388069*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"point", "[", 
   RowBox[{"r_", ",", 
    RowBox[{"R_:", "1"}]}], "]"}], ":=", 
  RowBox[{"{", 
   RowBox[{
    RowBox[{"r", " ", 
     RowBox[{"Sin", "[", "\[Theta]", "]"}], " ", 
     RowBox[{"Cos", "[", "\[CurlyPhi]", "]"}]}], ",", 
    RowBox[{"r", " ", 
     RowBox[{"Sin", "[", "\[Theta]", "]"}], " ", 
     RowBox[{"Sin", "[", "\[CurlyPhi]", "]"}]}], ",", 
    RowBox[{"r", " ", 
     RowBox[{"Cos", "[", "\[Theta]", "]"}]}]}], "}"}]}]], "Input"],

Cell[BoxData[
 RowBox[{
  RowBox[{"potPlot3D", "[", "r_", "]"}], ":=", "\[IndentingNewLine]", 
  RowBox[{"ParametricPlot3D", "[", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"point", "[", "r", "]"}], "//", "Evaluate"}], ",", 
    RowBox[{"{", 
     RowBox[{"\[Theta]", ",", "0", ",", 
      RowBox[{"\[Pi]", "/", "2"}]}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"\[CurlyPhi]", ",", "0", ",", 
      RowBox[{"\[Pi]", "/", "2"}]}], "}"}], ",", "\[IndentingNewLine]", 
    RowBox[{"PlotPoints", "\[Rule]", "12"}]}], "]"}]}]], "Input",
 CellChangeTimes->{3.424361775165162*^9}],

Cell[BoxData[
 RowBox[{"Show", "[", "\[IndentingNewLine]", 
  RowBox[{"ePlot3D", ",", "\[IndentingNewLine]", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{"potPlot3D", "[", "r", "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"r", ",", 
       RowBox[{"1", "/", "2"}], ",", "2", ",", 
       RowBox[{"1", "/", "2"}]}], "}"}]}], "]"}], ",", "\[IndentingNewLine]", 
   
   RowBox[{"PlotRange", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"0", ",", "1"}], "}"}]}]}], "]"}]], "Input",
 CellChangeTimes->{3.424358376561983*^9}]
}, Closed]]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell["Problem 3: Electric Dipole    ", "Subsection",
 Evaluatable->False,
 AspectRatioFixed->True],

Cell["Remarks and Outline", "Subsubsection",
 Evaluatable->False,
 AspectRatioFixed->True],

Cell[CellGroupData[{

Cell["Solution:", "Subsubsection",
 Evaluatable->False,
 AspectRatioFixed->True],

Cell["Clear[\"Global`*\"];", "Input",
 AspectRatioFixed->True],

Cell[CellGroupData[{

Cell["Part a", "Subsubsection"],

Cell[BoxData[
 RowBox[{
  RowBox[{"monopole", "[", 
   RowBox[{"q_", ",", 
    RowBox[{"p0_:", 
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "0"}], "}"}]}], ",", 
    RowBox[{"p1_:", 
     RowBox[{"{", 
      RowBox[{"x", ",", "y", ",", "z"}], "}"}]}]}], "]"}], ":=", 
  FractionBox["q", 
   SqrtBox[
    RowBox[{
     RowBox[{"(", 
      RowBox[{"p0", "-", "p1"}], ")"}], ".", 
     RowBox[{"(", 
      RowBox[{"p0", "-", "p1"}], ")"}]}]]]}]], "Input"],

Cell[BoxData[
 RowBox[{"dipole", "=", 
  RowBox[{"(", 
   RowBox[{
    RowBox[{"monopole", "[", 
     RowBox[{
      RowBox[{"-", "q"}], ",", 
      RowBox[{"{", 
       RowBox[{"0", ",", "0", ",", 
        RowBox[{
         RowBox[{"-", "d"}], "/", "2"}]}], "}"}]}], "]"}], "+", 
    RowBox[{"monopole", "[", 
     RowBox[{
      RowBox[{"+", "q"}], ",", 
      RowBox[{"{", 
       RowBox[{"0", ",", "0", ",", 
        RowBox[{
         RowBox[{"+", "d"}], "/", "2"}]}], "}"}]}], "]"}]}], ")"}]}]], "Input"],

Cell[BoxData[
 RowBox[{"ContourPlot", "[", 
  RowBox[{
   RowBox[{
    RowBox[{"dipole", "/.", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"q", "\[Rule]", "1"}], ",", 
       RowBox[{"d", "\[Rule]", "1"}], ",", 
       RowBox[{"y", "\[Rule]", "0"}]}], "}"}]}], " ", "//", "Evaluate"}], ",",
    "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{"x", ",", 
     RowBox[{"-", "2"}], ",", "2"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"z", ",", 
     RowBox[{"-", "2"}], ",", "2"}], "}"}], ",", "\[IndentingNewLine]", 
   RowBox[{"PlotPoints", "\[Rule]", "45"}], ",", "\[IndentingNewLine]", 
   RowBox[{"Contours", "\[Rule]", "21"}], ",", "\[IndentingNewLine]", 
   RowBox[{"ColorFunction", "\[Rule]", "Hue"}], ",", "\[IndentingNewLine]", 
   RowBox[{"Axes", "\[Rule]", "True"}], ",", "\[IndentingNewLine]", 
   RowBox[{"AxesLabel", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"\"\<x-axis\>\"", ",", "\"\<z-axis\>\""}], "}"}]}]}], 
  "]"}]], "Input",
 CellChangeTimes->{3.424358384490942*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"Needs", "[", "\"\<VectorFieldPlots`\>\"", "]"}], ";"}]], "Input"],

Cell[BoxData[
 RowBox[{"plot", "=", 
  RowBox[{"(", 
   RowBox[{
    RowBox[{"Needs", "[", "\"\<VectorFieldPlots`\>\"", "]"}], ";", 
    RowBox[{"VectorFieldPlots`GradientFieldPlot3D", "[", 
     RowBox[{
      RowBox[{"Evaluate", "[", 
       RowBox[{
        RowBox[{"-", "dipole"}], "/.", "\[InvisibleSpace]", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"q", "\[Rule]", "1"}], ",", 
          RowBox[{"d", "\[Rule]", "1"}]}], "}"}]}], "]"}], ",", 
      RowBox[{"{", 
       RowBox[{"x", ",", 
        RowBox[{"-", "0.5`"}], ",", "0.5`"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"y", ",", 
        RowBox[{"-", "0.5`"}], ",", "0.5`"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"z", ",", 
        RowBox[{"-", "1.`"}], ",", "1.`"}], "}"}], ",", 
      RowBox[{"PlotPoints", "\[Rule]", "6"}], ",", 
      RowBox[{"ColorFunction", "\[Rule]", "Hue"}], ",", 
      RowBox[{"VectorHeads", "\[Rule]", "True"}], ",", 
      RowBox[{"ScaleFunction", "\[Rule]", 
       RowBox[{"(", 
        RowBox[{"1", "&"}], ")"}]}], ",", 
      RowBox[{"BoxRatios", "\[Rule]", 
       RowBox[{"{", 
        RowBox[{"1", ",", "1", ",", "2"}], "}"}]}]}], "]"}]}], 
   ")"}]}]], "Input",
 CellChangeTimes->{3.424358395319278*^9}],

Cell[BoxData[
 RowBox[{"Show", "[", 
  RowBox[{"plot", ",", 
   RowBox[{"ViewPoint", "->", 
    RowBox[{"{", 
     RowBox[{"0", ",", "3", ",", "0"}], "}"}]}]}], " ", "]"}]], "Input",
 CellChangeTimes->{3.424358402025609*^9}]
}, Closed]],

Cell[CellGroupData[{

Cell["Part b", "Subsubsection"],

Cell[BoxData[
 RowBox[{
  RowBox[{"Needs", "[", "\"\<VectorAnalysis`\>\"", "]"}], ";"}]], "Input"],

Cell[BoxData[
 RowBox[{"x2rRule", "=", 
  RowBox[{"Thread", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"x", ",", "y", ",", "z"}], "}"}], "\[Rule]", 
    RowBox[{"CoordinatesToCartesian", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"r", ",", "\[Theta]", ",", "\[CurlyPhi]"}], "}"}], ",", 
      "Spherical"}], "]"}]}], "]"}]}]], "Input"],

Cell[BoxData[
 RowBox[{"potential", "=", 
  RowBox[{
   RowBox[{"dipole", "/.", "x2rRule"}], "//", "Simplify"}]}]], "Input"],

Cell[BoxData[
 RowBox[{"dipoleR", "=", 
  RowBox[{
   RowBox[{
    RowBox[{"Series", "[", 
     RowBox[{"potential", ",", 
      RowBox[{"{", 
       RowBox[{"r", ",", "\[Infinity]", ",", "2"}], "}"}]}], "]"}], "//", 
    "Normal"}], "//", "Simplify"}]}]], "Input"],

Cell[BoxData[
 RowBox[{"eField", "=", 
  RowBox[{"-", 
   RowBox[{"Grad", "[", 
    RowBox[{"dipoleR", ",", 
     RowBox[{"Spherical", "[", 
      RowBox[{"r", ",", "\[Theta]", ",", "\[CurlyPhi]"}], "]"}]}], 
    "]"}]}]}]], "Input"]
}, Closed]],

Cell[CellGroupData[{

Cell["Part c", "Subsubsection"],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"rotDipole", "[", "\[Theta]_", "]"}], "=", 
   RowBox[{"(", "  ", 
    RowBox[{
     RowBox[{"monopole", "[", 
      RowBox[{
       RowBox[{"+", "1"}], ",", 
       RowBox[{
        RowBox[{"1", "/", "2"}], 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"+", 
           RowBox[{"Sin", "[", "\[Theta]", "]"}]}], ",", "0", ",", 
          RowBox[{"+", 
           RowBox[{"Cos", "[", "\[Theta]", "]"}]}]}], "}"}]}]}], "]"}], "+", 
     RowBox[{"monopole", "[", 
      RowBox[{
       RowBox[{"-", "1"}], ",", 
       RowBox[{
        RowBox[{"1", "/", "2"}], 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"-", 
           RowBox[{"Sin", "[", "\[Theta]", "]"}]}], ",", "0", ",", 
          RowBox[{"-", 
           RowBox[{"Cos", "[", "\[Theta]", "]"}]}]}], "}"}]}]}], "]"}]}], " ",
     ")"}]}], ";"}]], "Input"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"frames", "=", "1"}], ";"}], "\n", 
 RowBox[{"Do", "[", "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"GradientFieldPlot", "[", 
     RowBox[{
      RowBox[{
       RowBox[{"-", 
        RowBox[{"rotDipole", "[", "\[Theta]", "]"}]}], "/.", 
       "\[InvisibleSpace]", 
       RowBox[{"{", 
        RowBox[{"y", "\[Rule]", "0"}], "}"}]}], ",", 
      RowBox[{"{", 
       RowBox[{"x", ",", 
        RowBox[{"-", "2"}], ",", "2"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"z", ",", 
        RowBox[{"-", "2"}], ",", "2"}], "}"}], ",", 
      RowBox[{"PlotPoints", "\[Rule]", "14"}], ",", "\[IndentingNewLine]", 
      RowBox[{"VectorHeads", "\[Rule]", "True"}], ",", "\[IndentingNewLine]", 
      
      RowBox[{"ScaleFunction", "\[Rule]", 
       RowBox[{"(", 
        RowBox[{"1", "&"}], ")"}]}]}], "]"}], " ", "//", "Print"}], 
   "\[IndentingNewLine]", ",", 
   RowBox[{"{", 
    RowBox[{"\[Theta]", ",", 
     FractionBox[
      RowBox[{"2", " ", "\[Pi]"}], "frames"], ",", 
     RowBox[{"2", " ", "\[Pi]"}], ",", 
     FractionBox[
      RowBox[{"2", " ", "\[Pi]"}], "frames"]}], "}"}]}], "]"}]}], "Input",
 CellChangeTimes->{{3.424362084648509*^9, 3.42436214395378*^9}}]
}, Closed]]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell["\<\
Problem 4: Magnetic Vector Potential for a Long Straight Wire\
\>", "Subsection",
 Evaluatable->False,
 AspectRatioFixed->True],

Cell["Remarks and Outline", "Subsubsection",
 Evaluatable->False,
 AspectRatioFixed->True],

Cell[CellGroupData[{

Cell["Solution", "Subsubsection",
 Evaluatable->False,
 AspectRatioFixed->True],

Cell["Clear[\"Global`*\"];", "Input",
 AspectRatioFixed->True],

Cell[CellGroupData[{

Cell["Part a", "Subsubsection"],

Cell[BoxData[
 RowBox[{
  RowBox[{"Az", "[", "r_", "]"}], "=", 
  RowBox[{"Integrate", "[", 
   RowBox[{
    FractionBox["I0", 
     SqrtBox[
      RowBox[{
       SuperscriptBox["z", "2"], "+", 
       SuperscriptBox["r", "2"]}]]], ",", 
    RowBox[{"{", 
     RowBox[{"z", ",", 
      RowBox[{"-", "L"}], ",", "L"}], "}"}], ",", 
    RowBox[{"GenerateConditions", "\[Rule]", "False"}]}], "]"}], 
  " "}]], "Input",
 CellChangeTimes->{{3.42436218478978*^9, 3.42436219070773*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"A", "[", 
   RowBox[{"x_", ",", "y_", ",", "z_"}], "]"}], "=", 
  RowBox[{"{", 
   RowBox[{"0", ",", "0", ",", 
    RowBox[{"Az", "[", 
     SqrtBox[
      RowBox[{
       SuperscriptBox["x", "2"], "+", 
       SuperscriptBox["y", "2"]}]], "]"}]}], "}"}]}]], "Input"]
}, Closed]],

Cell[CellGroupData[{

Cell["Part b", "Subsubsection"],

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"Needs", "[", "\"\<VectorAnalysis`\>\"", "]"}], ";"}], 
  "\[IndentingNewLine]"}], "\n", 
 RowBox[{
  RowBox[{"B", "[", 
   RowBox[{"x_", ",", "y_", ",", "z_"}], "]"}], "=", 
  RowBox[{"Simplify", "[", 
   RowBox[{"Curl", "[", 
    RowBox[{
     RowBox[{"A", "[", 
      RowBox[{"x", ",", "y", ",", "z"}], "]"}], ",", 
     RowBox[{"Cartesian", "[", 
      RowBox[{"x", ",", "y", ",", "z"}], "]"}]}], "]"}], "]"}]}]}], "Input",
 CellChangeTimes->{3.42436223095979*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"B\[Infinity]", "[", 
   RowBox[{"x_", ",", "y_", ",", "z_"}], "]"}], "=", 
  RowBox[{"Limit", "[", 
   RowBox[{
    RowBox[{"B", "[", 
     RowBox[{"x", ",", "y", ",", "z"}], "]"}], ",", 
    RowBox[{"L", "\[Rule]", "\[Infinity]"}]}], "]"}]}]], "Input"]
}, Closed]],

Cell[CellGroupData[{

Cell["Part c", "Subsubsection"],

Cell[BoxData[
 RowBox[{
  RowBox[{"Needs", "[", "\"\<VectorFieldPlots`\>\"", "]"}], ";"}]], "Input"],

Cell[BoxData[
 RowBox[{"p1", "=", 
  RowBox[{"VectorFieldPlot3D", "[", 
   RowBox[{
    RowBox[{
     RowBox[{"B\[Infinity]", "[", 
      RowBox[{"x", ",", "y", ",", "z"}], "]"}], "/.", "\[InvisibleSpace]", 
     RowBox[{"I0", "\[Rule]", "1"}]}], ",", 
    RowBox[{"{", 
     RowBox[{"x", ",", 
      RowBox[{"-", "1"}], ",", "1"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"y", ",", 
      RowBox[{"-", "1"}], ",", "1"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"z", ",", 
      RowBox[{"-", "1"}], ",", "1"}], "}"}], ",", "\[IndentingNewLine]", 
    RowBox[{"PlotPoints", "\[Rule]", "6"}], ",", "\[IndentingNewLine]", 
    RowBox[{"VectorHeads", "\[Rule]", "True"}], ",", "\[IndentingNewLine]", 
    RowBox[{"ViewPoint", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{"1", ",", "1", ",", "3"}], "}"}]}], ",", "\[IndentingNewLine]", 
    
    RowBox[{"ColorFunction", "\[Rule]", "Hue"}], ",", "\[IndentingNewLine]", 
    RowBox[{"ScaleFunction", "\[Rule]", 
     RowBox[{"(", 
      RowBox[{"1", "&"}], ")"}]}], ",", "\[IndentingNewLine]", 
    RowBox[{"ViewPoint", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{"2", ",", "2", ",", "16"}], "}"}]}]}], "]"}]}]], "Input",
 CellChangeTimes->{{3.424362285135559*^9, 3.424362303576746*^9}}],

Cell[BoxData[
 RowBox[{"VectorFieldPlot", "[", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"B\[Infinity]", "[", 
      RowBox[{"x", ",", "y", ",", "z"}], "]"}], "\[LeftDoubleBracket]", 
     RowBox[{"{", 
      RowBox[{"1", ",", "2"}], "}"}], "\[RightDoubleBracket]"}], "/.", 
    "\[InvisibleSpace]", 
    RowBox[{"I0", "\[Rule]", "1"}]}], ",", 
   RowBox[{"{", 
    RowBox[{"x", ",", 
     RowBox[{"-", "3"}], ",", "3"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"y", ",", 
     RowBox[{"-", "3"}], ",", "3"}], "}"}], ",", "\[IndentingNewLine]", 
   RowBox[{"PlotPoints", "\[Rule]", "20"}], ",", "\[IndentingNewLine]", 
   RowBox[{"VectorHeads", "\[Rule]", "True"}], ",", "\[IndentingNewLine]", 
   RowBox[{"ColorFunction", "\[Rule]", "Hue"}], ",", "\[IndentingNewLine]", 
   RowBox[{"ScaleFunction", "\[Rule]", 
    RowBox[{"(", 
     RowBox[{"1", "&"}], ")"}]}]}], "]"}]], "Input",
 CellChangeTimes->{{3.424362339094285*^9, 3.424362357204032*^9}}]
}, Closed]],

Cell[CellGroupData[{

Cell["Part d", "Subsubsection"],

Cell[BoxData[
 RowBox[{
  RowBox[{"Acylind", "[", "r_", "]"}], "=", 
  RowBox[{"{", 
   RowBox[{"0", ",", "0", ",", 
    RowBox[{"Az", "[", "r", "]"}]}], "}"}], " "}]], "Input"],

Cell[BoxData[
 RowBox[{
  RowBox[{"Bcylind", "[", "r_", "]"}], "=", " ", 
  RowBox[{
   RowBox[{"Curl", "[", 
    RowBox[{
     RowBox[{"Acylind", "[", "r", "]"}], ",", 
     RowBox[{"Cylindrical", "[", 
      RowBox[{"r", ",", "\[Theta]", ",", "z"}], "]"}]}], "]"}], "//", 
   RowBox[{
    RowBox[{"Limit", "[", 
     RowBox[{"#", ",", 
      RowBox[{"L", "\[Rule]", "\[Infinity]"}]}], "]"}], "&"}]}]}]], "Input"]
}, Closed]]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell["\<\
Problem 5: Motion of a Charged Particle in a Uniform B Field  \
\>", "Subsection"],

Cell[CellGroupData[{

Cell["Solution", "Subsubsection"],

Cell["Clear[\"Global`*\"];", "Input",
 AspectRatioFixed->True],

Cell[CellGroupData[{

Cell["Part a", "Subsubsection"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"acceleration", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{"x", "''"}], "[", "t", "]"}], ",", 
     RowBox[{
      RowBox[{"y", "''"}], "[", "t", "]"}], ",", 
     RowBox[{
      RowBox[{"z", "''"}], "[", "t", "]"}]}], "}"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"velocity", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{"x", "'"}], "[", "t", "]"}], ",", 
     RowBox[{
      RowBox[{"y", "'"}], "[", "t", "]"}], ",", 
     RowBox[{
      RowBox[{"z", "'"}], "[", "t", "]"}]}], "}"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"magneticField", "=", 
   RowBox[{"{", 
    RowBox[{"0", ",", "0", ",", "B"}], "}"}]}], ";"}]}], "Input"],

Cell[BoxData[
 RowBox[{"eq1", "=", 
  RowBox[{
   RowBox[{"acceleration", "==", 
    RowBox[{
     RowBox[{"q", "/", "m"}], "  ", 
     RowBox[{"Cross", "[", 
      RowBox[{"velocity", ",", "magneticField"}], "]"}]}]}], "//", "Thread", 
   " "}]}]], "Input"],

Cell[BoxData[
 RowBox[{"eq1", "=", 
  RowBox[{"eq1", "/.", 
   RowBox[{"{", 
    RowBox[{"B", "\[Rule]", 
     RowBox[{
      RowBox[{"m", "/", "q"}], "  ", "\[Omega]"}]}], "}"}]}]}]], "Input"],

Cell[BoxData[
 RowBox[{
  RowBox[{"initial", "=", 
   RowBox[{"{", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{
      RowBox[{"x", "[", "0", "]"}], "\[Equal]", "0"}], ",", 
     RowBox[{
      RowBox[{
       RowBox[{"x", "'"}], "[", "0", "]"}], "\[Equal]", "v0x"}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"y", "[", "0", "]"}], "\[Equal]", "0"}], ",", 
     RowBox[{
      RowBox[{
       RowBox[{"y", "'"}], "[", "0", "]"}], "\[Equal]", "v0y"}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"z", "[", "0", "]"}], "\[Equal]", "0"}], ",", 
     RowBox[{
      RowBox[{
       RowBox[{"z", "'"}], "[", "0", "]"}], "\[Equal]", "v0z"}]}], "}"}]}], 
  ";"}]], "Input"],

Cell[BoxData[
 RowBox[{"dsol", "=", " ", 
  RowBox[{
   RowBox[{
    RowBox[{"DSolve", "[", 
     RowBox[{
      RowBox[{"Join", "[", 
       RowBox[{"{", 
        RowBox[{"eq1", ",", "initial"}], "}"}], "]"}], ",", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"x", "[", "t", "]"}], ",", 
        RowBox[{"y", "[", "t", "]"}], ",", 
        RowBox[{"z", "[", "t", "]"}]}], "}"}], ",", "t"}], "]"}], " ", "//", 
    "Flatten"}], "//", "FullSimplify"}]}]], "Input"]
}, Closed]],

Cell[CellGroupData[{

Cell["Part b", "Subsubsection"],

Cell[BoxData[
 RowBox[{
  RowBox[{"values", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"B", "\[Rule]", 
      RowBox[{
       RowBox[{"m", "/", "q"}], "  ", "\[Omega]"}]}], ",", " ", 
     RowBox[{"\[Omega]", "\[Rule]", "1"}], ",", 
     RowBox[{"v0x", "\[Rule]", "1"}], ",", 
     RowBox[{"v0y", "\[Rule]", "1"}], ",", 
     RowBox[{"v0z", "\[Rule]", 
      RowBox[{"1", "/", "10"}]}]}], " ", "}"}]}], ";"}]], "Input"],

Cell[BoxData[
 RowBox[{"plot1", "=", " ", 
  RowBox[{"ParametricPlot3D", "[", 
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{"x", "[", "t", "]"}], ",", 
         RowBox[{"y", "[", "t", "]"}], ",", 
         RowBox[{"z", "[", "t", "]"}]}], "}"}], "/.", "dsol"}], "/.", 
      "values"}], " ", "//", "Evaluate"}], ",", "\[IndentingNewLine]", 
    RowBox[{"{", 
     RowBox[{"t", ",", "0", ",", 
      RowBox[{"8", "\[Pi]"}]}], "}"}], ",", "\[IndentingNewLine]", 
    RowBox[{"PlotPoints", "\[Rule]", "100"}], " ", ",", "\[IndentingNewLine]",
     
    RowBox[{"PlotStyle", "->", 
     RowBox[{"{", 
      RowBox[{"Thickness", "[", "0.02", "]"}], "}"}]}]}], 
   "\[IndentingNewLine]", "]"}]}]], "Input",
 CellChangeTimes->{
  3.424358443514477*^9, {3.42436255781918*^9, 3.424362567941892*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"Needs", "[", "\"\<VectorFieldPlots`\>\"", "]"}], 
  "\n"}], "\[IndentingNewLine]", 
 RowBox[{"plot2", "=", 
  RowBox[{"VectorFieldPlot3D", "[", 
   RowBox[{
    RowBox[{
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "1"}], "}"}], " ", "//", "Evaluate"}], ",", 
    "\[IndentingNewLine]", 
    RowBox[{"{", 
     RowBox[{"x", ",", 
      RowBox[{"-", "2"}], ",", "2"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"y", ",", 
      RowBox[{"-", "2"}], ",", "2"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"z", ",", "0", ",", "2"}], "}"}], ",", "\[IndentingNewLine]", 
    RowBox[{"VectorHeads", "\[Rule]", "True"}], ",", "\[IndentingNewLine]", 
    RowBox[{"PlotPoints", "\[Rule]", "6"}]}], "]"}]}]}], "Input",
 CellChangeTimes->{{3.424362504634715*^9, 3.424362527068706*^9}, {
  3.424362581608033*^9, 3.424362581768856*^9}, {3.424362621676881*^9, 
  3.424362634233295*^9}}],

Cell[BoxData[
 RowBox[{" ", 
  RowBox[{"Show", "[", 
   RowBox[{"plot1", ",", "plot2"}], "]"}]}]], "Input",
 CellChangeTimes->{3.424358451760797*^9}]
}, Closed]]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell["\<\
Problem 6: Motion of a Charged Particle in a Uniform B Field and Time Varying \
E Field \
\>", "Subsection"],

Cell[CellGroupData[{

Cell["Solution", "Subsubsection"],

Cell["Clear[\"Global`*\"];", "Input",
 AspectRatioFixed->True],

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"F", "=", 
    RowBox[{"{", 
     RowBox[{"Fx", ",", "Fy", ",", "Fz"}], "}"}]}], ";"}], 
  " "}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"r", "=", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"x", "[", "t", "]"}], ",", 
      RowBox[{"y", "[", "t", "]"}], ",", 
      RowBox[{"z", "[", "t", "]"}]}], "}"}]}], ";"}], 
  " "}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"EF", "=", 
    RowBox[{"{", 
     RowBox[{"Ex", ",", "Ey", ",", "Ez"}], "}"}]}], ";"}], 
  " "}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"BF", "=", 
   RowBox[{"{", 
    RowBox[{"Bx", ",", "By", ",", "Bz"}], "}"}]}], ";", " ", 
  RowBox[{"v", "=", 
   RowBox[{"D", "[", 
    RowBox[{"r", ",", "t"}], "]"}]}]}]}], "Input"],

Cell[BoxData[
 RowBox[{"F", "=", 
  RowBox[{
   RowBox[{"q", " ", "EF"}], "+", 
   RowBox[{"q", " ", 
    RowBox[{"Cross", "[", 
     RowBox[{"v", ",", "BF"}], "]"}]}]}]}]], "Input"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"eq1", "=", " ", 
   RowBox[{
    RowBox[{
     RowBox[{"F", "-", 
      RowBox[{"m", " ", 
       RowBox[{"D", "[", 
        RowBox[{"r", ",", 
         RowBox[{"{", 
          RowBox[{"t", ",", "2"}], "}"}]}], "]"}]}]}], "\[Equal]", "0"}], " ",
     "//", "Thread"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"eq1", " ", "//", "Column"}]}], "Input",
 CellChangeTimes->{3.42435846357946*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"initial", "=", 
   RowBox[{"{", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{
      RowBox[{"x", "[", "0", "]"}], "\[Equal]", "0"}], ",", 
     RowBox[{
      RowBox[{
       RowBox[{"x", "'"}], "[", "0", "]"}], "\[Equal]", "0"}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"y", "[", "0", "]"}], "\[Equal]", "0"}], ",", 
     RowBox[{
      RowBox[{
       RowBox[{"y", "'"}], "[", "0", "]"}], "\[Equal]", "0"}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"z", "[", "0", "]"}], "\[Equal]", "0"}], ",", 
     RowBox[{
      RowBox[{
       RowBox[{"z", "'"}], "[", "0", "]"}], "\[Equal]", "0"}]}], "}"}]}], 
  ";"}]], "Input"],

Cell[BoxData[
 RowBox[{"fields", "=", " ", 
  RowBox[{
   RowBox[{"Thread", " ", "/@", " ", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"BF", "\[Rule]", 
       RowBox[{"{", 
        RowBox[{"0", ",", "0", ",", 
         RowBox[{"m", " ", 
          RowBox[{"\[Omega]0", "/", "q"}]}]}], "}"}]}], ",", 
      RowBox[{"EF", "\[Rule]", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"E0", "  ", 
          RowBox[{"Cos", "[", 
           RowBox[{"\[Omega]", " ", "t"}], " ", "]"}]}], ",", "0", ",", "0"}],
         "}"}]}]}], "}"}]}], " ", "//", "Flatten"}]}]], "Input"],

Cell[BoxData[
 RowBox[{"eqs", "=", 
  RowBox[{
   RowBox[{"Join", "[", 
    RowBox[{"eq1", ",", "initial"}], "]"}], "/.", "fields"}]}]], "Input"],

Cell[BoxData[
 RowBox[{"dsol", "=", 
  RowBox[{
   RowBox[{
    RowBox[{"DSolve", "[", 
     RowBox[{"eqs", ",", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"x", "[", "t", "]"}], ",", 
        RowBox[{"y", "[", "t", "]"}], ",", 
        RowBox[{"z", "[", "t", "]"}]}], "}"}], ",", "t"}], "]"}], " ", "//", 
    "Flatten"}], "//", "FullSimplify"}]}]], "Input"],

Cell[BoxData[
 RowBox[{
  RowBox[{"values", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"m", "\[Rule]", "1"}], ",", 
     RowBox[{"E0", "\[Rule]", "1"}], ",", 
     RowBox[{"\[Omega]0", "\[Rule]", "1"}], ",", " ", 
     RowBox[{"q", "\[Rule]", " ", "1"}]}], " ", "}"}]}], ";"}]], "Input"],

Cell[BoxData[
 RowBox[{
  RowBox[{"point", "[", 
   RowBox[{"t_", ",", "\[Omega]_"}], "]"}], "=", 
  RowBox[{
   RowBox[{
    RowBox[{"{", 
     RowBox[{
      RowBox[{"x", "[", "t", "]"}], ",", 
      RowBox[{"y", "[", "t", "]"}], ",", 
      RowBox[{"z", "[", "t", "]"}]}], "}"}], " ", "/.", "dsol"}], " ", "/.", 
   "values"}]}]], "Input"],

Cell[BoxData[
 RowBox[{
  RowBox[{"point", "[", 
   RowBox[{"t_", ",", "1"}], "]"}], "=", 
  RowBox[{"Limit", "[", " ", 
   RowBox[{
    RowBox[{"point", "[", 
     RowBox[{"t", ",", "\[Omega]"}], "]"}], ",", 
    RowBox[{"\[Omega]", "\[Rule]", "1"}]}], "]"}]}]], "Input"],

Cell[BoxData[
 RowBox[{
  RowBox[{"point", "[", 
   RowBox[{"t_", ",", "0"}], "]"}], "=", 
  RowBox[{"Limit", "[", " ", 
   RowBox[{
    RowBox[{"point", "[", 
     RowBox[{"t", ",", "\[Omega]"}], "]"}], ",", 
    RowBox[{"\[Omega]", "\[Rule]", "0"}]}], "]"}]}]], "Input"],

Cell[BoxData[
 RowBox[{
  RowBox[{"plot", "[", "\[Omega]_", " ", "]"}], ":=", 
  RowBox[{"ParametricPlot", "[", " ", 
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{"point", "[", 
       RowBox[{"t", ",", "\[Omega]"}], "]"}], "[", 
      RowBox[{"[", 
       RowBox[{"{", 
        RowBox[{"1", ",", "2"}], "}"}], "]"}], "]"}], " ", "//", "Evaluate"}],
     ",", 
    RowBox[{"{", 
     RowBox[{"t", ",", "0", ",", 
      RowBox[{"20", " ", "\[Pi]"}]}], "   ", "}"}], ",", 
    "\[IndentingNewLine]", 
    RowBox[{"PlotLabel", "\[Rule]", "\[Omega]"}], ",", "\[IndentingNewLine]", 
    
    RowBox[{"Ticks", "\[Rule]", "None"}]}], "]"}]}]], "Input",
 CellChangeTimes->{3.424362665807056*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"table", "=", 
   RowBox[{"Table", "[", " ", 
    RowBox[{
     RowBox[{"plot", "[", "\[Omega]", "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"\[Omega]", ",", "0", ",", "4", ",", 
       RowBox[{"1", "/", "3"}]}], "}"}]}], "]"}]}], ";"}]], "Input"],

Cell[BoxData[
 RowBox[{"Show", "[", 
  RowBox[{"GraphicsGrid", "[", 
   RowBox[{"Partition", "[", 
    RowBox[{"table", ",", "3"}], "]"}], "]"}], "]"}]], "Input"]
}, Closed]]
}, Closed]],

Cell[TextData[{
 "2.4 Modern Physics",
 StyleBox[" ",
  FontColor->RGBColor[1, 0, 0]]
}], "Section",
 Evaluatable->False,
 AspectRatioFixed->True],

Cell[CellGroupData[{

Cell["Problem 1:  Carbon Dating", "Subsection",
 Evaluatable->False,
 AspectRatioFixed->True],

Cell[CellGroupData[{

Cell["Solution", "Subsubsection",
 Evaluatable->False,
 AspectRatioFixed->True],

Cell["Clear[\"Global`*\"];", "Input",
 AspectRatioFixed->True],

Cell[BoxData[
 RowBox[{" ", 
  RowBox[{
   RowBox[{"n", "[", "t_", "]"}], "=", 
   RowBox[{"n0", " ", 
    RowBox[{"Exp", "[", 
     RowBox[{
      RowBox[{"-", "a"}], " ", "t"}], "]"}]}]}]}]], "Input"],

Cell[BoxData[
 RowBox[{"eq1", "=", " ", 
  RowBox[{
   RowBox[{
    RowBox[{"1", "/", "2"}], " ", 
    RowBox[{"n", "[", "0", "]"}]}], "\[Equal]", " ", 
   RowBox[{"n", "[", " ", "5750", "]"}]}]}]], "Input"],

Cell[BoxData[
 RowBox[{"aSol", "=", " ", 
  RowBox[{
   RowBox[{"Solve", "[", 
    RowBox[{"eq1", ",", "a"}], "]"}], " ", "//", "Flatten"}]}]], "Input"],

Cell[BoxData[
 RowBox[{" ", 
  RowBox[{
   RowBox[{"n", "[", "t_", "]"}], "=", 
   RowBox[{
    RowBox[{"n", "[", "t", "]"}], " ", "/.", "aSol"}]}]}]], "Input"],

Cell[BoxData[
 RowBox[{"eq2", "=", 
  RowBox[{"Eliminate", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
      RowBox[{"n1", "\[Equal]", 
       RowBox[{"n", "[", "t", "]"}]}], ",", " ", 
      RowBox[{"ratio", "==", 
       RowBox[{"n1", "/", "n0"}]}]}], "}"}], ",", "n0"}], "]"}]}]], "Input"],

Cell[BoxData[
 RowBox[{"ageRule", "=", 
  RowBox[{
   RowBox[{"Solve", "[", 
    RowBox[{"eq2", ",", "t"}], "]"}], " ", "//", "First"}]}]], "Input"],

Cell[BoxData[
 RowBox[{
  RowBox[{"time", "[", "ratio_", "]"}], "=", " ", 
  RowBox[{"t", " ", "/.", "ageRule"}]}]], "Input"],

Cell[BoxData[
 RowBox[{
  RowBox[{"data", "=", " ", 
   RowBox[{
    RowBox[{"Table", "[", " ", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"ratio", ",", " ", 
        RowBox[{"time", "[", "ratio", "]"}]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"ratio", ",", "0", ",", "1", ",", 
        RowBox[{"1", "/", "10"}]}], "}"}]}], "]"}], " ", "//", "N"}]}], 
  ";"}]], "Input"],

Cell[BoxData[
 RowBox[{
  RowBox[{"TableForm", "[", " ", 
   RowBox[{"data", " ", ",", "\[IndentingNewLine]", " ", 
    RowBox[{"TableHeadings", "->", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"\"\<Fraction Left\>\"", " ", ",", "\"\<Age(yrs)\>\""}], 
        "}"}]}], "}"}]}], ",", "\[IndentingNewLine]", 
    RowBox[{"TableAlignments", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{"Right", ",", "Bottom"}], "}"}]}]}], "\[IndentingNewLine]", 
   "]"}], " ", "//", 
  RowBox[{
   RowBox[{"PaddedForm", "[", 
    RowBox[{"#", ",", 
     RowBox[{"{", 
      RowBox[{"6", ",", "1"}], "}"}]}], "]"}], "&"}]}]], "Input"],

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"t0", "=", "5750"}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{"Plot", "[", " ", 
  RowBox[{
   RowBox[{
    RowBox[{"n", "[", "t", "]"}], "/", "n0"}], ",", 
   RowBox[{"{", 
    RowBox[{"t", ",", "0", ",", 
     RowBox[{"5", " ", "t0"}]}], "}"}], ",", "\[IndentingNewLine]", 
   RowBox[{"AspectRatio", "\[Rule]", "1"}], ",", "\[IndentingNewLine]", 
   RowBox[{"Background", "\[Rule]", 
    RowBox[{"Hue", "[", 
     RowBox[{"0.2", ",", "0.5", ",", "1"}], "]"}]}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"Ticks", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"Range", "[", 
       RowBox[{"0", ",", 
        RowBox[{"5", " ", "t0"}], ",", "t0"}], "]"}], ",", 
      RowBox[{"Table", "[", 
       RowBox[{
        RowBox[{"1", "/", 
         RowBox[{"2", "^", "i"}]}], ",", 
        RowBox[{"{", 
         RowBox[{"i", ",", "0", ",", "3"}], "}"}]}], "]"}]}], "}"}]}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"AxesLabel", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"\"\<Age(yrs)\>\"", ",", "\"\<ratio=n1/n0\>\""}], "}"}]}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"PlotStyle", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"Thickness", "[", "0.02", "]"}], ",", 
      RowBox[{"Hue", "[", "0.9", "]"}]}], "}"}]}], ",", "\[IndentingNewLine]",
    
   RowBox[{"GridLines", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"Range", "[", 
       RowBox[{"0", ",", 
        RowBox[{"5", " ", "t0"}], ",", "t0"}], "]"}], ",", 
      RowBox[{"Table", "[", 
       RowBox[{
        RowBox[{"1", "/", 
         RowBox[{"2", "^", "i"}]}], ",", 
        RowBox[{"{", 
         RowBox[{"i", ",", "0", ",", "5"}], "}"}]}], "]"}]}], "}"}]}]}], 
  "\[IndentingNewLine]", "]"}]}], "Input",
 CellChangeTimes->{3.424358474471136*^9}]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell["Problem 2:  Stable Isotopes", "Subsection"],

Cell[CellGroupData[{

Cell["Solution", "Subsubsection"],

Cell["Clear[\"Global`*\"];", "Input",
 AspectRatioFixed->True],

Cell[CellGroupData[{

Cell["Part a", "Subsubsection"],

Cell[BoxData[
 RowBox[{"(*", "  ", 
  RowBox[{"OBSOLETE", " ", 
   RowBox[{"Needs", "[", "\"\<Miscellaneous`ChemicalElements`\>\"", "]"}]}], 
  " ", "*)"}]], "Input",
 CellChangeTimes->{{3.424362788085364*^9, 3.424362792921095*^9}}],

Cell[BoxData[
 RowBox[{"Remove", "[", "Global`Mercury", "]"}]], "Input"],

Cell[BoxData[
 RowBox[{"(*", "  ", 
  RowBox[{
   RowBox[{"OBSOLETE", "  ", "?", "Miscellaneous`ChemicalElements`"}], "*"}], 
  "      ", 
  RowBox[{"(*", " ", 
   RowBox[{"Output", " ", "not", " ", "shown"}], " ", "*)"}], "  ", 
  "*)"}]], "Input",
 Evaluatable->False,
 CellChangeTimes->{{3.424362812923665*^9, 3.424362825787873*^9}}],

Cell[BoxData[
 RowBox[{"ElementData", "[", 
  RowBox[{"\"\<Iron\>\"", ",", "\"\<StandardName\>\""}], "]"}]], "Input",
 CellChangeTimes->{{3.424362842889611*^9, 3.424362865943404*^9}, {
  3.424362901342664*^9, 3.424362912775366*^9}, {3.424362951233948*^9, 
  3.424362952259229*^9}}],

Cell[BoxData[
 RowBox[{"ElementData", "[", 
  RowBox[{"26", ",", "\"\<StandardName\>\""}], "]"}]], "Input",
 CellChangeTimes->{{3.42436300258219*^9, 3.424363004451146*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"ElementData", "[", 
   RowBox[{"26", ",", "\"\<Abbreviation\>\""}], "]"}], " "}]], "Input",
 CellChangeTimes->{3.424363104064764*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", 
   RowBox[{"StableIsotopes", "[", "Fe", "]"}], " ", "*)"}], 
  "\[IndentingNewLine]", 
  RowBox[{"ElementData", "[", 
   RowBox[{"26", ",", "\"\<StableIsotopes\>\""}], "]"}], " "}]], "Input",
 CellChangeTimes->{{3.424363128496845*^9, 3.424363143449795*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", 
   RowBox[{"Length", "[", "Elements", "]"}], " ", "*)"}], 
  "\[IndentingNewLine]", 
  RowBox[{"ElementData", "[", 
   RowBox[{"118", ",", "\"\<StandardName\>\""}], "]"}]}]], "Input",
 CellChangeTimes->{{3.424363196756349*^9, 3.42436320759986*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", "  ", 
   RowBox[{
    RowBox[{"StableIsotopes", "[", "Fe", "]"}], "-", "26"}], " ", "*)"}], 
  "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{"ElementData", "[", 
    RowBox[{"26", ",", "\"\<StableIsotopes\>\""}], "]"}], " ", "-", 
   "26"}]}]], "Input",
 CellChangeTimes->{{3.424363247122843*^9, 3.424363275377846*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{
     RowBox[{"StableIsotopes", "[", "Fe", "]"}], "*", "0"}], "+", "26"}], " ",
    "*)"}], " ", "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{"0", "*", 
    RowBox[{"ElementData", "[", 
     RowBox[{"26", ",", "\"\<StableIsotopes\>\""}], "]"}]}], " ", "+", 
   "26"}]}]], "Input",
 CellChangeTimes->{{3.424363288194715*^9, 3.424363305647226*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"neutrons", "[", "n_", "]"}], ":=", " ", 
  RowBox[{
   RowBox[{"ElementData", "[", 
    RowBox[{"n", ",", "\"\<StableIsotopes\>\""}], "]"}], "      ", "-", 
   "n"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"protons", "[", "  ", "n_", "]"}], ":=", " ", 
  RowBox[{
   RowBox[{
    RowBox[{"ElementData", "[", 
     RowBox[{"n", ",", "\"\<StableIsotopes\>\""}], "]"}], "   ", "*", "0"}], 
   " ", "+", "n"}]}]}], "Input",
 CellChangeTimes->{{3.424363329139092*^9, 3.42436336021133*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"pairs", "[", "n_", "]"}], ":=", 
   RowBox[{"Transpose", "[", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"protons", "[", "n", "]"}], ",", 
      RowBox[{"neutrons", "[", "n", "]"}]}], "}"}], "]"}]}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{"pairs", "[", "26", "]"}]}], "Input"],

Cell[BoxData[
 RowBox[{"ListPlot", "[", 
  RowBox[{
   RowBox[{
    RowBox[{"pairs", "[", "26", "]"}], " ", "//", "Evaluate"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"PlotStyle", "\[Rule]", 
    RowBox[{"PointSize", "[", "0.03", "]"}]}], ",", "\[IndentingNewLine]", 
   RowBox[{"AxesLabel", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"\"\<proton\>\"", ",", "\"\<neutron\>\""}], "}"}]}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"PlotLabel", "\[Rule]", "\"\<Iron (Fe)\>\""}]}], 
  "\[IndentingNewLine]", "]"}]], "Input",
 CellChangeTimes->{3.424358486412245*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{"data", "=", " ", 
     RowBox[{
      RowBox[{"Table", "[", " ", 
       RowBox[{
        RowBox[{"pairs", "[", "i", "]"}], ",", 
        RowBox[{"{", 
         RowBox[{"i", ",", 
          RowBox[{"Length", "[", "Elements", "]"}]}], "}"}]}], "]"}], " ", "//",
       
      RowBox[{
       RowBox[{"Flatten", "[", 
        RowBox[{"#", ",", "1"}], "]"}], "&"}]}]}], ";"}], " ", "*)"}], 
  "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"length", "=", "112"}], ";"}], "\[IndentingNewLine]", 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"data", "=", " ", 
     RowBox[{
      RowBox[{"Table", "[", " ", 
       RowBox[{
        RowBox[{"pairs", "[", "i", "]"}], ",", 
        RowBox[{"{", 
         RowBox[{"i", ",", "length"}], "}"}]}], "]"}], " ", "//", 
      RowBox[{
       RowBox[{"Flatten", "[", 
        RowBox[{"#", ",", "1"}], "]"}], "&"}]}]}], ";"}], 
   "\[IndentingNewLine]"}]}]], "Input",
 CellChangeTimes->{{3.424364109473188*^9, 3.424364138499474*^9}, {
  3.424364391182651*^9, 3.42436440580573*^9}}],

Cell[BoxData[
 RowBox[{"plot1", "=", 
  RowBox[{"ListPlot", "[", 
   RowBox[{"data", ",", "\[IndentingNewLine]", 
    RowBox[{"PlotStyle", "\[Rule]", 
     RowBox[{"PointSize", "[", "0.015", "]"}]}], ",", "\[IndentingNewLine]", 
    RowBox[{"AxesLabel", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{"\"\<proton\>\"", ",", "\"\<neutron\>\""}], "}"}]}], ",", 
    "\[IndentingNewLine]", 
    RowBox[{"PlotLabel", "\[Rule]", "\"\<All Elements\>\""}], ",", 
    "\[IndentingNewLine]", 
    RowBox[{"AspectRatio", "\[Rule]", "1"}], ",", "\[IndentingNewLine]", 
    RowBox[{"Epilog", "\[Rule]", 
     RowBox[{"Line", "[", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"0", ",", "0"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"100", ",", "100"}], "}"}]}], "}"}], "]"}]}]}], 
   "\[IndentingNewLine]", "]"}]}]], "Input",
 CellChangeTimes->{3.424358491045212*^9, 3.424363384853106*^9}],

Cell[BoxData[
 RowBox[{"Show", "[", 
  RowBox[{"plot1", ",", 
   RowBox[{"PlotRange", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"20", ",", "30"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"20", ",", "40"}], "}"}]}], "}"}]}]}], "]"}]], "Input",
 CellChangeTimes->{3.42435849469413*^9}]
}, Closed]],

Cell[CellGroupData[{

Cell["Part b", "Subsubsection"],

Cell[BoxData[
 RowBox[{"Select", "[", 
  RowBox[{"data", " ", ",", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{
      RowBox[{"OddQ", "[", 
       RowBox[{"#", "[", 
        RowBox[{"[", "1", "]"}], "]"}], "]"}], " ", "&&", " ", 
      RowBox[{"OddQ", "[", 
       RowBox[{"#", "[", 
        RowBox[{"[", "2", "]"}], "]"}], "]"}]}], ")"}], "&"}]}], 
  "]"}]], "Input"],

Cell[BoxData[
 RowBox[{
  RowBox[{"Select", "[", 
   RowBox[{"data", " ", ",", 
    RowBox[{
     RowBox[{"(", 
      RowBox[{
       RowBox[{"OddQ", "[", 
        RowBox[{"#", "[", 
         RowBox[{"[", "1", "]"}], "]"}], "]"}], " ", "&&", " ", 
       RowBox[{"OddQ", "[", 
        RowBox[{"#", "[", 
         RowBox[{"[", "2", "]"}], "]"}], "]"}]}], ")"}], "&"}]}], "]"}], " ", 
  "//", "Length"}]], "Input"],

Cell[BoxData[
 RowBox[{
  RowBox[{"Select", "[", 
   RowBox[{"data", " ", ",", 
    RowBox[{
     RowBox[{"(", 
      RowBox[{
       RowBox[{"EvenQ", "[", 
        RowBox[{"#", "[", 
         RowBox[{"[", "1", "]"}], "]"}], "]"}], " ", "&&", " ", 
       RowBox[{"EvenQ", "[", 
        RowBox[{"#", "[", 
         RowBox[{"[", "2", "]"}], "]"}], "]"}]}], ")"}], "&"}]}], "]"}], " ", 
  "//", "Length"}]], "Input"],

Cell[BoxData[
 RowBox[{"  ", 
  RowBox[{"Length", "[", 
   RowBox[{"Cases", "[", 
    RowBox[{"data", ",", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"x_", ",", "y_"}], " ", "}"}], "/;", 
      RowBox[{
       RowBox[{"OddQ", "[", "y", "]"}], " ", "&&", "  ", 
       RowBox[{"EvenQ", "[", "x", "]"}]}]}]}], "]"}], " ", "]"}]}]], "Input"],

Cell[BoxData[
 RowBox[{" ", 
  RowBox[{"Length", "[", 
   RowBox[{"Cases", "[", 
    RowBox[{"data", ",", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"x_", ",", "y_"}], " ", "}"}], "/;", 
      RowBox[{
       RowBox[{"EvenQ", "[", "y", "]"}], " ", "&&", "  ", 
       RowBox[{"OddQ", "[", "x", "]"}]}]}]}], "]"}], " ", "]"}]}]], "Input"]
}, Closed]]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell["Problem 3: The Bohr Atom ", "Subsection",
 Evaluatable->False,
 AspectRatioFixed->True],

Cell["Remarks and Outline", "Subsubsection",
 Evaluatable->False,
 AspectRatioFixed->True],

Cell[CellGroupData[{

Cell["Solution", "Subsubsection",
 Evaluatable->False,
 AspectRatioFixed->True],

Cell["Clear[\"Global`*\"];", "Input",
 AspectRatioFixed->True],

Cell[CellGroupData[{

Cell["Part a", "Subsubsection"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"coulomb", "=", 
   RowBox[{"k", "  ", 
    FractionBox[
     RowBox[{"Z", " ", 
      SuperscriptBox["e", "2"]}], 
     SuperscriptBox["r", "2"]]}]}], ";"}], "\n", 
 RowBox[{
  RowBox[{"force", "=", 
   RowBox[{"m", " ", "a"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"a", "=", 
    FractionBox[
     SuperscriptBox["v", "2"], "r"]}], ";"}], "\n"}], "\n", 
 RowBox[{"eq1", "=", 
  RowBox[{"coulomb", "\[Equal]", "force"}]}]}], "Input"],

Cell["angularMomentum = m v r;", "Input",
 AspectRatioFixed->True],

Cell["eq2=  angularMomentum == n \[HBar]", "Input",
 AspectRatioFixed->True],

Cell["rule1=Solve[{eq1,eq2},{v,r}] //First", "Input",
 AspectRatioFixed->True],

Cell[BoxData[{
 RowBox[{
  RowBox[{"kineticEnergy", "=", 
   RowBox[{
    FractionBox["1", "2"], " ", "m", " ", 
    SuperscriptBox["v", "2"]}]}], ";"}], "\n", 
 RowBox[{
  RowBox[{"potentialEnergy", "=", 
   RowBox[{
    RowBox[{"-", " ", "k"}], 
    FractionBox[
     RowBox[{" ", 
      RowBox[{"Z", " ", 
       SuperscriptBox["e", "2"]}]}], "r"]}]}], ";"}], "\n", 
 RowBox[{"totalEnergy", "=", 
  RowBox[{"kineticEnergy", "+", "potentialEnergy"}]}]}], "Input"],

Cell["energy[n_]= totalEnergy /.rule1 //Simplify", "Input",
 AspectRatioFixed->True],

Cell[BoxData[
 RowBox[{
  RowBox[{"Needs", "[", "\"\<PhysicalConstants`\>\"", "]"}], ";"}]], "Input",
 AspectRatioFixed->True],

Cell[BoxData[
 RowBox[{
  RowBox[{"values", "=", 
   RowBox[{"{", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"e", "\[Rule]", "ElectronCharge"}], ",", "\[IndentingNewLine]", 
     RowBox[{"m", "\[Rule]", "ElectronMass"}], ",", "\[IndentingNewLine]", 
     RowBox[{"k", "\[Rule]", 
      RowBox[{"1", "/", 
       RowBox[{"(", 
        RowBox[{"4", " ", "\[Pi]", " ", "\[Epsilon]0"}], ")"}]}]}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"\[Epsilon]0", "\[Rule]", "VacuumPermittivity"}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"\[HBar]", "\[Rule]", "PlanckConstantReduced"}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"Z", "\[Rule]", "1"}]}], "}"}]}], ";"}]], "Input"],

Cell[BoxData[
 RowBox[{"(*", "  ", 
  RowBox[{
   RowBox[{"OBSOLETE", " ", 
    RowBox[{"Needs", "[", "\"\<Units`\>\"", "]"}]}], ";"}], " ", 
  "*)"}]], "Input",
 CellChangeTimes->{{3.424363552210066*^9, 3.424363557249191*^9}}],

Cell["energyEV[n_]:= Convert[energy[n] //.values,ElectronVolt];", "Input",
 AspectRatioFixed->True],

Cell[BoxData[
 RowBox[{
  RowBox[{"energyEV", "[", "1", "]"}], " ", "//", 
  RowBox[{
   RowBox[{"NumberForm", "[", 
    RowBox[{"#", ",", "3"}], "]"}], "&"}]}]], "Input"],

Cell[BoxData[
 RowBox[{"Plot", "[", 
  RowBox[{
   RowBox[{
    RowBox[{"Table", "[", " ", 
     RowBox[{
      FractionBox[
       RowBox[{"energyEV", "[", "n", "]"}], "ElectronVolt"], ",", 
      RowBox[{"{", 
       RowBox[{"n", ",", "10"}], "}"}]}], "]"}], " ", "//", "Evaluate"}], ",",
    "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{"x", ",", "0", ",", "1"}], "}"}], ",", "\[IndentingNewLine]", 
   RowBox[{"PlotRange", "\[Rule]", "All"}], ",", "\[IndentingNewLine]", 
   RowBox[{"Axes", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"False", ",", "True"}], "}"}]}]}], "]"}]], "Input",
 CellChangeTimes->{3.424358507678886*^9}]
}, Closed]],

Cell[CellGroupData[{

Cell["Part b", "Subsubsection"],

Cell[BoxData[
 RowBox[{"eq3", "=", 
  RowBox[{
   RowBox[{"\[HBar]", " ", "\[Omega]"}], "\[Equal]", 
   RowBox[{
    RowBox[{"energy", "[", 
     SubscriptBox["n", "i"], "]"}], "-", 
    RowBox[{"energy", "[", 
     SubscriptBox["n", "f"], "]"}]}]}]}]], "Input"],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"Solve", "[", 
    RowBox[{"eq3", ",", "\[Omega]"}], "]"}], " ", "//", "First"}], " ", "//", 
  "Simplify"}]], "Input"]
}, Closed]]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell["Problem 4:  Relativistic Collision", "Subsection",
 Evaluatable->False,
 AspectRatioFixed->True],

Cell["Remarks and Outline", "Subsubsection",
 Evaluatable->False,
 AspectRatioFixed->True],

Cell[CellGroupData[{

Cell["Solution:", "Subsubsection",
 Evaluatable->False,
 AspectRatioFixed->True],

Cell["Clear[\"Global`*\"];", "Input",
 AspectRatioFixed->True],

Cell[BoxData[{
 RowBox[{
  RowBox[{"p1", "=", 
   RowBox[{"m1", " ", "\[Gamma]1", " ", 
    RowBox[{"{", 
     RowBox[{"1", ",", "0", ",", "0", ",", "\[Beta]1"}], "}"}]}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"p2", "=", 
   RowBox[{"m2", " ", 
    RowBox[{"{", 
     RowBox[{"1", ",", "0", ",", "0", ",", "0"}], "}"}]}]}], ";"}]}], "Input"],

Cell[BoxData[
 RowBox[{
  RowBox[{"p3", "=", 
   RowBox[{"m3", " ", "\[Gamma]3", " ", 
    RowBox[{"{", 
     RowBox[{"1", ",", "0", ",", "0", ",", "\[Beta]3"}], "}"}]}]}], 
  ";"}]], "Input"],

Cell[BoxData[
 RowBox[{"eq1", "=", 
  RowBox[{
   RowBox[{
    RowBox[{"p1", "+", "p2"}], "\[Equal]", "p3"}], "//", 
   "Thread"}]}]], "Input"],

Cell[BoxData[
 RowBox[{
  RowBox[{"eq2", "=", " ", 
   FormBox[
    RowBox[{"{", 
     RowBox[{
      RowBox[{
       SuperscriptBox["\[Gamma]3", "2"], "==", 
       FractionBox["1", 
        RowBox[{"1", "-", 
         SuperscriptBox["\[Beta]3", "2"]}]]}], ",", 
      RowBox[{
       SuperscriptBox["\[Gamma]1", "2"], "==", 
       FractionBox["1", 
        RowBox[{"1", "-", 
         SuperscriptBox["\[Beta]1", "2"]}]]}]}], "}"}],
    TraditionalForm]}], ";"}]], "Input"],

Cell[BoxData[
 RowBox[{"eq3", "=", 
  RowBox[{
   RowBox[{"Join", "[", 
    RowBox[{"{", 
     RowBox[{"eq1", ",", "eq2"}], "  ", "}"}], "]"}], " ", "//", 
   "Flatten"}]}]], "Input"],

Cell[BoxData[
 RowBox[{"sol", "=", 
  RowBox[{
   RowBox[{
    RowBox[{"Solve", "[", " ", 
     RowBox[{"eq3", ",", 
      RowBox[{"{", 
       RowBox[{"\[Beta]3", ",", "m3"}], " ", "}"}], ",", 
      RowBox[{"{", "\[Gamma]3", " ", "}"}]}], " ", "]"}], "[", 
    RowBox[{"[", "2", "]"}], "]"}], "//", "Simplify", " "}]}]], "Input"]
}, Closed]]
}, Closed]],

Cell["2.5 Exercises ", "Section",
 Evaluatable->False,
 AspectRatioFixed->True],

Cell["Exercise 1: Exploding Projectiles", "Subsubsection",
 Evaluatable->False,
 AspectRatioFixed->True],

Cell["Exercise 2: Intersecting Trajectories (Shoot the Monkey)", \
"Subsubsection",
 Evaluatable->False,
 AspectRatioFixed->True],

Cell["Exercise 3: Principle of Galilean Invariance", "Subsubsection",
 Evaluatable->False,
 AspectRatioFixed->True],

Cell["Exercise 4: Elastic Collision", "Subsubsection",
 Evaluatable->False,
 AspectRatioFixed->True],

Cell["Exercise 5: Projectile and Earth's Rotation", "Subsubsection"],

Cell["Exercise 6: Projectile Thrown up an Incline Plane", "Subsubsection"],

Cell["\<\
Exercise 7: Falling Object with Air Resistance as Observed  from the Rotating \
Earth\
\>", "Subsubsection"],

Cell["Exercise 8: Projectile Thrown up with Air Resistance", "Subsubsection"],

Cell["Exercise 9: Quadrupole ", "Subsubsection",
 Evaluatable->False,
 AspectRatioFixed->True],

Cell["Exercise 10: Motion of a Charged Particle", "Subsubsection"],

Cell[TextData[{
 "Exercise 11:  ",
 Cell[BoxData[
  OverscriptBox["B", "\[RightVector]"]]],
 "  Field of a Spinning Disk   "
}], "Subsubsection",
 Evaluatable->False,
 AspectRatioFixed->True]
},
AutoGeneratedPackage->Automatic,
WindowToolbars->"EditBar",
CellGrouping->Manual,
WindowSize->{782, 934},
WindowMargins->{{72, Automatic}, {Automatic, 0}},
PrintingCopies->1,
PrintingPageRange->{1, Automatic},
PrivateNotebookOptions->{"ColorPalette"->{RGBColor, -1}},
ShowSelection->True,
ShowCellLabel->True,
ShowCellTags->False,
SpellingDictionaries->{"CorrectWords"->{
 "sol", "xf", "tf", "zf", "values1", "coord1", "discretept", "plot1", "tf.", 
  "initial2", "dsol2", "eq2", "tsol", "values2", "coord2", "plot2", "xo", 
  "posx", "eq1", "terminalv", "vsol", "zff", "vff", "vb", "zb", "vs.", 
  "coordz", "plotz", "blist", "text", "coordv", "plotv", "blistv", "textv", 
  "zb.", "dataPoint", "data", "dataplot", "fit", "ii.", "vup", "zup", "Crule",
   "ttop", "eqdown", "c2rule", "c1rule", "vdown", "zdown", "tl", "ve", "pf", 
  "dv", "dp", "g", "svars", "series1", "term", "series2", "exact2", "which", 
  "position", "ven", "jup", "ura", "nep", "plu", "yrs", "Kepler's", "mer", 
  "Tosec", "kepler", "rlist", "pt1", "points", "noninertial", "plot", 
  "expsol", "fgravity", "ftension", "acc", "eq", "hpconst", "appeqMotion", 
  "appeq", "tmax.", "ptpend", "dq", "dV", "diskPotential", "Edisk", "Eplane", 
  "and", "Gaussis", "Eoutside", "Einside", "totalCharge", "where", "medium1", 
  "potoutside", "potinside", "potential", "p2", "pot", "we", "potPlot", 
  "ePlot", "ePlot3D", "point", "potPlot3D", "p1", "Acylind", "Bcylind", "vel",
   "eqmotion", "solz", "initial", "solxy", "Fy", "Fz", "Ey", "Ez", "Bx", "Bz",
   "qsol", "fourierdata", "eq3", "freqrule", "current", "values", "ni", "nf", 
  "px", "py", "pz", "p3", "dsol1"}},
RenderingOptions->{"ObjectDithering"->True,
"RasterDithering"->False},
Magnification->1,
FrontEndVersion->"6.0 for Linux x86 (32-bit) (June 19, 2007)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{
 "S6.9.1"->{
  Cell[29422, 998, 153, 2, 32, "Input",
   CellTags->"S6.9.1"]},
 "S5.65.1"->{
  Cell[56371, 1974, 268, 6, 32, "Input",
   CellTags->"S5.65.1"]}
 }
*)
(*CellTagsIndex
CellTagsIndex->{
 {"S6.9.1", 146534, 5109},
 {"S5.65.1", 146613, 5112}
 }
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[590, 23, 224, 7, 30, "Subsubsection"],
Cell[817, 32, 791, 15, 248, "Input",
 Evaluatable->False]
}, Closed]],
Cell[CellGroupData[{
Cell[1645, 52, 115, 2, 24, "Subsubsection"],
Cell[1763, 56, 1998, 34, 806, "Input",
 Evaluatable->False]
}, Closed]],
Cell[3776, 93, 81, 2, 59, "Title",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[3882, 99, 80, 2, 73, "Section",
 Evaluatable->False],
Cell[3965, 103, 247, 8, 55, "Input"]
}, Closed]],
Cell[4227, 114, 171, 6, 43, "Section",
 Evaluatable->False],
Cell[4401, 122, 72, 0, 31, "Subsection"],
Cell[CellGroupData[{
Cell[4498, 126, 96, 2, 31, "Subsection",
 Evaluatable->False],
Cell[4597, 130, 44, 0, 30, "Subsubsection"],
Cell[CellGroupData[{
Cell[4666, 134, 79, 2, 24, "Subsubsection",
 Evaluatable->False],
Cell[4748, 138, 62, 1, 32, "Input"],
Cell[4813, 141, 94, 5, 68, "Input"],
Cell[4910, 148, 199, 6, 32, "Input"],
Cell[5112, 156, 126, 3, 32, "Input"],
Cell[5241, 161, 62, 1, 32, "Input"],
Cell[5306, 164, 487, 12, 99, "Input"],
Cell[5796, 178, 152, 5, 32, "Input"],
Cell[5951, 185, 89, 2, 32, "Input"],
Cell[6043, 189, 50, 1, 32, "Input"],
Cell[6096, 192, 71, 1, 32, "Input"],
Cell[6170, 195, 65, 1, 32, "Input"]
}, Closed]]
}, Closed]],
Cell[CellGroupData[{
Cell[6284, 202, 122, 2, 31, "Subsection",
 Evaluatable->False],
Cell[6409, 206, 91, 2, 30, "Subsubsection",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[6525, 212, 79, 2, 24, "Subsubsection",
 Evaluatable->False],
Cell[6607, 216, 62, 1, 32, "Input"],
Cell[CellGroupData[{
Cell[6694, 221, 31, 0, 30, "Subsubsection"],
Cell[6728, 223, 78, 1, 32, "Input"],
Cell[6809, 226, 91, 1, 32, "Input"],
Cell[6903, 229, 99, 1, 32, "Input"],
Cell[7005, 232, 198, 6, 32, "Input"],
Cell[7206, 240, 198, 6, 32, "Input"],
Cell[7407, 248, 234, 7, 32, "Input"],
Cell[7644, 257, 87, 1, 32, "Input"],
Cell[7734, 260, 286, 9, 32, "Input"],
Cell[8023, 271, 545, 15, 77, "Input"],
Cell[8571, 288, 1583, 42, 269, "Input"]
}, Closed]],
Cell[CellGroupData[{
Cell[10191, 335, 31, 0, 30, "Subsubsection"],
Cell[10225, 337, 130, 4, 32, "Input"],
Cell[10358, 343, 92, 1, 32, "Input"],
Cell[10453, 346, 171, 6, 32, "Input"],
Cell[10627, 354, 158, 6, 32, "Input"],
Cell[10788, 362, 70, 1, 32, "Input"],
Cell[10861, 365, 79, 1, 32, "Input"],
Cell[10943, 368, 70, 1, 32, "Input"],
Cell[11016, 371, 101, 3, 32, "Input"],
Cell[11120, 376, 758, 21, 77, "Input"],
Cell[11881, 399, 2178, 62, 329, "Input"]
}, Closed]]
}, Closed]],
Cell[14086, 465, 243, 7, 32, "Input"],
Cell[14332, 474, 169, 5, 32, "Input"],
Cell[14504, 481, 120, 3, 32, "Input"],
Cell[14627, 486, 311, 9, 52, "Input"]
}, Closed]],
Cell[CellGroupData[{
Cell[14975, 500, 103, 2, 31, "Subsection",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[15103, 506, 33, 0, 30, "Subsubsection"],
Cell[15139, 508, 62, 1, 32, "Input"],
Cell[15204, 511, 1156, 37, 119, "Input"],
Cell[16363, 550, 167, 5, 32, "Input"],
Cell[16533, 557, 167, 5, 32, "Input"],
Cell[16703, 564, 549, 18, 32, "Input"],
Cell[17255, 584, 313, 10, 32, "Input"],
Cell[17571, 596, 238, 7, 32, "Input"],
Cell[17812, 605, 529, 17, 55, "Input"],
Cell[18344, 624, 947, 30, 77, "Input"]
}, Closed]]
}, Closed]],
Cell[CellGroupData[{
Cell[19340, 660, 137, 4, 31, "Subsection",
 Evaluatable->False],
Cell[19480, 666, 91, 2, 30, "Subsubsection",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[19596, 672, 79, 2, 24, "Subsubsection",
 Evaluatable->False],
Cell[19678, 676, 62, 1, 32, "Input"],
Cell[CellGroupData[{
Cell[19765, 681, 31, 0, 30, "Subsubsection"],
Cell[19799, 683, 372, 13, 32, "Input"],
Cell[20174, 698, 279, 10, 32, "Input"],
Cell[20456, 710, 388, 12, 32, "Input"],
Cell[20847, 724, 163, 5, 32, "Input"],
Cell[21013, 731, 342, 10, 32, "Input"],
Cell[21358, 743, 307, 10, 32, "Input"]
}, Closed]],
Cell[CellGroupData[{
Cell[21702, 758, 31, 0, 30, "Subsubsection"],
Cell[21736, 760, 230, 7, 32, "Input"],
Cell[21969, 769, 217, 7, 32, "Input"],
Cell[22189, 778, 187, 6, 32, "Input"],
Cell[22379, 786, 606, 16, 77, "Input"],
Cell[22988, 804, 673, 17, 55, "Input"],
Cell[23664, 823, 1308, 35, 121, "Input"],
Cell[24975, 860, 698, 17, 143, "Input"]
}, Closed]],
Cell[CellGroupData[{
Cell[25710, 882, 31, 0, 30, "Subsubsection"],
Cell[25744, 884, 217, 7, 32, "Input"],
Cell[25964, 893, 187, 6, 32, "Input"],
Cell[26154, 901, 561, 16, 55, "Input"],
Cell[26718, 919, 624, 16, 55, "Input"],
Cell[27345, 937, 1307, 35, 121, "Input"],
Cell[28655, 974, 696, 17, 143, "Input"]
}, Closed]],
Cell[CellGroupData[{
Cell[29388, 996, 31, 0, 30, "Subsubsection"],
Cell[29422, 998, 153, 2, 32, "Input",
 CellTags->"S6.9.1"],
Cell[29578, 1002, 351, 10, 77, "Input"],
Cell[29932, 1014, 821, 25, 77, "Input"],
Cell[30756, 1041, 204, 4, 32, "Input"],
Cell[30963, 1047, 142, 3, 32, "Input",
 Evaluatable->False],
Cell[31108, 1052, 116, 2, 32, "Input"],
Cell[31227, 1056, 652, 19, 32, "Input"]
}, Closed]],
Cell[31894, 1078, 908, 27, 55, "Input"],
Cell[32805, 1107, 431, 13, 32, "Input"],
Cell[33239, 1122, 602, 13, 143, "Input"]
}, Closed]]
}, Closed]],
Cell[CellGroupData[{
Cell[33890, 1141, 140, 4, 31, "Subsection",
 Evaluatable->False],
Cell[34033, 1147, 91, 2, 30, "Subsubsection",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[34149, 1153, 79, 2, 24, "Subsubsection",
 Evaluatable->False],
Cell[34231, 1157, 62, 1, 32, "Input"],
Cell[CellGroupData[{
Cell[34318, 1162, 31, 0, 30, "Subsubsection"],
Cell[34352, 1164, 457, 16, 32, "Input"],
Cell[34812, 1182, 500, 16, 32, "Input"],
Cell[35315, 1200, 431, 16, 32, "Input"],
Cell[35749, 1218, 111, 3, 32, "Input"],
Cell[35863, 1223, 328, 11, 32, "Input"],
Cell[36194, 1236, 244, 8, 32, "Input"]
}, Closed]],
Cell[CellGroupData[{
Cell[36475, 1249, 31, 0, 30, "Subsubsection"],
Cell[36509, 1251, 508, 16, 32, "Input"],
Cell[37020, 1269, 441, 16, 32, "Input"],
Cell[37464, 1287, 115, 3, 32, "Input"],
Cell[37582, 1292, 333, 11, 32, "Input"],
Cell[37918, 1305, 257, 8, 32, "Input"]
}, Closed]],
Cell[38190, 1316, 404, 13, 68, "Input"],
Cell[CellGroupData[{
Cell[38619, 1333, 31, 0, 30, "Subsubsection"],
Cell[38653, 1335, 351, 10, 32, "Input"],
Cell[39007, 1347, 264, 8, 32, "Input"],
Cell[39274, 1357, 174, 5, 32, "Input"],
Cell[39451, 1364, 651, 20, 55, "Input"],
Cell[40105, 1386, 413, 12, 55, "Input"],
Cell[40521, 1400, 522, 15, 55, "Input"],
Cell[41046, 1417, 522, 15, 55, "Input"],
Cell[41571, 1434, 154, 5, 32, "Input"]
}, Closed]]
}, Closed]]
}, Closed]],
Cell[CellGroupData[{
Cell[41786, 1446, 106, 2, 31, "Subsection",
 Evaluatable->False],
Cell[41895, 1450, 91, 2, 30, "Subsubsection",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[42011, 1456, 86, 2, 24, "Subsubsection",
 Evaluatable->False],
Cell[42100, 1460, 62, 1, 32, "Input"],
Cell[CellGroupData[{
Cell[42187, 1465, 31, 0, 30, "Subsubsection"],
Cell[42221, 1467, 136, 4, 50, "Input"],
Cell[42360, 1473, 350, 13, 55, "Input"],
Cell[42713, 1488, 99, 3, 32, "Input"],
Cell[42815, 1493, 242, 8, 32, "Input"],
Cell[43060, 1503, 125, 3, 32, "Input"]
}, Closed]],
Cell[CellGroupData[{
Cell[43222, 1511, 84, 4, 30, "Subsubsection"],
Cell[43309, 1517, 414, 13, 32, "Input"],
Cell[43726, 1532, 113, 3, 32, "Input"],
Cell[43842, 1537, 339, 11, 32, "Input"],
Cell[44184, 1550, 504, 16, 32, "Input"],
Cell[44691, 1568, 150, 4, 32, "Input"],
Cell[44844, 1574, 100, 3, 32, "Input"]
}, Closed]],
Cell[CellGroupData[{
Cell[44981, 1582, 84, 4, 30, "Subsubsection"],
Cell[45068, 1588, 248, 7, 32, "Input"],
Cell[45319, 1597, 148, 5, 32, "Input"],
Cell[45470, 1604, 721, 18, 143, "Input"],
Cell[46194, 1624, 642, 18, 77, "Input"],
Cell[46839, 1644, 994, 26, 121, "Input"]
}, Closed]],
Cell[CellGroupData[{
Cell[47870, 1675, 84, 4, 30, "Subsubsection"],
Cell[47957, 1681, 350, 12, 55, "Input"],
Cell[48310, 1695, 413, 13, 32, "Input"],
Cell[48726, 1710, 437, 14, 32, "Input"],
Cell[49166, 1726, 205, 6, 32, "Input"],
Cell[49374, 1734, 310, 10, 32, "Input"],
Cell[49687, 1746, 386, 13, 66, "Input"],
Cell[50076, 1761, 140, 5, 68, "Input"],
Cell[50219, 1768, 447, 14, 32, "Input"],
Cell[50669, 1784, 505, 13, 121, "Input"]
}, Closed]]
}, Closed]]
}, Closed]],
Cell[CellGroupData[{
Cell[51235, 1804, 95, 2, 31, "Subsection",
 Evaluatable->False],
Cell[51333, 1808, 91, 2, 30, "Subsubsection",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[51449, 1814, 33, 0, 24, "Subsubsection"],
Cell[51485, 1816, 62, 1, 32, "Input"],
Cell[CellGroupData[{
Cell[51572, 1821, 31, 0, 30, "Subsubsection"],
Cell[51606, 1823, 3607, 109, 231, "Input"],
Cell[55216, 1934, 246, 7, 32, "Input"],
Cell[55465, 1943, 327, 8, 55, "Input"],
Cell[55795, 1953, 329, 9, 32, "Input"],
Cell[56127, 1964, 206, 6, 32, "Input"],
Cell[56336, 1972, 32, 0, 32, "Input"],
Cell[56371, 1974, 268, 6, 32, "Input",
 CellTags->"S5.65.1"],
Cell[56642, 1982, 83, 2, 32, "Input",
 CellID->1289732017],
Cell[56728, 1986, 835, 21, 143, "Input"],
Cell[57566, 2009, 684, 19, 80, "Input"],
Cell[58253, 2030, 494, 15, 74, "Input"]
}, Closed]],
Cell[CellGroupData[{
Cell[58784, 2050, 78, 2, 30, "Subsubsection",
 Evaluatable->False],
Cell[58865, 2054, 656, 20, 59, "Input"],
Cell[59524, 2076, 401, 12, 50, "Input"],
Cell[59928, 2090, 574, 15, 55, "Input"],
Cell[60505, 2107, 561, 15, 55, "Input"],
Cell[61069, 2124, 152, 4, 32, "Input"]
}, Closed]]
}, Closed]]
}, Closed]],
Cell[61260, 2133, 108, 2, 43, "Section",
 Evaluatable->False],
Cell[61371, 2137, 72, 0, 31, "Subsection"],
Cell[CellGroupData[{
Cell[61468, 2141, 143, 4, 31, "Subsection",
 Evaluatable->False],
Cell[61614, 2147, 90, 2, 30, "Subsubsection",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[61729, 2153, 79, 2, 24, "Subsubsection",
 Evaluatable->False],
Cell[61811, 2157, 62, 1, 32, "Input"],
Cell[CellGroupData[{
Cell[61898, 2162, 32, 0, 30, "Subsubsection"],
Cell[61933, 2164, 587, 18, 55, "Input"],
Cell[62523, 2184, 263, 8, 32, "Input"],
Cell[62789, 2194, 277, 8, 32, "Input"],
Cell[63069, 2204, 402, 12, 32, "Input"],
Cell[63474, 2218, 187, 6, 32, "Input"],
Cell[63664, 2226, 227, 6, 32, "Input"],
Cell[63894, 2234, 427, 13, 32, "Input"],
Cell[64324, 2249, 72, 2, 32, "Input"],
Cell[64399, 2253, 588, 16, 55, "Input"],
Cell[64990, 2271, 631, 18, 55, "Input"],
Cell[65624, 2291, 183, 6, 32, "Input"],
Cell[65810, 2299, 447, 13, 55, "Input"],
Cell[66260, 2314, 1601, 45, 165, "Input"],
Cell[67864, 2361, 301, 10, 52, "Input"]
}, Closed]]
}, Closed]],
Cell[CellGroupData[{
Cell[68214, 2377, 31, 0, 30, "Subsubsection"],
Cell[68248, 2379, 405, 13, 32, "Input"],
Cell[68656, 2394, 266, 8, 32, "Input"],
Cell[68925, 2404, 379, 11, 32, "Input"],
Cell[69307, 2417, 234, 7, 32, "Input"],
Cell[69544, 2426, 220, 7, 32, "Input"],
Cell[69767, 2435, 487, 13, 77, "Input"],
Cell[70257, 2450, 610, 17, 77, "Input"]
}, Closed]],
Cell[70882, 2470, 938, 27, 143, "Input"],
Cell[CellGroupData[{
Cell[71845, 2501, 31, 0, 30, "Subsubsection"],
Cell[71879, 2503, 297, 9, 32, "Input"],
Cell[72179, 2514, 383, 11, 32, "Input"],
Cell[72565, 2527, 219, 7, 32, "Input"],
Cell[72787, 2536, 288, 8, 32, "Input"],
Cell[73078, 2546, 887, 22, 165, "Input"],
Cell[73968, 2570, 1425, 40, 165, "Input"]
}, Closed]]
}, Closed]],
Cell[CellGroupData[{
Cell[75442, 2616, 101, 2, 31, "Subsection",
 Evaluatable->False],
Cell[75546, 2620, 90, 2, 30, "Subsubsection",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[75661, 2626, 79, 2, 24, "Subsubsection",
 Evaluatable->False],
Cell[75743, 2630, 62, 1, 32, "Input"],
Cell[CellGroupData[{
Cell[75830, 2635, 31, 0, 30, "Subsubsection"],
Cell[75864, 2637, 587, 18, 55, "Input"],
Cell[76454, 2657, 263, 8, 32, "Input"],
Cell[76720, 2667, 277, 8, 32, "Input"],
Cell[77000, 2677, 402, 12, 32, "Input"],
Cell[77405, 2691, 570, 19, 77, "Input"],
Cell[77978, 2712, 306, 9, 32, "Input"],
Cell[78287, 2723, 417, 13, 32, "Input"],
Cell[78707, 2738, 253, 8, 32, "Input"],
Cell[78963, 2748, 315, 10, 32, "Input"],
Cell[79281, 2760, 456, 15, 32, "Input"],
Cell[79740, 2777, 253, 8, 32, "Input"],
Cell[79996, 2787, 261, 8, 32, "Input"]
}, Closed]],
Cell[CellGroupData[{
Cell[80294, 2800, 31, 0, 30, "Subsubsection"],
Cell[80328, 2802, 248, 8, 32, "Input"],
Cell[80579, 2812, 116, 3, 32, "Input"],
Cell[80698, 2817, 249, 8, 32, "Input"],
Cell[80950, 2827, 458, 14, 32, "Input"],
Cell[81411, 2843, 306, 11, 32, "Input"],
Cell[81720, 2856, 313, 10, 32, "Input"],
Cell[82036, 2868, 464, 13, 32, "Input"],
Cell[82503, 2883, 252, 8, 32, "Input"],
Cell[82758, 2893, 218, 7, 32, "Input"],
Cell[82979, 2902, 120, 4, 32, "Input"],
Cell[83102, 2908, 228, 7, 52, "Input"]
}, Closed]],
Cell[CellGroupData[{
Cell[83367, 2920, 31, 0, 30, "Subsubsection"],
Cell[83401, 2922, 440, 12, 32, "Input"],
Cell[83844, 2936, 1234, 33, 165, "Input"],
Cell[85081, 2971, 99, 2, 32, "Input"],
Cell[85183, 2975, 103, 2, 32, "Input"],
Cell[85289, 2979, 190, 5, 32, "Input"]
}, Closed]]
}, Closed]]
}, Closed]],
Cell[85518, 2989, 95, 2, 43, "Section",
 Evaluatable->False],
Cell[85616, 2993, 110, 2, 31, "Subsection",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[85751, 2999, 94, 2, 31, "Subsection",
 Evaluatable->False],
Cell[85848, 3003, 44, 0, 30, "Subsubsection"],
Cell[CellGroupData[{
Cell[85917, 3007, 33, 0, 24, "Subsubsection"],
Cell[85953, 3009, 37, 0, 32, "Input"],
Cell[CellGroupData[{
Cell[86015, 3013, 31, 0, 30, "Subsubsection"],
Cell[86049, 3015, 211, 8, 67, "Input"],
Cell[86263, 3025, 138, 4, 32, "Input"],
Cell[86404, 3031, 49, 1, 53, "Input"],
Cell[86456, 3034, 384, 10, 77, "Input"],
Cell[86843, 3046, 98, 2, 32, "Input"],
Cell[86944, 3050, 216, 6, 32, "Input"]
}, Closed]],
Cell[CellGroupData[{
Cell[87197, 3061, 31, 0, 30, "Subsubsection"],
Cell[87231, 3063, 155, 4, 32, "Input"]
}, Closed]]
}, Closed]],
Cell[87413, 3071, 206, 6, 54, "Input"]
}, Closed]],
Cell[CellGroupData[{
Cell[87656, 3082, 104, 2, 31, "Subsection",
 Evaluatable->False],
Cell[87763, 3086, 90, 2, 30, "Subsubsection",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[87878, 3092, 79, 2, 24, "Subsubsection",
 Evaluatable->False],
Cell[87960, 3096, 62, 1, 32, "Input"],
Cell[CellGroupData[{
Cell[88047, 3101, 31, 0, 30, "Subsubsection"],
Cell[88081, 3103, 582, 16, 77, "Input"],
Cell[88666, 3121, 391, 13, 101, "Input"],
Cell[89060, 3136, 214, 7, 32, "Input"],
Cell[89277, 3145, 541, 16, 55, "Input"],
Cell[89821, 3163, 294, 9, 32, "Input"],
Cell[90118, 3174, 1025, 34, 55, "Input"],
Cell[91146, 3210, 1169, 29, 253, "Input"]
}, Closed]],
Cell[CellGroupData[{
Cell[92352, 3244, 31, 0, 30, "Subsubsection"],
Cell[92386, 3246, 425, 12, 32, "Input"],
Cell[92814, 3260, 420, 14, 32, "Input"],
Cell[93237, 3276, 178, 8, 25, "Special5",
 Evaluatable->False],
Cell[93418, 3286, 81, 1, 32, "Input"],
Cell[93502, 3289, 381, 12, 32, "Input"],
Cell[93886, 3303, 1195, 30, 275, "Input"]
}, Closed]],
Cell[CellGroupData[{
Cell[95118, 3338, 31, 0, 30, "Subsubsection"],
Cell[95152, 3340, 825, 26, 89, "Input"],
Cell[95980, 3368, 567, 14, 77, "Input"],
Cell[96550, 3384, 217, 6, 32, "Input"],
Cell[96770, 3392, 124, 2, 32, "Input"],
Cell[96897, 3396, 585, 17, 55, "Input"],
Cell[97485, 3415, 154, 4, 32, "Input"]
}, Closed]],
Cell[CellGroupData[{
Cell[97676, 3424, 31, 0, 30, "Subsubsection"],
Cell[97710, 3426, 655, 17, 55, "Input"],
Cell[98368, 3445, 487, 14, 32, "Input"],
Cell[98858, 3461, 595, 14, 99, "Input"],
Cell[99456, 3477, 526, 14, 99, "Input"]
}, Closed]]
}, Closed]]
}, Closed]],
Cell[CellGroupData[{
Cell[100043, 3498, 98, 2, 31, "Subsection",
 Evaluatable->False],
Cell[100144, 3502, 90, 2, 30, "Subsubsection",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[100259, 3508, 80, 2, 24, "Subsubsection",
 Evaluatable->False],
Cell[100342, 3512, 62, 1, 32, "Input"],
Cell[CellGroupData[{
Cell[100429, 3517, 31, 0, 30, "Subsubsection"],
Cell[100463, 3519, 461, 16, 58, "Input"],
Cell[100927, 3537, 509, 17, 32, "Input"],
Cell[101439, 3556, 1000, 25, 165, "Input"],
Cell[102442, 3583, 100, 2, 32, "Input"],
Cell[102545, 3587, 1238, 33, 121, "Input"],
Cell[103786, 3622, 224, 6, 32, "Input"]
}, Closed]],
Cell[CellGroupData[{
Cell[104047, 3633, 31, 0, 30, "Subsubsection"],
Cell[104081, 3635, 98, 2, 32, "Input"],
Cell[104182, 3639, 353, 10, 32, "Input"],
Cell[104538, 3651, 124, 3, 32, "Input"],
Cell[104665, 3656, 265, 8, 32, "Input"],
Cell[104933, 3666, 233, 7, 32, "Input"]
}, Closed]],
Cell[CellGroupData[{
Cell[105203, 3678, 31, 0, 30, "Subsubsection"],
Cell[105237, 3680, 883, 28, 77, "Input"],
Cell[106123, 3710, 1232, 34, 190, "Input"]
}, Closed]]
}, Closed]]
}, Closed]],
Cell[CellGroupData[{
Cell[107416, 3751, 137, 4, 31, "Subsection",
 Evaluatable->False],
Cell[107556, 3757, 90, 2, 30, "Subsubsection",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[107671, 3763, 79, 2, 24, "Subsubsection",
 Evaluatable->False],
Cell[107753, 3767, 62, 1, 32, "Input"],
Cell[CellGroupData[{
Cell[107840, 3772, 31, 0, 30, "Subsubsection"],
Cell[107874, 3774, 480, 15, 66, "Input"],
Cell[108357, 3791, 302, 10, 47, "Input"]
}, Closed]],
Cell[CellGroupData[{
Cell[108696, 3806, 31, 0, 30, "Subsubsection"],
Cell[108730, 3808, 515, 15, 77, "Input"],
Cell[109248, 3825, 288, 8, 32, "Input"]
}, Closed]],
Cell[CellGroupData[{
Cell[109573, 3838, 31, 0, 30, "Subsubsection"],
Cell[109607, 3840, 100, 2, 32, "Input"],
Cell[109710, 3844, 1240, 30, 165, "Input"],
Cell[110953, 3876, 958, 23, 121, "Input"]
}, Closed]],
Cell[CellGroupData[{
Cell[111948, 3904, 31, 0, 30, "Subsubsection"],
Cell[111982, 3906, 177, 5, 32, "Input"],
Cell[112162, 3913, 414, 12, 32, "Input"]
}, Closed]]
}, Closed]]
}, Closed]],
Cell[CellGroupData[{
Cell[112637, 3932, 92, 2, 31, "Subsection"],
Cell[CellGroupData[{
Cell[112754, 3938, 33, 0, 30, "Subsubsection"],
Cell[112790, 3940, 62, 1, 32, "Input"],
Cell[CellGroupData[{
Cell[112877, 3945, 31, 0, 30, "Subsubsection"],
Cell[112911, 3947, 739, 26, 77, "Input"],
Cell[113653, 3975, 258, 8, 32, "Input"],
Cell[113914, 3985, 193, 6, 32, "Input"],
Cell[114110, 3993, 711, 22, 99, "Input"],
Cell[114824, 4017, 471, 14, 32, "Input"]
}, Closed]],
Cell[CellGroupData[{
Cell[115332, 4036, 31, 0, 30, "Subsubsection"],
Cell[115366, 4038, 425, 12, 32, "Input"],
Cell[115794, 4052, 853, 23, 121, "Input"],
Cell[116650, 4077, 918, 23, 143, "Input"],
Cell[117571, 4102, 149, 4, 32, "Input"]
}, Closed]]
}, Closed]]
}, Closed]],
Cell[CellGroupData[{
Cell[117781, 4113, 118, 3, 51, "Subsection"],
Cell[CellGroupData[{
Cell[117924, 4120, 33, 0, 30, "Subsubsection"],
Cell[117960, 4122, 62, 1, 32, "Input"],
Cell[118025, 4125, 775, 28, 121, "Input"],
Cell[118803, 4155, 182, 6, 32, "Input"],
Cell[118988, 4163, 428, 13, 55, "Input"],
Cell[119419, 4178, 705, 22, 99, "Input"],
Cell[120127, 4202, 579, 17, 32, "Input"],
Cell[120709, 4221, 145, 4, 32, "Input"],
Cell[120857, 4227, 368, 11, 32, "Input"],
Cell[121228, 4240, 293, 8, 32, "Input"],
Cell[121524, 4250, 342, 11, 32, "Input"],
Cell[121869, 4263, 272, 8, 32, "Input"],
Cell[122144, 4273, 272, 8, 32, "Input"],
Cell[122419, 4283, 695, 20, 77, "Input"],
Cell[123117, 4305, 283, 8, 32, "Input"],
Cell[123403, 4315, 162, 4, 32, "Input"]
}, Closed]]
}, Closed]],
Cell[123592, 4323, 146, 6, 43, "Section",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[123763, 4333, 93, 2, 31, "Subsection",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[123881, 4339, 79, 2, 30, "Subsubsection",
 Evaluatable->False],
Cell[123963, 4343, 62, 1, 32, "Input"],
Cell[124028, 4346, 202, 7, 32, "Input"],
Cell[124233, 4355, 207, 6, 32, "Input"],
Cell[124443, 4363, 152, 4, 32, "Input"],
Cell[124598, 4369, 160, 5, 32, "Input"],
Cell[124761, 4376, 298, 9, 32, "Input"],
Cell[125062, 4387, 148, 4, 32, "Input"],
Cell[125213, 4393, 125, 3, 32, "Input"],
Cell[125341, 4398, 387, 12, 32, "Input"],
Cell[125731, 4412, 677, 19, 99, "Input"],
Cell[126411, 4433, 1831, 53, 231, "Input"]
}, Closed]]
}, Closed]],
Cell[CellGroupData[{
Cell[128291, 4492, 49, 0, 31, "Subsection"],
Cell[CellGroupData[{
Cell[128365, 4496, 33, 0, 30, "Subsubsection"],
Cell[128401, 4498, 62, 1, 32, "Input"],
Cell[CellGroupData[{
Cell[128488, 4503, 31, 0, 30, "Subsubsection"],
Cell[128522, 4505, 232, 5, 32, "Input"],
Cell[128757, 4512, 72, 1, 32, "Input"],
Cell[128832, 4515, 336, 9, 55, "Input",
 Evaluatable->False],
Cell[129171, 4526, 281, 5, 32, "Input"],
Cell[129455, 4533, 172, 3, 32, "Input"],
Cell[129630, 4538, 168, 4, 32, "Input"],
Cell[129801, 4544, 303, 7, 55, "Input"],
Cell[130107, 4553, 294, 7, 55, "Input"],
Cell[130404, 4562, 360, 10, 55, "Input"],
Cell[130767, 4574, 417, 12, 55, "Input"],
Cell[131187, 4588, 527, 14, 55, "Input"],
Cell[131717, 4604, 350, 10, 77, "Input"],
Cell[132070, 4616, 570, 14, 121, "Input"],
Cell[132643, 4632, 1105, 34, 121, "Input"],
Cell[133751, 4668, 918, 22, 165, "Input"],
Cell[134672, 4692, 328, 10, 32, "Input"]
}, Closed]],
Cell[CellGroupData[{
Cell[135037, 4707, 31, 0, 30, "Subsubsection"],
Cell[135071, 4709, 368, 12, 32, "Input"],
Cell[135442, 4723, 412, 13, 32, "Input"],
Cell[135857, 4738, 414, 13, 32, "Input"],
Cell[136274, 4753, 345, 10, 32, "Input"],
Cell[136622, 4765, 344, 10, 32, "Input"]
}, Closed]]
}, Closed]]
}, Closed]],
Cell[CellGroupData[{
Cell[137027, 4782, 93, 2, 31, "Subsection",
 Evaluatable->False],
Cell[137123, 4786, 90, 2, 30, "Subsubsection",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[137238, 4792, 79, 2, 24, "Subsubsection",
 Evaluatable->False],
Cell[137320, 4796, 62, 1, 32, "Input"],
Cell[CellGroupData[{
Cell[137407, 4801, 31, 0, 30, "Subsubsection"],
Cell[137441, 4803, 496, 17, 170, "Input"],
Cell[137940, 4822, 66, 1, 32, "Input"],
Cell[138009, 4825, 76, 1, 32, "Input"],
Cell[138088, 4828, 78, 1, 32, "Input"],
Cell[138169, 4831, 465, 15, 122, "Input"],
Cell[138637, 4848, 84, 1, 32, "Input"],
Cell[138724, 4851, 126, 3, 32, "Input"],
Cell[138853, 4856, 694, 16, 165, "Input"],
Cell[139550, 4874, 227, 6, 32, "Input"],
Cell[139780, 4882, 99, 1, 32, "Input"],
Cell[139882, 4885, 171, 5, 32, "Input"],
Cell[140056, 4892, 639, 17, 125, "Input"]
}, Closed]],
Cell[CellGroupData[{
Cell[140732, 4914, 31, 0, 30, "Subsubsection"],
Cell[140766, 4916, 262, 8, 32, "Input"],
Cell[141031, 4926, 165, 5, 32, "Input"]
}, Closed]]
}, Closed]]
}, Closed]],
Cell[CellGroupData[{
Cell[141257, 4938, 102, 2, 31, "Subsection",
 Evaluatable->False],
Cell[141362, 4942, 90, 2, 30, "Subsubsection",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[141477, 4948, 80, 2, 24, "Subsubsection",
 Evaluatable->False],
Cell[141560, 4952, 62, 1, 32, "Input"],
Cell[141625, 4955, 359, 11, 55, "Input"],
Cell[141987, 4968, 192, 6, 32, "Input"],
Cell[142182, 4976, 143, 5, 32, "Input"],
Cell[142328, 4983, 475, 16, 55, "Input"],
Cell[142806, 5001, 183, 6, 32, "Input"],
Cell[142992, 5009, 331, 9, 32, "Input"]
}, Closed]]
}, Closed]],
Cell[143350, 5022, 79, 2, 43, "Section",
 Evaluatable->False],
Cell[143432, 5026, 104, 2, 24, "Subsubsection",
 Evaluatable->False],
Cell[143539, 5030, 129, 3, 24, "Subsubsection",
 Evaluatable->False],
Cell[143671, 5035, 115, 2, 24, "Subsubsection",
 Evaluatable->False],
Cell[143789, 5039, 100, 2, 24, "Subsubsection",
 Evaluatable->False],
Cell[143892, 5043, 68, 0, 24, "Subsubsection"],
Cell[143963, 5045, 74, 0, 24, "Subsubsection"],
Cell[144040, 5047, 118, 3, 24, "Subsubsection"],
Cell[144161, 5052, 77, 0, 24, "Subsubsection"],
Cell[144241, 5054, 94, 2, 24, "Subsubsection",
 Evaluatable->False],
Cell[144338, 5058, 66, 0, 24, "Subsubsection"],
Cell[144407, 5060, 191, 7, 28, "Subsubsection",
 Evaluatable->False]
}
]
*)

(* End of internal cache information *)
