(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 6.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[    145547,       5030]
NotebookOptionsPosition[    125890,       4457]
NotebookOutlinePosition[    128304,       4513]
CellTagsIndexPosition[    128233,       4508]
WindowFrame->Normal
ContainsDynamic->False*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell[TextData[{
 "Note about the ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " Version 6 Files: "
}], "Subsubsection",
 CellChangeTimes->{{3.424620415746278*^9, 3.42462042670328*^9}},
 ImageRegion->{{0, 1}, {0, 1}}],

Cell[TextData[{
 "(* Note about the ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " Version 6 Files: \n\nDear user. \n\nThese files have been roughly adapted \
for Mathematica Version 6. There were significant changes with this \
Mathematica version. \n\nThe Mathematica input has been adapted to generate \
the solutions. In rare cases, changes in the internal Mathematica graphics \
structure made it difficult to fully reproduces the graphics of versions 4.x \
and 5.x; a 3'rd edition of our text is in progress and these will be \
addressed in this new book. \n\nFredrick Olness\nJuly 2008\n\n *)\n"
}], "Input",
 Evaluatable->False,
 CellChangeTimes->{{3.424620433558357*^9, 3.424620592507797*^9}, {
  3.424620630088725*^9, 3.424620726566171*^9}},
 ImageRegion->{{0, 1}, {0, 1}}]
}, Closed]],

Cell[CellGroupData[{

Cell["Legal Notice, Disclaimer, and Book Ordering Information:", \
"Subsubsection",
 ImageRegion->{{0, 1}, {0, 1}}],

Cell[TextData[{
 "(* Legal Notice, Disclaimer, and Book Ordering Information:\n\nLast \
Modified: FIO July 9, 2008: updated for Mathematica version 6.x\nLast \
Modified: FIO June 8, 2002\n\n",
 StyleBox["Mathematica For Physics: 2nd Edition",
  FontColor->RGBColor[1, 0, 0]],
 "\n\nRobert L. Zimmerman and Fredrick I. Olness\n\nWebSite:  \n",
 StyleBox["  www.physics.smu.edu/~olness\n  darkwing.uoregon.edu/~phys600/\n\n\
",
  FontColor->RGBColor[1, 0, 0]],
 "MathSource Number: 0206-862",
 StyleBox["\n",
  FontColor->RGBColor[1, 0, 0]],
 "\nISBN 0-201-53796-6\nFor ordering information, call 1-800-282-0693\n\
Addison-Wesley Publishing Company\n\nCommunication with the authors:\n\
Fredrick I. Olness:  olness@mail.physics.smu.edu\nRobert L. Zimmerman: \
bob@zim.uoregon.edu\n\nCopyright 2002, Addison-Wesley Publishing Company, \
Inc. The material in\nthis file may be distributed freely  so long as the \
content remains\nunchanged, and the copyright and  reference notices are \
included. The\npublisher grants permission for the noncommercial use of these \
programs\nand program segments.  All other uses require the prior written \
consent\nof the publisher.    \n\nAll rights are reserved with regard to the  \
material in the\n\"Mathematica For Physics\" text, and may not be reproduced, \
stored in a\nretrieval system, or transmitted,  in any form or by any means,\n\
electronic, mechanical, photocopying,  recording, or otherwise, without\nthe \
prior written permission  of the publisher. \n\nThe programs and applications \
presented in this book have been included\nfor  their instructional value. \
They have been tested with care but are\nnot  guaranteed for any particular \
purpose. The publisher does not\noffer any  warranties or representations, \
nor does it accept any\nliabilities with  respect to the programs or \
applications. \n\n *)\n"
}], "Input",
 Evaluatable->False,
 CellChangeTimes->{{3.424620828588587*^9, 3.42462084491675*^9}},
 ImageRegion->{{0, 1}, {0, 1}}]
}, Closed]],

Cell["3. Oscillating Systems", "Title",
 Evaluatable->False,
 Hyphenation->False,
 AspectRatioFixed->True],

Cell[CellGroupData[{

Cell[TextData[{
 " Introduction ",
 StyleBox["  ",
  FontColor->RGBColor[1, 0, 0]]
}], "Section",
 Evaluatable->False,
 Hyphenation->False,
 AspectRatioFixed->True],

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"Off", "[", 
    RowBox[{"General", "::", "\"\<spell\>\""}], "]"}], ";"}], 
  " "}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Off", "[", 
   RowBox[{"General", "::", "\"\<spell1\>\""}], "]"}], ";"}]}], "Input",
 Hyphenation->False,
 AspectRatioFixed->True]
}, Closed]],

Cell[TextData[{
 "3.1 Linear Oscillations  ",
 StyleBox[" ",
  FontColor->RGBColor[1, 0, 0]]
}], "Section",
 Evaluatable->False,
 Hyphenation->False,
 AspectRatioFixed->True],

Cell[TextData[{
 "Overview of Linear Oscillations  ",
 StyleBox[" ",
  FontColor->RGBColor[1, 0, 0]]
}], "Subsection",
 Evaluatable->False,
 Hyphenation->False,
 AspectRatioFixed->True],

Cell["Initialization of User-Defined Functions:", "Subsection",
 Evaluatable->False,
 Hyphenation->False,
 AspectRatioFixed->True],

Cell[CellGroupData[{

Cell[TextData[{
 "1. ",
 StyleBox["phasePlot",
  FontFamily->"Courier"],
 " for one-dimensional system  ",
 StyleBox[" ",
  FontColor->RGBColor[1, 0, 0]]
}], "Subsubsection",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{
  RowBox[{"phasePlot", "[", 
   RowBox[{"q_", ",", "p_", ",", "tList_List", ",", "opts___"}], "]"}], ":=", 
  
  RowBox[{"ParametricPlot", "[", 
   RowBox[{
    RowBox[{"Evaluate", "[", 
     RowBox[{"{", 
      RowBox[{"p", ",", "q"}], "}"}], "]"}], ",", "tList", ",", "opts", ",", 
    RowBox[{"PlotRange", "\[Rule]", "All"}], ",", 
    RowBox[{"PlotStyle", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"Hue", "[", 
        RowBox[{"RandomReal", "[", "]"}], "]"}], ",", 
       RowBox[{"Thickness", "[", "0.01`", "]"}]}], "}"}]}], ",", 
    RowBox[{"Axes", "\[Rule]", "False"}], ",", 
    RowBox[{"PlotLabel", "\[Rule]", "\"\<Phase Trajectory\>\""}], ",", 
    RowBox[{"Frame", "\[Rule]", "True"}], ",", 
    RowBox[{"FrameLabel", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{"\"\<p\>\"", ",", "\"\<q\>\""}], "}"}]}]}], "]"}]}]], "Input"],

Cell[BoxData[
 RowBox[{
  RowBox[{"phasePlot", "[", 
   RowBox[{
    RowBox[{"Sin", "[", 
     RowBox[{"2", " ", "\[Pi]", " ", "t"}], "]"}], ",", 
    RowBox[{"D", "[", 
     RowBox[{
      RowBox[{"Sin", "[", 
       RowBox[{"2", " ", "\[Pi]", "  ", "t"}], "]"}], ",", "t"}], "]"}], ",", 
    
    RowBox[{"{", 
     RowBox[{"t", ",", "0", ",", "3"}], "}"}], ",", 
    RowBox[{"GridLines", "\[Rule]", "Automatic"}], ",", 
    RowBox[{"AspectRatio", "\[Rule]", "1"}]}], "]"}], " "}]], "Input",
 CellChangeTimes->{{3.421854985402045*^9, 3.421855003512171*^9}},
 Hyphenation->False,
 AspectRatioFixed->True]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
 "2. ",
 StyleBox["timePhasePlot:",
  FontFamily->"Courier"],
 " Time behavior of phase plot for a one-dimensional system  "
}], "Subsubsection",
 Evaluatable->False,
 Hyphenation->False,
 AspectRatioFixed->True],

Cell[BoxData[{
 RowBox[{
  RowBox[{"Clear", "[", "timePhasePlot", "]"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"timePhasePlot", "[", 
    RowBox[{"q_", ",", "p_", ",", "tList_List", ",", "opts___"}], "]"}], ":=",
    "\[IndentingNewLine]", 
   RowBox[{"ParametricPlot3D", "[", " ", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"p", ",", "q", ",", 
       RowBox[{"tList", "[", 
        RowBox[{"[", "1", "]"}], "]"}]}], "}"}], ",", "\[IndentingNewLine]", 
     "tList", ",", "opts", ",", "\[IndentingNewLine]", 
     RowBox[{"ColorFunction", "\[Rule]", "\"\<BlueGreenYellow\>\""}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"PlotRange", "\[Rule]", "All"}], ",", "\[IndentingNewLine]", 
     RowBox[{"PlotLabel", "\[Rule]", "\"\<     Phase[t]\>\""}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"AxesLabel", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"\"\<p[t]\>\"", ",", "\"\<q[t]\>\"", ",", "\"\<t \>\""}], 
       "}"}]}], ",", "\[IndentingNewLine]", 
     RowBox[{"PlotPoints", "\[Rule]", "300"}], ",", "\[IndentingNewLine]", 
     RowBox[{"BoxRatios", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"1", ",", "1", ",", "1"}], "}"}]}]}], "]"}]}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{"timePhasePlot", "[", 
  RowBox[{
   RowBox[{"Sin", "[", 
    RowBox[{"2", " ", "\[Pi]", " ", "t"}], "]"}], ",", 
   RowBox[{"D", "[", 
    RowBox[{
     RowBox[{"Sin", "[", 
      RowBox[{"2", " ", "\[Pi]", "  ", "t"}], "]"}], ",", "t"}], "]"}], ",", 
   RowBox[{"{", 
    RowBox[{"t", ",", "0", ",", "3"}], "}"}]}], "]"}]}], "Input",
 CellChangeTimes->{{3.422019967254348*^9, 3.422020097195267*^9}, {
  3.422020127952232*^9, 3.42202013180653*^9}, {3.422020201814573*^9, 
  3.422020357625604*^9}}],

Cell[BoxData[
 RowBox[{"timePhasePlot", "[", 
  RowBox[{
   RowBox[{"Sin", "[", 
    RowBox[{"2", " ", "\[Pi]", " ", "t"}], "]"}], ",", 
   RowBox[{"D", "[", 
    RowBox[{
     RowBox[{"Sin", "[", 
      RowBox[{"2", " ", "\[Pi]", "  ", "t"}], "]"}], ",", "t"}], "]"}], ",", 
   RowBox[{"{", 
    RowBox[{"t", ",", "0", ",", "3"}], "}"}]}], "]"}]], "Input",
 CellChangeTimes->{3.421855027393837*^9},
 Hyphenation->False,
 AspectRatioFixed->True]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
 "3. ",
 StyleBox["doublePlot:",
  FontFamily->"Courier"],
 " Combination of the phase plot and the time behavior of the phase plot"
}], "Subsubsection",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{
  RowBox[{"doublePlot", "[", 
   RowBox[{"q_", ",", "p_", ",", "tList_List"}], "]"}], ":=", 
  RowBox[{"Show", "[", 
   RowBox[{"GraphicsRow", "[", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"phasePlot", "[", 
       RowBox[{"q", ",", "p", ",", "tList", ",", 
        RowBox[{"FrameTicks", "\[Rule]", "None"}]}], "]"}], ",", 
      RowBox[{"timePhasePlot", "[", 
       RowBox[{"q", ",", "p", ",", "tList", ",", 
        RowBox[{"Ticks", "\[Rule]", "None"}]}], "]"}]}], "}"}], "]"}], 
   "]"}]}]], "Input",
 CellChangeTimes->{3.422019785043778*^9, 3.422020421606252*^9}],

Cell[BoxData["Un"], "Input",
 CellChangeTimes->{{3.422020429305633*^9, 3.422020429534592*^9}}],

Cell[BoxData[
 RowBox[{"doublePlot", "[", 
  RowBox[{
   RowBox[{"Sin", "[", 
    RowBox[{"2", " ", "\[Pi]", " ", "t"}], "]"}], ",", 
   RowBox[{"D", "[", 
    RowBox[{
     RowBox[{"Sin", "[", 
      RowBox[{"2", " ", "\[Pi]", " ", "t"}], "]"}], ",", "t"}], "]"}], ",", 
   RowBox[{"{", 
    RowBox[{"t", ",", "0", ",", "3"}], "}"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.421855042406107*^9, 3.421855042647776*^9}},
 Hyphenation->False,
 AspectRatioFixed->True]
}, Closed]],

Cell[CellGroupData[{

Cell["4.  Protect Commands", "Subsubsection",
 Hyphenation->False],

Cell["Protect[ phasePlot,timePhasePlot,doublePlot];", "Input",
 Hyphenation->False,
 AspectRatioFixed->True]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
 "Problem 1: Linear Oscillator ",
 StyleBox["      ",
  FontColor->RGBColor[0, 1, 0]]
}], "Subsection",
 Evaluatable->False,
 Hyphenation->False,
 AspectRatioFixed->True],

Cell["Remarks and outline", "Subsubsection",
 Hyphenation->False],

Cell[CellGroupData[{

Cell["Solution", "Subsubsection",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{"Clear", "[", "\"\<Global`*\>\"", "]"}]], "Input",
 Hyphenation->False],

Cell[CellGroupData[{

Cell["Part a", "Subsubsection",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{
  RowBox[{"eq1", "=", 
   RowBox[{
    RowBox[{
     RowBox[{
      SuperscriptBox["x", "\[DoublePrime]",
       MultilineFunction->None], "[", "t", "]"}], "+", 
     RowBox[{
      SuperscriptBox["\[Omega]0", "2"], "  ", 
      RowBox[{"x", "[", "t", "]"}]}]}], "==", "0"}]}], " ", ";"}]], "Input",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{
  RowBox[{"initial1", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{"x", "[", "0", "]"}], "\[Equal]", "x0"}], ",", 
     RowBox[{
      RowBox[{
       SuperscriptBox["x", "\[Prime]",
        MultilineFunction->None], "[", "0", "]"}], "==", "v0"}]}], "}"}]}], 
  ";"}]], "Input",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{"dSol1", "=", " ", 
  RowBox[{
   RowBox[{"DSolve", "[", " ", 
    RowBox[{
     RowBox[{
      RowBox[{"{", 
       RowBox[{"eq1", " ", ",", "initial1"}], "}"}], "//", "Flatten"}], ",", 
     RowBox[{"x", "[", "t", "]"}], ",", "t"}], "]"}], "//", "Flatten", 
   " "}]}]], "Input",
 Hyphenation->False],

Cell["\<\
Not Needed
Needs[\"Graphics`Arrow`\"]\
\>", "Subsubsection",
 CellChangeTimes->{{3.421854640890821*^9, 3.421854645391773*^9}},
 Hyphenation->False],

Cell[BoxData[
 RowBox[{"Context", "[", "Arrow", "]"}]], "Input",
 CellChangeTimes->{{3.421908397974937*^9, 3.421908402071545*^9}}],

Cell[BoxData[
 RowBox[{"?", "System`Arrow"}]], "Input",
 CellChangeTimes->{{3.421908406903739*^9, 3.421908415491487*^9}}],

Cell[BoxData[
 RowBox[{"?", "Arrow"}]], "Input",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"arrow", "=", " ", 
    RowBox[{"{", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{"Hue", "[", "0.2", "]"}], ",", 
        RowBox[{"Arrow", "[", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{"0", ",", "0"}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{"0.5", ",", "0.5"}], "}"}]}], "}"}], "]"}]}], "}"}], ",", 
      "\[IndentingNewLine]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"Hue", "[", "0.4", "]"}], ",", 
        RowBox[{"Arrow", "[", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{"0", ",", "0"}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{"2", ",", "0"}], "}"}]}], "}"}], "]"}]}], "}"}], ",", 
      "\[IndentingNewLine]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"Hue", "[", "0.6", "]"}], ",", 
        RowBox[{"Arrow", "[", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{"0", ",", "0"}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{"0", ",", "0.5"}], "}"}]}], "}"}], "]"}]}], "}"}]}], 
     "\[IndentingNewLine]", "}"}]}], ";"}], " "}]], "Input",
 CellChangeTimes->{{3.421859101538337*^9, 3.421859129666407*^9}}],

Cell[BoxData[
 RowBox[{"Plot", "[", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"x", "[", "t", "]"}], "/.", "dSol1"}], "/.", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"x0", "\[Rule]", "0"}], ",", 
      RowBox[{"\[Omega]0", "\[Rule]", "1"}], ",", " ", 
      RowBox[{"v0", "\[Rule]", "1"}]}], "}"}]}], ",", 
   RowBox[{"{", 
    RowBox[{"t", ",", 
     RowBox[{
      RowBox[{"-", "2"}], " ", "\[Pi]"}], ",", 
     RowBox[{"2", " ", "\[Pi]"}]}], "}"}], ",", "\[IndentingNewLine]", 
   RowBox[{"Epilog", "\[Rule]", "arrow"}]}], "]"}]], "Input",
 CellChangeTimes->{3.421852747274028*^9},
 Hyphenation->False]
}, Closed]],

Cell[CellGroupData[{

Cell["Part b", "Subsubsection",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{
  RowBox[{"initial2", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{"x", "[", "0", "]"}], "==", 
      RowBox[{"A", " ", 
       RowBox[{"Cos", "[", "\[Delta]", "]"}]}]}], ",", 
     RowBox[{
      RowBox[{
       RowBox[{"x", "'"}], "[", "0", "]"}], "==", 
      RowBox[{
       RowBox[{"-", "A"}], " ", "\[Omega]0", " ", 
       RowBox[{"Sin", "[", "\[Delta]", "]"}]}]}]}], "}"}]}], ";"}]], "Input",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{"dSol2", "=", 
  RowBox[{
   RowBox[{
    RowBox[{"DSolve", "[", 
     RowBox[{
      RowBox[{
       RowBox[{"{", 
        RowBox[{"eq1", ",", "initial2"}], "}"}], "//", "Flatten"}], ",", 
      RowBox[{"x", "[", "t", "]"}], ",", "t"}], "]"}], "//", "Flatten"}], " ",
    "//", "Simplify"}]}]], "Input",
 Hyphenation->False]
}, Closed]],

Cell[CellGroupData[{

Cell["Part c", "Subsubsection",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{"lapTx", "=", 
  RowBox[{"LaplaceTransform", "[", 
   RowBox[{"eq1", ",", "t", ",", "s"}], "]"}]}]], "Input",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{"lapSol", "=", 
  RowBox[{
   RowBox[{"Solve", "[", 
    RowBox[{"lapTx", ",", 
     RowBox[{"LaplaceTransform", "[", 
      RowBox[{
       RowBox[{"x", "[", "t", "]"}], ",", "t", ",", "s"}], "]"}]}], "]"}], 
   "[", 
   RowBox[{"[", "1", "]"}], "]"}], " "}]], "Input",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{" ", 
  RowBox[{
   RowBox[{"InverseLaplaceTransform", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"LaplaceTransform", "[", 
       RowBox[{
        RowBox[{"x", "[", "t", "]"}], ",", "t", ",", "s"}], "]"}], "/.", 
      "lapSol"}], ",", "s", ",", "t"}], "]"}], "//", "Apart", 
   "  "}]}]], "Input",
 Hyphenation->False]
}, Closed]]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
 "Problem 2: Series expansion Solution      ",
 StyleBox[" ",
  FontColor->RGBColor[1, 0, 0]]
}], "Subsection",
 Evaluatable->False,
 Hyphenation->False,
 AspectRatioFixed->True],

Cell[BoxData[{
 RowBox[{
  RowBox[{"Clear", "[", "\"\<Global`*\>\"", "]"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"diffSeriesOne", "[", 
   RowBox[{
   "eq_", ",", "z_", ",", "t_", ",", "initialx_", ",", "initialv_", ",", 
    "order_"}], "]"}], " ", ":=", " ", 
  RowBox[{"Module", "[", " ", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
     "tempser", ",", "tempeq", " ", ",", " ", "tempvar", ",", " ", "tempsol", 
      ",", "tempinit"}], " ", "}"}], ",", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"tempser", "=", " ", 
      RowBox[{"z", "->", 
       RowBox[{"Series", "[", 
        RowBox[{"z", ",", 
         RowBox[{"{", 
          RowBox[{"t", ",", "0", ",", "order"}], "}"}]}], "]"}]}]}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{"tempeq", "=", 
      RowBox[{
       RowBox[{"(", " ", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{
           RowBox[{"eq", "[", 
            RowBox[{"[", "1", "]"}], "]"}], "-", 
           RowBox[{"eq", "[", 
            RowBox[{"[", "2", "]"}], "]"}]}], ")"}], " ", "//.", "tempser"}], 
        ")"}], "==", "0"}]}], " ", ";", 
     RowBox[{"tempvar", "=", " ", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{
         RowBox[{"Table", "[", 
          RowBox[{
           RowBox[{"D", "[", 
            RowBox[{"z", ",", 
             RowBox[{"{", 
              RowBox[{"t", ",", "j"}], "}"}]}], "]"}], ",", 
           RowBox[{"{", 
            RowBox[{"j", ",", "2", ",", 
             RowBox[{"order", "+", "2"}]}], "}"}]}], "]"}], "/.", 
         RowBox[{"t", "->", "0"}]}], ")"}], "//", "Flatten"}]}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{"tempsol", "=", 
      RowBox[{
       RowBox[{"Solve", "[", 
        RowBox[{"tempeq", ",", " ", "tempvar"}], "]"}], "//", "Flatten"}]}], 
     ";", "\[IndentingNewLine]", 
     RowBox[{"tempinit", "=", " ", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{
         RowBox[{
          RowBox[{"Head", "[", "z", "]"}], "[", "0", "]"}], "->", 
         "initialx"}], ",", 
        RowBox[{
         RowBox[{
          RowBox[{
           RowBox[{"Head", "[", "z", "]"}], "'"}], "[", "0", "]"}], "->", 
         "initialv"}]}], "}"}]}], ";", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{
       RowBox[{"z", "/.", "tempser"}], "/.", "tempsol"}], "/.", 
      "tempinit"}]}]}], " ", "]"}], " "}]}], "Input"],

Cell[BoxData[
 RowBox[{
  RowBox[{"Protect", "[", "diffSeriesOne", " ", "]"}], ";"}]], "Input",
 Hyphenation->False],

Cell[CellGroupData[{

Cell["Solution", "Subsection",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{"Clear", "[", "\"\<Global`*\>\"", "]"}]], "Input",
 Hyphenation->False],

Cell[CellGroupData[{

Cell["Part a  ", "Subsubsection",
 Evaluatable->False,
 Hyphenation->False,
 AspectRatioFixed->True],

Cell[BoxData[{
 RowBox[{
  RowBox[{"Clear", "[", "\"\<Global`*\>\"", "]"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"diffSeriesOne2", "[", 
   RowBox[{
   "eq_", ",", "z_", ",", "t_", ",", "initialx_", ",", "initialv_", ",", 
    "order_"}], "]"}], " ", ":=", " ", 
  RowBox[{"Module", "[", " ", 
   RowBox[{
    RowBox[{"{", " ", "}"}], ",", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"tempser", "=", " ", 
      RowBox[{"z", "->", 
       RowBox[{"Series", "[", 
        RowBox[{"z", ",", 
         RowBox[{"{", 
          RowBox[{"t", ",", "0", ",", "order"}], "}"}]}], "]"}]}]}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{"tempeq", "=", 
      RowBox[{
       RowBox[{"(", " ", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{
           RowBox[{"eq", "[", 
            RowBox[{"[", "1", "]"}], "]"}], "-", 
           RowBox[{"eq", "[", 
            RowBox[{"[", "2", "]"}], "]"}]}], ")"}], " ", "//.", "tempser"}], 
        ")"}], "==", "0"}]}], " ", ";", 
     RowBox[{"tempvar", "=", " ", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{
         RowBox[{"Table", "[", 
          RowBox[{
           RowBox[{"D", "[", 
            RowBox[{"z", ",", 
             RowBox[{"{", 
              RowBox[{"t", ",", "j"}], "}"}]}], "]"}], ",", 
           RowBox[{"{", 
            RowBox[{"j", ",", "2", ",", 
             RowBox[{"order", "+", "2"}]}], "}"}]}], "]"}], "/.", 
         RowBox[{"t", "->", "0"}]}], ")"}], "//", "Flatten"}]}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{"tempsol", "=", 
      RowBox[{
       RowBox[{"Solve", "[", 
        RowBox[{"tempeq", ",", " ", "tempvar"}], "]"}], "//", "Flatten"}]}], 
     ";", "\[IndentingNewLine]", 
     RowBox[{"tempinit", "=", " ", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{
         RowBox[{
          RowBox[{"Head", "[", "z", "]"}], "[", "0", "]"}], "->", 
         "initialx"}], ",", 
        RowBox[{
         RowBox[{
          RowBox[{
           RowBox[{"Head", "[", "z", "]"}], "'"}], "[", "0", "]"}], "->", 
         "initialv"}]}], "}"}]}], ";", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{
       RowBox[{"z", "/.", "tempser"}], "/.", "tempsol"}], "/.", 
      "tempinit"}]}]}], " ", "]"}], " "}]}], "Input"],

Cell[BoxData[
 RowBox[{
  RowBox[{"eq1", "=", 
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{"y", "''"}], "[", "t", "]"}], "+", 
     RowBox[{"\[Gamma]", " ", 
      RowBox[{
       RowBox[{
        RowBox[{"y", "'"}], "[", "t", "]"}], "^", "2"}]}], "+", " ", 
     RowBox[{
      RowBox[{"w", "^", "2"}], " ", 
      RowBox[{"y", "[", "t", "]"}]}]}], "\[Equal]", 
    RowBox[{"a", " ", 
     RowBox[{
      RowBox[{
       RowBox[{"y", "'"}], "[", "t", "]"}], "^", "2"}], "  ", 
     RowBox[{"y", "[", "t", "]"}]}]}]}], ";"}]], "Input",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{"diffSeriesOne2", "[", 
  RowBox[{"eq1", ",", 
   RowBox[{"y", "[", "t", "]"}], ",", "t", ",", "  ", "y0", ",", " ", "v0", 
   ",", "2"}], "]"}]], "Input",
 Hyphenation->False],

Cell[BoxData["tempser"], "Input",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{" ", 
  RowBox[{"tempeq", "//", 
   RowBox[{
    RowBox[{"Short", "[", 
     RowBox[{"#", ",", "3"}], "]"}], "&"}], " "}]}]], "Input",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{"   ", "tempvar"}]], "Input",
 Hyphenation->False,
 AspectRatioFixed->True],

Cell[BoxData[
 RowBox[{"   ", 
  RowBox[{"tempsol", "//", 
   RowBox[{
    RowBox[{"Short", "[", 
     RowBox[{"#", ",", "7"}], "]"}], "&"}]}]}]], "Input",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{"    ", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"y", "[", "t", "]"}], "/.", "tempser"}], "/.", "tempsol"}], "/.",
    "tempinit"}]}]], "Input",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{"diffSeriesOne", "[", 
  RowBox[{"eq1", ",", 
   RowBox[{"y", "[", "t", "]"}], ",", "t", ",", "  ", "y0", ",", " ", "v0", 
   ",", "2"}], "]"}]], "Input",
 Hyphenation->False,
 AspectRatioFixed->True]
}, Closed]],

Cell[CellGroupData[{

Cell["Part b", "Subsubsection",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{"Clear", "[", "\"\<Global`*\>\"", "]"}]], "Input",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{
  RowBox[{"eq2", "=", 
   RowBox[{
    RowBox[{
     RowBox[{
      SuperscriptBox["x", "\[DoublePrime]",
       MultilineFunction->None], "[", "t", "]"}], "+", 
     RowBox[{
      SuperscriptBox["\[Omega]0", "2"], "  ", 
      RowBox[{"x", "[", "t", "]"}]}]}], "==", "0"}]}], " ", ";"}]], "Input",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{"approxsol", "=", 
  RowBox[{
   RowBox[{"diffSeriesOne", "[", 
    RowBox[{"eq2", ",", 
     RowBox[{"x", "[", "t", "]"}], ",", "t", ",", "  ", "x0", ",", " ", "v0", 
     " ", ",", "9"}], "]"}], "//", 
   RowBox[{
    RowBox[{"Collect", "[", 
     RowBox[{"#1", ",", 
      RowBox[{"{", 
       RowBox[{"x0", ",", "v0"}], "}"}]}], "]"}], "&"}], " "}]}]], "Input"],

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"termX", "[", "n_", "]"}], "=", " ", 
   FormBox[
    FractionBox[
     RowBox[{
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{"-", "1"}], ")"}], "n"], " ", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{"t", " ", "\[Omega]0"}], ")"}], 
       RowBox[{"2", " ", "n"}]]}], 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"2", " ", "n"}], ")"}], "!"}]],
    TraditionalForm]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"termV", "[", "n_", "]"}], "=", " ", 
   FormBox[
    FractionBox[
     RowBox[{
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{"-", "1"}], ")"}], "n"], " ", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{"t", " ", "\[Omega]0"}], ")"}], 
       RowBox[{
        RowBox[{"2", " ", "n"}], "+", "1"}]]}], 
     RowBox[{"\[Omega]0", " ", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{
         RowBox[{"2", " ", "n"}], "+", "1"}], ")"}], "!"}]}]],
    TraditionalForm]}], ";"}]}], "Input"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"finitesum", "=", 
    RowBox[{"Sum", "[", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{
        RowBox[{"x0", " ", 
         RowBox[{"termX", "[", "n", "]"}]}], "+", 
        RowBox[{"v0", " ", 
         RowBox[{"termV", "[", "n", "]"}]}]}], ")"}], ",", 
      RowBox[{"{", 
       RowBox[{"n", ",", "0", ",", "4"}], "}"}]}], "]"}]}], ";"}], 
  "   "}]], "Input",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{
  RowBox[{"finitesum", " ", "==", "approxsol"}], "//", "Simplify", 
  " "}]], "Input",
 Hyphenation->False]
}, Closed]],

Cell[BoxData[
 RowBox[{"exactSum", "=", 
  RowBox[{
   RowBox[{
    RowBox[{"Sum", "[", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{
        RowBox[{"x0", " ", 
         RowBox[{"termX", "[", "n", "]"}]}], "+", 
        RowBox[{"v0", " ", 
         RowBox[{"termV", "[", "n", "]"}]}]}], ")"}], ",", 
      RowBox[{"{", 
       RowBox[{"n", ",", "0", ",", "Infinity"}], "}"}]}], "]"}], "//", 
    "PowerExpand"}], " ", "//", "Apart"}]}]], "Input",
 Hyphenation->False]
}, Closed]]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
 "Problem 3: Potential and Phase Diagrams for the Linear Oscillator ",
 StyleBox["  ",
  FontColor->RGBColor[0, 1, 0]]
}], "Subsection",
 Evaluatable->False,
 Hyphenation->False,
 AspectRatioFixed->True],

Cell["Remarks and outline", "Subsubsection",
 Hyphenation->False],

Cell[CellGroupData[{

Cell["Solution", "Subsubsection",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{"Clear", "[", "\"\<Global`*\>\"", "]"}]], "Input",
 Hyphenation->False],

Cell[CellGroupData[{

Cell["Part a", "Subsubsection",
 Hyphenation->False],

Cell[BoxData[{
 RowBox[{
  RowBox[{"Force", "=", 
   RowBox[{"m", " ", 
    RowBox[{
     SuperscriptBox["x", "\[DoublePrime]",
      MultilineFunction->None], "[", "t", "]"}]}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Spring", "=", "  ", 
   RowBox[{
    RowBox[{"-", "k"}], " ", 
    RowBox[{"x", "[", "t", "]"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"eq1", "=", " ", 
  RowBox[{"Force", " ", "==", " ", "Spring"}]}]}], "Input"],

Cell[BoxData[
 RowBox[{"energy", "=", 
  RowBox[{"Integrate", "[", " ", 
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{"x", "'"}], "[", "t", "]"}], 
     RowBox[{"(", " ", 
      RowBox[{
       RowBox[{"m", " ", 
        RowBox[{
         SuperscriptBox["x", "\[DoublePrime]",
          MultilineFunction->None], "[", "t", "]"}]}], " ", "+", 
       RowBox[{"k", " ", 
        RowBox[{"x", "[", "t", "]"}]}]}], ")"}]}], " ", ",", "t"}], "]"}], 
  " "}]], "Input",
 Hyphenation->False],

Cell[BoxData[{
 RowBox[{
  RowBox[{"T", "=", " ", 
   RowBox[{"Integrate", "[", " ", 
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{"x", "'"}], "[", "t", "]"}], "Force"}], " ", ",", "t"}], 
    "]"}]}], ";"}], "\n", 
 RowBox[{
  RowBox[{"V", "=", 
   RowBox[{"-", 
    RowBox[{"Integrate", "[", " ", 
     RowBox[{
      RowBox[{
       RowBox[{
        RowBox[{"x", "'"}], "[", "t", "]"}], "Spring"}], " ", ",", "t"}], 
     "]"}]}]}], ";"}], "\n", 
 RowBox[{"{", 
  RowBox[{"T", ",", "V"}], "}"}]}], "Input",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{"energy", "=", 
  RowBox[{"T", "+", "V"}]}]], "Input",
 Hyphenation->False]
}, Closed]],

Cell[CellGroupData[{

Cell["Part b", "Subsubsection",
 Hyphenation->False],

Cell["\<\
Not Needed
Needs[\"Graphics`FilledPlot`\"]\
\>", "Subsubsection",
 CellChangeTimes->{{3.421854725557378*^9, 3.421854729544374*^9}},
 Hyphenation->False],

Cell[BoxData[
 RowBox[{"?", "Filling"}]], "Input",
 CellChangeTimes->{{3.421854746027906*^9, 3.421854747218166*^9}}],

Cell[BoxData[
 RowBox[{"Plot", "[", 
  RowBox[{
   RowBox[{"V", "/.", "\[InvisibleSpace]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{
       RowBox[{"x", "[", "t", "]"}], "\[Rule]", "x"}], ",", 
      RowBox[{"k", "\[Rule]", "1"}], ",", 
      RowBox[{"m", "\[Rule]", "1"}]}], "}"}]}], ",", 
   RowBox[{"{", 
    RowBox[{"x", ",", 
     RowBox[{"-", "1"}], ",", "1"}], "}"}], ",", 
   RowBox[{"PlotStyle", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"Thickness", "[", "0.02`", "]"}], "}"}]}], ",", 
   RowBox[{"Frame", "\[Rule]", "True"}], ",", 
   RowBox[{"RotateLabel", "\[Rule]", "False"}], ",", 
   RowBox[{"PlotLabel", "\[Rule]", "\"\<V\>\""}], ",", 
   RowBox[{"FrameLabel", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"\"\<x-axis\>\"", ",", "\"\<Potential\>\""}], "}"}]}], ",", 
   RowBox[{"Filling", "\[Rule]", "Axis"}]}], "]"}]], "Input",
 CellChangeTimes->{3.421852800338337*^9, 3.421854852949382*^9}]
}, Closed]],

Cell[CellGroupData[{

Cell["Part c  ", "Subsubsection",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"values", "=", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"m", "\[Rule]", "1"}], ",", 
      RowBox[{"k", "\[Rule]", "1"}], ",", 
      RowBox[{
       RowBox[{"x", "[", "t", "]"}], "\[Rule]", "x"}], ",", 
      RowBox[{
       RowBox[{
        SuperscriptBox["x", "\[Prime]",
         MultilineFunction->None], "[", "t", "]"}], "\[Rule]", "v"}]}], 
     "}"}]}], ";"}], " "}]], "Input",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{"pt1", "=", 
  RowBox[{"ContourPlot", "[", 
   RowBox[{
    RowBox[{"Evaluate", "[", 
     RowBox[{"energy", "/.", "values"}], "]"}], ",", 
    RowBox[{"{", 
     RowBox[{"x", ",", 
      RowBox[{"-", "1"}], ",", "1"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"v", ",", 
      RowBox[{"-", "1"}], ",", "1"}], "}"}], ",", "\[IndentingNewLine]", 
    RowBox[{"ColorFunction", "->", "Hue"}], ",", "  ", "\[IndentingNewLine]", 
    
    RowBox[{"Contours", "->", "30"}], ",", "\[IndentingNewLine]", 
    RowBox[{"PlotPoints", "->", "30"}], ",", "\[IndentingNewLine]", 
    RowBox[{"ContourStyle", " ", "->", 
     RowBox[{"{", " ", 
      RowBox[{"Thickness", "[", "0.006", "]"}], "}"}]}], ",", 
    "\[IndentingNewLine]", 
    RowBox[{"Axes", "\[Rule]", "True"}], ",", " ", "\[IndentingNewLine]", 
    RowBox[{"AxesLabel", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{"\"\<x[t]\>\"", ",", "\"\<v[t]\>\""}], "}"}]}]}], 
   "]"}]}]], "Input",
 CellChangeTimes->{3.421852806208627*^9}],

Cell[BoxData[{
 RowBox[{"Needs", "[", "\"\<BarCharts`\>\"", "]"}], "\[IndentingNewLine]", 
 RowBox[{"Needs", "[", "\"\<Histograms`\>\"", "]"}]}], "Input",
 CellChangeTimes->{{3.421855135066831*^9, 3.42185513595974*^9}},
 Hyphenation->False],

Cell[BoxData[
 RowBox[{"?", "ShadowPlot3D"}]], "Input",
 Hyphenation->False],

Cell[BoxData[""], "Input"],

Cell["\<\
THIS IS NOT IN USE ANY MORE


ShadowPlot3D[energy /. values, {x, -1, 1}, {v, -1, 1},
 PlotLabel -> \"Energy Surface\",
 Axes -> True,
 AxesLabel -> {\"x[t]\", \"v[t]\", \"energy\"},
 ShadowPosition -> 1]\
\>", "Subsubsection",
 CellChangeTimes->{
  3.421855141599269*^9, {3.4218555144108*^9, 3.421855522946531*^9}}]
}, Closed]]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell["Problem 4: Damped Linear Oscillator  ", "Subsection",
 Evaluatable->False,
 Hyphenation->False,
 AspectRatioFixed->True],

Cell["Remarks and outline ", "Subsubsection",
 Evaluatable->False,
 Hyphenation->False,
 AspectRatioFixed->True],

Cell[CellGroupData[{

Cell["Solution", "Subsubsection",
 Evaluatable->False,
 Hyphenation->False,
 AspectRatioFixed->True],

Cell[BoxData[
 RowBox[{"Clear", "[", "\"\<Global`*\>\"", "]"}]], "Input",
 Hyphenation->False],

Cell[CellGroupData[{

Cell["Part a", "Subsubsection",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{
  RowBox[{"eq1", "=", 
   RowBox[{
    RowBox[{
     RowBox[{
      SuperscriptBox["x", "\[DoublePrime]",
       MultilineFunction->None], "[", "t", "]"}], "+", 
     RowBox[{"\[Gamma]", " ", 
      RowBox[{
       SuperscriptBox["x", "\[Prime]",
        MultilineFunction->None], "[", "t", "]"}]}], "+", " ", 
     RowBox[{
      RowBox[{"\[Omega]0", "^", "2"}], "  ", 
      RowBox[{"x", "[", "t", "]"}]}]}], "==", "0"}]}], ";"}]], "Input",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{"xsol", "=", 
  RowBox[{
   RowBox[{
    RowBox[{"x", "[", "t", "]"}], "/.", 
    RowBox[{
     RowBox[{"DSolve", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"eq1", ",", 
         RowBox[{
          RowBox[{"x", "[", "0", "]"}], "==", "x0"}], ",", 
         RowBox[{
          RowBox[{
           SuperscriptBox["x", "\[Prime]",
            MultilineFunction->None], "[", "0", "]"}], "==", "v0"}]}], "}"}], 
       ",", 
       RowBox[{"x", "[", "t", "]"}], ",", "t"}], "]"}], "[", 
     RowBox[{"[", "1", "]"}], "]"}]}], " ", "//", "Simplify"}]}]], "Input"],

Cell[BoxData[
 RowBox[{"\[Omega]Rule", "=", " ", 
  RowBox[{
   RowBox[{"Solve", "[", 
    RowBox[{
     RowBox[{
      FormBox[
       SqrtBox[
        RowBox[{
         SuperscriptBox["\[Omega]0", "2"], "-", 
         FractionBox[
          SuperscriptBox["\[Gamma]", "2"], "4"]}]],
       TraditionalForm], "==", "  ", "\[Omega]"}], ",", "\[Omega]0"}], "]"}], 
   "[", 
   RowBox[{"[", "2", "]"}], "]"}]}]], "Input"],

Cell[BoxData[
 RowBox[{"xsol", "=", 
  RowBox[{
   RowBox[{
    RowBox[{"xsol", " ", "/.", "\[Omega]Rule"}], "//", "ExpToTrig"}], " ", "//",
    "FullSimplify"}]}]], "Input"],

Cell[BoxData[
 RowBox[{" ", 
  RowBox[{
   RowBox[{
    RowBox[{"xsol", "/.", 
     RowBox[{"\[Gamma]", "->", "0"}]}], "//", "PowerExpand"}], "//", 
   "ExpandAll"}]}]], "Input",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{"  ", 
  RowBox[{"Limit", "[", 
   RowBox[{"xsol", ",", 
    RowBox[{"\[Gamma]", "->", 
     RowBox[{"2", "\[Omega]0"}]}]}], "]"}]}]], "Input",
 Hyphenation->False]
}, Closed]],

Cell[CellGroupData[{

Cell["Part b ", "Subsubsection",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{
  RowBox[{"values", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"x0", "\[Rule]", "1"}], ",", " ", 
     RowBox[{"\[Omega]0", "\[Rule]", "1"}], ",", 
     RowBox[{"v0", "->", "0"}], ",", 
     RowBox[{"\[Omega]", "->", 
      SqrtBox[
       RowBox[{
        SuperscriptBox["\[Omega]0", "2"], "-", 
        FractionBox[
         SuperscriptBox["\[Gamma]", "2"], "4"]}]]}]}], "}"}]}], " ", 
  ";"}]], "Input",
 Hyphenation->False,
 AspectRatioFixed->True],

Cell[BoxData[
 RowBox[{
  RowBox[{"pt", "[", 
   RowBox[{"\[Gamma]1_", "/;", 
    RowBox[{"0", "\[LessEqual]", "\[Gamma]1", "<", "2"}]}], "]"}], ":=", 
  RowBox[{"Plot", "[", 
   RowBox[{
    RowBox[{"Evaluate", "[", 
     RowBox[{
      RowBox[{"xsol", "//.", "\[InvisibleSpace]", "values"}], "/.", 
      "\[InvisibleSpace]", 
      RowBox[{"{", 
       RowBox[{"\[Gamma]", "\[Rule]", "\[Gamma]1"}], "}"}]}], "]"}], ",", 
    RowBox[{"{", 
     RowBox[{"t", ",", "0", ",", "15"}], "}"}], ",", 
    RowBox[{"PlotStyle", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"Hue", "[", 
        RowBox[{"RandomReal", "[", "]"}], "]"}], ",", 
       RowBox[{"Thickness", "[", "0.03`", "]"}]}], "}"}]}], ",", 
    RowBox[{"PlotRange", "\[Rule]", "All"}]}], "]"}]}]], "Input",
 CellChangeTimes->{{3.421852828494587*^9, 3.421852829130518*^9}}],

Cell[BoxData[
 RowBox[{"Show", "[", 
  RowBox[{"GraphicsGrid", "[", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"pt", "[", "0", "]"}], ",", 
       RowBox[{"pt", "[", "0.2`", "]"}], ",", 
       RowBox[{"pt", "[", "0.4`", "]"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"pt", "[", "0.8`", "]"}], ",", 
       RowBox[{"pt", "[", "1.4`", "]"}], ",", 
       RowBox[{"pt", "[", "1.9`", "]"}]}], "}"}]}], "}"}], "]"}], 
  "]"}]], "Input"],

Cell[BoxData[
 RowBox[{"Plot", "[", " ", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"(", 
      RowBox[{"xsol", "//.", "values"}], ")"}], "/.", 
     RowBox[{"\[Gamma]", "->", 
      RowBox[{"Range", "[", 
       RowBox[{"2.0001", ",", "6.0001", " ", ",", "0.4"}], "]"}]}]}], " ", "//",
     "Evaluate"}], ",", "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{"t", ",", "0", ",", "15"}], "}"}], " ", ",", 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"PlotStyle", "->", 
     RowBox[{"Table", "[", " ", 
      RowBox[{
       RowBox[{"Hue", "[", "i", "]"}], ",", 
       RowBox[{"{", 
        RowBox[{"i", ",", "0", ",", "1", ",", 
         RowBox[{"1", "/", "12"}]}], "}"}]}], "]"}]}], "//", "Evaluate"}]}], 
  "\[IndentingNewLine]", "]"}]], "Input",
 CellChangeTimes->{3.421852845601211*^9}]
}, Closed]],

Cell[CellGroupData[{

Cell["Part c", "Subsubsection",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{
  RowBox[{"{", 
   RowBox[{"x", ",", "v"}], "}"}], "=", " ", 
  RowBox[{
   RowBox[{
    RowBox[{"{", 
     RowBox[{"xsol", ",", 
      RowBox[{"D", "[", 
       RowBox[{"xsol", ",", "t"}], "]"}]}], "}"}], "//.", "values"}], "/.", 
   RowBox[{"{", 
    RowBox[{"\[Gamma]", "\[Rule]", "0.2"}], "}"}]}]}]], "Input"],

Cell[BoxData[
 RowBox[{"doublePlot", "[", 
  RowBox[{"x", ",", "v", ",", 
   RowBox[{"{", 
    RowBox[{"t", ",", "0.01", ",", "30"}], "}"}]}], "]"}]], "Input",
 CellChangeTimes->{3.421855560758271*^9}]
}, Closed]],

Cell[CellGroupData[{

Cell["Part d", "Subsubsection",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{
  RowBox[{"values2", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"\[Gamma]", "\[Rule]", "0.1"}], ",", 
     RowBox[{"\[Omega]0", "\[Rule]", "1"}], ",", 
     RowBox[{"x0", "\[Rule]", "1"}], ",", 
     RowBox[{"v0", "\[Rule]", "0"}], ",", 
     RowBox[{"\[Omega]", "->", 
      SqrtBox[
       RowBox[{
        SuperscriptBox["\[Omega]0", "2"], "-", 
        FractionBox[
         SuperscriptBox["\[Gamma]", "2"], "4"]}]]}]}], "}"}]}], 
  ";"}]], "Input",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{"traj", " ", "=", 
  RowBox[{"ParametricPlot", "[", 
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{"{", " ", 
       RowBox[{"xsol", ",", 
        RowBox[{"D", "[", 
         RowBox[{"xsol", ",", "t"}], "]"}]}], " ", "}"}], "//.", "values2"}], 
     " ", "//", "Evaluate"}], ",", "\[IndentingNewLine]", 
    RowBox[{"{", 
     RowBox[{"t", ",", "0", ",", "60"}], "}"}], ",", "\[IndentingNewLine]", 
    RowBox[{"PlotStyle", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"Thickness", "[", ".008", "]"}], ",", 
       RowBox[{"GrayLevel", "[", "0", "]"}]}], "}"}]}]}], "]"}]}]], "Input",
 CellChangeTimes->{3.421855617524523*^9}],

Cell[BoxData[
 RowBox[{"Needs", "[", "\"\<VectorFieldPlots`\>\"", "]"}]], "Input",
 Hyphenation->False],

Cell[BoxData[{
 RowBox[{
  RowBox[{"Clear", "[", 
   RowBox[{"x", ",", "v"}], "]"}], ";"}], "\n", 
 RowBox[{"pt1", "=", 
  RowBox[{"VectorFieldPlots`VectorFieldPlot", "[", 
   RowBox[{
    RowBox[{"Evaluate", "[", 
     RowBox[{"{", 
      RowBox[{"v", ",", 
       RowBox[{
        RowBox[{
         RowBox[{"-", "0.5`"}], " ", "v"}], "-", "x"}]}], "}"}], "]"}], ",", 
    RowBox[{"{", 
     RowBox[{"x", ",", 
      RowBox[{"-", "1"}], ",", "1"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"v", ",", 
      RowBox[{"-", "1"}], ",", "1"}], "}"}], ",", 
    RowBox[{"PlotPoints", "\[Rule]", "20"}], ",", 
    RowBox[{"AspectRatio", "\[Rule]", "Automatic"}], ",", 
    RowBox[{"Axes", "\[Rule]", "Automatic"}], ",", 
    RowBox[{"AxesOrigin", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{"0", ",", "0"}], "}"}]}], ",", 
    RowBox[{"ScaleFunction", "\[Rule]", 
     RowBox[{"(", 
      RowBox[{"1", "&"}], ")"}]}], ",", 
    RowBox[{"Epilog", "\[Rule]", 
     RowBox[{"traj", "\[LeftDoubleBracket]", "1", "\[RightDoubleBracket]"}]}],
     ",", 
    RowBox[{"BaseStyle", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{"Hue", "[", "0.6`", "]"}], "}"}]}]}], "]"}]}]}], "Input",
 CellChangeTimes->{{3.421855705272855*^9, 3.421855713834592*^9}}]
}, Closed]],

Cell[CellGroupData[{

Cell["Part e", "Subsubsection",
 Evaluatable->False,
 Hyphenation->False,
 AspectRatioFixed->True],

Cell[BoxData["eq1"], "Input",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{"lapTx", "=", 
  RowBox[{"LaplaceTransform", "[", 
   RowBox[{"eq1", ",", "t", ",", "s"}], "]"}]}]], "Input",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{"lapSol", "=", 
  RowBox[{
   RowBox[{
    RowBox[{"Solve", "[", 
     RowBox[{"lapTx", ",", 
      RowBox[{"LaplaceTransform", "[", 
       RowBox[{
        RowBox[{"x", "[", "t", "]"}], ",", "t", ",", "s"}], "]"}]}], "]"}], 
    "[", 
    RowBox[{"[", "1", "]"}], "]"}], "//", "Simplify", " "}]}]], "Input",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{"sol", "=", " ", 
  RowBox[{"InverseLaplaceTransform", "[", 
   RowBox[{
    RowBox[{
     RowBox[{"LaplaceTransform", "[", 
      RowBox[{
       RowBox[{"x", "[", "t", "]"}], ",", "t", ",", "s"}], "]"}], "/.", 
     "lapSol"}], ",", "s", ",", "t"}], "]"}]}]], "Input"]
}, Closed]]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
 "Problem 5: Damped Harmonic Oscillator and Driving Forces  ",
 StyleBox[" ",
  FontColor->RGBColor[0, 1, 0]]
}], "Subsection",
 Hyphenation->False],

Cell["Remarks and outline  ", "Subsubsection",
 Hyphenation->False],

Cell[CellGroupData[{

Cell["Solution", "Subsubsection",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{"Clear", "[", "\"\<Global`*\>\"", "]"}]], "Input",
 Hyphenation->False],

Cell[CellGroupData[{

Cell["Part a", "Subsubsection",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{
  RowBox[{"eq1", "=", 
   RowBox[{
    RowBox[{
     RowBox[{
      SuperscriptBox["x", "\[DoublePrime]",
       MultilineFunction->None], "[", "t", "]"}], "+", 
     RowBox[{"\[Gamma]", "  ", 
      RowBox[{
       SuperscriptBox["x", "\[Prime]",
        MultilineFunction->None], "[", "t", "]"}]}], "+", 
     RowBox[{
      SuperscriptBox["\[Omega]0", "2"], "  ", 
      RowBox[{"x", "[", "t", "]"}]}]}], "==", 
    RowBox[{"Q0", "  ", 
     RowBox[{"Cos", "[", 
      RowBox[{"\[Omega]d", " ", "t"}], "]"}]}]}]}], ";"}]], "Input",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{"eq2", "=", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"x", "[", "t", "]"}], "/.", 
     RowBox[{"DSolve", "[", 
      RowBox[{"eq1", ",", 
       RowBox[{"x", "[", "t", "]"}], ",", "t"}], "]"}]}], "//", "First"}], "//",
    "Simplify"}]}]], "Input"],

Cell[BoxData[
 RowBox[{"eq3", "=", 
  RowBox[{"eq2", "/.", 
   RowBox[{"Q0", "->", "0"}]}]}]], "Input",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{"eq4", "=", 
  RowBox[{
   RowBox[{"(", 
    RowBox[{"eq2", "-", "eq3"}], ")"}], "//", "FullSimplify"}]}]], "Input",
 Hyphenation->False]
}, Closed]],

Cell[CellGroupData[{

Cell["Part b", "Subsubsection",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{"cRule", "=", 
  RowBox[{
   RowBox[{"Solve", "[", 
    RowBox[{
     FormBox[
      RowBox[{"{", 
       RowBox[{
        RowBox[{
         SubscriptBox[
          TagBox["c",
           C], "1"], "==", 
         RowBox[{
          FractionBox["1", "2"], " ", 
          RowBox[{"(", 
           RowBox[{"A0", "+", 
            RowBox[{"\[ImaginaryI]", " ", "B0"}]}], ")"}]}]}], ",", 
        RowBox[{
         SubscriptBox[
          TagBox["c",
           C], "2"], "==", 
         RowBox[{
          FractionBox["1", "2"], " ", 
          RowBox[{"(", 
           RowBox[{"A0", "-", 
            RowBox[{"\[ImaginaryI]", " ", "B0"}]}], ")"}]}]}]}], "}"}],
      TraditionalForm], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"C", "[", "1", "]"}], ",", 
       RowBox[{"C", "[", "2", "]"}]}], "}"}]}], "]"}], "[", 
   RowBox[{"[", "1", "]"}], "]"}]}]], "Input"],

Cell[BoxData[
 RowBox[{"\[Omega]Rule", "=", " ", 
  RowBox[{
   RowBox[{"Solve", "[", 
    RowBox[{
     RowBox[{
      FormBox[
       SqrtBox[
        RowBox[{
         SuperscriptBox["\[Omega]0", "2"], "-", 
         FractionBox[
          SuperscriptBox["\[Gamma]", "2"], "4"]}]],
       TraditionalForm], "==", "  ", "\[Omega]"}], ",", "\[Omega]0"}], "]"}], 
   "[", 
   RowBox[{"[", "2", "]"}], "]"}]}]], "Input"],

Cell[BoxData[
 RowBox[{"homogSol", "=", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{"eq3", " ", "//.", "cRule"}], " ", "/.", "\[Omega]Rule"}], " ", 
     "//", "ComplexExpand"}], "//", "Simplify"}], " ", "//", 
   "PowerExpand"}]}]], "Input"],

Cell[BoxData[
 RowBox[{"eq5", "=", " ", 
  RowBox[{
   RowBox[{"A", " ", 
    RowBox[{"Cos", "[", 
     RowBox[{
      RowBox[{"\[Omega]d", " ", "t"}], "+", "\[Phi]"}], "]"}]}], "//", 
   "TrigExpand"}]}]], "Input",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{"eq6", "=", 
  RowBox[{
   RowBox[{"eq4", "-", "eq5"}], "==", "0"}]}]], "Input",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{"eq7", "=", 
  RowBox[{"{", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"eq6", "/.", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{
        RowBox[{"Sin", "[", 
         RowBox[{"_", " ", "t"}], "]"}], "->", "0"}], ",", 
       RowBox[{
        RowBox[{"Cos", "[", 
         RowBox[{"_", " ", "t"}], "]"}], "->", "1"}]}], "}"}]}], ",", 
    "\[IndentingNewLine]", 
    RowBox[{"eq6", "/.", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{
        RowBox[{"Cos", "[", 
         RowBox[{"_", " ", "t"}], "]"}], "->", "0"}], ",", 
       RowBox[{
        RowBox[{"Sin", "[", 
         RowBox[{"_", " ", "t"}], "]"}], "->", "1"}]}], "}"}]}]}], "}"}], 
  "  "}]], "Input",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{"eq8", "=", " ", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"Solve", "[", 
      RowBox[{"eq7", ",", 
       RowBox[{"{", 
        RowBox[{"A", ",", "\[Phi]"}], "}"}]}], " ", "]"}], "[", 
     RowBox[{"[", "4", "]"}], "]"}], "//", "Simplify"}], "//", "PowerExpand", 
   "  "}]}]], "Input",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{
  RowBox[{"rule", "=", 
   FormBox[
    RowBox[{"{", 
     RowBox[{
      RowBox[{
       SuperscriptBox["cos", 
        RowBox[{"-", "1"}]], "(", "x_", ")"}], "\[Rule]", 
      RowBox[{
       SuperscriptBox["tan", 
        RowBox[{"-", "1"}]], "(", 
       FractionBox[
        SqrtBox[
         RowBox[{"1", "-", 
          SuperscriptBox["x", "2"]}]], "x"], ")"}]}], "}"}],
    TraditionalForm]}], ";"}]], "Input"],

Cell[BoxData[
 RowBox[{"solA\[Phi]", "=", " ", 
  RowBox[{
   RowBox[{
    RowBox[{"eq8", "/.", "rule"}], "//", " ", "Simplify"}], " ", "//", 
   "PowerExpand"}]}]], "Input",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{"partSol", "=", "  ", 
  RowBox[{
   RowBox[{"A", " ", 
    RowBox[{"Cos", "[", 
     RowBox[{
      RowBox[{"\[Omega]d", " ", "t"}], "+", "\[Phi]"}], "]"}]}], "/.", 
   "solA\[Phi]"}]}]], "Input",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{"genSol", "=", 
  RowBox[{"partSol", "+", "homogSol", " "}]}]], "Input",
 Hyphenation->False]
}, Closed]],

Cell[CellGroupData[{

Cell["Part c", "Subsubsection",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{
  RowBox[{"values", "=", 
   FormBox[
    RowBox[{"{", 
     RowBox[{
      RowBox[{"A", "\[Rule]", "3"}], ",", 
      RowBox[{"Q0", "\[Rule]", "1"}], ",", 
      RowBox[{"\[Omega]d", "\[Rule]", "1"}], ",", 
      RowBox[{"A0", "\[Rule]", "0"}], ",", 
      RowBox[{"B0", "\[Rule]", "1"}], ",", 
      RowBox[{"\[Omega]", "\[Rule]", 
       SqrtBox[
        RowBox[{
         SuperscriptBox["\[Omega]0", "2"], "-", 
         FractionBox[
          SuperscriptBox["\[Gamma]", "2"], "4"]}]]}]}], "}"}],
    TraditionalForm]}], ";"}]], "Input"],

Cell[BoxData[
 RowBox[{"Plot3D", "[", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"genSol", "//.", "values"}], "//.", 
     RowBox[{"{", 
      RowBox[{"\[Gamma]", "\[Rule]", "0.1"}], "}"}]}], "//", "Evaluate"}], 
   ",", "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{"t", ",", "0", ",", "30"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"\[Omega]0", ",", "0.5", ",", "1.5"}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"PlotPoints", "\[Rule]", "40"}], ",", "\[IndentingNewLine]", 
   RowBox[{"AxesLabel", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"\"\<Time\>\"", ",", "\"\<\[Omega]0\>\"", ",", "\"\<x[t]\>\""}], 
     "}"}]}], ",", "\[IndentingNewLine]", 
   RowBox[{"FaceGrids", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"0", ",", "1", ",", "0"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"0", ",", 
        RowBox[{"-", "1"}], ",", "0"}], "}"}]}], "}"}]}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"ViewPoint", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"1", ",", "0.4", ",", "0.6"}], "}"}]}]}], "]"}]], "Input",
 CellChangeTimes->{3.42185286787916*^9}],

Cell[BoxData[
 RowBox[{"\[IndentingNewLine]", 
  RowBox[{"Plot3D", "[", " ", 
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{"A", "/.", "solA\[Phi]"}], "/.", "values"}], " ", "//", 
     "Evaluate"}], ",", "\[IndentingNewLine]", 
    RowBox[{"{", 
     RowBox[{"\[Gamma]", ",", " ", ".001", ",", ".5"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"\[Omega]0", ",", ".5", ",", "1.5"}], "}"}], ",", 
    "\[IndentingNewLine]", 
    RowBox[{"PlotPoints", "\[Rule]", "25"}], ",", "\[IndentingNewLine]", 
    RowBox[{"PlotRange", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{"0", ",", "15"}], "}"}]}], ",", "\[IndentingNewLine]", 
    RowBox[{"AxesLabel", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{
      "\"\<\[Gamma]\>\"", ",", "\"\<\[Omega]0\>\"", ",", 
       "\"\<Amplitude\>\""}], "}"}]}], ",", "\[IndentingNewLine]", 
    RowBox[{"FaceGrids", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"-", "1"}], ",", "0", ",", "0"}], "}"}], "}"}]}], ",", 
    "\[IndentingNewLine]", 
    RowBox[{"ViewPoint", "\[Rule]", 
     RowBox[{"{", " ", 
      RowBox[{".5", ",", " ", "1", ",", "0.4"}], "}"}]}]}], "  ", 
   "]"}]}]], "Input",
 CellChangeTimes->{3.421852873307418*^9}]
}, Closed]],

Cell[CellGroupData[{

Cell["Part d", "Subsubsection",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{
  RowBox[{"pt", "[", 
   RowBox[{"name_", ",", "opts___"}], "]"}], ":=", "\[IndentingNewLine]", 
  RowBox[{"Plot", "[", 
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{"name", "//.", "values"}], "//.", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"\[Gamma]", "\[Rule]", "0.1"}], ",", 
        RowBox[{"\[Omega]0", "\[Rule]", "2"}]}], "}"}]}], " ", "//", 
     "Evaluate"}], ",", "\[IndentingNewLine]", 
    RowBox[{"{", 
     RowBox[{"t", ",", "0", ",", "80"}], "}"}], ",", "\[IndentingNewLine]", 
    "opts", ",", " ", "\[IndentingNewLine]", 
    RowBox[{"Ticks", "\[Rule]", "None"}]}], "]"}]}]], "Input",
 CellChangeTimes->{3.421855923019226*^9}],

Cell[BoxData[
 RowBox[{"xPlot", "[", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"genSol", "//.", "values"}], "//.", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"\[Gamma]", "\[Rule]", "0.1"}], ",", 
       RowBox[{"\[Omega]0", "\[Rule]", "2"}]}], "}"}]}], " ", "//", 
    "Evaluate"}], ",", 
   RowBox[{"{", 
    RowBox[{"t", ",", "0", ",", "80"}], "}"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.421856117941593*^9, 3.421856171396641*^9}}],

Cell[BoxData[
 RowBox[{"genSol", "[", "1", "]"}]], "Input",
 CellChangeTimes->{{3.42185618526527*^9, 3.421856187618574*^9}}],

Cell[BoxData[
 RowBox[{"Show", "[", "\[IndentingNewLine]", 
  RowBox[{"Graphics", "[", 
   RowBox[{"{", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"Rectangle", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"0", ",", "  ", "0"}], "}"}], ",", 
       RowBox[{"{", " ", 
        RowBox[{"1", ",", "  ", "1"}], "}"}], ",", "\[IndentingNewLine]", 
       RowBox[{"pt", "[", 
        RowBox[{"genSol", ",", 
         RowBox[{"PlotStyle", "->", 
          RowBox[{"Hue", "[", "0.8", "]"}]}], ",", "  ", 
         RowBox[{"Ticks", "\[Rule]", "Automatic"}]}], " ", "]"}]}], "]"}], 
     ",", "\[IndentingNewLine]", 
     RowBox[{"Rectangle", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"0.6", ",", "0.7"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"1", ",", "1"}], "}"}], ",", "\[IndentingNewLine]", 
       RowBox[{"pt", "[", 
        RowBox[{"partSol", ",", 
         RowBox[{"PlotStyle", "->", 
          RowBox[{"Hue", "[", "0.4", "]"}]}], ",", "  ", 
         RowBox[{"Background", "\[Rule]", 
          RowBox[{"GrayLevel", "[", "0.9", "]"}]}]}], "]"}]}], "]"}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"Rectangle", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"0.6", ",", "0"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"1", ",", "0.3"}], "}"}], ",", "\[IndentingNewLine]", 
       RowBox[{"pt", "[", 
        RowBox[{"homogSol", ",", 
         RowBox[{"PlotStyle", "->", 
          RowBox[{"Hue", "[", "0.8", "]"}]}], ",", 
         RowBox[{"Background", "\[Rule]", 
          RowBox[{"GrayLevel", "[", "0.9", "]"}]}]}], "]"}]}], "]"}]}], 
    "\[IndentingNewLine]", "}"}], "]"}], "\[IndentingNewLine]", 
  "]"}]], "Input",
 CellChangeTimes->{{3.421852894179104*^9, 3.421852894534694*^9}}],

Cell[BoxData[
 RowBox[{"?", "Rectangle"}]], "Input",
 Hyphenation->False],

Cell[BoxData[{
 RowBox[{
  RowBox[{"q", "=", 
   RowBox[{
    RowBox[{"genSol", "//.", "values"}], "//.", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"\[Gamma]", "\[Rule]", "0.1"}], ",", 
      RowBox[{"\[Omega]0", "\[Rule]", "2"}]}], "}"}]}]}], ";"}], "\n", 
 RowBox[{
  RowBox[{"p", "=", 
   RowBox[{"D", "[", 
    RowBox[{"q", ",", "t"}], "]"}]}], ";"}], "\n", 
 RowBox[{"doublePlot", "[", 
  RowBox[{"q", ",", "p", ",", 
   RowBox[{"{", 
    RowBox[{"t", ",", "0", ",", "80"}], "}"}]}], " ", "]"}]}], "Input",
 CellChangeTimes->{3.421856019017246*^9},
 Hyphenation->False],

Cell[BoxData[
 RowBox[{" ", 
  RowBox[{"phasePlot", "[", 
   RowBox[{"q", ",", "p", ",", 
    RowBox[{"{", 
     RowBox[{"t", ",", "200", ",", "250"}], "}"}], ",", 
    RowBox[{"AspectRatio", "\[Rule]", "Automatic"}]}], "]"}]}]], "Input",
 CellChangeTimes->{3.421856025087706*^9},
 Hyphenation->False]
}, Closed]]
}, Closed]]
}, Closed]],

Cell[TextData[{
 "3.2 Small Oscillations ",
 StyleBox[" ",
  FontColor->RGBColor[0, 1, 0]]
}], "Section",
 Evaluatable->False,
 Hyphenation->False,
 AspectRatioFixed->True],

Cell["Overview of  Small Oscillations and Normal Modes  ", "Subsection",
 Evaluatable->False,
 Hyphenation->False,
 AspectRatioFixed->True],

Cell["\<\
Initialization of User-Defined Funtions for Small Oscillations and Normal \
Modes  \
\>", "Subsection",
 Evaluatable->False,
 Hyphenation->False,
 AspectRatioFixed->True],

Cell[CellGroupData[{

Cell[TextData[{
 "1 Eigenvalues and eigenvectors for small oscillating systems ",
 StyleBox[" ",
  FontColor->RGBColor[1, 0, 0]],
 " ",
 StyleBox[" ",
  FontColor->RGBColor[1, 0, 0]]
}], "Subsubsection",
 Evaluatable->False,
 Hyphenation->False,
 AspectRatioFixed->True],

Cell[BoxData[
 RowBox[{
  RowBox[{"smallOsc", "[", 
   RowBox[{"T_", ",", "V_", ",", "coord_List", ",", "equlib_List", ",", 
    RowBox[{"t_:", "t"}]}], "]"}], ":=", "\[IndentingNewLine]", 
  RowBox[{"Module", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
     "q", ",", "p", ",", "dim", ",", "equlibRule", ",", "Vij", ",", "Tij", 
      ",", "matrix", ",", "\[Omega]2Sol", ",", "freq", ",", "vector", ",", 
      "eqs", ",", "vSol"}], "}"}], ",", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"q", "=", "coord"}], ";", "\[IndentingNewLine]", 
     RowBox[{"p", "=", 
      RowBox[{"D", "[", 
       RowBox[{"coord", ",", "t"}], "]"}]}], ";", 
     RowBox[{"dim", "=", 
      RowBox[{"Length", "[", "q", "]"}]}], ";", "\[IndentingNewLine]", 
     RowBox[{"equlibRule", "=", 
      RowBox[{"Thread", "[", 
       RowBox[{"coord", "\[Rule]", "equlib"}], "]"}]}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{"Vij", "=", 
      RowBox[{"Outer", "[", 
       RowBox[{
        RowBox[{
         RowBox[{"D", "[", 
          RowBox[{"V", ",", "#1", ",", "#2"}], "]"}], "&"}], ",", "q", ",", 
        "q"}], " ", "]"}]}], ";", "\[IndentingNewLine]", 
     RowBox[{"Tij", "=", 
      RowBox[{"Outer", "[", 
       RowBox[{
        RowBox[{
         RowBox[{"D", "[", 
          RowBox[{"T", ",", "#1", ",", "#2"}], "]"}], "&"}], ",", " ", "p", 
        ",", "p"}], " ", "]"}]}], ";", "\[IndentingNewLine]", 
     RowBox[{"matrix", "=", 
      RowBox[{
       RowBox[{"Vij", "-", 
        RowBox[{"\[Omega]2", " ", "Tij"}]}], "/.", "equlibRule"}]}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{"\[Omega]2Sol", "=", 
      RowBox[{"Simplify", "[", 
       RowBox[{"Solve", "[", 
        RowBox[{
         RowBox[{
          RowBox[{"Det", "[", "matrix", "]"}], "==", "0"}], ",", 
         "\[Omega]2"}], "]"}], "]"}]}], ";", "\[IndentingNewLine]", 
     RowBox[{"freq", "=", 
      RowBox[{"\[Omega]2", "/.", "\[Omega]2Sol"}]}], ";", 
     RowBox[{"vector", "=", 
      RowBox[{"Array", "[", 
       RowBox[{"a", ",", "dim"}], "]"}]}], ";", "\[IndentingNewLine]", 
     RowBox[{"eqs", "=", 
      RowBox[{"Simplify", "[", 
       RowBox[{"ExpandAll", "[", 
        RowBox[{"Thread", "[", 
         RowBox[{"0", "==", 
          RowBox[{"matrix", ".", "vector"}]}], "]"}], "]"}], "]"}]}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{"vSol", "=", 
      RowBox[{"Table", "[", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{
         RowBox[{"Solve", "[", 
          RowBox[{
           RowBox[{"Join", "[", 
            RowBox[{
             RowBox[{"eqs", "/.", 
              RowBox[{"\[Omega]2Sol", "[", 
               RowBox[{"[", "i", "]"}], "]"}]}], ",", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"vector", ".", "vector"}], "==", "1"}], "}"}]}], "]"}],
            "\[IndentingNewLine]", ",", "vector"}], "]"}], "[", 
         RowBox[{"[", "2", "]"}], "]"}], ",", 
        RowBox[{"{", 
         RowBox[{"i", ",", "1", ",", "dim"}], "}"}]}], "]"}]}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{"freq", ",", "vSol"}], "}"}]}]}], " ", "]"}]}]], "Input"],

Cell["Protect[smallOsc ];", "Input",
 Hyphenation->False,
 AspectRatioFixed->True],

Cell[BoxData[{
 RowBox[{
  RowBox[{"T", "=", 
   FormBox[
    RowBox[{
     RowBox[{
      FractionBox["1", "2"], " ", "m", " ", 
      SuperscriptBox[
       RowBox[{
        SuperscriptBox["q1", "\[Prime]",
         MultilineFunction->None], "(", "t", ")"}], "2"]}], "+", 
     RowBox[{
      FractionBox["1", "2"], " ", "m", " ", 
      SuperscriptBox[
       RowBox[{
        SuperscriptBox["q2", "\[Prime]",
         MultilineFunction->None], "(", "t", ")"}], "2"]}]}],
    TraditionalForm]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"V", "=", 
   FormBox[
    RowBox[{
     FractionBox["1", "2"], " ", "k1", " ", 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{
        RowBox[{"q2", "(", "t", ")"}], "-", 
        RowBox[{"q1", "(", "t", ")"}]}], ")"}], "2"]}],
    TraditionalForm]}], ";"}]}], "Input",
 Hyphenation->False,
 AspectRatioFixed->True],

Cell[BoxData[
 RowBox[{"smallOsc", "[", 
  RowBox[{"T", ",", "V", ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"q1", "[", "t", "]"}], ",", 
     RowBox[{"q2", "[", "t", "]"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"0", ",", "0"}], "}"}], ",", "t"}], "]"}]], "Input",
 Hyphenation->False]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
 "Problem 1: Two Coupled Oscillators along a Line  ",
 StyleBox[" ",
  FontColor->RGBColor[0, 1, 0]]
}], "Subsection",
 Evaluatable->False,
 Hyphenation->False,
 AspectRatioFixed->True],

Cell["Remarks and outline ", "Subsubsection",
 Evaluatable->False,
 Hyphenation->False,
 AspectRatioFixed->True],

Cell[CellGroupData[{

Cell["Solution", "Subsubsection",
 Evaluatable->False,
 Hyphenation->False,
 AspectRatioFixed->True],

Cell[BoxData[
 RowBox[{"Clear", "[", "\"\<Global`*\>\"", "]"}]], "Input",
 Hyphenation->False],

Cell[CellGroupData[{

Cell["Part a", "Subsubsection",
 Evaluatable->False,
 Hyphenation->False,
 AspectRatioFixed->True],

Cell[BoxData[{
 RowBox[{
  RowBox[{"T", "=", " ", 
   FormBox[
    RowBox[{
     RowBox[{
      FractionBox["1", "2"], " ", "m", " ", 
      SuperscriptBox[
       RowBox[{
        RowBox[{
         RowBox[{"x", "[", "1", "]"}], "'"}], "[", "t", "]"}], "2"]}], "+", 
     RowBox[{
      FractionBox["1", "2"], " ", "m", " ", 
      SuperscriptBox[
       RowBox[{
        RowBox[{
         RowBox[{"x", "[", "2", "]"}], "'"}], "[", "t", "]"}], "2"]}]}],
    TraditionalForm]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"V", "=", " ", 
   FormBox[
    RowBox[{
     RowBox[{
      FractionBox["1", "2"], " ", "k2", " ", 
      SuperscriptBox[
       RowBox[{
        RowBox[{"x", "[", "1", "]"}], "[", "t", "]"}], "2"]}], "+", 
     RowBox[{
      FractionBox["1", "2"], " ", "k2", " ", 
      SuperscriptBox[
       RowBox[{
        RowBox[{"x", "[", "2", "]"}], "[", "t", "]"}], "2"]}], "+", 
     RowBox[{
      FractionBox["1", "2"], " ", "k1", " ", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{
         RowBox[{
          RowBox[{"x", "[", "2", "]"}], "[", "t", "]"}], "-", 
         RowBox[{
          RowBox[{"x", "[", "1", "]"}], "[", "t", "]"}]}], ")"}], "2"]}]}],
    TraditionalForm]}], ";"}]}], "Input"],

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"q", "=", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{
       RowBox[{"x", "[", "1", "]"}], "[", "t", "]"}], ",", 
      RowBox[{
       RowBox[{"x", "[", "2", "]"}], "[", "t", "]"}]}], "}"}]}], ";"}], 
  "   "}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"p", "=", 
   RowBox[{"D", "[", 
    RowBox[{"q", ",", "t"}], "]"}]}], ";"}]}], "Input",
 Hyphenation->False,
 AspectRatioFixed->True],

Cell[BoxData[{
 RowBox[{"Tij", "=", 
  RowBox[{"Outer", "[", 
   RowBox[{
    RowBox[{
     RowBox[{"D", "[", 
      RowBox[{"T", ",", "#1", ",", "#2"}], "]"}], "&"}], ",", "p", ",", "p"}],
    "]"}]}], "\n", 
 RowBox[{"Vij", "=", 
  RowBox[{"Outer", "[", 
   RowBox[{
    RowBox[{
     RowBox[{"D", "[", 
      RowBox[{"V", ",", "#1", ",", "#2"}], "]"}], "&"}], ",", "q", ",", "q"}],
    "]"}]}]}], "Input",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{
  RowBox[{"(", 
   RowBox[{"matrix", "=", 
    RowBox[{"Vij", "-", 
     RowBox[{"\[Omega]2", " ", "Tij"}]}]}], ")"}], "//", "MatrixForm", 
  " "}]], "Input",
 Hyphenation->False,
 AspectRatioFixed->True],

Cell[BoxData[
 RowBox[{"\[Omega]2Sol", "=", 
  RowBox[{"Simplify", "[", 
   RowBox[{"Solve", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"Det", "[", "matrix", "]"}], "==", "0"}], ",", "\[Omega]2"}], 
    "]"}], "]"}]}]], "Input",
 Hyphenation->False,
 AspectRatioFixed->True],

Cell[BoxData[{
 RowBox[{
  RowBox[{"vector", "=", 
   RowBox[{"Array", "[", 
    RowBox[{"a", ",", "2"}], "]"}]}], ";"}], "\n", 
 RowBox[{"eq", "=", 
  RowBox[{"Thread", "[", 
   RowBox[{"0", "==", 
    RowBox[{"matrix", ".", "vector"}]}], "]"}]}]}], "Input",
 Hyphenation->False,
 AspectRatioFixed->True],

Cell[BoxData[
 RowBox[{"eq1", "=", 
  RowBox[{"Simplify", "[", 
   RowBox[{"ExpandAll", "[", 
    RowBox[{"eq", "/.", 
     RowBox[{"\[Omega]2Sol", "[", 
      RowBox[{"[", "1", "]"}], "]"}]}], "]"}], "]"}]}]], "Input",
 Hyphenation->False,
 AspectRatioFixed->True],

Cell[BoxData[
 RowBox[{
  RowBox[{"eqNorm", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"vector", ".", "vector"}], "==", "1"}], "}"}]}], ";"}]], "Input",\

 Hyphenation->False,
 AspectRatioFixed->True],

Cell[BoxData[
 RowBox[{"ev1rule", "=", 
  RowBox[{
   RowBox[{"Solve", "[", 
    RowBox[{
     RowBox[{"Join", "[", 
      RowBox[{"eq1", ",", "eqNorm"}], "]"}], ",", "vector"}], "]"}], "[", 
   RowBox[{"[", "2", "]"}], "]"}]}]], "Input",
 Hyphenation->False,
 AspectRatioFixed->True],

Cell[BoxData[
 RowBox[{"eq2", "=", 
  RowBox[{"Simplify", "[", 
   RowBox[{"ExpandAll", "[", 
    RowBox[{"eq", "/.", 
     RowBox[{"\[Omega]2Sol", "[", 
      RowBox[{"[", "2", "]"}], "]"}]}], "]"}], "]"}]}]], "Input",
 Hyphenation->False,
 AspectRatioFixed->True],

Cell[BoxData[
 RowBox[{"ev2rule", "=", 
  RowBox[{
   RowBox[{"Solve", "[", 
    RowBox[{
     RowBox[{"Join", "[", 
      RowBox[{"eq2", ",", "eqNorm"}], "]"}], ",", "vector"}], "]"}], "[", 
   RowBox[{"[", "2", "]"}], "]"}]}]], "Input",
 Hyphenation->False,
 AspectRatioFixed->True]
}, Closed]],

Cell[CellGroupData[{

Cell["Part b", "Subsubsection",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{"eq3", "=", 
  RowBox[{"Thread", "[", 
   RowBox[{"0", "==", 
    RowBox[{"matrix", ".", "vector"}]}], "]"}]}]], "Input",
 Hyphenation->False,
 AspectRatioFixed->True],

Cell[BoxData[
 RowBox[{"sol", "=", " ", 
  RowBox[{"Reduce", "[", 
   RowBox[{
    RowBox[{"Flatten", "[", 
     RowBox[{"{", 
      RowBox[{"eq3", ",", "eqNorm"}], " ", "}"}], "]"}], ",", 
    RowBox[{"{", 
     RowBox[{"\[Omega]2", ",", 
      RowBox[{"a", "[", "1", "]"}], ",", 
      RowBox[{"a", "[", "2", "]"}]}], "}"}]}], "]"}]}]], "Input",
 CellChangeTimes->{{3.421852910480961*^9, 3.421852911484435*^9}, {
  3.421856448389458*^9, 3.421856453159539*^9}},
 Hyphenation->False]
}, Closed]],

Cell[CellGroupData[{

Cell["Part c", "Subsubsection",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{"eq4", "=", 
  RowBox[{"smallOsc", "[", 
   RowBox[{"T", ",", "V", ",", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{
       RowBox[{"x", "[", "1", "]"}], "[", "t", "]"}], ",", 
      RowBox[{
       RowBox[{"x", "[", "2", "]"}], "[", "t", "]"}]}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"0", ",", "0"}], "}"}], ",", "t"}], "]"}]}]], "Input",
 Hyphenation->False,
 AspectRatioFixed->True]
}, Closed]],

Cell[CellGroupData[{

Cell["Part d", "Subsubsection",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{"eigenmatrix", "=", 
  RowBox[{"vector", "//.", 
   RowBox[{"{", 
    RowBox[{"ev1rule", ",", "ev2rule"}], "}"}]}]}]], "Input",
 Hyphenation->False,
 AspectRatioFixed->True],

Cell[BoxData[
 RowBox[{"xRule", "=", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"x1", "[", "t", "]"}], ",", 
       RowBox[{"x2", "[", "t", "]"}]}], "}"}], "\[Rule]", 
     RowBox[{
      RowBox[{"Transpose", "[", "eigenmatrix", "]"}], ".", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"c1", " ", 
         RowBox[{"Cos", "[", 
          RowBox[{
           RowBox[{"\[Omega]1", " ", "t"}], "+", "\[Phi]1"}], "]"}]}], ",", 
        RowBox[{"c2", " ", 
         RowBox[{"Cos", "[", 
          RowBox[{
           RowBox[{"\[Omega]2", " ", "t"}], "+", "\[Phi]2"}], "]"}]}]}], 
       "}"}]}]}], "//", "Thread"}], " ", "//", "Simplify"}]}]], "Input",
 Hyphenation->False,
 AspectRatioFixed->True],

Cell[BoxData[
 RowBox[{"freqrule", "=", " ", 
  RowBox[{"Thread", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"\[Omega]1", ",", "\[Omega]2"}], "}"}], "\[Rule]", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"Sqrt", "[", "\[Omega]2", "]"}], "/.", "\[Omega]2Sol"}], 
     ")"}]}], "]"}]}]], "Input",
 Hyphenation->False,
 AspectRatioFixed->True],

Cell[BoxData[
 RowBox[{
  RowBox[{"values", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"k1", "\[Rule]", "1"}], ",", 
     RowBox[{"k2", "\[Rule]", "1"}], ",", 
     RowBox[{"m", "\[Rule]", "1"}], ",", 
     RowBox[{"\[Phi]1", "\[Rule]", "0"}], ",", 
     RowBox[{"\[Phi]2", "\[Rule]", "0"}]}], "}"}]}], ";"}]], "Input",
 Hyphenation->False,
 AspectRatioFixed->True],

Cell[BoxData[
 RowBox[{
  RowBox[{"allRules", "=", 
   RowBox[{"Join", "[", 
    RowBox[{"xRule", ",", "freqrule", ",", "values"}], "]"}]}], 
  ";"}]], "Input",
 Hyphenation->False,
 AspectRatioFixed->True],

Cell[BoxData[
 RowBox[{"pt1a", "=", 
  RowBox[{"Plot", "[", 
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{
          RowBox[{"x1", "[", "t", "]"}], "+", "1"}], ",", 
         RowBox[{
          RowBox[{"x2", "[", "t", "]"}], "-", "1"}]}], "}"}], "//.", 
       "allRules"}], "//.", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"c1", "\[Rule]", "1"}], ",", 
        RowBox[{"c2", "\[Rule]", "0"}]}], "}"}]}], " ", "//", "Evaluate"}], 
    ",", "\[IndentingNewLine]", 
    RowBox[{"{", 
     RowBox[{"t", ",", "0", ",", "20"}], "}"}], ",", "\[IndentingNewLine]", 
    RowBox[{"PlotStyle", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{"Thickness", "[", "0.010", "]"}], ",", 
         RowBox[{"Hue", "[", ".6", "]"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"Thickness", "[", "0.005", "]"}], ",", 
         RowBox[{"Hue", "[", ".9", "]"}]}], "}"}]}], "}"}]}]}], " ", 
   "\[IndentingNewLine]", "]"}]}]], "Input",
 CellChangeTimes->{3.421852918188625*^9}],

Cell[BoxData[
 RowBox[{"pt1b", "=", 
  RowBox[{"ParametricPlot", "[", 
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{"x1", "[", "t", "]"}], ",", 
         RowBox[{"x2", "[", "t", "]"}]}], "}"}], "//.", "allRules"}], "//.", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"c1", "\[Rule]", "1"}], ",", 
        RowBox[{"c2", "\[Rule]", "0"}]}], "}"}]}], " ", "//", "Evaluate"}], 
    ",", "\[IndentingNewLine]", 
    RowBox[{"{", 
     RowBox[{"t", ",", "0", ",", "20"}], "}"}], ",", "\[IndentingNewLine]", 
    RowBox[{"AxesLabel", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{"x1", ",", "x2"}], "}"}]}]}], "]"}]}]], "Input",
 CellChangeTimes->{3.421852925632909*^9}],

Cell[BoxData[
 RowBox[{"pt2a", "=", 
  RowBox[{"Plot", "[", 
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{
          RowBox[{"x1", "[", "t", "]"}], "+", "1"}], ",", 
         RowBox[{
          RowBox[{"x2", "[", "t", "]"}], "-", "1"}]}], "}"}], "//.", 
       "allRules"}], "//.", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"c1", "\[Rule]", "0"}], ",", 
        RowBox[{"c2", "\[Rule]", "1"}]}], "}"}]}], " ", "//", "Evaluate"}], 
    ",", "\[IndentingNewLine]", 
    RowBox[{"{", 
     RowBox[{"t", ",", "0", ",", "20"}], "}"}], ",", " ", 
    "\[IndentingNewLine]", 
    RowBox[{"PlotStyle", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{"Thickness", "[", "0.010", "]"}], ",", 
         RowBox[{"Hue", "[", ".6", "]"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"Thickness", "[", "0.005", "]"}], ",", 
         RowBox[{"Hue", "[", ".9", "]"}]}], "}"}]}], "}"}]}]}], 
   "]"}]}]], "Input",
 CellChangeTimes->{3.421852931460515*^9}],

Cell[BoxData[
 RowBox[{"pt2b", "=", 
  RowBox[{"ParametricPlot", "[", 
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{"x1", "[", "t", "]"}], ",", 
         RowBox[{"x2", "[", "t", "]"}]}], "}"}], "//.", "allRules"}], "//.", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"c1", "\[Rule]", "0"}], ",", 
        RowBox[{"c2", "\[Rule]", "1"}]}], "}"}]}], " ", "//", "Evaluate"}], 
    ",", "\[IndentingNewLine]", 
    RowBox[{"{", 
     RowBox[{"t", ",", "0", ",", "20"}], "}"}]}], "]"}]}]], "Input",
 CellChangeTimes->{{3.421852935504552*^9, 3.42185293689296*^9}}],

Cell[BoxData[
 RowBox[{"Show", "[", 
  RowBox[{"GraphicsRow", "[", 
   RowBox[{"{", 
    RowBox[{"pt2a", ",", "pt2b"}], "}"}], "]"}], "]"}]], "Input",
 Hyphenation->False,
 AspectRatioFixed->True],

Cell[BoxData[
 RowBox[{"pt3a", "=", 
  RowBox[{"Plot", "[", 
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{
          RowBox[{"x1", "[", "t", "]"}], "+", "1"}], ",", 
         RowBox[{
          RowBox[{"x2", "[", "t", "]"}], "-", "1"}]}], "}"}], "//.", 
       "allRules"}], "//.", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"c1", "\[Rule]", "1"}], ",", 
        RowBox[{"c2", "\[Rule]", "1"}]}], "}"}]}], " ", "//", "Evaluate"}], 
    ",", "\[IndentingNewLine]", 
    RowBox[{"{", 
     RowBox[{"t", ",", "0", ",", "20"}], "}"}], ",", " ", 
    "\[IndentingNewLine]", 
    RowBox[{"PlotStyle", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{"Thickness", "[", "0.010", "]"}], ",", 
         RowBox[{"Hue", "[", ".6", "]"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"Thickness", "[", "0.005", "]"}], ",", 
         RowBox[{"Hue", "[", ".9", "]"}]}], "}"}]}], "}"}]}]}], " ", 
   "]"}]}]], "Input",
 CellChangeTimes->{3.421852958913057*^9}],

Cell[BoxData[
 RowBox[{"pt3b", "=", 
  RowBox[{"ParametricPlot", "[", 
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{"x1", "[", "t", "]"}], ",", 
         RowBox[{"x2", "[", "t", "]"}]}], "}"}], "//.", "allRules"}], "//.", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"c1", "\[Rule]", "1"}], ",", 
        RowBox[{"c2", "\[Rule]", "1"}]}], "}"}]}], " ", "//", "Evaluate"}], 
    ",", 
    RowBox[{"{", 
     RowBox[{"t", ",", "0", ",", "50"}], "}"}]}], " ", "]"}]}]], "Input",
 CellChangeTimes->{3.421852964266292*^9}]
}, Closed]]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
 "Problem 2: Three Coupled Oscillators along a Line  ",
 StyleBox[" ",
  FontColor->RGBColor[0, 1, 0]]
}], "Subsection",
 Evaluatable->False,
 Hyphenation->False,
 AspectRatioFixed->True],

Cell["Remarks and outline ", "Subsubsection",
 Evaluatable->False,
 Hyphenation->False,
 AspectRatioFixed->True],

Cell[CellGroupData[{

Cell["Solution", "Subsubsection",
 Evaluatable->False,
 Hyphenation->False,
 AspectRatioFixed->True],

Cell[BoxData[
 RowBox[{"Clear", "[", "\"\<Global`*\>\"", "]"}]], "Input",
 Hyphenation->False],

Cell[CellGroupData[{

Cell["Part a", "Subsubsection",
 Hyphenation->False],

Cell[BoxData[{
 RowBox[{
  RowBox[{"T", "=", 
   RowBox[{
    RowBox[{
     FractionBox["1", "2"], " ", "m", " ", 
     RowBox[{"(", 
      RowBox[{
       SuperscriptBox[
        RowBox[{
         SuperscriptBox[
          RowBox[{"x", "[", "1", "]"}], "\[Prime]",
          MultilineFunction->None], "[", "t", "]"}], "2"], "+", 
       SuperscriptBox[
        RowBox[{
         SuperscriptBox[
          RowBox[{"x", "[", "3", "]"}], "\[Prime]",
          MultilineFunction->None], "[", "t", "]"}], "2"]}], ")"}]}], "+", 
    RowBox[{
     FractionBox["1", "2"], " ", "M", " ", 
     SuperscriptBox[
      RowBox[{
       SuperscriptBox[
        RowBox[{"x", "[", "2", "]"}], "\[Prime]",
        MultilineFunction->None], "[", "t", "]"}], "2"]}]}]}], " ", 
  ";"}], "\n", 
 RowBox[{
  RowBox[{"V", "=", 
   RowBox[{
    FractionBox["1", "2"], " ", "k", " ", 
    RowBox[{"(", 
     RowBox[{
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{
         RowBox[{
          RowBox[{"x", "[", "2", "]"}], "[", "t", "]"}], "-", 
         RowBox[{
          RowBox[{"x", "[", "1", "]"}], "[", "t", "]"}]}], ")"}], "2"], "+", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{
         RowBox[{
          RowBox[{"x", "[", "3", "]"}], "[", "t", "]"}], "-", 
         RowBox[{
          RowBox[{"x", "[", "2", "]"}], "[", "t", "]"}]}], ")"}], "2"]}], 
     ")"}]}]}], " ", ";"}]}], "Input",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{"solution", "=", 
  RowBox[{"smallOsc", "[", 
   RowBox[{"T", ",", "V", ",", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{
       RowBox[{"x", "[", "1", "]"}], "[", "t", "]"}], ",", 
      RowBox[{
       RowBox[{"x", "[", "2", "]"}], "[", "t", "]"}], ",", 
      RowBox[{
       RowBox[{"x", "[", "3", "]"}], "[", "t", "]"}]}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"0", ",", "0", ",", "0"}], "}"}], ",", "t"}], "]"}], 
  " "}]], "Input",
 Hyphenation->False,
 AspectRatioFixed->True]
}, Closed]],

Cell[CellGroupData[{

Cell["Part b", "Subsubsection",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{"eigenmatrix", "=", 
  RowBox[{
   RowBox[{"Array", "[", 
    RowBox[{"a", ",", "3"}], "]"}], "/.", 
   RowBox[{"solution", "[", 
    RowBox[{"[", "2", "]"}], "]"}], " "}]}]], "Input",
 Hyphenation->False,
 AspectRatioFixed->True],

Cell[BoxData[
 RowBox[{"xRule", "=", 
  RowBox[{
   RowBox[{
    RowBox[{"{", 
     RowBox[{
      RowBox[{"x1", "[", "t", "]"}], ",", 
      RowBox[{"x2", "[", "t", "]"}], ",", 
      RowBox[{"x3", "[", "t", "]"}]}], "}"}], "\[Rule]", 
    RowBox[{
     RowBox[{"Transpose", "[", "eigenmatrix", "]"}], ".", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{
        RowBox[{"c1", " ", "t"}], "+", "\[Phi]1"}], ",", 
       RowBox[{"c2", " ", 
        RowBox[{"Cos", "[", 
         RowBox[{
          RowBox[{"\[Omega]2", " ", "t"}], "+", "\[Phi]2"}], "]"}]}], ",", 
       RowBox[{"c3", " ", 
        RowBox[{"Cos", "[", 
         RowBox[{
          RowBox[{"\[Omega]3", " ", "t"}], "+", "\[Phi]3"}], "]"}]}]}], 
      "}"}]}]}], " ", "//", "Thread"}]}]], "Input"],

Cell[BoxData[
 RowBox[{"freqrule", "=", 
  RowBox[{
   RowBox[{
    RowBox[{"{", 
     RowBox[{"\[Omega]1", ",", "\[Omega]2", ",", "\[Omega]3"}], "}"}], 
    "\[Rule]", 
    SqrtBox[
     RowBox[{"solution", "[", 
      RowBox[{"[", "1", "]"}], "]"}]]}], " ", "//", "Thread"}]}]], "Input",
 Hyphenation->False,
 AspectRatioFixed->True],

Cell[BoxData[
 RowBox[{
  RowBox[{"values", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"k", "\[Rule]", "1"}], ",", 
     RowBox[{"m", "\[Rule]", "1"}], ",", 
     RowBox[{"M", "\[Rule]", "3"}], ",", 
     RowBox[{"\[Phi]1", "\[Rule]", "0"}], ",", 
     RowBox[{"\[Phi]2", "\[Rule]", "0"}], ",", 
     RowBox[{"\[Phi]3", "\[Rule]", "0"}]}], "}"}]}], ";"}]], "Input",
 Hyphenation->False,
 AspectRatioFixed->True],

Cell[BoxData[
 RowBox[{
  RowBox[{"allRules", "=", 
   RowBox[{"Join", "[", 
    RowBox[{"xRule", ",", "freqrule", ",", "values"}], "]"}]}], 
  ";"}]], "Input",
 Hyphenation->False,
 AspectRatioFixed->True],

Cell[BoxData[
 RowBox[{
  RowBox[{"xPlot", "[", 
   RowBox[{"C1_", ",", "C2_", ",", "C3_"}], "]"}], ":=", 
  RowBox[{"Plot", "[", 
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{
          RowBox[{"x1", "[", "t", "]"}], "+", "2"}], ",", 
         RowBox[{"x2", "[", "t", "]"}], ",", 
         RowBox[{
          RowBox[{"x3", "[", "t", "]"}], "-", "2"}]}], "}"}], "//.", 
       "allRules"}], "//.", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"c1", "\[Rule]", "C1"}], ",", 
        RowBox[{"c2", "\[Rule]", "C2"}], ",", 
        RowBox[{"c3", "\[Rule]", "C3"}]}], "}"}]}], " ", "//", "Evaluate"}], 
    ",", "\[IndentingNewLine]", 
    RowBox[{"{", 
     RowBox[{"t", ",", "0", ",", "20"}], "}"}], ",", "\[IndentingNewLine]", 
    RowBox[{"PlotStyle", "\[Rule]", 
     RowBox[{"{", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{"Thickness", "[", "0.010", "]"}], ",", 
         RowBox[{"Hue", "[", ".3", "]"}]}], "}"}], ",", "\[IndentingNewLine]",
        
       RowBox[{"{", 
        RowBox[{
         RowBox[{"Thickness", "[", "0.009", "]"}], ",", 
         RowBox[{"Hue", "[", ".6", "]"}]}], "}"}], ",", "\[IndentingNewLine]",
        
       RowBox[{"{", 
        RowBox[{
         RowBox[{"Thickness", "[", "0.007", "]"}], ",", 
         RowBox[{"Hue", "[", ".9", "]"}]}], "}"}]}], "}"}]}], ",", 
    "\[IndentingNewLine]", 
    RowBox[{"AxesLabel", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{"t", " ", ",", "x"}], "}"}]}]}], "]"}]}]], "Input",
 CellChangeTimes->{3.421856562863354*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"xLPlot", "[", 
   RowBox[{"C1_", ",", "C2_", ",", "C3_", ",", "opts___"}], "]"}], ":=", 
  RowBox[{"ParametricPlot3D", "[", 
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{"x1", "[", "t", "]"}], ",", 
         RowBox[{"x2", "[", "t", "]"}], ",", 
         RowBox[{"x3", "[", "t", "]"}]}], "}"}], "//.", "allRules"}], "//.", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"c1", "\[Rule]", "C1"}], ",", 
        RowBox[{"c2", "\[Rule]", "C2"}], ",", 
        RowBox[{"c3", "\[Rule]", "C3"}]}], "}"}]}], " ", "//", "Evaluate"}], 
    ",", "\[IndentingNewLine]", 
    RowBox[{"{", 
     RowBox[{"t", ",", "0", ",", "20"}], "}"}], ",", "\[IndentingNewLine]", 
    RowBox[{"BoxRatios", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{"1", ",", "1", ",", "1"}], "}"}]}], ",", "\[IndentingNewLine]", 
    
    RowBox[{"AxesLabel", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{"x1", ",", "x2", ",", "x3"}], "}"}]}], ",", 
    "\[IndentingNewLine]", "opts"}], "]"}]}]], "Input",
 CellChangeTimes->{3.421856567384782*^9}],

Cell[BoxData[
 RowBox[{"GraphicsRow", "[", 
  RowBox[{"{", 
   RowBox[{
    RowBox[{"xPlot", "[", 
     RowBox[{"1", ",", "0", ",", "0"}], "]"}], ",", 
    RowBox[{"xLPlot", "[", 
     RowBox[{"1", ",", "0", ",", "0", ",", 
      RowBox[{"Ticks", "\[Rule]", "None"}]}], "]"}]}], "}"}], "]"}]], "Input",\

 CellChangeTimes->{{3.421856578843923*^9, 3.421856580857422*^9}},
 Hyphenation->False],

Cell[BoxData[
 RowBox[{"GraphicsRow", "[", 
  RowBox[{"{", 
   RowBox[{
    RowBox[{"xPlot", "[", 
     RowBox[{"0", ",", "1", ",", "0"}], "]"}], ",", 
    RowBox[{"xLPlot", "[", 
     RowBox[{"0", ",", "1", ",", "0", ",", 
      RowBox[{"Ticks", "\[Rule]", "None"}], ",", 
      RowBox[{"ViewPoint", "\[Rule]", 
       RowBox[{"{", 
        RowBox[{"1", ",", "1", ",", "1"}], "}"}]}]}], "]"}]}], "}"}], 
  "]"}]], "Input",
 CellChangeTimes->{{3.421856737006095*^9, 3.421856739239484*^9}},
 Hyphenation->False,
 AspectRatioFixed->True],

Cell[BoxData[
 RowBox[{"GraphicsRow", "[", 
  RowBox[{"{", 
   RowBox[{
    RowBox[{"xPlot", "[", 
     RowBox[{"0", ",", "0", ",", "1"}], "]"}], ",", 
    RowBox[{"xLPlot", "[", 
     RowBox[{"0", ",", "0", ",", "1", ",", 
      RowBox[{"Ticks", "\[Rule]", "None"}]}], "]"}]}], "}"}], "]"}]], "Input",\

 CellChangeTimes->{{3.421856745124327*^9, 3.421856746954956*^9}},
 Hyphenation->False,
 AspectRatioFixed->True],

Cell[BoxData[
 RowBox[{"  ", 
  RowBox[{"xPlot", "[", 
   RowBox[{"0", ",", "1", ",", "1"}], "]"}], " "}]], "Input",
 CellChangeTimes->{{3.421852992993031*^9, 3.421852993785723*^9}, {
  3.421856753884805*^9, 3.421856758167562*^9}},
 Hyphenation->False],

Cell[BoxData[
 RowBox[{"Show", "[", 
  RowBox[{"xLPlot", "[", 
   RowBox[{"0", ",", "1", ",", "1", ",", 
    RowBox[{"ViewPoint", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{"1", " ", ",", "1", ",", "1"}], " ", "}"}]}]}], "]"}], 
  "]"}]], "Input",
 CellChangeTimes->{{3.421853013494005*^9, 3.421853015587107*^9}, 
   3.421856667666886*^9}]
}, Closed]],

Cell[CellGroupData[{

Cell["Part c", "Subsubsection",
 Evaluatable->False,
 Hyphenation->False,
 AspectRatioFixed->True],

Cell[BoxData[
 RowBox[{
  RowBox[{"number", "=", "2"}], "   ", 
  RowBox[{"(*", " ", 
   RowBox[{
   "for", " ", "more", " ", "frames", " ", "make", " ", "number", " ", 
    "larger"}], " ", "*)"}], ";"}]], "Input",
 CellChangeTimes->{3.42185681319144*^9},
 Hyphenation->False],

Cell[BoxData[
 RowBox[{" ", 
  RowBox[{"Do", "[", 
   RowBox[{
    RowBox[{
     RowBox[{"ListPlot", "[", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{
        RowBox[{
         RowBox[{
          RowBox[{"{", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{
              RowBox[{
               RowBox[{"x1", "[", "t", "]"}], "-", "2"}], ",", "0"}], "}"}], 
            ",", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"x2", "[", "t", "]"}], ",", "0"}], "}"}], ",", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{
               RowBox[{"x3", "[", "t", "]"}], "+", "2"}], ",", "0"}], "}"}]}],
            "}"}], "//.", "allRules"}], "\[IndentingNewLine]", "//.", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"c1", "\[Rule]", "0"}], ",", 
           RowBox[{"c2", "\[Rule]", "1"}], ",", 
           RowBox[{"c3", "\[Rule]", "1"}]}], "}"}]}], " ", 
        "\[IndentingNewLine]", "//", "Evaluate"}], ",", "\[IndentingNewLine]",
        
       RowBox[{"PlotStyle", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{"PointSize", "[", "0.05", "]"}], "}"}]}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{"PlotRange", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{
            RowBox[{"-", "4"}], ",", "4"}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"-", "1"}], ",", "1"}], "}"}]}], "}"}]}]}], "]"}], " ", "//",
      "Print"}], "\[IndentingNewLine]", ",", 
    RowBox[{"{", 
     RowBox[{"t", ",", "0", ",", 
      RowBox[{"1", "-", 
       RowBox[{"1", "/", "number"}]}], ",", " ", 
      RowBox[{"1", "/", "number"}]}], "}"}]}], "]"}]}]], "Input",
 CellChangeTimes->{{3.42185678623536*^9, 3.421856807867228*^9}}]
}, Closed]]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
 "Problem 3: Three Coupled Oscillators along a Circle  ",
 StyleBox[" ",
  FontColor->RGBColor[0, 1, 0]]
}], "Subsection",
 Evaluatable->False,
 Hyphenation->False,
 AspectRatioFixed->True],

Cell[CellGroupData[{

Cell["Solution", "Subsubsection",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{"Clear", "[", "\"\<Global`*\>\"", "]"}]], "Input",
 Hyphenation->False],

Cell[CellGroupData[{

Cell["Part a ", "Subsubsection",
 Hyphenation->False],

Cell[BoxData[{
 RowBox[{
  RowBox[{"T", "=", 
   RowBox[{
    FractionBox["1", "2"], "    ", 
    RowBox[{"r", "^", "2"}], 
    RowBox[{"(", " ", 
     RowBox[{
      RowBox[{"m", "   ", 
       SuperscriptBox[
        RowBox[{
         SuperscriptBox[
          RowBox[{"\[Theta]", "[", "1", "]"}], "\[Prime]",
          MultilineFunction->None], "[", "t", "]"}], "2"]}], "+", 
      RowBox[{"m", "     ", 
       SuperscriptBox[
        RowBox[{
         SuperscriptBox[
          RowBox[{"\[Theta]", "[", "2", "]"}], "\[Prime]",
          MultilineFunction->None], "[", "t", "]"}], "2"]}], "+", 
      RowBox[{"m1", "    ", 
       SuperscriptBox[
        RowBox[{
         SuperscriptBox[
          RowBox[{"\[Theta]", "[", "3", "]"}], "\[Prime]",
          MultilineFunction->None], "[", "t", "]"}], "2"]}]}], ")"}]}]}], " ",
   ";"}], "\n", 
 RowBox[{
  RowBox[{"V", "=", 
   RowBox[{
    FractionBox["1", "2"], " ", "k", "  ", 
    RowBox[{"r", "^", "2"}], " ", 
    RowBox[{"(", 
     RowBox[{
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{
         RowBox[{
          RowBox[{"\[Theta]", "[", "2", "]"}], "[", "t", "]"}], "-", 
         RowBox[{
          RowBox[{"\[Theta]", "[", "1", "]"}], "[", "t", "]"}]}], ")"}], "2"],
       "+", "  ", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{
         RowBox[{
          RowBox[{"\[Theta]", "[", "3", "]"}], "[", "t", "]"}], "-", 
         RowBox[{
          RowBox[{"\[Theta]", "[", "2", "]"}], "[", "t", "]"}]}], ")"}], "2"],
       " ", "+", "  ", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{
         RowBox[{
          RowBox[{"\[Theta]", "[", "1", "]"}], "[", "t", "]"}], "-", 
         RowBox[{
          RowBox[{"\[Theta]", "[", "3", "]"}], "[", "t", "]"}]}], ")"}], 
       "2"]}], " ", ")"}]}]}], ";"}]}], "Input",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{"eq1", "=", 
  RowBox[{
   RowBox[{
    RowBox[{"smallOsc", "[", 
     RowBox[{"T", ",", "V", ",", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{
         RowBox[{"\[Theta]", "[", "1", "]"}], "[", "t", "]"}], ",", 
        RowBox[{
         RowBox[{"\[Theta]", "[", "2", "]"}], "[", "t", "]"}], ",", 
        RowBox[{
         RowBox[{"\[Theta]", "[", "3", "]"}], "[", "t", "]"}]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"0", ",", "0", ",", "0"}], "}"}], ",", "t"}], "]"}], " ", "//",
     "Simplify"}], "//", "PowerExpand"}]}]], "Input",
 Hyphenation->False],

Cell["\<\
This does not work right. See below
solution = Limit[ eq1, m1 -> m  ] // PowerExpand\
\>", "Subsubsection",
 CellChangeTimes->{{3.421857808678661*^9, 3.421857819210215*^9}},
 Hyphenation->False],

Cell[BoxData[
 RowBox[{"solution", "=", " ", 
  RowBox[{
   RowBox[{"Map", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"Limit", "[", 
       RowBox[{"#", ",", 
        RowBox[{"m1", "\[Rule]", "m"}]}], "]"}], "&"}], ",", 
     RowBox[{"eq1", "[", 
      RowBox[{"[", "2", "]"}], "]"}], " ", ",", 
     RowBox[{"{", "3", "}"}]}], "]"}], " ", "//", "PowerExpand"}]}]], "Input",\

 CellChangeTimes->{{3.421857635975793*^9, 3.4218576532791*^9}, {
  3.421857787279753*^9, 3.421857793201973*^9}}]
}, Closed]],

Cell[CellGroupData[{

Cell["Part b  ", "Subsubsection",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{"eigenmatrix", "=", 
  RowBox[{
   RowBox[{"Array", "[", 
    RowBox[{"a", ",", "3"}], "]"}], "/.", "solution"}]}]], "Input",
 CellChangeTimes->{{3.421857879686748*^9, 3.421857880637113*^9}},
 Hyphenation->False],

Cell[BoxData[
 RowBox[{"solrule", "=", 
  RowBox[{
   RowBox[{
    RowBox[{"{", 
     RowBox[{
      RowBox[{"\[Theta]1", "[", "t", "]"}], ",", 
      RowBox[{"\[Theta]2", "[", "t", "]"}], ",", 
      RowBox[{"\[Theta]3", "[", "t", "]"}]}], "}"}], "\[Rule]", 
    RowBox[{
     RowBox[{"Transpose", "[", "eigenmatrix", "]"}], ".", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{
        RowBox[{"c1", " ", "t"}], "+", "phase1"}], ",", 
       RowBox[{"c2", " ", 
        RowBox[{"Cos", "[", 
         RowBox[{
          RowBox[{"freq2", " ", "t"}], "+", "phase2"}], "]"}]}], ",", 
       RowBox[{"c3", " ", 
        RowBox[{"Cos", "[", 
         RowBox[{
          RowBox[{"freq3", " ", "t"}], "+", "phase3"}], "]"}]}]}], "}"}]}]}], 
   " ", "//", "Thread"}]}]], "Input",
 CellChangeTimes->{3.421857890590664*^9}],

Cell[BoxData[
 RowBox[{"freqrule", "=", " ", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"{", 
      RowBox[{"freq1", ",", "freq2", ",", "freq3"}], "}"}], "\[Rule]", " ", 
     RowBox[{"Sqrt", "[", 
      RowBox[{"eq1", "[", 
       RowBox[{"[", "1", "]"}], "]"}], "]"}]}], " ", "/.", 
    RowBox[{"{", 
     RowBox[{"m1", "\[Rule]", "m"}], "}"}]}], "//", "Thread"}]}]], "Input",
 CellChangeTimes->{{3.421858075862956*^9, 3.421858099228819*^9}, {
  3.421858373553924*^9, 3.421858377640533*^9}},
 Hyphenation->False],

Cell[BoxData[
 RowBox[{
  RowBox[{"valuerule", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"k", "\[Rule]", "1"}], ",", 
     RowBox[{"m", "\[Rule]", "1"}], " ", ",", 
     RowBox[{"phase1", "\[Rule]", "0"}], ",", 
     RowBox[{"phase2", "\[Rule]", "0"}], ",", 
     RowBox[{"phase3", "\[Rule]", "0"}]}], "}"}]}], " ", ";"}]], "Input",
 Hyphenation->False],

Cell[BoxData["solrule"], "Input"],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{
         RowBox[{"\[Theta]1", "[", "t", "]"}], "+", "2"}], ",", 
        RowBox[{"\[Theta]2", "[", "t", "]"}], ",", 
        RowBox[{
         RowBox[{"\[Theta]3", "[", "t", "]"}], "-", "2"}]}], "}"}], " ", "/.",
       "solrule"}], "/.", "freqrule"}], "//.", "valuerule"}], "//.", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"c1", "\[Rule]", "C1"}], ",", 
     RowBox[{"c2", "\[Rule]", "C2"}], ",", 
     RowBox[{"c3", "\[Rule]", "C3"}]}], "}"}]}], " ", "//", 
  "Evaluate"}]], "Input",
 CellChangeTimes->{3.421858042895334*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"xPlot", "[", 
   RowBox[{"C1_", ",", "C2_", ",", "C3_"}], "]"}], ":=", 
  "\[IndentingNewLine]", 
  RowBox[{"Plot", "[", 
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{
        RowBox[{
         RowBox[{"{", 
          RowBox[{
           RowBox[{
            RowBox[{"\[Theta]1", "[", "t", "]"}], "+", "2"}], ",", 
           RowBox[{"\[Theta]2", "[", "t", "]"}], ",", 
           RowBox[{
            RowBox[{"\[Theta]3", "[", "t", "]"}], "-", "2"}]}], "}"}], " ", "/.",
          "solrule"}], "/.", "freqrule"}], "//.", "valuerule"}], "//.", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"c1", "\[Rule]", "C1"}], ",", 
        RowBox[{"c2", "\[Rule]", "C2"}], ",", 
        RowBox[{"c3", "\[Rule]", "C3"}]}], "}"}]}], " ", "//", "Evaluate"}], 
    ",", "\[IndentingNewLine]", 
    RowBox[{"{", 
     RowBox[{"t", ",", "0", ",", "20"}], "}"}], ",", "\[IndentingNewLine]", 
    RowBox[{"PlotStyle", "\[Rule]", 
     RowBox[{"{", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"Thickness", "[", "0.012", "]"}], "}"}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{"{", 
        RowBox[{"Thickness", "[", "0.008", "]"}], "}"}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{"{", 
        RowBox[{"Thickness", "[", "0.004", "]"}], "}"}]}], "}"}]}]}], 
   "\[IndentingNewLine]", "]"}], " "}]], "Input",
 CellChangeTimes->{{3.421857923752237*^9, 3.421857925234089*^9}, {
  3.421858011262946*^9, 3.421858021265269*^9}}],

Cell[BoxData[
 RowBox[{"xPlot", "[", 
  RowBox[{"1", ",", "0", ",", "0"}], "]"}]], "Input",
 CellChangeTimes->{{3.421858172898557*^9, 3.421858181926391*^9}}],

Cell[BoxData[
 RowBox[{"GraphicsRow", "[", 
  RowBox[{"{", 
   RowBox[{
    RowBox[{"xPlot", "[", 
     RowBox[{"0", ",", "1", ",", "0"}], "]"}], ",", 
    RowBox[{"xPlot", "[", 
     RowBox[{"0", ",", "0", ",", "1"}], "]"}]}], "}"}], "]"}]], "Input",
 CellChangeTimes->{{3.421857938294841*^9, 3.421857940568965*^9}},
 Hyphenation->False]
}, Closed]]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
 "Problem 4:  Double Pendulum  ",
 StyleBox[" ",
  FontColor->RGBColor[1, 0, 0]]
}], "Subsection",
 Evaluatable->False,
 Hyphenation->False,
 AspectRatioFixed->True],

Cell["Remarks and outline ", "Subsubsection",
 Evaluatable->False,
 Hyphenation->False,
 AspectRatioFixed->True],

Cell["Solution", "Subsubsection",
 Evaluatable->False,
 Hyphenation->False,
 AspectRatioFixed->True],

Cell[BoxData[
 RowBox[{"Clear", "[", "\"\<Global`*\>\"", "]"}]], "Input",
 Hyphenation->False],

Cell[CellGroupData[{

Cell["Part a", "Subsubsection",
 Evaluatable->False,
 Hyphenation->False,
 AspectRatioFixed->True],

Cell[BoxData[{
 RowBox[{
  RowBox[{"x1", "=", 
   RowBox[{
    RowBox[{"L1", " ", 
     RowBox[{"Sin", "[", 
      RowBox[{"\[Theta]1", "[", "#", "]"}], " ", "]"}]}], "&"}]}], 
  ";"}], "\n", 
 RowBox[{
  RowBox[{"y1", "=", 
   RowBox[{
    RowBox[{"L1", " ", 
     RowBox[{"Cos", "[", 
      RowBox[{"\[Theta]1", "[", "#", "]"}], " ", "]"}]}], "&"}]}], 
  ";"}], "\n", 
 RowBox[{
  RowBox[{"x2", "=", 
   RowBox[{
    RowBox[{
     RowBox[{"x1", "[", "#", "]"}], "+", 
     RowBox[{"L2", " ", 
      RowBox[{"Sin", "[", 
       RowBox[{"\[Theta]2", "[", "#", "]"}], "]"}]}]}], "&"}]}], 
  ";"}], "\n", 
 RowBox[{
  RowBox[{"y2", "=", 
   RowBox[{
    RowBox[{
     RowBox[{"y1", "[", "#", "]"}], "+", 
     RowBox[{"L2", " ", 
      RowBox[{"Cos", "[", 
       RowBox[{"\[Theta]2", "[", "#", "]"}], "]"}]}]}], "&"}]}], " ", 
  ";"}]}], "Input",
 Hyphenation->False,
 AspectRatioFixed->True],

Cell[BoxData[
 RowBox[{
  RowBox[{"L1", "=", 
   RowBox[{"L2", "=", "len"}]}], ";"}]], "Input",
 Hyphenation->False,
 AspectRatioFixed->True],

Cell[BoxData[{
 RowBox[{
  RowBox[{"T1", "=", 
   RowBox[{
    RowBox[{"1", "/", "2"}], "   ", "m1", 
    RowBox[{"(", " ", 
     RowBox[{
      RowBox[{
       RowBox[{
        RowBox[{"x1", "'"}], "[", "t", "]"}], "^", "2"}], "+", 
      RowBox[{
       RowBox[{
        RowBox[{"y1", "'"}], "[", "t", "]"}], "^", "2"}]}], ")"}]}]}], 
  ";"}], "\n", 
 RowBox[{
  RowBox[{
   RowBox[{"T2", "=", 
    RowBox[{
     RowBox[{"1", "/", "2"}], "   ", "m2", 
     RowBox[{"(", " ", 
      RowBox[{
       RowBox[{
        RowBox[{
         RowBox[{"x2", "'"}], "[", "t", "]"}], "^", "2"}], "+", 
       RowBox[{
        RowBox[{
         RowBox[{"y2", "'"}], "[", "t", "]"}], "^", "2"}]}], ")"}]}]}], "\t", 
   ";"}], " "}], "\n", 
 RowBox[{
  RowBox[{"V1", "=", 
   RowBox[{
    RowBox[{"-", " ", "m1"}], " ", "g", " ", 
    RowBox[{"y1", "[", "t", "]"}]}]}], ";"}], "\n", 
 RowBox[{
  RowBox[{"V2", "=", 
   RowBox[{
    RowBox[{"-", " ", "m2"}], " ", "g", " ", 
    RowBox[{"y2", "[", "t", "]"}]}]}], ";"}], "\n", 
 RowBox[{
  RowBox[{"T", "=", 
   RowBox[{"T1", "+", "T2"}]}], ";"}], "\n", 
 RowBox[{
  RowBox[{"V", "=", 
   RowBox[{"V1", "+", "V2"}]}], ";"}]}], "Input",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{"solution", "=", 
  RowBox[{"smallOsc", "[", 
   RowBox[{"T", ",", "V", ",", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"\[Theta]1", "[", "t", "]"}], ",", 
      RowBox[{"\[Theta]2", "[", "t", "]"}]}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"0", ",", "0"}], "}"}], ",", "t"}], "]"}], " "}]], "Input",
 Hyphenation->False,
 AspectRatioFixed->True]
}, Closed]],

Cell[CellGroupData[{

Cell["Part b", "Subsubsection",
 Evaluatable->False,
 Hyphenation->False,
 AspectRatioFixed->True],

Cell[BoxData[
 RowBox[{"eigenmatrix", "=", 
  RowBox[{
   RowBox[{"Array", "[", 
    RowBox[{"a", ",", "2"}], "]"}], "//.", 
   RowBox[{"solution", "[", 
    RowBox[{"[", "2", "]"}], "]"}]}]}]], "Input",
 Hyphenation->False,
 AspectRatioFixed->True],

Cell[BoxData[
 RowBox[{"thetaRule", "=", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"\[Theta]1", "[", "t", "]"}], ",", 
       RowBox[{"\[Theta]2", "[", "t", "]"}]}], "}"}], "\[Rule]", 
     RowBox[{
      RowBox[{"Transpose", "[", "eigenmatrix", "]"}], ".", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"c1", " ", 
         RowBox[{"Cos", "[", 
          RowBox[{
           RowBox[{"\[Omega]1", " ", "t"}], "+", "\[Phi]1"}], "]"}]}], ",", 
        RowBox[{"c2", " ", 
         RowBox[{"Cos", "[", 
          RowBox[{
           RowBox[{"\[Omega]2", " ", "t"}], "+", "\[Phi]2"}], "]"}]}]}], 
       "}"}]}]}], " ", "//", "Thread"}], " ", "//", "Simplify"}]}]], "Input"],

Cell[BoxData[
 RowBox[{"freqrule", "=", 
  RowBox[{
   RowBox[{
    RowBox[{"{", 
     RowBox[{"\[Omega]1", ",", "\[Omega]2"}], "}"}], "\[Rule]", 
    RowBox[{"Sqrt", "[", 
     RowBox[{"solution", "[", 
      RowBox[{"[", "1", "]"}], "]"}], "]"}]}], " ", "//", 
   "Thread"}]}]], "Input",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{
  RowBox[{"values", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"m1", "\[Rule]", "3"}], ",", 
     RowBox[{"m2", "\[Rule]", "1"}], ",", 
     RowBox[{"len", "\[Rule]", "1"}], ",", 
     RowBox[{"g", "\[Rule]", "1"}], ",", 
     RowBox[{"\[Phi]1", "\[Rule]", "0"}], ",", 
     RowBox[{"\[Phi]2", "\[Rule]", "0"}]}], "}"}]}], ";"}]], "Input",
 Hyphenation->False,
 AspectRatioFixed->True],

Cell[BoxData[
 RowBox[{
  RowBox[{"allRules", "=", 
   RowBox[{"Join", "[", 
    RowBox[{"thetaRule", ",", "values", ",", "freqrule"}], "]"}]}], " ", 
  ";"}]], "Input",
 Hyphenation->False,
 AspectRatioFixed->True],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"line", "[", 
    RowBox[{"c1_", ",", "c2_"}], "]"}], "=", 
   RowBox[{
    RowBox[{"Line", "[", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"0", ",", "0"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"x1", "[", "t", "]"}], ",", 
         RowBox[{"-", 
          RowBox[{"y1", "[", "t", "]"}]}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"x2", "[", "t", "]"}], ",", 
         RowBox[{"-", 
          RowBox[{"y2", "[", "t", "]"}]}]}], "}"}]}], "}"}], "]"}], "//.", 
    "allRules"}]}], ";"}]], "Input",
 Hyphenation->False,
 AspectRatioFixed->True],

Cell[BoxData[
 RowBox[{"Show", "[", 
  RowBox[{"Graphics", "[", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{"N", "[", 
      RowBox[{"line", "[", 
       RowBox[{"1", ",", "0"}], "]"}], "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"t", ",", "0", ",", "4", ",", "0.1`"}], "}"}]}], "]"}], "]"}], 
  "]"}]], "Input",
 Hyphenation->False,
 AspectRatioFixed->True],

Cell[BoxData[
 RowBox[{"Show", "[", 
  RowBox[{"Graphics", "[", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{"N", "[", 
      RowBox[{"line", "[", 
       RowBox[{"0", ",", "1"}], "]"}], "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"t", ",", "0", ",", "2.5", ",", "0.2"}], "}"}]}], "]"}], "]"}], 
  "]"}]], "Input",
 CellChangeTimes->{3.42185306592489*^9},
 Hyphenation->False,
 AspectRatioFixed->True],

Cell[BoxData[
 RowBox[{"Show", "[", 
  RowBox[{"Graphics", "[", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{"N", "[", 
      RowBox[{"line", "[", 
       RowBox[{"0.5", ",", "0.5"}], "]"}], "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"t", ",", "0", ",", "6", ",", "0.2"}], "}"}]}], "]"}], "]"}], 
  "]"}]], "Input",
 CellChangeTimes->{3.421853071505927*^9},
 Hyphenation->False,
 AspectRatioFixed->True]
}, Closed]],

Cell[CellGroupData[{

Cell["Part c", "Subsubsection",
 Hyphenation->False],

Cell["\<\
frames = 1 ; 
Do[Show[Graphics[N[line[0.5, 0.5]], 
PlotRange -> {{-2, 2}, {0, -2}}]] //Print
, {t, 1, 25, 25/frames}]\
\>", "Input",
 CellChangeTimes->{{3.421858494213592*^9, 3.421858510791175*^9}},
 Hyphenation->False]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
 "Problem 5:  Understanding the User-defined procedure smallOsc[]",
 StyleBox[" ",
  FontColor->RGBColor[1, 0, 0]],
 " ",
 StyleBox[" ",
  FontColor->RGBColor[1, 0, 0]]
}], "Subsection",
 Evaluatable->False,
 Hyphenation->False,
 AspectRatioFixed->True],

Cell[CellGroupData[{

Cell["Solution", "Subsubsection",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{"Clear", "[", "\"\<Global`*\>\"", "]"}]], "Input",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{
  RowBox[{"smallOsc2", "[", 
   RowBox[{"T_", ",", "V_", ",", "coord_List", ",", "equlib_List", ",", 
    RowBox[{"t_:", "t"}]}], "]"}], ":=", "\[IndentingNewLine]", 
  RowBox[{"Module", "[", 
   RowBox[{
    RowBox[{"{", "}"}], ",", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"q", "=", "coord"}], ";", "\[IndentingNewLine]", 
     RowBox[{"p", "=", 
      RowBox[{"D", "[", 
       RowBox[{"coord", ",", "t"}], "]"}]}], ";", 
     RowBox[{"dim", "=", 
      RowBox[{"Length", "[", "q", "]"}]}], ";", "\[IndentingNewLine]", 
     RowBox[{"equlibRule", "=", 
      RowBox[{"Thread", "[", 
       RowBox[{"coord", "\[Rule]", "equlib"}], "]"}]}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{"Vij", "=", 
      RowBox[{"Outer", "[", 
       RowBox[{
        RowBox[{
         RowBox[{"D", "[", 
          RowBox[{"V", ",", "#1", ",", "#2"}], "]"}], "&"}], ",", "q", ",", 
        "q"}], " ", "]"}]}], ";", "\[IndentingNewLine]", 
     RowBox[{"Tij", "=", 
      RowBox[{"Outer", "[", 
       RowBox[{
        RowBox[{
         RowBox[{"D", "[", 
          RowBox[{"T", ",", "#1", ",", "#2"}], "]"}], "&"}], ",", " ", "p", 
        ",", "p"}], " ", "]"}]}], ";", "\[IndentingNewLine]", 
     RowBox[{"matrix", "=", 
      RowBox[{
       RowBox[{"Vij", "-", 
        RowBox[{"\[Omega]2", " ", "Tij"}]}], "/.", "equlibRule"}]}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{"\[Omega]2Sol", "=", 
      RowBox[{"Simplify", "[", 
       RowBox[{"Solve", "[", 
        RowBox[{
         RowBox[{
          RowBox[{"Det", "[", "matrix", "]"}], "==", "0"}], ",", 
         "\[Omega]2"}], "]"}], "]"}]}], ";", "\[IndentingNewLine]", 
     RowBox[{"freq", "=", 
      RowBox[{"\[Omega]2", "/.", "\[Omega]2Sol"}]}], ";", 
     RowBox[{"vector", "=", 
      RowBox[{"Array", "[", 
       RowBox[{"a", ",", "dim"}], "]"}]}], ";", "\[IndentingNewLine]", 
     RowBox[{"eqs", "=", 
      RowBox[{"Simplify", "[", 
       RowBox[{"ExpandAll", "[", 
        RowBox[{"Thread", "[", 
         RowBox[{"0", "==", 
          RowBox[{"matrix", ".", "vector"}]}], "]"}], "]"}], "]"}]}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{"vSol", "=", 
      RowBox[{"Table", "[", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{
         RowBox[{"Solve", "[", 
          RowBox[{
           RowBox[{"Join", "[", 
            RowBox[{
             RowBox[{"eqs", "/.", 
              RowBox[{"\[Omega]2Sol", "[", 
               RowBox[{"[", "i", "]"}], "]"}]}], ",", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"vector", ".", "vector"}], "==", "1"}], "}"}]}], "]"}],
            "\[IndentingNewLine]", ",", "vector"}], "]"}], "[", 
         RowBox[{"[", "2", "]"}], "]"}], ",", 
        RowBox[{"{", 
         RowBox[{"i", ",", "1", ",", "dim"}], "}"}]}], "]"}]}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{"freq", ",", "vSol"}], "}"}]}]}], " ", "]"}]}]], "Input",
 Hyphenation->False],

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"T", "=", 
    RowBox[{
     RowBox[{
      FractionBox["1", "2"], " ", "m", " ", 
      SuperscriptBox[
       RowBox[{
        SuperscriptBox["q1", "\[Prime]",
         MultilineFunction->None], "[", "t", "]"}], "2"]}], "+", 
     RowBox[{
      FractionBox["1", "2"], " ", "m", " ", 
      SuperscriptBox[
       RowBox[{
        SuperscriptBox["q2", "\[Prime]",
         MultilineFunction->None], "[", "t", "]"}], "2"]}]}]}], ";"}], 
  " "}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"V", "=", 
   RowBox[{
    FractionBox["1", "2"], " ", "k1", " ", 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{
       RowBox[{"q2", "[", "t", "]"}], "-", 
       RowBox[{"q1", "[", "t", "]"}]}], ")"}], "2"]}]}], ";"}]}], "Input",
 Hyphenation->False,
 AspectRatioFixed->True],

Cell[BoxData[
 RowBox[{
  RowBox[{"smallOsc2", "[", 
   RowBox[{"T", ",", "V", ",", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"q1", "[", "t", "]"}], ",", 
      RowBox[{"q2", "[", "t", "]"}]}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"0", ",", "0"}], "}"}], ",", "t"}], "]"}], "   "}]], "Input",
 Hyphenation->False,
 AspectRatioFixed->True],

Cell[BoxData[
 RowBox[{
  RowBox[{"{", 
   RowBox[{"q", ",", "p", ",", "dim"}], "}"}], "//", "Column"}]], "Input",
 CellChangeTimes->{{3.421853079281798*^9, 3.421853079944662*^9}},
 Hyphenation->False],

Cell[BoxData["equlibRule"], "Input",
 Hyphenation->False,
 AspectRatioFixed->True],

Cell[BoxData[
 RowBox[{
  RowBox[{"{", 
   RowBox[{"Vij", ",", "Tij"}], "}"}], "//", "Column"}]], "Input",
 CellChangeTimes->{{3.421853083944441*^9, 3.421853084639636*^9}},
 Hyphenation->False],

Cell[BoxData["\[Omega]2Sol"], "Input",
 Hyphenation->False,
 AspectRatioFixed->True],

Cell[BoxData[
 RowBox[{"Solve", "[", 
  RowBox[{
   RowBox[{"Join", "[", 
    RowBox[{
     RowBox[{"eqs", "/.", 
      RowBox[{"\[Omega]2Sol", "[", 
       RowBox[{"[", "1", "]"}], "]"}]}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"vector", ".", "vector"}], "==", "1"}], "}"}]}], "]"}], ",", 
   "vector"}], "]"}]], "Input",
 Hyphenation->False,
 AspectRatioFixed->True],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"freq", ",", "vSol"}], "}"}]], "Input",
 Hyphenation->False,
 AspectRatioFixed->True]
}, Closed]]
}, Closed]],

Cell["3.3 Oscillating Circuits ", "Section",
 Evaluatable->False,
 Hyphenation->False,
 AspectRatioFixed->True],

Cell[" Overview of Circuits   ", "Subsection",
 Evaluatable->False,
 Hyphenation->False,
 AspectRatioFixed->True],

Cell[CellGroupData[{

Cell["Problem 1:  Series RC  Circuit     ", "Subsection",
 Evaluatable->False,
 Hyphenation->False,
 AspectRatioFixed->True],

Cell["Remarks and Outline", "Subsubsection",
 Evaluatable->False,
 Hyphenation->False,
 AspectRatioFixed->True],

Cell[CellGroupData[{

Cell["Solution", "Subsubsection",
 Evaluatable->False,
 Hyphenation->False,
 AspectRatioFixed->True],

Cell["Clear[\"Global`*\"];", "Input",
 Hyphenation->False,
 AspectRatioFixed->True],

Cell[CellGroupData[{

Cell["Part a", "Subsubsection",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{"eq1", "=", 
  RowBox[{
   RowBox[{"V", "[", "t", "]"}], "\[Equal]", 
   RowBox[{
    RowBox[{"R", " ", 
     RowBox[{
      RowBox[{"q", "'"}], "[", "t", "]"}]}], "+", 
    RowBox[{
     RowBox[{"q", "[", "t", "]"}], "/", "C"}], " "}]}]}]], "Input",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{"dsol", "=", 
  RowBox[{
   RowBox[{"DSolve", "[", 
    RowBox[{"eq1", ",", 
     RowBox[{"q", "[", "t", "]"}], ",", "t"}], "]"}], "[", 
   RowBox[{"[", "1", "]"}], "]"}]}]], "Input",
 Hyphenation->False]
}, Closed]],

Cell[CellGroupData[{

Cell["Part b", "Subsubsection",
 Hyphenation->False],

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"V", "[", "t_", "]"}], "=", 
   RowBox[{"V0", " ", 
    RowBox[{"Cos", "[", 
     RowBox[{"\[Omega]", " ", "t"}], "]"}]}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"q", "[", "t_", "]"}], "=", 
  RowBox[{
   RowBox[{
    RowBox[{"q", "[", "t", "]"}], "/.", "dsol"}], "//", "Simplify", 
   " "}]}]}], "Input",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{"c1Sol", "=", 
  RowBox[{
   RowBox[{"Solve", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"q", "[", "0", "]"}], "\[Equal]", "q0"}], ",", 
     RowBox[{"C", "[", "1", "]"}]}], "]"}], "[", 
   RowBox[{"[", "1", "]"}], "]"}]}]], "Input",
 Hyphenation->False],

Cell["q[t_]= q[t] /.c1Sol//FullSimplify", "Input",
 Hyphenation->False,
 AspectRatioFixed->True]
}, Closed]],

Cell[CellGroupData[{

Cell["Part c", "Subsubsection",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{
  RowBox[{"values1", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"q0", "\[Rule]", "1"}], ",", 
     RowBox[{"V0", "\[Rule]", "1"}], ",", 
     RowBox[{"C", "\[Rule]", "1"}], ",", 
     RowBox[{"R", "\[Rule]", "1"}], ",", 
     RowBox[{"\[Omega]", "\[Rule]", "6"}]}], "}"}]}], ";"}]], "Input",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{"Plot", "[", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"q", "[", "t", "]"}], "/.", "values1"}], " ", "//", "Evaluate"}],
    ",", "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{"t", ",", "0", ",", "6"}], "}"}], ",", "\[IndentingNewLine]", 
   RowBox[{"AxesLabel", "\[Rule]", 
    RowBox[{"{", 
     StyleBox[" ",
      FontFamily->"BLADES"], 
     RowBox[{"\"\<time\>\"", ",", "\"\<charge\>\""}], "}"}]}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"PlotLabel", "\[Rule]", " ", "\"\<RC Loop\>\""}]}], "]"}]], "Input",\

 CellChangeTimes->{3.421853092400536*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"values2", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"q0", "\[Rule]", "1"}], ",", 
     RowBox[{"V0", "\[Rule]", "1"}], ",", 
     RowBox[{"R", "\[Rule]", "1"}], ",", 
     RowBox[{"\[Omega]", "\[Rule]", "6"}]}], "}"}]}], ";"}]], "Input",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{"Plot3D", "[", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"q", "[", "t", "]"}], "/.", "values2"}], " ", "//", "Evaluate"}],
    ",", "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{"t", ",", "0", ",", "6"}], "}"}], ",", "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{"C", ",", "0.01", ",", "0.25"}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"AxesLabel", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
     "\"\<Time\>\"", ",", "\"\<Capacitance\>\"", ",", "\"\<Charge\>\""}], 
     "}"}]}], ",", "\[IndentingNewLine]", 
   RowBox[{"Ticks", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"Automatic", ",", 
      RowBox[{"{", 
       RowBox[{".01", ",", ".1", ",", ".2"}], " ", "}"}], ",", "Automatic"}], 
     "}"}]}], ",", "\[IndentingNewLine]", 
   RowBox[{"FaceGrids", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"{", 
      RowBox[{"0", ",", 
       RowBox[{"-", "1"}], ",", "0"}], "}"}], "}"}]}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"ViewPoint", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{".3", ",", 
      RowBox[{"-", "1"}], ",", ".3"}], "}"}]}], ",", "\[IndentingNewLine]", 
   RowBox[{"PlotPoints", "\[Rule]", "35"}]}], "]"}]], "Input",
 CellChangeTimes->{3.421853097837077*^9},
 Hyphenation->False]
}, Closed]]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell["Problem 2:   Series RL Loop ", "Subsection",
 Evaluatable->False,
 Hyphenation->False,
 AspectRatioFixed->True],

Cell["Remarks and Outline", "Subsubsection",
 Evaluatable->False,
 Hyphenation->False,
 AspectRatioFixed->True],

Cell[CellGroupData[{

Cell["Solution", "Subsubsection",
 Evaluatable->False,
 Hyphenation->False,
 AspectRatioFixed->True],

Cell["Clear[\"Global`*\"];", "Input",
 Hyphenation->False,
 AspectRatioFixed->True],

Cell[CellGroupData[{

Cell["Part a", "Subsubsection",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{"eq1", "=", 
  RowBox[{
   RowBox[{"V", "[", "t", "]"}], "\[Equal]", 
   RowBox[{
    RowBox[{"L", "  ", 
     RowBox[{
      RowBox[{"q", "''"}], "[", "t", "]"}]}], "+", 
    RowBox[{"R", "  ", 
     RowBox[{
      RowBox[{"q", "'"}], "[", "t", "]"}], " "}]}]}]}]], "Input",
 Hyphenation->False],

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"V", "[", "t_", "]"}], "=", 
    RowBox[{"V0", " ", 
     RowBox[{"Cos", "[", 
      RowBox[{"\[Omega]", " ", "t"}], "]"}]}]}], ";"}], 
  "\[IndentingNewLine]"}], "\n", 
 RowBox[{
  RowBox[{"initial", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{"q", "[", "0", "]"}], "==", "q0"}], ",", 
     RowBox[{
      RowBox[{
       RowBox[{"q", "'"}], "[", "0", "]"}], "==", "i0"}]}], "}"}]}], 
  ";"}]}], "Input",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{"qsol", "=", 
  RowBox[{
   RowBox[{"q", "[", "t", "]"}], "/.", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{
      RowBox[{"DSolve", "[", 
       RowBox[{
        RowBox[{
         RowBox[{"{", 
          RowBox[{"eq1", ",", "initial"}], "}"}], "//", "Flatten"}], ",", 
        RowBox[{"q", "[", "t", "]"}], ",", "t"}], "]"}], "//", "Flatten"}], "//",
      " ", "Simplify"}], ")"}]}]}]], "Input",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{"isol", "=", 
  RowBox[{
   RowBox[{"D", "[", 
    RowBox[{"qsol", ",", "t"}], "]"}], "//", "FullSimplify"}]}]], "Input",
 Hyphenation->False]
}, Closed]],

Cell[CellGroupData[{

Cell["Part b", "Subsubsection",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{
  RowBox[{"values", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"R", "\[Rule]", "0.1"}], ",", 
     RowBox[{"L", "\[Rule]", "2"}], ",", 
     RowBox[{"V0", "\[Rule]", "1"}], ",", 
     RowBox[{"\[Omega]", "\[Rule]", "1"}], ",", 
     RowBox[{"i0", "\[Rule]", "0.1"}], ",", 
     RowBox[{"q0", "\[Rule]", "0"}]}], "}"}]}], ";"}]], "Input",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{"Plot", "[", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"{", 
      RowBox[{"qsol", ",", "isol"}], "}"}], "/.", "values"}], " ", "//", 
    "Evaluate"}], ",", "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{"t", ",", "0", ",", "20"}], "}"}], ",", "\[IndentingNewLine]", 
   RowBox[{"PlotStyle", "\[Rule]", 
    RowBox[{"{", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{"Hue", "[", ".3", "]"}], ",", " ", 
        RowBox[{"Thickness", "[", "0.01", "]"}]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"Hue", "[", ".9", "]"}], ",", 
        RowBox[{"Dashing", "[", 
         RowBox[{"{", "0.03", "}"}], "]"}], ",", 
        RowBox[{"Thickness", "[", "0.02", "]"}]}], "}"}]}], "}"}]}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"Frame", "\[Rule]", "True"}], ",", " ", "\[IndentingNewLine]", 
   RowBox[{"FrameLabel", "\[Rule]", 
    RowBox[{"{", " ", 
     RowBox[{"\"\<Time\>\"", " ", ",", " ", "\"\< \>\""}], "  ", "}"}]}], ",",
    "\[IndentingNewLine]", 
   RowBox[{"GridLines", "\[Rule]", "Automatic"}]}], "]"}]], "Input",
 CellChangeTimes->{3.421853103614723*^9}]
}, Closed]],

Cell[CellGroupData[{

Cell["Part c", "Subsubsection",
 Hyphenation->False],

Cell["\<\
Not needed now

<<Statistics`NormalDistribution`\
\>", "Subsubsection",
 CellChangeTimes->{{3.421858674082013*^9, 3.421858677923816*^9}},
 CellTags->"S6.9.1"],

Cell[BoxData[
 RowBox[{
  RowBox[{"fourierdata", "=", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{"qsol", " ", 
        RowBox[{"RandomReal", "[", 
         RowBox[{"NormalDistribution", "[", 
          RowBox[{"1", ",", "0.1"}], "]"}], "]"}]}], "/.", "values"}], "//", 
      "N"}], ",", 
     RowBox[{"{", 
      RowBox[{"t", ",", "0", ",", 
       RowBox[{"100", " ", "\[Pi]"}], ",", 
       RowBox[{"100", " ", 
        RowBox[{"\[Pi]", "/", "300"}]}]}], "}"}]}], "]"}]}], ";"}]], "Input",
 CellChangeTimes->{
  3.421858714527877*^9, {3.421859423019024*^9, 3.421859441396141*^9}, 
   3.421859703150283*^9, {3.421859828185103*^9, 3.42185986643162*^9}, {
   3.421859923981803*^9, 3.421859941726205*^9}},
 Hyphenation->False],

Cell[BoxData[
 RowBox[{"ListPlot", "[", 
  RowBox[{
   RowBox[{"Abs", "[", 
    RowBox[{"Fourier", "[", "fourierdata", "]"}], "]"}], ",", 
   RowBox[{"Joined", "\[Rule]", "True"}], ",", 
   RowBox[{"PlotRange", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"0", ",", "5"}], "}"}]}]}], "]"}]], "Input",
 CellChangeTimes->{3.421860024626397*^9}]
}, Closed]]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell["Problem 3 :   RLC  Loop     ", "Subsection",
 Evaluatable->False,
 Hyphenation->False,
 AspectRatioFixed->True],

Cell["Remarks and Outline", "Subsubsection",
 Evaluatable->False,
 Hyphenation->False,
 AspectRatioFixed->True],

Cell[CellGroupData[{

Cell["Solution", "Subsubsection",
 Evaluatable->False,
 Hyphenation->False,
 AspectRatioFixed->True],

Cell["Clear[\"Global`*\"];", "Input",
 Hyphenation->False,
 AspectRatioFixed->True],

Cell[CellGroupData[{

Cell["Part a", "Subsubsection",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{
  RowBox[{"eq1", "=", 
   RowBox[{
    RowBox[{
     RowBox[{"L", " ", 
      RowBox[{
       RowBox[{"q", "''"}], "[", "t", "]"}]}], "+", 
     RowBox[{"R", " ", 
      RowBox[{
       RowBox[{"q", "'"}], "[", "t", "]"}]}], "+", 
     RowBox[{
      RowBox[{"q", "[", "t", "]"}], "/", "C"}]}], "\[Equal]", "0"}]}], 
  ";"}]], "Input",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{"eq2", "=", 
  RowBox[{
   RowBox[{"LaplaceTransform", "[", 
    RowBox[{"eq1", ",", "t", ",", "s"}], "]"}], "//", "Simplify"}]}]], "Input",\

 Hyphenation->False],

Cell[BoxData[
 RowBox[{" ", 
  RowBox[{"sol0", "=", 
   RowBox[{
    RowBox[{"Solve", "[", 
     RowBox[{"eq2", ",", 
      RowBox[{"LaplaceTransform", "[", 
       RowBox[{
        RowBox[{"q", "[", "t", "]"}], ",", "t", ",", "s"}], "]"}]}], "]"}], 
    "[", 
    RowBox[{"[", "1", "]"}], "]"}]}]}]], "Input",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{
  RowBox[{"initial", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{"q", "[", "0", "]"}], "\[Rule]", "q0"}], ",", 
     RowBox[{
      RowBox[{
       RowBox[{"q", "'"}], "[", "0", "]"}], "\[Rule]", "i0"}]}], "}"}]}], 
  ";"}]], "Input",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{"eq3", "=", 
  RowBox[{
   RowBox[{"InverseLaplaceTransform", "[", 
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{"LaplaceTransform", "[", 
        RowBox[{
         RowBox[{"q", "[", "t", "]"}], ",", "t", ",", "s"}], "]"}], "/.", 
       "sol0"}], "/.", "initial"}], ",", "s", ",", "t"}], "]"}], "//", 
   "FullSimplify"}]}]], "Input",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{
  RowBox[{"freqrule", "=", 
   FormBox[
    RowBox[{
     RowBox[{
      RowBox[{"C", " ", 
       SuperscriptBox["R", "2"]}], "-", 
      RowBox[{"4", " ", "L"}]}], "\[Rule]", 
     RowBox[{
      RowBox[{"-", "4"}], " ", "C", " ", 
      SuperscriptBox["L", "2"], " ", 
      SuperscriptBox["\[Omega]0", "2"]}]}],
    TraditionalForm]}], ";"}]], "Input",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{" ", 
  RowBox[{"charge", " ", "=", "  ", 
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{"eq3", "//.", "freqrule"}], "//", "PowerExpand"}], " ", "//", 
     "ExpToTrig"}], "//", " ", "FullSimplify"}]}]}]], "Input",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{"current", " ", "=", " ", 
  RowBox[{
   RowBox[{"D", "[", 
    RowBox[{"charge", " ", ",", "t"}], "]"}], "//", 
   "FullSimplify"}]}]], "Input",
 Hyphenation->False]
}, Closed]],

Cell[CellGroupData[{

Cell["Part b", "Subsubsection",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{
  RowBox[{"values", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"R", "\[Rule]", "1"}], ",", 
     RowBox[{"C", "\[Rule]", "1"}], ",", 
     RowBox[{"L", "\[Rule]", "4"}], ",", 
     RowBox[{"q0", "\[Rule]", "1"}], ",", 
     RowBox[{"i0", "\[Rule]", "0"}]}], "}"}]}], ";"}]], "Input",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{"\[Omega]rule", "=", 
  RowBox[{
   RowBox[{"Solve", "[", 
    RowBox[{
     FormBox[
      RowBox[{
       SqrtBox[
        RowBox[{
         RowBox[{"C", " ", 
          SuperscriptBox["R", "2"]}], "-", 
         RowBox[{"4", " ", "L"}]}]], "==", 
       RowBox[{"2", " ", "\[ImaginaryI]", " ", 
        SqrtBox["C"], " ", "L", " ", "\[Omega]0"}]}],
      TraditionalForm], ",", "\[Omega]0"}], "]"}], "[", 
   RowBox[{"[", "1", "]"}], "]"}]}]], "Input",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{
  RowBox[{"text", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"Text", "[", 
      RowBox[{
       RowBox[{"Style", "[", 
        RowBox[{"\"\<Charge\>\"", ",", 
         RowBox[{"FontFamily", "\[Rule]", "\"\<Times-Bold\>\""}], ",", 
         RowBox[{"FontSize", "\[Rule]", "15"}]}], "]"}], ",", 
       RowBox[{"{", 
        RowBox[{"5", ",", "0.8`"}], "}"}]}], "]"}], ",", 
     RowBox[{"Text", "[", 
      RowBox[{
       RowBox[{"Style", "[", 
        RowBox[{"\"\<Current\>\"", ",", 
         RowBox[{"FontFamily", "\[Rule]", "\"\<Times-Bold\>\""}], ",", 
         RowBox[{"FontSize", "\[Rule]", "15"}]}], "]"}], ",", 
       RowBox[{"{", 
        RowBox[{"8", ",", "0.3`"}], "}"}]}], "]"}]}], "}"}]}], ";"}]], "Input"],

Cell[BoxData[
 RowBox[{"Plot", "[", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{"{", 
       RowBox[{"charge", ",", "current"}], "}"}], "/.", "\[Omega]rule"}], "/.",
      "values"}], "//", "Evaluate"}], ",", "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{"t", ",", ".001", ",", "20"}], "}"}], ",", "\[IndentingNewLine]", 
   
   RowBox[{"PlotStyle", "\[Rule]", 
    RowBox[{"{", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{"Hue", "[", "0.3", "]"}], ",", 
        RowBox[{"Dashing", "[", 
         RowBox[{"{", "0.01", "}"}], "]"}], ",", 
        RowBox[{"Thickness", "[", "0.010", "]"}]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"Hue", "[", "0.9", "]"}], ",", 
        RowBox[{"Dashing", "[", 
         RowBox[{"{", "0.02", "}"}], "]"}], ",", 
        RowBox[{"Thickness", "[", "0.008", "]"}]}], "}"}]}], "}"}]}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"Frame", "\[Rule]", "True"}], ",", "\[IndentingNewLine]", 
   RowBox[{"FrameLabel", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"\"\<Time\>\"", ",", "\"\<\>\""}], "}"}]}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"GridLines", "\[Rule]", "Automatic"}], ",", "\[IndentingNewLine]", 
   
   RowBox[{"Epilog", "\[Rule]", "text"}]}], "]"}]], "Input",
 CellChangeTimes->{3.421853128577191*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"values2", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"R", "\[Rule]", "1"}], ",", 
     RowBox[{"C", "\[Rule]", "1"}], ",", 
     RowBox[{"q0", "\[Rule]", "1"}], ",", 
     RowBox[{"i0", "\[Rule]", "1"}]}], "}"}]}], ";"}]], "Input",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{"p1", "=", 
  RowBox[{"Plot3D", "[", 
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{"charge", "/.", "\[Omega]rule"}], "/.", "values2"}], " ", "//", 
     "Evaluate"}], ",", "\[IndentingNewLine]", 
    RowBox[{"{", 
     RowBox[{"t", ",", "0.01", ",", "30"}], "}"}], ",", "\[IndentingNewLine]",
     
    RowBox[{"{", 
     RowBox[{"L", ",", "1", ",", "4"}], "}"}], ",", "\[IndentingNewLine]", 
    RowBox[{"ViewPoint", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{"1", ",", 
       RowBox[{"+", "3"}], ",", "1"}], "}"}]}], ",", "\[IndentingNewLine]", 
    RowBox[{"FaceGrids", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"0", ",", "0", ",", "1"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", 
         RowBox[{"-", "1"}], ",", "0"}], "}"}]}], "}"}]}], ",", 
    RowBox[{"AxesLabel", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{
      "\"\<Time\>\"", ",", "\"\<Inductance\>\"", ",", "\"\<Charge\>\""}], 
      "}"}]}], ",", "\[IndentingNewLine]", 
    RowBox[{"PlotPoints", "\[Rule]", "30"}]}], "]"}]}]], "Input",
 CellChangeTimes->{3.42185313520449*^9}]
}, Closed]]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell["3.4 Exercises  ", "Section",
 Hyphenation->False],

Cell["Exercise 1: Blocks connect with a Spring on a Table", "Subsubsection",
 Hyphenation->False],

Cell["Exercise 2: Falling Blocks connect with a Spring", "Subsubsection",
 Hyphenation->False],

Cell[TextData[{
 StyleBox["Exercise 3:",
  FontWeight->"Bold"],
 " Parabolic coordinates and Harmonic Oscillator"
}], "Subsubsection",
 Hyphenation->False],

Cell[TextData[{
 StyleBox["Exercise 4:",
  FontWeight->"Bold"],
 " Forced Oscillator"
}], "Subsubsection",
 Hyphenation->False],

Cell[TextData[{
 StyleBox["Exercise 5:",
  FontWeight->"Bold"],
 " Pendulums and Spring"
}], "Subsubsection",
 Hyphenation->False],

Cell[TextData[{
 StyleBox["Exercise 6:",
  FontWeight->"Bold"],
 " Five Particles connected with Springs"
}], "Subsubsection",
 Hyphenation->False],

Cell[TextData[{
 StyleBox["Exercise 7",
  FontWeight->"Bold"],
 ": Vibrating Atoms on an Equilateral Triangle"
}], "Subsubsection",
 Hyphenation->False],

Cell[TextData[{
 StyleBox["Exercise 8:",
  FontWeight->"Bold"],
 " Vibrating Charged Spheres"
}], "Subsubsection",
 Hyphenation->False],

Cell[TextData[{
 StyleBox["Exercise 9:",
  FontWeight->"Bold"],
 "  Quadratic Damping"
}], "Subsubsection",
 Hyphenation->False],

Cell["\<\
Exercise 10: Motion of a Charged Particle in a Harmonic Potential\
\>", "Subsubsection",
 Hyphenation->False]
}, Closed]]
},
AutoGeneratedPackage->None,
WindowToolbars->"EditBar",
CellGrouping->Manual,
PageWidth->PaperWidth,
WindowSize->{644, 945},
WindowMargins->{{85, Automatic}, {Automatic, 0}},
PrintingCopies->1,
PrintingPageRange->{1, Automatic},
PrivateNotebookOptions->{"ColorPalette"->{RGBColor, -1}},
ShowSelection->True,
ShowCellLabel->True,
ShowCellTags->False,
SpellingOptions->{"AlwaysStop"->"RepeatedWords"},
SpellingDictionaries->{"CorrectWords"->{
 "descrete", "Poincar\[EAcute]", "Mandelbrot", "xo", "Gfixpt", "Gfixptpt", 
  "Lvalues", "Spoints", "fdata", "rdata", "returnpt", "diff", "Gder", "prob", 
  "Scobweb", "Svalues", "fder", "Lagrange's", "Lagrange", "qi", "Qi", "eq", 
  "eqin", "Ser", "eqs", "vars", "Diff", "zpsol", "zp", "perturbative", 
  "firstorderpert", "xfirst", "ro", "''", "Rx", "Ry", "Rz", "Eq", "Kepler", 
  "Keplerian", "Johannes", "Kepler's", "uo", "ee", "cterm", "plotorbit", 
  "num", "uforce", "ndsol", "ndsol.", "numorbit", "rrule", "Urule", "Lpt", 
  "tmax", "Mgraph", "fx", "fy", "tfinal", "hrule", "vxo", "vyo", "eqlist", 
  "Equi", "Lgraph", "jac", "nonrotating", "accreting", "Lagragian", "rl", 
  "zeropt", "yi", "yrs", "Ll", "freq", "invfreq", "xy", "tmoon", "Descrete", 
  "Poincare", "xsol", "traj", "df.", "tempsol", "tempinit", "tempser", 
  "tempeq", "tempvar", "initialx", "initialv", "wrsym", "Acc", "energy", 
  "and", "homog", "eigenmode", "Osc", "eigenfrequencies", "coord", "equlib", 
  "Vij", "Tij", "Osc.", "where", "eigenfrequency.", "eigenfrequency", 
  "vector", "eigenfrequencies.", "eigenmatrix", "the", "xRule", "xp", 
  "solution", "eigenfunctions", "smallOsc2", "dsol", "isol", "qsol", "values",
   "fourierdata", "tlist", "List", "phasePlot", "timePhasePlot", "doublePlot",
   "initialz", "approxsol", "finitesum", "ii.", "iii.", "df", "wd", "Adf", 
  "freqrule", "solrule", "valuerule", "equilb", "wrule", "vo", "unstretched", 
  "xmin", "xmax", "ymin", "ymax", "var", "varmin", "varmax", "freg"}},
RenderingOptions->{"ObjectDithering"->True,
"RasterDithering"->False},
Magnification->1,
FrontEndVersion->"6.0 for Linux x86 (32-bit) (June 19, 2007)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{
 "S6.9.1"->{
  Cell[115647, 4077, 168, 6, 68, "Subsubsection",
   CellTags->"S6.9.1"]}
 }
*)
(*CellTagsIndex
CellTagsIndex->{
 {"S6.9.1", 128135, 4502}
 }
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[590, 23, 224, 7, 30, "Subsubsection"],
Cell[817, 32, 791, 15, 248, "Input",
 Evaluatable->False]
}, Closed]],
Cell[CellGroupData[{
Cell[1645, 52, 115, 2, 24, "Subsubsection"],
Cell[1763, 56, 1998, 34, 806, "Input",
 Evaluatable->False]
}, Closed]],
Cell[3776, 93, 106, 3, 59, "Title",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[3907, 100, 164, 7, 73, "Section",
 Evaluatable->False],
Cell[4074, 109, 307, 10, 55, "Input"]
}, Closed]],
Cell[4396, 122, 174, 7, 43, "Section",
 Evaluatable->False],
Cell[4573, 131, 185, 7, 31, "Subsection",
 Evaluatable->False],
Cell[4761, 140, 130, 3, 31, "Subsection",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[4916, 147, 195, 8, 24, "Subsubsection"],
Cell[5114, 157, 880, 22, 121, "Input"],
Cell[5997, 181, 605, 17, 55, "Input"]
}, Closed]],
Cell[CellGroupData[{
Cell[6639, 203, 228, 8, 43, "Subsubsection",
 Evaluatable->False],
Cell[6870, 213, 1771, 42, 297, "Input"],
Cell[8644, 257, 445, 13, 32, "Input"]
}, Closed]],
Cell[CellGroupData[{
Cell[9126, 275, 190, 6, 43, "Subsubsection"],
Cell[9319, 283, 598, 15, 77, "Input"],
Cell[9920, 300, 94, 1, 32, "Input"],
Cell[10017, 303, 465, 13, 32, "Input"]
}, Closed]],
Cell[CellGroupData[{
Cell[10519, 321, 66, 1, 24, "Subsubsection"],
Cell[10588, 324, 108, 2, 32, "Input"]
}, Closed]],
Cell[CellGroupData[{
Cell[10733, 331, 186, 7, 31, "Subsection",
 Evaluatable->False],
Cell[10922, 340, 65, 1, 30, "Subsubsection"],
Cell[CellGroupData[{
Cell[11012, 345, 54, 1, 24, "Subsubsection"],
Cell[11069, 348, 94, 2, 32, "Input"],
Cell[CellGroupData[{
Cell[11188, 354, 52, 1, 30, "Subsubsection"],
Cell[11243, 357, 344, 11, 32, "Input"],
Cell[11590, 370, 342, 12, 32, "Input"],
Cell[11935, 384, 325, 10, 32, "Input"],
Cell[12263, 396, 157, 5, 49, "Subsubsection"],
Cell[12423, 403, 130, 2, 26, "Input"],
Cell[12556, 407, 121, 2, 32, "Input"],
Cell[12680, 411, 69, 2, 32, "Input"],
Cell[12752, 415, 1306, 39, 121, "Input"],
Cell[14061, 456, 617, 18, 55, "Input"]
}, Closed]],
Cell[CellGroupData[{
Cell[14715, 479, 52, 1, 30, "Subsubsection"],
Cell[14770, 482, 464, 15, 32, "Input"],
Cell[15237, 499, 348, 11, 55, "Input"]
}, Closed]],
Cell[CellGroupData[{
Cell[15622, 515, 52, 1, 30, "Subsubsection"],
Cell[15677, 518, 153, 4, 32, "Input"],
Cell[15833, 524, 314, 10, 32, "Input"],
Cell[16150, 536, 347, 11, 55, "Input"]
}, Closed]]
}, Closed]]
}, Closed]],
Cell[CellGroupData[{
Cell[16558, 554, 194, 7, 31, "Subsection",
 Evaluatable->False],
Cell[16755, 563, 2387, 69, 253, "Input"],
Cell[19145, 634, 116, 3, 32, "Input"],
Cell[CellGroupData[{
Cell[19286, 641, 51, 1, 39, "Subsection"],
Cell[19340, 644, 94, 2, 32, "Input"],
Cell[CellGroupData[{
Cell[19459, 650, 100, 3, 30, "Subsubsection",
 Evaluatable->False],
Cell[19562, 655, 2269, 66, 253, "Input"],
Cell[21834, 723, 565, 19, 32, "Input"],
Cell[22402, 744, 199, 5, 32, "Input"],
Cell[22604, 751, 54, 1, 32, "Input"],
Cell[22661, 754, 178, 6, 32, "Input"],
Cell[22842, 762, 98, 3, 32, "Input"],
Cell[22943, 767, 176, 6, 32, "Input"],
Cell[23122, 775, 197, 7, 32, "Input"],
Cell[23322, 784, 223, 6, 32, "Input"]
}, Closed]],
Cell[CellGroupData[{
Cell[23582, 795, 52, 1, 30, "Subsubsection"],
Cell[23637, 798, 94, 2, 32, "Input"],
Cell[23734, 802, 344, 11, 32, "Input"],
Cell[24081, 815, 388, 11, 55, "Input"],
Cell[24472, 828, 1031, 37, 106, "Input"],
Cell[CellGroupData[{
Cell[25528, 869, 436, 15, 32, "Input"],
Cell[25967, 886, 131, 4, 32, "Input"]
}, Closed]],
Cell[26113, 893, 473, 15, 77, "Input"]
}, Closed]]
}, Closed]]
}, Closed]],
Cell[CellGroupData[{
Cell[26647, 915, 219, 7, 51, "Subsection",
 Evaluatable->False],
Cell[26869, 924, 65, 1, 30, "Subsubsection"],
Cell[CellGroupData[{
Cell[26959, 929, 54, 1, 24, "Subsubsection"],
Cell[27016, 932, 94, 2, 32, "Input"],
Cell[CellGroupData[{
Cell[27135, 938, 52, 1, 30, "Subsubsection"],
Cell[27190, 941, 454, 14, 77, "Input"],
Cell[27647, 957, 492, 16, 32, "Input"],
Cell[28142, 975, 542, 20, 77, "Input"],
Cell[28687, 997, 98, 3, 32, "Input"]
}, Closed]],
Cell[CellGroupData[{
Cell[28822, 1005, 52, 1, 30, "Subsubsection"],
Cell[28877, 1008, 162, 5, 49, "Subsubsection"],
Cell[29042, 1015, 116, 2, 26, "Input"],
Cell[29161, 1019, 914, 23, 99, "Input"]
}, Closed]],
Cell[CellGroupData[{
Cell[30112, 1047, 54, 1, 30, "Subsubsection"],
Cell[30169, 1050, 458, 15, 32, "Input"],
Cell[30630, 1067, 1006, 25, 187, "Input"],
Cell[31639, 1094, 240, 4, 55, "Input"],
Cell[31882, 1100, 76, 2, 32, "Input"],
Cell[31961, 1104, 26, 0, 32, "Input"],
Cell[31990, 1106, 325, 11, 163, "Subsubsection"]
}, Closed]]
}, Closed]]
}, Closed]],
Cell[CellGroupData[{
Cell[32376, 1124, 126, 3, 31, "Subsection",
 Evaluatable->False],
Cell[32505, 1129, 112, 3, 30, "Subsubsection",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[32642, 1136, 100, 3, 24, "Subsubsection",
 Evaluatable->False],
Cell[32745, 1141, 94, 2, 32, "Input"],
Cell[CellGroupData[{
Cell[32864, 1147, 52, 1, 30, "Subsubsection"],
Cell[32919, 1150, 487, 15, 32, "Input"],
Cell[33409, 1167, 595, 18, 55, "Input"],
Cell[34007, 1187, 419, 14, 70, "Input"],
Cell[34429, 1203, 174, 5, 32, "Input"],
Cell[34606, 1210, 199, 7, 32, "Input"],
Cell[34808, 1219, 187, 6, 32, "Input"]
}, Closed]],
Cell[CellGroupData[{
Cell[35032, 1230, 53, 1, 30, "Subsubsection"],
Cell[35088, 1233, 482, 16, 70, "Input"],
Cell[35573, 1251, 847, 22, 99, "Input"],
Cell[36423, 1275, 493, 15, 55, "Input"],
Cell[36919, 1292, 810, 23, 121, "Input"]
}, Closed]],
Cell[CellGroupData[{
Cell[37766, 1320, 52, 1, 30, "Subsubsection"],
Cell[37821, 1323, 337, 11, 32, "Input"],
Cell[38161, 1336, 201, 5, 32, "Input"]
}, Closed]],
Cell[CellGroupData[{
Cell[38399, 1346, 52, 1, 30, "Subsubsection"],
Cell[38454, 1349, 504, 16, 70, "Input"],
Cell[38961, 1367, 672, 18, 99, "Input"],
Cell[39636, 1387, 103, 2, 32, "Input"],
Cell[39742, 1391, 1239, 34, 143, "Input"]
}, Closed]],
Cell[CellGroupData[{
Cell[41018, 1430, 98, 3, 30, "Subsubsection",
 Evaluatable->False],
Cell[41119, 1435, 50, 1, 32, "Input"],
Cell[41172, 1438, 153, 4, 32, "Input"],
Cell[41328, 1444, 353, 11, 55, "Input"],
Cell[41684, 1457, 293, 8, 55, "Input"]
}, Closed]]
}, Closed]]
}, Closed]],
Cell[CellGroupData[{
Cell[42038, 1472, 164, 5, 31, "Subsection"],
Cell[42205, 1479, 67, 1, 30, "Subsubsection"],
Cell[CellGroupData[{
Cell[42297, 1484, 54, 1, 24, "Subsubsection"],
Cell[42354, 1487, 94, 2, 32, "Input"],
Cell[CellGroupData[{
Cell[42473, 1493, 52, 1, 30, "Subsubsection"],
Cell[42528, 1496, 579, 18, 32, "Input"],
Cell[43110, 1516, 280, 9, 32, "Input"],
Cell[43393, 1527, 124, 4, 32, "Input"],
Cell[43520, 1533, 160, 5, 32, "Input"]
}, Closed]],
Cell[CellGroupData[{
Cell[43717, 1543, 52, 1, 30, "Subsubsection"],
Cell[43772, 1546, 897, 31, 74, "Input"],
Cell[44672, 1579, 419, 14, 70, "Input"],
Cell[45094, 1595, 263, 8, 55, "Input"],
Cell[45360, 1605, 236, 8, 32, "Input"],
Cell[45599, 1615, 124, 4, 32, "Input"],
Cell[45726, 1621, 721, 24, 77, "Input"],
Cell[46450, 1647, 340, 11, 32, "Input"],
Cell[46793, 1660, 442, 16, 77, "Input"],
Cell[47238, 1678, 195, 6, 32, "Input"],
Cell[47436, 1686, 241, 8, 32, "Input"],
Cell[47680, 1696, 116, 3, 32, "Input"]
}, Closed]],
Cell[CellGroupData[{
Cell[47833, 1704, 52, 1, 30, "Subsubsection"],
Cell[47888, 1707, 565, 17, 70, "Input"],
Cell[48456, 1726, 1125, 31, 143, "Input"],
Cell[49584, 1759, 1213, 32, 187, "Input"]
}, Closed]],
Cell[CellGroupData[{
Cell[50834, 1796, 52, 1, 30, "Subsubsection"],
Cell[50889, 1799, 686, 18, 121, "Input"],
Cell[51578, 1819, 452, 13, 55, "Input"],
Cell[52033, 1834, 124, 2, 32, "Input"],
Cell[52160, 1838, 1760, 44, 275, "Input"],
Cell[53923, 1884, 73, 2, 32, "Input"],
Cell[53999, 1888, 579, 18, 77, "Input"],
Cell[54581, 1908, 301, 8, 32, "Input"]
}, Closed]]
}, Closed]]
}, Closed]],
Cell[54921, 1921, 172, 7, 43, "Section",
 Evaluatable->False],
Cell[55096, 1930, 139, 3, 31, "Subsection",
 Evaluatable->False],
Cell[55238, 1935, 180, 6, 51, "Subsection",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[55443, 1945, 270, 10, 24, "Subsubsection",
 Evaluatable->False],
Cell[55716, 1957, 3131, 81, 363, "Input"],
Cell[58850, 2040, 82, 2, 32, "Input"],
Cell[58935, 2044, 876, 30, 95, "Input"],
Cell[59814, 2076, 297, 9, 32, "Input"]
}, Closed]],
Cell[CellGroupData[{
Cell[60148, 2090, 201, 7, 31, "Subsection",
 Evaluatable->False],
Cell[60352, 2099, 112, 3, 30, "Subsubsection",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[60489, 2106, 100, 3, 24, "Subsubsection",
 Evaluatable->False],
Cell[60592, 2111, 94, 2, 32, "Input"],
Cell[CellGroupData[{
Cell[60711, 2117, 98, 3, 30, "Subsubsection",
 Evaluatable->False],
Cell[60812, 2122, 1240, 41, 95, "Input"],
Cell[62055, 2165, 442, 16, 55, "Input"],
Cell[62500, 2183, 429, 15, 55, "Input"],
Cell[62932, 2200, 228, 8, 32, "Input"],
Cell[63163, 2210, 278, 9, 32, "Input"],
Cell[63444, 2221, 305, 10, 55, "Input"],
Cell[63752, 2233, 265, 8, 32, "Input"],
Cell[64020, 2243, 206, 8, 32, "Input"],
Cell[64229, 2253, 284, 9, 32, "Input"],
Cell[64516, 2264, 265, 8, 32, "Input"],
Cell[64784, 2274, 284, 9, 32, "Input"]
}, Closed]],
Cell[CellGroupData[{
Cell[65105, 2288, 52, 1, 30, "Subsubsection"],
Cell[65160, 2291, 190, 6, 32, "Input"],
Cell[65353, 2299, 483, 13, 32, "Input"]
}, Closed]],
Cell[CellGroupData[{
Cell[65873, 2317, 52, 1, 30, "Subsubsection"],
Cell[65928, 2320, 418, 13, 32, "Input"]
}, Closed]],
Cell[CellGroupData[{
Cell[66383, 2338, 52, 1, 30, "Subsubsection"],
Cell[66438, 2341, 196, 6, 32, "Input"],
Cell[66637, 2349, 744, 23, 77, "Input"],
Cell[67384, 2374, 349, 11, 32, "Input"],
Cell[67736, 2387, 371, 11, 32, "Input"],
Cell[68110, 2400, 206, 7, 32, "Input"],
Cell[68319, 2409, 1108, 33, 165, "Input"],
Cell[69430, 2444, 734, 21, 99, "Input"],
Cell[70167, 2467, 1090, 34, 143, "Input"],
Cell[71260, 2503, 630, 18, 77, "Input"],
Cell[71893, 2523, 196, 6, 32, "Input"],
Cell[72092, 2531, 1095, 34, 143, "Input"],
Cell[73190, 2567, 589, 18, 77, "Input"]
}, Closed]]
}, Closed]]
}, Closed]],
Cell[CellGroupData[{
Cell[73840, 2592, 203, 7, 31, "Subsection",
 Evaluatable->False],
Cell[74046, 2601, 112, 3, 30, "Subsubsection",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[74183, 2608, 100, 3, 24, "Subsubsection",
 Evaluatable->False],
Cell[74286, 2613, 94, 2, 32, "Input"],
Cell[CellGroupData[{
Cell[74405, 2619, 52, 1, 30, "Subsubsection"],
Cell[74460, 2622, 1423, 47, 95, "Input"],
Cell[75886, 2671, 516, 16, 32, "Input"]
}, Closed]],
Cell[CellGroupData[{
Cell[76439, 2692, 52, 1, 30, "Subsubsection"],
Cell[76494, 2695, 253, 8, 32, "Input"],
Cell[76750, 2705, 765, 23, 99, "Input"],
Cell[77518, 2730, 335, 11, 41, "Input"],
Cell[77856, 2743, 417, 12, 32, "Input"],
Cell[78276, 2757, 206, 7, 32, "Input"],
Cell[78485, 2766, 1613, 46, 209, "Input"],
Cell[80101, 2814, 1110, 30, 187, "Input"],
Cell[81214, 2846, 391, 11, 32, "Input"],
Cell[81608, 2859, 535, 15, 77, "Input"],
Cell[82146, 2876, 416, 12, 32, "Input"],
Cell[82565, 2890, 252, 6, 32, "Input"],
Cell[82820, 2898, 341, 9, 32, "Input"]
}, Closed]],
Cell[CellGroupData[{
Cell[83198, 2912, 98, 3, 30, "Subsubsection",
 Evaluatable->False],
Cell[83299, 2917, 277, 8, 32, "Input"],
Cell[83579, 2927, 1802, 51, 165, "Input"]
}, Closed]]
}, Closed]]
}, Closed]],
Cell[CellGroupData[{
Cell[85442, 2985, 205, 7, 31, "Subsection",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[85672, 2996, 54, 1, 30, "Subsubsection"],
Cell[85729, 2999, 94, 2, 32, "Input"],
Cell[CellGroupData[{
Cell[85848, 3005, 53, 1, 30, "Subsubsection"],
Cell[85904, 3008, 1844, 58, 161, "Input"],
Cell[87751, 3068, 599, 17, 55, "Input"],
Cell[88353, 3087, 204, 5, 49, "Subsubsection"],
Cell[88560, 3094, 493, 14, 26, "Input"]
}, Closed]],
Cell[CellGroupData[{
Cell[89090, 3113, 54, 1, 30, "Subsubsection"],
Cell[89147, 3116, 235, 6, 32, "Input"],
Cell[89385, 3124, 816, 24, 121, "Input"],
Cell[90204, 3150, 521, 14, 55, "Input"],
Cell[90728, 3166, 360, 10, 32, "Input"],
Cell[91091, 3178, 33, 0, 32, "Input"],
Cell[91127, 3180, 656, 20, 55, "Input"],
Cell[91786, 3202, 1520, 41, 231, "Input"],
Cell[93309, 3245, 157, 3, 32, "Input"],
Cell[93469, 3250, 338, 9, 32, "Input"]
}, Closed]]
}, Closed]]
}, Closed]],
Cell[CellGroupData[{
Cell[93868, 3266, 181, 7, 31, "Subsection",
 Evaluatable->False],
Cell[94052, 3275, 112, 3, 30, "Subsubsection",
 Evaluatable->False],
Cell[94167, 3280, 100, 3, 24, "Subsubsection",
 Evaluatable->False],
Cell[94270, 3285, 94, 2, 26, "Input"],
Cell[CellGroupData[{
Cell[94389, 3291, 98, 3, 30, "Subsubsection",
 Evaluatable->False],
Cell[94490, 3296, 891, 34, 99, "Input"],
Cell[95384, 3332, 141, 5, 32, "Input"],
Cell[95528, 3339, 1191, 44, 143, "Input"],
Cell[96722, 3385, 378, 11, 32, "Input"]
}, Closed]],
Cell[CellGroupData[{
Cell[97137, 3401, 98, 3, 30, "Subsubsection",
 Evaluatable->False],
Cell[97238, 3406, 249, 8, 32, "Input"],
Cell[97490, 3416, 721, 21, 77, "Input"],
Cell[98214, 3439, 310, 10, 32, "Input"],
Cell[98527, 3451, 415, 12, 32, "Input"],
Cell[98945, 3465, 215, 7, 32, "Input"],
Cell[99163, 3474, 675, 23, 55, "Input"],
Cell[99841, 3499, 369, 12, 32, "Input"],
Cell[100213, 3513, 411, 13, 32, "Input"],
Cell[100627, 3528, 414, 13, 32, "Input"]
}, Closed]],
Cell[CellGroupData[{
Cell[101078, 3546, 52, 1, 30, "Subsubsection"],
Cell[101133, 3549, 229, 7, 86, "Input"]
}, Closed]]
}, Closed]],
Cell[CellGroupData[{
Cell[101411, 3562, 269, 10, 51, "Subsection",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[101705, 3576, 54, 1, 30, "Subsubsection"],
Cell[101762, 3579, 94, 2, 32, "Input"],
Cell[101859, 3583, 2958, 78, 341, "Input"],
Cell[104820, 3663, 823, 28, 95, "Input"],
Cell[105646, 3693, 350, 11, 32, "Input"],
Cell[105999, 3706, 201, 5, 32, "Input"],
Cell[106203, 3713, 82, 2, 32, "Input"],
Cell[106288, 3717, 193, 5, 32, "Input"],
Cell[106484, 3724, 84, 2, 32, "Input"],
Cell[106571, 3728, 385, 13, 32, "Input"],
Cell[106959, 3743, 124, 4, 32, "Input"]
}, Closed]]
}, Closed]],
Cell[107110, 3751, 111, 3, 43, "Section",
 Evaluatable->False],
Cell[107224, 3756, 113, 3, 31, "Subsection",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[107362, 3763, 124, 3, 31, "Subsection",
 Evaluatable->False],
Cell[107489, 3768, 111, 3, 30, "Subsubsection",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[107625, 3775, 100, 3, 24, "Subsubsection",
 Evaluatable->False],
Cell[107728, 3780, 83, 2, 32, "Input"],
Cell[CellGroupData[{
Cell[107836, 3786, 52, 1, 30, "Subsubsection"],
Cell[107891, 3789, 294, 10, 32, "Input"],
Cell[108188, 3801, 227, 7, 32, "Input"]
}, Closed]],
Cell[CellGroupData[{
Cell[108452, 3813, 52, 1, 30, "Subsubsection"],
Cell[108507, 3816, 390, 14, 55, "Input"],
Cell[108900, 3832, 281, 9, 32, "Input"],
Cell[109184, 3843, 96, 2, 32, "Input"]
}, Closed]],
Cell[CellGroupData[{
Cell[109317, 3850, 52, 1, 30, "Subsubsection"],
Cell[109372, 3853, 342, 10, 32, "Input"],
Cell[109717, 3865, 599, 17, 99, "Input"],
Cell[110319, 3884, 300, 9, 32, "Input"],
Cell[110622, 3895, 1258, 35, 187, "Input"]
}, Closed]]
}, Closed]]
}, Closed]],
Cell[CellGroupData[{
Cell[111941, 3937, 117, 3, 31, "Subsection",
 Evaluatable->False],
Cell[112061, 3942, 111, 3, 30, "Subsubsection",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[112197, 3949, 100, 3, 24, "Subsubsection",
 Evaluatable->False],
Cell[112300, 3954, 83, 2, 32, "Input"],
Cell[CellGroupData[{
Cell[112408, 3960, 52, 1, 30, "Subsubsection"],
Cell[112463, 3963, 319, 11, 32, "Input"],
Cell[112785, 3976, 506, 19, 77, "Input"],
Cell[113294, 3997, 441, 14, 99, "Input"],
Cell[113738, 4013, 165, 5, 32, "Input"]
}, Closed]],
Cell[CellGroupData[{
Cell[113940, 4023, 52, 1, 30, "Subsubsection"],
Cell[113995, 4026, 388, 11, 32, "Input"],
Cell[114386, 4039, 1169, 30, 187, "Input"]
}, Closed]],
Cell[CellGroupData[{
Cell[115592, 4074, 52, 1, 30, "Subsubsection"],
Cell[115647, 4077, 168, 6, 68, "Subsubsection",
 CellTags->"S6.9.1"],
Cell[115818, 4085, 766, 21, 71, "Input"],
Cell[116587, 4108, 340, 9, 55, "Input"]
}, Closed]]
}, Closed]]
}, Closed]],
Cell[CellGroupData[{
Cell[116988, 4124, 117, 3, 31, "Subsection",
 Evaluatable->False],
Cell[117108, 4129, 111, 3, 30, "Subsubsection",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[117244, 4136, 100, 3, 24, "Subsubsection",
 Evaluatable->False],
Cell[117347, 4141, 83, 2, 32, "Input"],
Cell[CellGroupData[{
Cell[117455, 4147, 52, 1, 30, "Subsubsection"],
Cell[117510, 4150, 380, 14, 32, "Input"],
Cell[117893, 4166, 186, 6, 32, "Input"],
Cell[118082, 4174, 331, 11, 32, "Input"],
Cell[118416, 4187, 299, 11, 32, "Input"],
Cell[118718, 4200, 391, 12, 99, "Input"],
Cell[119112, 4214, 401, 14, 32, "Input"],
Cell[119516, 4230, 265, 8, 55, "Input"],
Cell[119784, 4240, 189, 6, 32, "Input"]
}, Closed]],
Cell[CellGroupData[{
Cell[120010, 4251, 52, 1, 30, "Subsubsection"],
Cell[120065, 4254, 334, 10, 32, "Input"],
Cell[120402, 4266, 499, 16, 47, "Input"],
Cell[120904, 4284, 752, 20, 121, "Input"],
Cell[121659, 4306, 1347, 36, 209, "Input"],
Cell[123009, 4344, 293, 9, 32, "Input"],
Cell[123305, 4355, 1139, 31, 165, "Input"]
}, Closed]]
}, Closed]]
}, Closed]],
Cell[CellGroupData[{
Cell[124505, 4393, 55, 1, 43, "Section"],
Cell[124563, 4396, 97, 1, 30, "Subsubsection"],
Cell[124663, 4399, 94, 1, 24, "Subsubsection"],
Cell[124760, 4402, 155, 5, 24, "Subsubsection"],
Cell[124918, 4409, 127, 5, 24, "Subsubsection"],
Cell[125048, 4416, 130, 5, 24, "Subsubsection"],
Cell[125181, 4423, 147, 5, 24, "Subsubsection"],
Cell[125331, 4430, 152, 5, 24, "Subsubsection"],
Cell[125486, 4437, 135, 5, 24, "Subsubsection"],
Cell[125624, 4444, 128, 5, 24, "Subsubsection"],
Cell[125755, 4451, 119, 3, 24, "Subsubsection"]
}, Closed]]
}
]
*)

(* End of internal cache information *)
