(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 6.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[     79701,       2600]
NotebookOptionsPosition[     67940,       2256]
NotebookOutlinePosition[     69925,       2301]
CellTagsIndexPosition[     69882,       2298]
WindowFrame->Normal
ContainsDynamic->False*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell[TextData[{
 "Note about the ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " Version 6 Files: "
}], "Subsubsection",
 CellChangeTimes->{{3.424620415746278*^9, 3.42462042670328*^9}},
 ImageRegion->{{0, 1}, {0, 1}}],

Cell[TextData[{
 "(* Note about the ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " Version 6 Files: \n\nDear user. \n\nThese files have been roughly adapted \
for Mathematica Version 6. There were significant changes with this \
Mathematica version. \n\nThe Mathematica input has been adapted to generate \
the solutions. In rare cases, changes in the internal Mathematica graphics \
structure made it difficult to fully reproduces the graphics of versions 4.x \
and 5.x; a 3'rd edition of our text is in progress and these will be \
addressed in this new book. \n\nFredrick Olness\nJuly 2008\n\n *)\n"
}], "Input",
 Evaluatable->False,
 CellChangeTimes->{{3.424620433558357*^9, 3.424620592507797*^9}, {
  3.424620630088725*^9, 3.424620726566171*^9}},
 ImageRegion->{{0, 1}, {0, 1}}]
}, Closed]],

Cell[CellGroupData[{

Cell["Legal Notice, Disclaimer, and Book Ordering Information:", \
"Subsubsection",
 ImageRegion->{{0, 1}, {0, 1}}],

Cell[TextData[{
 "(* Legal Notice, Disclaimer, and Book Ordering Information:\n\nLast \
Modified: FIO July 9, 2008: updated for Mathematica version 6.x\nLast \
Modified: FIO June 8, 2002\n\n",
 StyleBox["Mathematica For Physics: 2nd Edition",
  FontColor->RGBColor[1, 0, 0]],
 "\n\nRobert L. Zimmerman and Fredrick I. Olness\n\nWebSite:  \n",
 StyleBox["  www.physics.smu.edu/~olness\n  darkwing.uoregon.edu/~phys600/\n\n\
",
  FontColor->RGBColor[1, 0, 0]],
 "MathSource Number: 0206-862",
 StyleBox["\n",
  FontColor->RGBColor[1, 0, 0]],
 "\nISBN 0-201-53796-6\nFor ordering information, call 1-800-282-0693\n\
Addison-Wesley Publishing Company\n\nCommunication with the authors:\n\
Fredrick I. Olness:  olness@mail.physics.smu.edu\nRobert L. Zimmerman: \
bob@zim.uoregon.edu\n\nCopyright 2002, Addison-Wesley Publishing Company, \
Inc. The material in\nthis file may be distributed freely  so long as the \
content remains\nunchanged, and the copyright and  reference notices are \
included. The\npublisher grants permission for the noncommercial use of these \
programs\nand program segments.  All other uses require the prior written \
consent\nof the publisher.    \n\nAll rights are reserved with regard to the  \
material in the\n\"Mathematica For Physics\" text, and may not be reproduced, \
stored in a\nretrieval system, or transmitted,  in any form or by any means,\n\
electronic, mechanical, photocopying,  recording, or otherwise, without\nthe \
prior written permission  of the publisher. \n\nThe programs and applications \
presented in this book have been included\nfor  their instructional value. \
They have been tested with care but are\nnot  guaranteed for any particular \
purpose. The publisher does not\noffer any  warranties or representations, \
nor does it accept any\nliabilities with  respect to the programs or \
applications. \n\n *)\n"
}], "Input",
 Evaluatable->False,
 CellChangeTimes->{{3.424620828588587*^9, 3.42462084491675*^9}},
 ImageRegion->{{0, 1}, {0, 1}}]
}, Closed]],

Cell["5. Discrete Dynamical Systems  ", "Title",
 Evaluatable->False,
 AspectRatioFixed->True],

Cell[CellGroupData[{

Cell["Introduction", "Section"],

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"Off", "[", 
    RowBox[{"General", "::", "spell"}], "]"}], ";"}], 
  "  "}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Off", "[", 
   RowBox[{"General", "::", "spell1"}], "]"}], ";"}]}], "Input"]
}, Closed]],

Cell["5.1 Logistic Map", "Section"],

Cell["Overview of the Logistic Map", "Subsection"],

Cell[CellGroupData[{

Cell["Problem 1: Logistic Map", "Subsection"],

Cell[CellGroupData[{

Cell["Solution", "Subsubsection"],

Cell[BoxData[
 RowBox[{"Clear", "[", "\"\<Global`*\>\"", "]"}]], "Input"],

Cell[CellGroupData[{

Cell["Part a", "Subsubsection"],

Cell[BoxData[
 RowBox[{" ", 
  RowBox[{
   RowBox[{
    RowBox[{"map", "[", " ", "\[Mu]_", "]"}], " ", ":=", 
    RowBox[{
     RowBox[{"\[Mu]", " ", "#", 
      RowBox[{"(", 
       RowBox[{"1", "-", "#"}], ")"}]}], "&"}]}], ";"}]}]], "Input"],

Cell[BoxData[
 RowBox[{
  RowBox[{"{", 
   RowBox[{"x0", ",", " ", 
    RowBox[{
     RowBox[{"map", "[", " ", "\[Mu]", "]"}], "[", "x0", "]"}], ",", 
    RowBox[{
     RowBox[{"map", "[", "\[Mu]", "]"}], "[", 
     RowBox[{
      RowBox[{"map", "[", " ", "\[Mu]", "]"}], "[", "x0", "]"}], "]"}]}], 
   "}"}], " "}]], "Input"],

Cell[BoxData[
 RowBox[{
  RowBox[{"orbit", "[", 
   RowBox[{"\[Mu]_", ",", "x0_", ",", "n_"}], " ", "]"}], ":=", 
  RowBox[{"NestList", "[", " ", 
   RowBox[{
    RowBox[{
     RowBox[{"\[Mu]", "#", 
      RowBox[{"(", 
       RowBox[{"1", "-", "#"}], ")"}]}], "&"}], ",", "x0", " ", ",", "n"}], 
   " ", "]"}]}]], "Input"],

Cell[BoxData[
 RowBox[{"orbit", "[", 
  RowBox[{"\[Mu]", " ", ",", "x0", " ", ",", "2"}], " ", "]"}]], "Input"],

Cell[BoxData[
 RowBox[{"orbit", "[", 
  RowBox[{"2.9", "  ", ",", "0.1", ",", "20"}], " ", "]"}]], "Input"],

Cell[BoxData[
 RowBox[{" ", 
  RowBox[{"Take", "[", 
   RowBox[{
    RowBox[{"orbit", "[", 
     RowBox[{"2.9", ",", "0.1", ",", "300"}], " ", "]"}], ",", 
    RowBox[{"-", "8"}]}], "]"}], " "}]], "Input"],

Cell[BoxData[
 RowBox[{
  RowBox[{"orbitplot", "[", 
   RowBox[{"\[Mu]_", ",", "start_", ",", "n_", "  ", ",", "Opts___"}], "]"}], 
  " ", ":=", " ", 
  RowBox[{"ListPlot", "[", 
   RowBox[{
    RowBox[{"NestList", "[", " ", 
     RowBox[{
      RowBox[{
       RowBox[{"\[Mu]", "#", 
        RowBox[{"(", 
         RowBox[{"1", "-", "#"}], ")"}]}], "&"}], ",", "start", " ", ",", 
      "n"}], " ", "]"}], ",", "\[IndentingNewLine]", "Opts", " ", ",", 
    "\[IndentingNewLine]", 
    RowBox[{"PlotStyle", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"AbsolutePointSize", "[", "4", "]"}], ",", " ", 
       RowBox[{"RGBColor", "[", 
        RowBox[{"1", ",", "0", ",", "0"}], "]"}]}], "}"}]}], " ", ",", 
    RowBox[{"GridLines", "->", "Automatic"}], ",", " ", "\[IndentingNewLine]",
     
    RowBox[{"Epilog", "\[Rule]", 
     RowBox[{
      RowBox[{"ListPlot", "[", 
       RowBox[{
        RowBox[{"NestList", "[", 
         RowBox[{
          RowBox[{
           RowBox[{"\[Mu]", "#", 
            RowBox[{"(", 
             RowBox[{"1", "-", "#"}], ")"}]}], "&"}], ",", "start", ",", 
          "n"}], "]"}], ",", "\[IndentingNewLine]", 
        RowBox[{"Joined", "\[Rule]", "True"}]}], " ", "\[IndentingNewLine]", 
       "]"}], "[", 
      RowBox[{"[", "1", "]"}], "]"}]}]}], " ", "\[IndentingNewLine]", "]"}], 
  "  "}]], "Input",
 CellChangeTimes->{{3.424459087923026*^9, 3.424459093445544*^9}}],

Cell[BoxData[
 RowBox[{"orbitplot", "[", 
  RowBox[{"2.9", " ", ",", "0.1", ",", "50", ",", 
   RowBox[{"AxesLabel", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"n", ",", " ", 
      SubscriptBox["x", "i"]}], "}"}]}]}], " ", "]"}]], "Input",
 CellChangeTimes->{3.424459603860952*^9}]
}, Closed]],

Cell[CellGroupData[{

Cell["Part b", "Subsubsection"],

Cell[BoxData[
 RowBox[{" ", 
  RowBox[{"list", "=", 
   RowBox[{"orbitplot", "[", 
    RowBox[{"3.4", ",", "0.1", ",", "50", ",", " ", "\[IndentingNewLine]", 
     RowBox[{"PlotRange", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"Automatic", ",", 
        RowBox[{"{", 
         RowBox[{"0", ",", "1"}], "}"}]}], "}"}]}], ",", "   ", 
     "\[IndentingNewLine]", 
     RowBox[{"AxesLabel", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"n", ",", " ", 
        SubscriptBox["x", "i"]}], "}"}]}]}], "]"}]}]}]], "Input",
 CellChangeTimes->{{3.424459628620998*^9, 3.424459630438988*^9}}],

Cell[BoxData[
 RowBox[{"eq1", "=", " ", 
  RowBox[{"Take", "[", 
   RowBox[{
    RowBox[{"orbit", "[", 
     RowBox[{"3.4", ",", ".1", ",", "200"}], " ", "]"}], ",", 
    RowBox[{"-", "8"}]}], "]"}], "  "}]], "Input"],

Cell[BoxData[
 RowBox[{
  RowBox[{"Union", "[", 
   RowBox[{"eq1", ",", 
    RowBox[{"SameTest", "\[Rule]", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{
        RowBox[{"Abs", "[", 
         RowBox[{"(", " ", 
          RowBox[{"#2", " ", "-", " ", "#1"}], " ", ")"}], "]"}], "<", 
        SuperscriptBox["10", 
         RowBox[{"-", "12"}]]}], "&"}], ")"}]}]}], "]"}], "     "}]], "Input"],

Cell[BoxData[
 RowBox[{" ", 
  RowBox[{"list", "=", 
   RowBox[{"orbitplot", "[", 
    RowBox[{"3.54", ",", ".1", ",", "50", ",", "\[IndentingNewLine]", 
     RowBox[{"PlotRange", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"Automatic", ",", 
        RowBox[{"{", 
         RowBox[{"0", ",", "1"}], "}"}]}], "}"}]}], " ", ",", " ", 
     "\[IndentingNewLine]", 
     RowBox[{"AxesLabel", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"n", ",", " ", 
        SubscriptBox["x", "i"]}], "}"}]}]}], "]"}]}]}]], "Input",
 CellChangeTimes->{3.424459636957569*^9}],

Cell[BoxData[
 RowBox[{"eq2", "=", " ", 
  RowBox[{"Take", "[", 
   RowBox[{
    RowBox[{"orbit", "[", 
     RowBox[{"3.54", ",", "0.1", ",", "200"}], " ", "]"}], ",", 
    RowBox[{"-", "8"}]}], "]"}], " "}]], "Input"],

Cell[BoxData[
 RowBox[{"Union", "[", 
  RowBox[{"eq2", ",", 
   RowBox[{"SameTest", "\[Rule]", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{
       RowBox[{"Abs", "[", 
        RowBox[{"(", 
         RowBox[{"#2", "-", "#1"}], ")"}], "]"}], "<", 
       SuperscriptBox["10", 
        RowBox[{"-", "4"}]]}], "&"}], ")"}]}]}], "]"}]], "Input"],

Cell[BoxData[
 RowBox[{" ", 
  RowBox[{"list", "=", 
   RowBox[{"orbitplot", "[", 
    RowBox[{"3.55", ",", ".1", ",", "50", ",", "\[IndentingNewLine]", 
     RowBox[{"PlotRange", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"Automatic", ",", 
        RowBox[{"{", 
         RowBox[{"0", ",", "1"}], "}"}]}], "}"}]}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"AxesLabel", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"n", ",", " ", 
        SubscriptBox["x", "i"]}], "}"}]}]}], "]"}]}]}]], "Input",
 CellChangeTimes->{3.424459646323008*^9}],

Cell[BoxData[
 RowBox[{"eq3", "=", " ", 
  RowBox[{"Take", "[", 
   RowBox[{
    RowBox[{"orbit", "[", 
     RowBox[{"3.55", ",", "0.1", ",", "1000"}], " ", "]"}], ",", 
    RowBox[{"-", "16"}]}], "]"}], " "}]], "Input"],

Cell[BoxData[
 RowBox[{"Union", "[", 
  RowBox[{"eq3", ",", 
   RowBox[{"SameTest", "\[Rule]", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{
       RowBox[{"Abs", "[", 
        RowBox[{"(", 
         RowBox[{"#2", "-", "#1"}], ")"}], "]"}], "<", 
       SuperscriptBox["10", 
        RowBox[{"-", "12"}]]}], "&"}], ")"}]}]}], "]"}]], "Input"],

Cell[BoxData[
 RowBox[{" ", 
  RowBox[{"list", "=", 
   RowBox[{"orbitplot", "[", 
    RowBox[{"3.7", ",", ".1", ",", "200", ",", 
     RowBox[{"PlotRange", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"Automatic", ",", 
        RowBox[{"{", 
         RowBox[{"0", ",", "1"}], "}"}]}], "}"}]}]}], "]"}]}]}]], "Input",
 CellChangeTimes->{3.424459652911405*^9}]
}, Closed]]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell["Problem 2: Logistic Fixed Points", "Subsection"],

Cell[CellGroupData[{

Cell["Solution", "Subsubsection"],

Cell[BoxData[
 RowBox[{"Clear", "[", "\"\<Global`*\>\"", "]"}]], "Input"],

Cell[CellGroupData[{

Cell[TextData[StyleBox["Part a",
 FontWeight->"Bold"]], "Subsubsection",
 FontSize->12],

Cell[BoxData[
 RowBox[{
  RowBox[{"period", "[", "1", "]"}], "=", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"\[Mu]", " ", "x0", 
      RowBox[{"(", 
       RowBox[{"1", "-", "x0"}], ")"}]}], "\[Equal]", "x0"}], "//", 
    RowBox[{
     RowBox[{"Solve", "[", 
      RowBox[{"#", ",", "x0"}], "]"}], "&"}]}], "  ", "//", 
   "Flatten"}]}]], "Input"],

Cell[BoxData[
 RowBox[{
  RowBox[{"Nest", "[", " ", 
   RowBox[{
    RowBox[{
     RowBox[{"\[Mu]", "#", 
      RowBox[{"(", 
       RowBox[{"1", "-", "#"}], ")"}]}], "&"}], ",", "x0", ",", "2"}], " ", 
   "]"}], "\[Equal]", "x0"}]], "Input"],

Cell[BoxData[
 RowBox[{"eq1", "=", " ", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{"Nest", "[", " ", 
       RowBox[{
        RowBox[{
         RowBox[{"\[Mu]", "#", 
          RowBox[{"(", 
           RowBox[{"1", "-", "#"}], ")"}]}], "&"}], ",", "x0", ",", "2"}], 
       " ", "]"}], "==", "x0"}], "//", 
     RowBox[{
      RowBox[{"Solve", "[", 
       RowBox[{"#", ",", "x0"}], "]"}], "&"}]}], " ", "//", "FullSimplify"}], 
   " ", "//", "Flatten"}]}]], "Input"],

Cell[BoxData[
 RowBox[{
  RowBox[{"period", "[", "2", "]"}], "=", 
  RowBox[{"Complement", "[", 
   RowBox[{"eq1", ",", 
    RowBox[{"period", "[", "1", "]"}]}], "]"}]}]], "Input"],

Cell[BoxData[
 RowBox[{
  RowBox[{"fixedpoint", "[", 
   RowBox[{"\[Mu]_", ",", "n_", ",", "opts___"}], "]"}], " ", ":=", 
  "\[IndentingNewLine]", 
  RowBox[{"Module", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"temp1", ",", "x0"}], "}"}], ",", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"temp1", "=", 
      RowBox[{
       RowBox[{
        RowBox[{"Nest", "[", " ", 
         RowBox[{
          RowBox[{
           RowBox[{"\[Mu]", "#", 
            RowBox[{"(", 
             RowBox[{"1", "-", "#"}], ")"}]}], "&"}], ",", "x0", ",", "n"}], 
         " ", "]"}], "\[Equal]", "x0"}], "//", 
       RowBox[{
        RowBox[{"NSolve", "[", 
         RowBox[{"#", ",", "x0", ",", "opts"}], "]"}], "&"}]}]}], " ", ";", 
     "   ", 
     RowBox[{"Select", "[", 
      RowBox[{
       RowBox[{"x0", "/.", "temp1"}], ",", 
       RowBox[{
        RowBox[{
         RowBox[{"Abs", "[", 
          RowBox[{"Im", "[", "#", "]"}], "]"}], "<", 
         SuperscriptBox["10", 
          RowBox[{"-", "10"}]]}], " ", "&"}]}], "]"}]}]}], "  ", 
   "\[IndentingNewLine]", "]"}], "  "}]], "Input"],

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"{", 
    RowBox[{"pt1", ",", "pt2", ",", "pt3", ",", "pt4"}], "}"}], "=", "  ", 
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{"fixedpoint", "[", 
       RowBox[{
        RowBox[{"7", "/", "2"}], ",", "#"}], " ", "]"}], "&"}], "/@", 
     RowBox[{"Range", "[", "4", "]"}]}], "//", "Rationalize"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"{", 
   RowBox[{"pt1", ",", "pt2", ",", "pt3", ",", "pt4"}], "}"}], "//", 
  "Column"}]}], "Input",
 CellChangeTimes->{3.4244591052024*^9}],

Cell[BoxData[
 RowBox[{"Complement", "[", " ", 
  RowBox[{"pt2", ",", "pt1", " ", ",", " ", 
   RowBox[{"SameTest", "\[Rule]", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{
       RowBox[{"Abs", "[", 
        RowBox[{"(", " ", 
         RowBox[{"#2", " ", "-", " ", "#1"}], " ", ")"}], "]"}], "<", 
       SuperscriptBox["10", 
        RowBox[{"-", "3"}]]}], "&"}], ")"}]}]}], "]"}]], "Input"],

Cell[BoxData[
 RowBox[{
  RowBox[{"Complement", "[", " ", 
   RowBox[{"pt4", ",", " ", "pt2", " ", ",", " ", 
    RowBox[{"SameTest", "\[Rule]", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{
        RowBox[{"Abs", "[", 
         RowBox[{"(", " ", 
          RowBox[{"#2", " ", "-", " ", "#1"}], " ", ")"}], "]"}], "<", 
        SuperscriptBox["10", 
         RowBox[{"-", "4"}]]}], "&"}], ")"}]}]}], "]"}], " "}]], "Input"]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[StyleBox["Part b",
 FontWeight->"Bold"]], "Subsubsection",
 FontSize->12],

Cell[BoxData[
 RowBox[{"Plot", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{
        RowBox[{"7", "/", "2"}], "#", 
        RowBox[{"(", 
         RowBox[{"1", "-", "#"}], ")"}]}], "&"}], "[", "x", "]"}], " ", ",", 
     "x"}], "}"}], " ", ",", 
   RowBox[{"{", 
    RowBox[{"x", ",", "0", ",", "1"}], "}"}], ",", "\[IndentingNewLine]", 
   RowBox[{"PlotStyle", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"Thickness", "[", "0.01", "]"}], ",", 
      RowBox[{"RGBColor", "[", 
       RowBox[{"1", ",", "0", ",", "0"}], "]"}]}], "}"}]}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"GridLines", "\[Rule]", "Automatic"}], ",", 
   RowBox[{"Epilog", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"PointSize", "[", "0.04", "]"}], ",", 
      RowBox[{"Hue", "[", "0.3", "]"}], ",", 
      RowBox[{"Map", "[", 
       RowBox[{"Point", ",", 
        RowBox[{"Transpose", "[", 
         RowBox[{"{", " ", 
          RowBox[{
           RowBox[{"fixedpoint", "[", 
            RowBox[{
             RowBox[{"7", "/", "2"}], ",", "1"}], "]"}], ",", 
           RowBox[{"fixedpoint", "[", 
            RowBox[{
             RowBox[{"7", "/", "2"}], ",", "1"}], "]"}]}], "}"}], "]"}]}], 
       "]"}]}], "}"}]}]}], "\[IndentingNewLine]", "]"}]], "Input",
 CellChangeTimes->{3.424459117062328*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"fixedpointG", "[", 
   RowBox[{"\[Mu]_", ",", "n_", ",", " ", "Opts___"}], "]"}], " ", ":=", 
  RowBox[{"Plot", "[", 
   RowBox[{
    RowBox[{
     RowBox[{"{", 
      RowBox[{"x", ",", 
       RowBox[{"Nest", "[", " ", 
        RowBox[{
         RowBox[{
          RowBox[{"\[Mu]", " ", "#", 
           RowBox[{"(", 
            RowBox[{"1", "-", "#"}], ")"}]}], "&"}], ",", "x", ",", "n"}], 
        " ", "]"}]}], "}"}], " ", "//", "Evaluate"}], ",", 
    RowBox[{"{", 
     RowBox[{"x", ",", "0", ",", "1"}], "}"}], ",", "\[IndentingNewLine]", 
    "Opts", ",", "\[IndentingNewLine]", 
    RowBox[{"PlotStyle", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{"Thickness", "[", "0.01", "]"}], ",", " ", 
         RowBox[{"Hue", "[", 
          RowBox[{"RandomReal", "[", "]"}], "]"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"Hue", "[", 
         RowBox[{"RandomReal", "[", "]"}], "]"}], "}"}]}], "}"}]}], ",", 
    "\[IndentingNewLine]", 
    RowBox[{"Epilog", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"PointSize", "[", "0.04", "]"}], ",", 
       RowBox[{"Hue", "[", "0.3", "]"}], ",", 
       RowBox[{"Map", "[", 
        RowBox[{"Point", ",", 
         RowBox[{"Transpose", "[", 
          RowBox[{"{", " ", 
           RowBox[{
            RowBox[{"fixedpoint", "[", 
             RowBox[{"\[Mu]", ",", "n"}], "]"}], ",", 
            RowBox[{"fixedpoint", "[", 
             RowBox[{"\[Mu]", ",", "n"}], "]"}]}], "}"}], " ", "]"}]}], " ", 
        "]"}]}], "}"}]}]}], "\[IndentingNewLine]", "]"}]}]], "Input",
 CellChangeTimes->{{3.424459128059394*^9, 3.424459140607334*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"list", "=", 
    RowBox[{
     RowBox[{
      RowBox[{"fixedpointG", "[", 
       RowBox[{
        RowBox[{"7", "/", "2"}], ",", "#", " ", ",", 
        RowBox[{"PlotLabel", "\[Rule]", "#"}]}], "]"}], "&"}], "  ", "/@", 
     "  ", 
     RowBox[{"Range", "[", 
      RowBox[{"4", ",", "1", ",", 
       RowBox[{"-", "1"}]}], "]"}]}]}], " ", ";"}], " "}]], "Input"],

Cell[BoxData[
 RowBox[{"Show", "[", 
  RowBox[{"GraphicsGrid", "[", 
   RowBox[{"Partition", "[", 
    RowBox[{"list", ",", "2"}], "]"}], "]"}], "]"}]], "Input"]
}, Closed]],

Cell[BoxData[
 RowBox[{"Show", "[", " ", "list", " ", "]"}]], "Input",
 CellChangeTimes->{3.424459158790486*^9}],

Cell[CellGroupData[{

Cell[TextData[StyleBox["Part c",
 FontWeight->"Bold"]], "Subsubsection",
 FontSize->12],

Cell[BoxData[
 RowBox[{
  RowBox[{"list2", "=", 
   RowBox[{
    RowBox[{
     RowBox[{"fixedpointG", "[", 
      RowBox[{"#", ",", "2", ",", " ", "\[IndentingNewLine]", 
       RowBox[{"Ticks", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{"0", ",", 
            RowBox[{"1", "/", "2"}], ",", "1"}], "}"}], " ", ",", 
          RowBox[{"{", 
           RowBox[{"0", ",", 
            RowBox[{"1", "/", "2"}], ",", "1"}], "}"}]}], "}"}]}], ",", " ", 
       "\[IndentingNewLine]", 
       RowBox[{"PlotRange", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{"0", ",", "1"}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"0", ",", "1"}], "}"}]}], "}"}]}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{"PlotLabel", "\[Rule]", "#"}]}], " ", "]"}], " ", "&"}], "   ",
     "/@", "   ", 
    RowBox[{"{", " ", 
     RowBox[{"2.5", ",", "3", ",", " ", "3.5"}], "}"}]}]}], "  ", 
  ";"}]], "Input"],

Cell[BoxData[
 RowBox[{"Show", "[", 
  RowBox[{
   RowBox[{"GraphicsGrid", "[", 
    RowBox[{"Partition", "[", 
     RowBox[{"list2", ",", "2", ",", "2", ",", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"-", "1"}], ",", "1"}], "}"}], ",", 
      RowBox[{"{", "}"}]}], "]"}], "]"}], ",", 
   RowBox[{"PlotRange", "\[Rule]", "All"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.424459735498984*^9, 3.424459754549246*^9}, {
  3.424459833701279*^9, 3.424459855210207*^9}, {3.424460417780347*^9, 
  3.424460434561328*^9}}]
}, Closed]]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell["Problem 3: Logistic Cobwebs. ", "Subsection",
 Evaluatable->False],

Cell[CellGroupData[{

Cell["Solution", "Subsubsection"],

Cell[BoxData[
 RowBox[{"Clear", "[", "\"\<Global`*\>\"", "]"}]], "Input"],

Cell[CellGroupData[{

Cell["Part a", "Subsubsection"],

Cell[BoxData[
 RowBox[{
  RowBox[{"cobweb", "[", 
   RowBox[{"f_", " ", ",", "x0_", ",", "n_", ",", " ", "opts___"}], "]"}], 
  " ", ":=", "\[IndentingNewLine]", 
  RowBox[{"Module", "[", " ", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"temp1", ",", "temp2", ",", "points", ",", "s", " ", ",", "x"}], 
     "}"}], ",", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{
      RowBox[{"temp1", "[", "s_", "]"}], " ", ":=", " ", 
      RowBox[{"Nest", "[", 
       RowBox[{
        RowBox[{
         RowBox[{"f", "[", "#", "]"}], " ", "&"}], ",", "x0", " ", ",", "s"}],
        " ", "]"}]}], ";", " ", "\[IndentingNewLine]", 
     RowBox[{"temp2", " ", "=", "  ", 
      RowBox[{
       RowBox[{
        RowBox[{"{", 
         RowBox[{
          RowBox[{"temp1", "[", "#", " ", "]"}], ",", 
          RowBox[{"temp1", "[", "#", " ", "]"}], ",", 
          RowBox[{"temp1", "[", "#", " ", "]"}], ",", 
          RowBox[{"temp1", "[", 
           RowBox[{"#", "+", "1"}], "]"}]}], "}"}], "&"}], "/@", 
       RowBox[{"Range", "[", 
        RowBox[{"1", ",", "n"}], "]"}]}]}], " ", ";", "\[IndentingNewLine]", 
     RowBox[{"points", "=", 
      RowBox[{
       RowBox[{
        RowBox[{"{", 
         RowBox[{"x0", ",", "0", ",", "x0", ",", 
          RowBox[{"f", "[", "x0", "]"}], ",", "temp2"}], " ", "}"}], "//", 
        "Flatten"}], " ", "//", 
       RowBox[{
        RowBox[{"Partition", "[", 
         RowBox[{"#", ",", "2"}], "]"}], "&"}]}]}], "  ", ";", 
     "\[IndentingNewLine]", 
     RowBox[{"Plot", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"x", ",", 
         RowBox[{"f", "[", "x", "]"}]}], "}"}], ",", " ", 
       RowBox[{"{", 
        RowBox[{"x", ",", "0", ",", "1"}], "}"}], ",", " ", 
       RowBox[{"Epilog", "->", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"Hue", "[", ".9", "]"}], ",", 
          RowBox[{"Line", "[", "points", "]"}]}], "}"}]}], ",", "opts"}], 
      "]"}]}]}], "\[IndentingNewLine]", "]"}]}]], "Input"],

Cell[BoxData[
 RowBox[{
  RowBox[{"cobweb", "[", 
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{"7", "/", "2"}], " ", "#", 
      RowBox[{"(", 
       RowBox[{"1", "-", "#"}], ")"}]}], "&"}], ",", " ", 
    RowBox[{"5", " ", "/", "7"}], ",", "30"}], " ", "]"}], " "}]], "Input",
 CellChangeTimes->{3.424460502498767*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"list", "=", " ", 
   RowBox[{
    RowBox[{
     RowBox[{"cobweb", "[", 
      RowBox[{
       RowBox[{
        RowBox[{
         RowBox[{"7", "/", "2"}], " ", "#", 
         RowBox[{"(", 
          RowBox[{"1", "-", "#"}], ")"}]}], "&"}], ",", " ", "#", " ", ",", 
       "10", " ", ",", " ", 
       RowBox[{"DisplayFunction", "\[Rule]", "Identity"}]}], " ", "]"}], 
     "&"}], "/@", 
    RowBox[{"{", " ", 
     RowBox[{
      RowBox[{"3", "/", "7"}], ",", " ", 
      RowBox[{"1", "/", "2"}]}], " ", "}"}]}]}], ";"}]], "Input"],

Cell[BoxData[
 RowBox[{"Show", "[", 
  RowBox[{"GraphicsGrid", "[", 
   RowBox[{"{", "list", "}"}], "]"}], "]"}]], "Input",
 CellChangeTimes->{{3.424459179896753*^9, 3.424459181755492*^9}}]
}, Closed]],

Cell[CellGroupData[{

Cell["Part b", "Subsubsection"],

Cell[BoxData[
 RowBox[{"cobweb", "[", "   ", 
  RowBox[{
   RowBox[{
    RowBox[{"3.99", " ", "#", 
     RowBox[{"(", 
      RowBox[{"1", "-", "#"}], ")"}]}], "&"}], ",", " ", 
   RowBox[{"1", "/", "2"}], " ", ",", "150"}], "  ", "]"}]], "Input",
 CellChangeTimes->{3.42446050940971*^9}]
}, Closed]]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell["Problem 4: Logistic Bifurcations", "Subsection"],

Cell[BoxData[
 RowBox[{"Clear", "[", "\"\<Global`*\>\"", "]"}]], "Input"],

Cell[CellGroupData[{

Cell["Solution", "Subsubsection"],

Cell[BoxData[
 RowBox[{
  RowBox[{"Lvalues", "=", 
   RowBox[{"Compile", "[", 
    RowBox[{
     RowBox[{"{", "\[Mu]", "}"}], ",", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"\[Mu]", ",", "#"}], "}"}], "&"}], ")"}], " ", "/@", " ", 
      RowBox[{"Drop", "[", 
       RowBox[{
        RowBox[{"NestList", "[", 
         RowBox[{
          RowBox[{
           RowBox[{"\[Mu]", " ", "#", 
            RowBox[{"(", 
             RowBox[{"1", "-", "#"}], ")"}]}], "&"}], ",", ".62", ",", 
          "100"}], "]"}], ",", " ", "75"}], "]"}]}]}], "]"}]}], 
  ";"}]], "Input"],

Cell["\<\
bifurcation[\[Mu]0_,\[Mu]1_,n_]:= Flatten[Table[Lvalues[\[Mu]],{\[Mu],\[Mu]0,\
\[Mu]1,(\[Mu]1-\[Mu]0)/n}],1]\
\>", "Input"],

Cell[" Spoints = bifurcation[3,3.99,400]; ", "Input"],

Cell[BoxData[
 RowBox[{"pt1", "=", " ", 
  RowBox[{"ListPlot", "[", 
   RowBox[{"Spoints", " ", ",", 
    RowBox[{"GridLines", "\[Rule]", "Automatic"}], ",", "\[IndentingNewLine]",
     
    RowBox[{"PlotStyle", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"Hue", "[", ".9", "]"}], ",", 
       RowBox[{"AbsolutePointSize", "[", "1.4", "]"}]}], "}"}]}], ",", 
    "\[IndentingNewLine]", 
    RowBox[{"Epilog", "\[Rule]", 
     RowBox[{"{", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"Thickness", "[", ".007", "]"}], ",", " ", 
       "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{
         RowBox[{"Line", "[", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{"#", " ", ",", "0"}], "}"}], ",", 
            RowBox[{"{", " ", 
             RowBox[{"#", " ", ",", "1"}], "}"}]}], "}"}], "]"}], "&"}], "  ",
         "/@", "  ", 
        RowBox[{"{", 
         RowBox[{"3.45", ",", "3.54", ",", "3.564"}], " ", "}"}]}]}], 
      "}"}]}]}], "\[IndentingNewLine]", "]"}], " "}]], "Input",
 CellChangeTimes->{3.424459188766799*^9}]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell["Problem 5: Logistic Lyapunov Exponent and Entropy  ", "Subsection"],

Cell[CellGroupData[{

Cell["  Solution", "Subsubsection"],

Cell[BoxData[
 RowBox[{"Clear", "[", "\"\<Global`*\>\"", "]"}]], "Input"],

Cell[CellGroupData[{

Cell["Part a  ", "Subsubsection"],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"f", "[", "\[Mu]_", "]"}], " ", ":=", 
    RowBox[{
     RowBox[{"\[Mu]", "*", "#", 
      RowBox[{"(", 
       RowBox[{"1", "-", "#"}], ")"}]}], "&"}]}], ";"}], "   "}]], "Input"],

Cell[BoxData[
 RowBox[{
  RowBox[{"LGder", "[", "\[Mu]_", "]"}], " ", ":=", " ", 
  RowBox[{
   RowBox[{"Log", "[", 
    RowBox[{"Abs", "[", 
     RowBox[{"\[Mu]", "*", " ", 
      RowBox[{"(", 
       RowBox[{"1", "-", 
        RowBox[{"2", " ", "#"}]}], ")"}]}], "]"}], "]"}], "&"}], 
  " "}]], "Input"],

Cell[BoxData[
 RowBox[{
  RowBox[{"data", "=", 
   RowBox[{"Table", "[", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"\[Mu]", ",", 
       RowBox[{
        RowBox[{
         RowBox[{"1", "/", "1000"}], "   ", 
         RowBox[{
          RowBox[{"LGder", "[", "\[Mu]", " ", "]"}], "[", " ", 
          RowBox[{"NestList", "[", 
           RowBox[{
            RowBox[{
             RowBox[{"\[Mu]", "*", "#", 
              RowBox[{"(", 
               RowBox[{"1", "-", "#"}], ")"}]}], "&"}], ",", "0.1", ",", 
            "999"}], "]"}], "]"}]}], "/.", 
        RowBox[{"List", "\[Rule]", "Plus"}]}]}], " ", "}"}], ",", "   ", 
     RowBox[{"{", 
      RowBox[{"\[Mu]", ",", "3.5", ",", "4.0", ",", "0.001"}], "}"}]}], 
    "]"}]}], ";"}]], "Input"],

Cell[BoxData[
 RowBox[{"pt1", "=", 
  RowBox[{"ListPlot", "[", 
   RowBox[{"data", ",", "\[IndentingNewLine]", 
    RowBox[{"PlotRange", "->", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"-", "1"}], " ", ",", "1"}], "}"}]}], ",", 
    "\[IndentingNewLine]", 
    RowBox[{"Joined", "->", "True"}], ",", "\[IndentingNewLine]", 
    RowBox[{"PlotStyle", "\[Rule]", 
     RowBox[{"Thickness", "[", ".001", "]"}]}], ",", " ", 
    "\[IndentingNewLine]", 
    RowBox[{"AxesLabel", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{"\[Mu]", ",", "\[Lambda]"}], "}"}]}]}], "]"}]}]], "Input",
 CellChangeTimes->{{3.424459194937014*^9, 3.424459199197839*^9}, 
   3.424460575032549*^9}]
}, Closed]],

Cell[CellGroupData[{

Cell["Part b  ", "Subsubsection"],

Cell[BoxData[
 RowBox[{" ", 
  RowBox[{
   RowBox[{"Entropy", "[", "p_List", "]"}], ":=", 
   RowBox[{"-", " ", 
    RowBox[{"p", ".", 
     RowBox[{"Log", "[", "p", "]"}]}], " "}]}]}]], "Input"],

Cell[BoxData[
 RowBox[{
  RowBox[{"fdata", "[", "\[Mu]_", "]"}], ":=", 
  RowBox[{"Drop", "[", 
   RowBox[{
    RowBox[{"NestList", "[", 
     RowBox[{
      RowBox[{
       RowBox[{"\[Mu]", " ", "#", 
        RowBox[{"(", 
         RowBox[{"1", "-", "#"}], ")"}]}], "&"}], " ", ",", ".1", ",", 
      "500"}], "]"}], ",", "400"}], "]"}]}]], "Input"],

Cell[BoxData[
 RowBox[{"(*", "  ", 
  RowBox[{"OBSOLETE", " ", 
   RowBox[{"Needs", "[", "\"\<Statistics`DataManipulation`\>\"", "]"}]}], 
  "  ", "*)"}]], "Input",
 CellChangeTimes->{{3.424460637351169*^9, 3.424460642940352*^9}}],

Cell[BoxData[
 RowBox[{"?", "BinCounts"}]], "Input"],

Cell[BoxData[
 RowBox[{
  RowBox[{"prob", "[", "\[Mu]_", "]"}], ":=", 
  RowBox[{"Select", "[", 
   RowBox[{
    RowBox[{
     RowBox[{"1", "/", "500"}], "  ", 
     RowBox[{"BinCounts", "[", 
      RowBox[{
       RowBox[{"fdata", "[", "\[Mu]", "]"}], " ", ",", 
       RowBox[{"{", 
        RowBox[{"0.0", ",", "1", ",", 
         RowBox[{"1", "/", "500"}]}], " ", "}"}]}], "]"}]}], " ", ",", 
    "Positive"}], "]"}], "  "}]], "Input"],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"entropylist", "=", 
    RowBox[{"Table", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"\[Mu]", ",", 
        RowBox[{"Entropy", "[", 
         RowBox[{"prob", "[", "\[Mu]", "]"}], "]"}]}], " ", "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"\[Mu]", ",", "3.5", ",", "4", ",", "0.005"}], "}"}]}], 
     "]"}]}], ";"}], " "}]], "Input"],

Cell[BoxData[
 RowBox[{"pt2", "=", 
  RowBox[{"ListPlot", "[", 
   RowBox[{"entropylist", ",", "\[IndentingNewLine]", 
    RowBox[{"Joined", "\[Rule]", "True"}], ",", "\[IndentingNewLine]", 
    RowBox[{"GridLines", "\[Rule]", "Automatic"}], ",", "\[IndentingNewLine]",
     
    RowBox[{"PlotStyle", "\[Rule]", 
     RowBox[{"Thickness", "[", ".005", "]"}]}], ",", " ", 
    "\[IndentingNewLine]", 
    RowBox[{"AxesLabel", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{"\[Mu]", ",", "\"\<Entropy\>\""}], "}"}]}]}], "]"}]}]], "Input",\

 CellChangeTimes->{{3.424459213122639*^9, 3.424459216672493*^9}}],

Cell[BoxData[
 RowBox[{"Show", "[", 
  RowBox[{"pt1", ",", "pt2", ",", "\[IndentingNewLine]", 
   RowBox[{"PlotRange", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"3.5", ",", "3.9"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"-", "1.5"}], ",", "1.5"}], "}"}]}], "}"}]}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"Ticks", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"Automatic", ",", "None"}], "}"}]}]}], "]"}]], "Input",
 CellChangeTimes->{3.424459225620545*^9}]
}, Closed]]
}, Closed]]
}, Closed]],

Cell["5.2 Other Maps", "Section"],

Cell["Overview of Other Maps", "Subsection"],

Cell[CellGroupData[{

Cell["Problem 1: Salmon Map  ", "Subsection"],

Cell[CellGroupData[{

Cell["Solution", "Subsubsection"],

Cell[BoxData[
 RowBox[{"Clear", "[", "\"\<Global`*\>\"", "]"}]], "Input"],

Cell[CellGroupData[{

Cell["Part a", "Subsubsection"],

Cell[BoxData[
 RowBox[{
  RowBox[{"map", "[", "\[Mu]_", "]"}], ":=", 
  RowBox[{
   RowBox[{"#", 
    RowBox[{"Exp", "[", 
     RowBox[{"\[Mu]", 
      RowBox[{"(", 
       RowBox[{"1", "-", "#"}], ")"}]}], "]"}]}], "&"}]}]], "Input"],

Cell[BoxData[
 RowBox[{
  RowBox[{"orbitG", "[", 
   RowBox[{"\[Mu]_", ",", "start_", ",", "n_", " ", ",", "Opts___"}], "]"}], ":=",
   
  RowBox[{"ListPlot", "[", 
   RowBox[{
    RowBox[{"NestList", "[", 
     RowBox[{
      RowBox[{"map", "[", "\[Mu]", " ", "]"}], ",", "start", " ", ",", "n"}], 
     " ", "]"}], ",", "Opts", " ", ",", " ", 
    RowBox[{"DisplayFunction", "->", "Identity"}]}], "]"}], " "}]], "Input"],

Cell[BoxData[
 RowBox[{
  RowBox[{"values", "=", 
   RowBox[{"{", " ", 
    RowBox[{"1.8", " ", ",", "2.2", " ", ",", "2.6", ",", "2.99"}], "}"}]}], 
  ";"}]], "Input"],

Cell[BoxData[
 RowBox[{
  RowBox[{"list", "=", 
   RowBox[{
    RowBox[{
     RowBox[{"orbitG", "[", 
      RowBox[{"#", ",", ".4", ",", "50", ",", "\[IndentingNewLine]", 
       RowBox[{"PlotStyle", "\[Rule]", 
        RowBox[{"AbsolutePointSize", "[", "2", "]"}]}], " ", ",", 
       "\[IndentingNewLine]", 
       RowBox[{"Ticks", "\[Rule]", "False"}], " ", ",", "\[IndentingNewLine]",
        
       RowBox[{"PlotLabel", "\[Rule]", "#"}]}], " ", "\[IndentingNewLine]", 
      "]"}], "&"}], "  ", "/@", "  ", "values"}]}], " ", ";"}]], "Input"],

Cell[BoxData[
 RowBox[{"Show", "[", 
  RowBox[{"GraphicsGrid", "[", 
   RowBox[{"Partition", "[", 
    RowBox[{"list", ",", "2"}], "]"}], "]"}], "]"}]], "Input",
 CellChangeTimes->{{3.424460851012982*^9, 3.424460861316477*^9}, {
  3.424460901399436*^9, 3.424460902609146*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"Take", "[", 
     RowBox[{
      RowBox[{"NestList", "[", 
       RowBox[{
        RowBox[{"map", "[", "#", "]"}], ",", "0.5", " ", ",", "200"}], " ", 
       "]"}], ",", 
      RowBox[{"-", "4"}]}], "]"}], "&"}], "/@", 
   RowBox[{"{", " ", 
    RowBox[{"1.8", " ", ",", "2.2", "  ", ",", "2.6"}], "}"}]}], "//", 
  "Column", " "}]], "Input",
 CellChangeTimes->{{3.424459240114599*^9, 3.42445924073151*^9}}]
}, Closed]],

Cell[CellGroupData[{

Cell["Part b", "Subsubsection"],

Cell["\<\
Svalues = Compile[{\[Mu]},({\[Mu],#}&) /@ Drop[NestList[ # Exp[\[Mu](1 - \
#)]&, 
0.5, 200],175]]; \
\>", "Input"],

Cell["\<\
bifurcation[\[Mu]0_, \[Mu]1_, n_] := 
  Flatten[Table[Svalues[\[Mu]],{\[Mu], \[Mu]0, \[Mu]1, (\[Mu]1 - \[Mu]0)/n}], \
1]\
\>", "Input"],

Cell[" Spoints = bifurcation[1.9,3.5,1000];  ", "Input"],

Cell[BoxData[
 RowBox[{"pt1", "=", 
  RowBox[{"ListPlot", "[", 
   RowBox[{"Spoints", ",", "\[IndentingNewLine]", 
    RowBox[{"GridLines", "\[Rule]", "Automatic"}], ",", "\[IndentingNewLine]",
     
    RowBox[{"PlotStyle", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"Hue", "[", " ", ".9", "]"}], " ", ",", 
       RowBox[{"AbsolutePointSize", "[", ".5", "]"}]}], "}"}]}]}], " ", "]"}],
   " "}]], "Input",
 CellChangeTimes->{3.424459250463596*^9}]
}, Closed]],

Cell[CellGroupData[{

Cell["Part c  ", "Subsubsection"],

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"f", "[", "\[Mu]_", "]"}], ":=", 
    RowBox[{
     RowBox[{"#", " ", 
      RowBox[{"Exp", "[", 
       RowBox[{"\[Mu]", 
        RowBox[{"(", 
         RowBox[{"1", "-", "#"}], ")"}]}], "]"}]}], "&"}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"fder", "[", "\[Mu]_", "]"}], ":=", " ", 
   RowBox[{
    RowBox[{"Log", "[", 
     RowBox[{"Abs", "[", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"1", "-", 
         RowBox[{"\[Mu]", " ", "#"}]}], ")"}], 
       RowBox[{"Exp", "[", 
        RowBox[{"\[Mu]", 
         RowBox[{"(", 
          RowBox[{"1", "-", "#"}], ")"}]}], "]"}]}], "]"}], "]"}], "&"}]}], 
  " "}]}], "Input"],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"points", "[", "n0_", "]"}], " ", ":=", 
    RowBox[{"Table", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"\[Mu]", ",", 
        RowBox[{"Apply", "[", 
         RowBox[{"Plus", ",", 
          RowBox[{
           RowBox[{
            RowBox[{"fder", "[", "\[Mu]", " ", "]"}], "[", 
            RowBox[{"NestList", "[", 
             RowBox[{
              RowBox[{"f", "[", "\[Mu]", " ", "]"}], ",", "0.1", ",", 
              RowBox[{"n0", "-", "1"}]}], "]"}], "]"}], "/", "n0"}]}], 
         "]"}]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"\[Mu]", ",", "2", " ", ",", "3.5", ",", 
        RowBox[{"1", "/", "n0"}]}], "}"}]}], "]"}]}], ";"}], " "}]], "Input"],

Cell[BoxData[
 RowBox[{"pt2", "=", 
  RowBox[{"ListPlot", "[", 
   RowBox[{
    RowBox[{"points", "[", "300", "]"}], " ", ",", " ", "\[IndentingNewLine]",
     
    RowBox[{"Joined", "->", "True"}], ",", "\[IndentingNewLine]", 
    RowBox[{"PlotStyle", "\[Rule]", 
     RowBox[{"Thickness", "[", ".006", "]"}]}]}], "]"}]}]], "Input",
 CellChangeTimes->{{3.424459260048624*^9, 3.4244592643374*^9}, 
   3.4244609280073*^9}],

Cell[BoxData[
 RowBox[{"pt3", "=", 
  RowBox[{"Show", "[", 
   RowBox[{"pt1", ",", "pt2"}], "]"}]}]], "Input",
 CellChangeTimes->{3.424459270392405*^9}]
}, Closed]],

Cell[CellGroupData[{

Cell["Part d   ", "Subsubsection",
 CellMargins->{{Inherited, Inherited}, {10, 18}}],

Cell["(* OBSOLETE  Needs[\"Statistics`NormalDistribution`\"]  *)", "Input",
 CellMargins->{{Inherited, Inherited}, {Inherited, 5}},
 CellChangeTimes->{{3.424460781920744*^9, 3.42446078918839*^9}}],

Cell[BoxData[
 RowBox[{"?", "NormalDistribution "}]], "Input"],

Cell["WNdata=Table[Random[NormalDistribution[1,0.5]], {500}]; ", "Input",
 CellMargins->{{Inherited, Inherited}, {Inherited, 5}}],

Cell["chaos=NestList[map[2.9],0.95,500]; ", "Input"],

Cell[BoxData[
 RowBox[{"Show", "[", 
  RowBox[{"GraphicsRow", "[", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{
      RowBox[{"ListPlot", "[", 
       RowBox[{"#1", ",", 
        RowBox[{"PlotStyle", "\[Rule]", 
         RowBox[{"AbsolutePointSize", "[", "2", "]"}]}], ",", 
        RowBox[{"Ticks", "\[Rule]", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{"100", ",", "300", ",", "500"}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{"0", ",", "1", ",", "2"}], "}"}]}], "}"}]}]}], 
       "\[IndentingNewLine]", "]"}], "&"}], ")"}], "/@", 
    RowBox[{"{", 
     RowBox[{"WNdata", ",", "chaos"}], "}"}]}], "]"}], "]"}]], "Input",
 CellChangeTimes->{{3.424459294338225*^9, 3.424459323075878*^9}}],

Cell[BoxData[
 RowBox[{"Show", "[", 
  RowBox[{"GraphicsRow", "[", 
   RowBox[{
    RowBox[{
     RowBox[{"ListPlot", "[", 
      RowBox[{
       RowBox[{"Transpose", "[", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"Drop", "[", 
           RowBox[{"#1", ",", 
            RowBox[{"-", "1"}]}], "]"}], ",", 
          RowBox[{"Drop", "[", 
           RowBox[{"#1", ",", "1"}], "]"}]}], "}"}], "]"}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{"PlotRange", "\[Rule]", "All"}], ",", "\[IndentingNewLine]", 
       RowBox[{"AxesOrigin", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{"0", ",", "0"}], "}"}]}], ",", "\[IndentingNewLine]", 
       RowBox[{"PlotStyle", "\[Rule]", 
        RowBox[{"AbsolutePointSize", "[", "2", "]"}]}]}], 
      "\[IndentingNewLine]", "]"}], "&"}], "  ", "/@", " ", 
    RowBox[{"{", 
     RowBox[{"WNdata", ",", "chaos"}], "}"}]}], "\[IndentingNewLine]", "]"}], 
  "\[IndentingNewLine]", "]"}]], "Input",
 CellChangeTimes->{{3.424459334579988*^9, 3.424459339503681*^9}, 
   3.424460955824421*^9}]
}, Closed]]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell["Problem 2: Sine-Circle Map", "Subsection"],

Cell[BoxData[
 RowBox[{"Clear", "[", "\"\<Global`*\>\"", "]"}]], "Input"],

Cell[CellGroupData[{

Cell["Solution", "Subsubsection"],

Cell[CellGroupData[{

Cell[TextData[StyleBox["Part a  ",
 FontWeight->"Bold"]], "Subsubsection"],

Cell[BoxData[
 RowBox[{
  RowBox[{"map", "[", " ", 
   RowBox[{"\[CapitalOmega]_", ",", "K_"}], "]"}], " ", ":=", 
  RowBox[{
   RowBox[{"Mod", "[", 
    RowBox[{
     RowBox[{"(", " ", 
      RowBox[{"#", "+", "\[CapitalOmega]", "-", 
       RowBox[{
        RowBox[{"K", "/", 
         RowBox[{"(", 
          RowBox[{"2", " ", "\[Pi]"}], ")"}]}], " ", 
        RowBox[{"Sin", "[", 
         RowBox[{"2", " ", "\[Pi]", " ", "#"}], "]"}]}]}], ")"}], ",", "1"}], 
    " ", "]"}], "&"}]}]], "Input"],

Cell[BoxData[
 RowBox[{
  RowBox[{"cobweb", "[", 
   RowBox[{"f_", " ", ",", " ", "x0_", ",", "n_", ",", " ", "opts___"}], 
   "]"}], " ", ":=", " ", "\[IndentingNewLine]", 
  RowBox[{"Module", "[", " ", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"temp1", ",", "temp2", ",", "points", ",", "s", " ", ",", "x"}], 
     "}"}], ",", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{
      RowBox[{"temp1", "[", "s_", "]"}], " ", ":=", " ", 
      RowBox[{"Nest", "[", 
       RowBox[{
        RowBox[{
         RowBox[{"f", "[", "#", "]"}], " ", "&"}], ",", "x0", " ", ",", "s"}],
        " ", "]"}]}], ";", "\[IndentingNewLine]", 
     RowBox[{"temp2", " ", "=", "  ", 
      RowBox[{
       RowBox[{
        RowBox[{"{", 
         RowBox[{
          RowBox[{"temp1", "[", "#", " ", "]"}], ",", 
          RowBox[{"temp1", "[", "#", " ", "]"}], ",", 
          RowBox[{"temp1", "[", "#", " ", "]"}], ",", 
          RowBox[{"temp1", "[", 
           RowBox[{"#", "+", "1"}], "]"}]}], "}"}], "&"}], "/@", 
       RowBox[{"Range", "[", 
        RowBox[{"1", ",", "n"}], "]"}]}]}], " ", ";", "\[IndentingNewLine]", 
     RowBox[{"points", "=", 
      RowBox[{
       RowBox[{
        RowBox[{"{", 
         RowBox[{"x0", ",", "0", ",", "x0", ",", 
          RowBox[{"f", "[", "x0", "]"}], ",", "temp2"}], " ", "}"}], "//", 
        "Flatten"}], " ", "//", 
       RowBox[{
        RowBox[{"Partition", "[", 
         RowBox[{"#", ",", "2"}], "]"}], "&"}]}]}], "  ", ";", 
     "\[IndentingNewLine]", 
     RowBox[{"Plot", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"x", ",", 
         RowBox[{"f", "[", "x", "]"}]}], "}"}], ",", " ", 
       RowBox[{"{", 
        RowBox[{"x", ",", "0", ",", "1"}], "}"}], ",", " ", 
       RowBox[{"Epilog", "->", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"Hue", "[", ".9", "]"}], ",", 
          RowBox[{"Line", "[", "points", "]"}]}], "}"}]}], ",", "opts"}], 
      "]"}]}]}], "\[IndentingNewLine]", "]"}]}]], "Input"],

Cell[BoxData[
 RowBox[{
  RowBox[{"cobweb", "[", 
   RowBox[{
    RowBox[{"map", "[", 
     RowBox[{
      RowBox[{"1", "/", "7"}], ",", "0"}], "]"}], ",", 
    RowBox[{"1", "/", "10"}], " ", ",", "50"}], " ", "]"}], " "}]], "Input",
 CellChangeTimes->{3.424460979885645*^9}],

Cell[BoxData[
 RowBox[{" ", 
  RowBox[{
   RowBox[{"Take", "[", 
    RowBox[{"NestList", "[", 
     RowBox[{
      RowBox[{"map", "[", 
       RowBox[{
        RowBox[{"1", "/", "7"}], ",", "0"}], "]"}], ",", 
      RowBox[{"1", "/", "10"}], " ", ",", "400"}], "]"}], "  ", "]"}], "//", 
   "Union", "  "}]}]], "Input"],

Cell[BoxData[
 RowBox[{" ", 
  RowBox[{"cobweb", "[", 
   RowBox[{
    RowBox[{"map", "[", 
     RowBox[{
      RowBox[{"Sqrt", "[", "2", "]"}], ",", "0"}], "]"}], ",", 
    RowBox[{"1", "/", "10"}], " ", ",", "50"}], " ", "]"}]}]], "Input",
 CellChangeTimes->{{3.424460985855341*^9, 3.424460986730753*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"list", "=", " ", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"cobweb", "[", 
      RowBox[{
       RowBox[{"map", "[", 
        RowBox[{"#", ",", "0.9"}], "]"}], " ", ",", "0.45", ",", "50", ",", 
       " ", "\[IndentingNewLine]", 
       RowBox[{"Ticks", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{"0", ",", ".5", ",", "1"}], "}"}], ",", "Automatic"}], 
         "}"}]}], ",", "\[IndentingNewLine]", 
       RowBox[{"PlotLabel", "\[Rule]", "#"}], ",", 
       RowBox[{"DisplayFunction", "\[Rule]", "Identity"}]}], " ", 
      "\[IndentingNewLine]", "]"}], "&"}], "  ", "/@", " ", 
    RowBox[{"{", 
     RowBox[{"0.04", ",", "0.61", ",", "0.65"}], "}"}]}]}], "  ", 
  ";"}]], "Input"],

Cell[BoxData[
 RowBox[{"Show", "[", 
  RowBox[{"GraphicsGrid", "[", 
   RowBox[{"Partition", "[", 
    RowBox[{"list", ",", "2", ",", "2", ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"-", "1"}], ",", "1"}], "}"}], ",", 
     RowBox[{"{", "}"}]}], "]"}], "]"}], "]"}]], "Input",
 CellChangeTimes->{{3.424460998860839*^9, 3.424461045387365*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"Take", "[", 
   RowBox[{
    RowBox[{"NestList", "[", 
     RowBox[{
      RowBox[{"map", "[", 
       RowBox[{"0.04", ",", "0.9"}], " ", "]"}], ",", "0.45", " ", ",", 
      "200"}], "]"}], ",", 
    RowBox[{"-", "9"}]}], " ", "]"}], " "}]], "Input"],

Cell[BoxData[
 RowBox[{
  RowBox[{"Take", "[", 
   RowBox[{
    RowBox[{"NestList", "[", 
     RowBox[{
      RowBox[{"map", "[", 
       RowBox[{"0.65", ",", "0.9"}], " ", "]"}], ",", "0.45", ",", "200"}], 
     "]"}], ",", 
    RowBox[{"-", "9"}]}], " ", "]"}], "//", "Union", " "}]], "Input"]
}, Closed]],

Cell[CellGroupData[{

Cell["Part b  ", "Subsubsection"],

Cell[BoxData[
 StyleBox[
  RowBox[{
   RowBox[{"orbit", " ", "=", " ", "\[IndentingNewLine]", 
    RowBox[{"Compile", "[", 
     RowBox[{
      RowBox[{"{", "K", "}"}], ",", "\[IndentingNewLine]", 
      RowBox[{"Map", "[", 
       RowBox[{
        RowBox[{
         RowBox[{"{", 
          RowBox[{"K", ",", "#"}], "}"}], "&"}], ",", " ", 
        "\[IndentingNewLine]", 
        RowBox[{"Drop", "[", " ", 
         RowBox[{
          RowBox[{"NestList", "[", " ", 
           RowBox[{
            RowBox[{
             RowBox[{"Mod", "[", 
              RowBox[{
               RowBox[{"(", " ", 
                RowBox[{"#", "+", ".65", "-", 
                 RowBox[{
                  RowBox[{"K", "/", 
                   RowBox[{"(", 
                    RowBox[{"2", " ", "\[Pi]"}], ")"}]}], " ", 
                  RowBox[{"Sin", "[", 
                   RowBox[{"2", " ", "\[Pi]", " ", "#"}], "]"}]}]}], " ", 
                ")"}], " ", ",", "1"}], " ", "]"}], "&"}], " ", ",", "0.1", 
            ",", "100"}], "]"}], ",", " ", "75"}], "]"}]}], 
       "\[IndentingNewLine]", "]"}]}], "\[IndentingNewLine]", "]"}]}], " ", 
   ";"}],
  FontVariations->{"CompatibilityType"->0}]], "Input"],

Cell[BoxData[
 StyleBox[
  RowBox[{
   RowBox[{"bifurcation", "[", 
    RowBox[{"K0_", ",", "K1_", ",", "n_"}], "]"}], " ", ":=", " ", 
   RowBox[{"Flatten", "[", 
    RowBox[{
     RowBox[{"Table", "[", 
      RowBox[{
       RowBox[{"orbit", "[", "K", "]"}], ",", 
       RowBox[{"{", 
        RowBox[{"K", ",", "K0", ",", "K1", ",", 
         RowBox[{
          RowBox[{"(", 
           RowBox[{"K1", "-", "K0"}], ")"}], "/", "n"}]}], "}"}]}], "]"}], 
     ",", "1"}], "]"}]}],
  FontVariations->{"CompatibilityType"->0}]], "Input"],

Cell["\<\
ListPlot[ bifurcation[0,6,800],PlotStyle -> AbsolutePointSize[1.1]]\
\>", "Input",
 CellMargins->{{Inherited, Inherited}, {4, 0}},
 CellChangeTimes->{{3.424459359683259*^9, 3.424459360032413*^9}}]
}, Closed]],

Cell[CellGroupData[{

Cell["Part c ", "Subsubsection"],

Cell[BoxData[
 RowBox[{
  RowBox[{"wind", "[", " ", 
   RowBox[{"\[CapitalOmega]_", ",", "K_", " ", ",", "\[Theta]_"}], "]"}], ":=",
   "\[IndentingNewLine]", 
  RowBox[{"Module", "[", 
   RowBox[{
    RowBox[{"{", "temp1", " ", "}"}], ",", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"temp1", " ", "=", " ", 
      RowBox[{"NestList", "[", 
       RowBox[{
        RowBox[{
         RowBox[{"(", " ", 
          RowBox[{"#", "+", "\[CapitalOmega]", "-", 
           RowBox[{
            RowBox[{"K", "/", 
             RowBox[{"(", 
              RowBox[{"2", " ", "\[Pi]"}], ")"}]}], " ", 
            RowBox[{"Sin", "[", 
             RowBox[{"2", " ", "\[Pi]", " ", "#"}], "]"}]}]}], " ", ")"}], 
         "&"}], ",", "\[Theta]", " ", ",", "699"}], " ", "]"}]}], ";", " ", 
     "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"1", "/", "600"}], " ", ")"}], 
      RowBox[{"(", " ", 
       RowBox[{
        RowBox[{"Last", "[", " ", "temp1", "]"}], "-", 
        RowBox[{"First", "[", "temp1", "]"}]}], ")"}]}]}]}], 
   "\[IndentingNewLine]", "]"}]}]], "Input"],

Cell[BoxData[
 RowBox[{"pt1", "=", " ", 
  RowBox[{"ListPlot", "[", 
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{"{", 
       RowBox[{"#", ",", 
        RowBox[{"wind", "[", 
         RowBox[{"#", ",", "1.2", "  ", ",", ".3"}], "]"}]}], "}"}], "&"}], "/@",
      
     RowBox[{"Range", "[", 
      RowBox[{".25", " ", ",", ".75", ",", ".008"}], "]"}]}], ",", 
    "\[IndentingNewLine]", 
    RowBox[{"Joined", "\[Rule]", "True"}], ",", "\[IndentingNewLine]", 
    RowBox[{"PlotStyle", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"Thickness", "[", ".006", "]"}], ",", 
       RowBox[{"Hue", "[", ".6", "]"}]}], "}"}]}], ",", "\[IndentingNewLine]",
     
    RowBox[{"GridLines", "\[Rule]", "Automatic"}], " ", ",", 
    "\[IndentingNewLine]", 
    RowBox[{"AspectRatio", "\[Rule]", "1"}]}], " ", "]"}]}]], "Input",
 CellChangeTimes->{{3.424459366200725*^9, 3.424459373761896*^9}}]
}, Closed]]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell["Problem 3: Taylor-Greene-Chirikov map ", "Subsection",
 ImageRegion->{{0, 1}, {0, 1}}],

Cell[CellGroupData[{

Cell["Solution", "Subsubsection"],

Cell[BoxData[
 RowBox[{"Clear", "[", "\"\<Global`*\>\"", "]"}]], "Input"],

Cell[CellGroupData[{

Cell["Part a", "Subsubsection"],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"map", "[", "k_", "]"}], "[", 
    RowBox[{"{", 
     RowBox[{"\[Theta]_", ",", "i_"}], "}"}], "]"}], "=", 
   RowBox[{"{", " ", 
    RowBox[{
     RowBox[{"Mod", "[", 
      RowBox[{
       RowBox[{"\[Theta]", "+", "i", "+", 
        RowBox[{"k", "  ", 
         RowBox[{"Sin", "[", "\[Theta]", "]"}]}]}], ",", 
       RowBox[{"2", " ", "\[Pi]"}]}], "]"}], ",", 
     RowBox[{"Mod", "[", 
      RowBox[{
       RowBox[{"i", "+", 
        RowBox[{"k", " ", 
         RowBox[{"Sin", "[", "\[Theta]", "]"}]}]}], ",", 
       RowBox[{"2", " ", "\[Pi]"}]}], "]"}]}], "}"}]}], ";"}]], "Input"],

Cell[BoxData[
 RowBox[{
  RowBox[{"orbit", "[", 
   RowBox[{"\[Theta]0_", ",", "i0_"}], "]"}], ":=", 
  RowBox[{"NestList", "[", 
   RowBox[{
    RowBox[{"map", "[", "0.97", "  ", "]"}], ",", 
    RowBox[{"{", 
     RowBox[{"\[Theta]0", ",", "i0"}], "}"}], ",", "150"}], "]"}]}]], "Input"],

Cell[BoxData[
 RowBox[{
  RowBox[{"orbitG", "[", 
   RowBox[{"\[Theta]0_", ",", "i0_", ",", "Opts___"}], "]"}], ":=", 
  "\[IndentingNewLine]", 
  RowBox[{"ListPlot", "[", 
   RowBox[{
    RowBox[{"orbit", "[", 
     RowBox[{"\[Theta]0", ",", "i0"}], "]"}], ",", "Opts", ",", 
    "\[IndentingNewLine]", 
    RowBox[{"Frame", "\[Rule]", "True"}], ",", "\[IndentingNewLine]", 
    RowBox[{"Axes", "\[Rule]", "None"}], ",", "\[IndentingNewLine]", 
    RowBox[{"FrameLabel", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{"\"\<\[Theta]\>\"", ",", "\"\<i\>\""}], "}"}]}], ",", 
    RowBox[{"PlotStyle", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"Hue", "[", 
        RowBox[{"RandomReal", "[", "]"}], "]"}], ",", 
       RowBox[{"PointSize", "[", "0.009`", "]"}]}], "}"}]}]}], 
   "\[IndentingNewLine]", "]"}]}]], "Input",
 CellChangeTimes->{{3.424459393725398*^9, 3.424459408406342*^9}}],

Cell[BoxData[
 RowBox[{"Show", "[", 
  RowBox[{
   RowBox[{
    RowBox[{"(", 
     RowBox[{
      RowBox[{"orbitG", "[", 
       RowBox[{
        RowBox[{"RandomReal", "[", 
         RowBox[{"{", 
          RowBox[{"0", ",", 
           RowBox[{"2", " ", "\[Pi]"}]}], "}"}], "]"}], "\[IndentingNewLine]",
         ",", 
        RowBox[{"RandomReal", "[", 
         RowBox[{"{", 
          RowBox[{"0", ",", 
           RowBox[{"2", " ", "\[Pi]"}]}], "}"}], "]"}]}], "]"}], "&"}], ")"}],
     "/@", 
    RowBox[{"Range", "[", "60", "]"}]}], "\[IndentingNewLine]", ",", 
   RowBox[{"GridLines", "\[Rule]", "Automatic"}], "\[IndentingNewLine]", ",", 
   
   RowBox[{"AspectRatio", "\[Rule]", "Automatic"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.424459426007714*^9, 3.424459439950668*^9}}]
}, Closed]],

Cell[CellGroupData[{

Cell["Part b", "Subsubsection"],

Cell[BoxData[
 RowBox[{
  RowBox[{"Ch\[Theta]", "[", 
   RowBox[{"{", 
    RowBox[{"\[Theta]0_", ",", "i0_"}], "}"}], "]"}], ":=", 
  RowBox[{"Map", "[", 
   RowBox[{"First", ",", 
    RowBox[{"orbit", "[", 
     RowBox[{"\[Theta]0", ",", "i0"}], "]"}]}], "]"}]}]], "Input"],

Cell[BoxData[
 RowBox[{"pt1", "=", 
  RowBox[{
   RowBox[{
    RowBox[{"ListPlot", "[", 
     RowBox[{
      RowBox[{"Take", "[", 
       RowBox[{
        RowBox[{"Ch\[Theta]", "[", "#", " ", "]"}], ",", 
        RowBox[{"-", "40"}]}], "]"}], " ", ",", "\[IndentingNewLine]", 
      RowBox[{"Joined", "\[Rule]", "True"}], ",", "\[IndentingNewLine]", 
      RowBox[{"AxesLabel", "\[Rule]", 
       RowBox[{"{", " ", 
        RowBox[{"n", ",", "\[Theta]"}], " ", "}"}]}]}], "\[IndentingNewLine]",
      "]"}], "&"}], "  ", "/@", "  ", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", " ", 
      RowBox[{"3", ",", " ", "0.1"}], " ", "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"0.65", ",", "3"}], "}"}]}], "}"}], " "}]}]], "Input",
 CellChangeTimes->{{3.424459449337754*^9, 3.424459455627167*^9}, 
   3.424461108714209*^9}],

Cell[BoxData[
 RowBox[{"Show", "[", 
  RowBox[{"GraphicsGrid", "[", 
   RowBox[{"{", "pt1", "}"}], "]"}], "]"}]], "Input",
 CellChangeTimes->{{3.42446112384906*^9, 3.424461125962928*^9}}]
}, Closed]],

Cell[CellGroupData[{

Cell["Part c ", "Subsubsection"],

Cell[BoxData[
 RowBox[{
  RowBox[{"wind", "[", "  ", 
   RowBox[{"K_", " ", ",", "\[Theta]_", ",", "i_"}], "]"}], ":=", " ", 
  "\[IndentingNewLine]", 
  RowBox[{"Module", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
     "map1", ",", "orbit2", ",", "wind3", ",", " ", "\[Theta]a", ",", "pb"}], 
     "}"}], ",", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{
      RowBox[{"map1", "[", 
       RowBox[{"{", 
        RowBox[{"\[Theta]a_", ",", "pb_"}], "}"}], "]"}], ":=", 
      RowBox[{"{", " ", 
       RowBox[{
        RowBox[{"\[Theta]a", "+", "pb", "+", 
         RowBox[{"K", "  ", 
          RowBox[{"Sin", "[", " ", "\[Theta]a", "]"}]}]}], ",", 
        RowBox[{"pb", "+", 
         RowBox[{"K", "  ", 
          RowBox[{"Sin", "[", " ", "\[Theta]a", "]"}]}]}]}], "}"}]}], " ", 
     ";", "\[IndentingNewLine]", 
     RowBox[{"orbit2", "=", 
      RowBox[{"NestList", "[", 
       RowBox[{"map1", ",", 
        RowBox[{"{", 
         RowBox[{"\[Theta]", " ", ",", "i"}], " ", "}"}], ",", "400"}], "  ", 
       "]"}]}], " ", ";", "\[IndentingNewLine]", 
     RowBox[{"wind3", "=", " ", 
      RowBox[{"Map", "[", 
       RowBox[{"First", ",", "orbit2"}], "]"}]}], "  ", ";", " ", 
     "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"1", "/", "400"}], " ", ")"}], 
      RowBox[{"(", " ", 
       RowBox[{
        RowBox[{"Last", "[", " ", "wind3", "]"}], "-", 
        RowBox[{"First", "[", "wind3", "]"}]}], ")"}]}]}]}], 
   "\[IndentingNewLine]", "]"}]}]], "Input"],

Cell[BoxData[
 RowBox[{"ListPlot", "[", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"{", 
      RowBox[{"#", ",", 
       RowBox[{"wind", "[", " ", 
        RowBox[{"0.45", "  ", ",", "0.2", " ", ",", "#"}], "]"}]}], "}"}], 
     "&"}], "/@", 
    RowBox[{"Range", "[", 
     RowBox[{"0.15", ",", "0.24", ",", "0.005"}], "]"}]}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"Joined", "\[Rule]", "True"}], ",", "\[IndentingNewLine]", 
   RowBox[{"PlotStyle", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"Thickness", "[", "0.005", "]"}], ",", 
      RowBox[{"Hue", "[", "0.6", "]"}]}], "}"}]}], ",", "\[IndentingNewLine]",
    
   RowBox[{"PlotLabel", "\[Rule]", 
    RowBox[{"{", "\"\<K=0.47,\[Theta]=0.2\>\"", "}"}]}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"AxesLabel", " ", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"i", ",", "None"}], " ", "}"}]}]}], "]"}]], "Input",
 CellChangeTimes->{{3.424459468035273*^9, 3.424459470438191*^9}}]
}, Closed]]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell["Problem 4: Henon Map ", "Subsection"],

Cell[CellGroupData[{

Cell["Solution", "Subsubsection"],

Cell[BoxData[
 RowBox[{"Clear", "[", "\"\<Global`*\>\"", "]"}]], "Input"],

Cell[CellGroupData[{

Cell["Part a", "Subsubsection"],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"map", "[", 
    RowBox[{"a_", ",", "b_"}], "]"}], "[", 
   RowBox[{"{", 
    RowBox[{"x_", ",", "y_"}], "}"}], "]"}], ":=", 
  RowBox[{"{", 
   RowBox[{
    RowBox[{"1", "-", 
     RowBox[{"a", " ", 
      SuperscriptBox["x", "2"]}], "+", "y"}], " ", ",", 
    RowBox[{"b", " ", "x"}]}], "  ", "}"}], " "}]], "Input"],

Cell[BoxData[
 RowBox[{"pt1", "=", "\[IndentingNewLine]", 
  RowBox[{"ListPlot", "[", " ", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"NestList", "[", 
     RowBox[{
      RowBox[{"map", "[", 
       RowBox[{"1.4", ",", " ", "0.3"}], "]"}], ",", 
      RowBox[{"{", " ", 
       RowBox[{"0", " ", ",", "0.1"}], "}"}], ",", "20000"}], " ", "]"}], ",",
     "\[IndentingNewLine]", 
    RowBox[{"PlotStyle", "\[Rule]", 
     RowBox[{"AbsolutePointSize", "[", "2", "]"}]}], ",", " ", 
    "\[IndentingNewLine]", 
    RowBox[{"GridLines", "\[Rule]", "Automatic"}]}], " ", "]"}]}]], "Input",
 CellChangeTimes->{3.424459478963355*^9}],

Cell[BoxData[
 RowBox[{"Show", "[", 
  RowBox[{"pt1", ",", 
   RowBox[{"PlotRange", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"0.3", ",", "0.47"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"0.2", ",", "0.217"}], "}"}]}], "}"}]}], ",", 
   RowBox[{"GridLines", "\[Rule]", "Automatic"}]}], "]"}]], "Input",
 CellChangeTimes->{3.424459494552465*^9}]
}, Closed]],

Cell[CellGroupData[{

Cell["Part b  ", "Subsubsection"],

Cell[BoxData[
 RowBox[{
  RowBox[{"Hx", "[", "a_", "]"}], " ", ":=", "   ", 
  RowBox[{"Map", "[", 
   RowBox[{"First", ",", 
    RowBox[{"Drop", "[", " ", 
     RowBox[{
      RowBox[{"NestList", "[", "  ", 
       RowBox[{
        RowBox[{"map", "[", 
         RowBox[{"a", ",", "0.3"}], " ", "]"}], " ", ",", 
        RowBox[{"{", 
         RowBox[{"0.3", ",", "0.6"}], "}"}], ",", "200"}], "]"}], ",", 
      "150"}], "]"}]}], " ", "]"}], "  "}]], "Input"],

Cell[BoxData[
 StyleBox[
  RowBox[{
   RowBox[{"bifurcation", "[", 
    RowBox[{"a0_", ",", "a1_", ",", "n_"}], "]"}], " ", ":=", " ", 
   RowBox[{"Flatten", "[", 
    RowBox[{
     RowBox[{"Table", "[", 
      RowBox[{
       RowBox[{"Hx", "[", "a", "]"}], ",", 
       RowBox[{"{", 
        RowBox[{"a", ",", "a0", ",", "a1", ",", 
         RowBox[{
          RowBox[{"(", 
           RowBox[{"a1", "-", "a0"}], ")"}], "/", "n"}]}], "}"}]}], "]"}], 
     ",", " ", "1"}], "]"}]}],
  FontVariations->{"CompatibilityType"->0}]], "Input"],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"pts", "=", 
    RowBox[{"bifurcation", "[", 
     RowBox[{"1.05", " ", ",", "1.1", ",", "300"}], " ", "]"}]}], " ", ";"}], 
  " "}]], "Input"],

Cell[BoxData[
 RowBox[{"ListPlot", "[", 
  RowBox[{"pts", ",", "\[IndentingNewLine]", 
   RowBox[{"PlotStyle", "\[Rule]", 
    RowBox[{"AbsolutePointSize", "[", "1.4", "]"}]}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"AspectRatio", "\[Rule]", "1"}], ",", "\[IndentingNewLine]", 
   RowBox[{"Ticks", "\[Rule]", " ", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", "}"}], ",", "Automatic"}], " ", "}"}]}]}], "]"}]], "Input",\

 CellChangeTimes->{3.424459500126423*^9}]
}, Closed]]
}, Closed]]
}, Closed]],

Cell["5.3 Fractals", "Section"],

Cell["Overview of Fractals", "Subsubsection"],

Cell[CellGroupData[{

Cell["Problem 1:  Mandelbrot Set ", "Subsection"],

Cell[CellGroupData[{

Cell["Solution", "Subsubsection"],

Cell[BoxData[
 RowBox[{"Clear", "[", "\"\<Global`*\>\"", "]"}]], "Input"],

Cell[CellGroupData[{

Cell["Part a  ", "Subsubsection"],

Cell[BoxData[
 RowBox[{
  RowBox[{"MandO", "=", 
   RowBox[{"Compile", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"{", 
       RowBox[{"c", ",", "_Complex"}], "}"}], "}"}], ",", " ", 
     RowBox[{"FixedPointList", "[", 
      RowBox[{
       RowBox[{
        RowBox[{
         RowBox[{"#", "^", "2"}], "+", "c"}], "&"}], ",", "0", ",", "69", ",",
        
       RowBox[{"SameTest", "->", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{
           RowBox[{"Abs", "[", "#2", "]"}], ">", "2.0"}], "&"}], ")"}]}]}], 
      "]"}]}], "]"}]}], " ", ";"}]], "Input"],

Cell[BoxData[
 RowBox[{
  RowBox[{"Take", "[", 
   RowBox[{
    RowBox[{"MandO", "[", 
     RowBox[{"1", "/", "10"}], "]"}], ",", 
    RowBox[{"-", "1"}]}], "]"}], "//", "Chop"}]], "Input"],

Cell[BoxData[
 RowBox[{" ", 
  RowBox[{
   RowBox[{"MandO", "[", " ", "1", " ", "]"}], "//", "Chop"}]}]], "Input"]
}, Closed]],

Cell[CellGroupData[{

Cell["Part b", "Subsubsection"],

Cell[BoxData[
 RowBox[{
  RowBox[{"Mandelbrot", "[", "c_", "]"}], ":=", 
  RowBox[{"Length", "[", 
   RowBox[{"MandO", "[", "c", "]"}], "]"}]}]], "Input"],

Cell[BoxData[
 RowBox[{"Plot3D", "[", 
  RowBox[{
   RowBox[{"Mandelbrot", "[", 
    RowBox[{"x", "+", 
     RowBox[{"I", " ", "y"}]}], "]"}], ",", "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{"x", ",", 
     RowBox[{"-", "2.0"}], ",", "0.5"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"y", ",", 
     RowBox[{"-", "1.1"}], ",", "1.1"}], "}"}], ",", " ", 
   "\[IndentingNewLine]", 
   RowBox[{"AspectRatio", "->", "Automatic"}], ",", " ", 
   "\[IndentingNewLine]", 
   RowBox[{"ColorFunction", "->", "Hue"}], ",", "  ", "\[IndentingNewLine]", 
   RowBox[{"PlotRange", "\[Rule]", "All"}], " ", ",", "\[IndentingNewLine]", 
   RowBox[{"PlotPoints", "\[Rule]", "100"}]}], "]"}]], "Input",
 CellChangeTimes->{3.42445950777226*^9}],

Cell[BoxData[
 RowBox[{"DensityPlot", "[", " ", 
  RowBox[{
   RowBox[{"Mandelbrot", "[", 
    RowBox[{"x", "+", 
     RowBox[{"I", " ", "y"}]}], "]"}], ",", "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{"x", ",", 
     RowBox[{"-", "2"}], ",", ".5"}], "}"}], " ", ",", 
   RowBox[{"{", 
    RowBox[{"y", ",", 
     RowBox[{"-", "1"}], ",", "1"}], "}"}], ",", " ", "\[IndentingNewLine]", 
   RowBox[{"Mesh", "->", "False"}], ",", "  ", "\[IndentingNewLine]", 
   RowBox[{"AspectRatio", "->", "Automatic"}], ",", "\[IndentingNewLine]", 
   RowBox[{"Frame", "\[Rule]", "True"}], ",", "\[IndentingNewLine]", 
   RowBox[{"ColorFunction", "->", "Hue"}], ",", "\[IndentingNewLine]", 
   RowBox[{"PlotPoints", "\[Rule]", "100"}]}], " ", "]"}]], "Input",
 CellChangeTimes->{3.424459515528846*^9}],

Cell[BoxData[
 RowBox[{"DensityPlot", "[", 
  RowBox[{
   RowBox[{"Mandelbrot", "[", 
    RowBox[{"x", "+", 
     RowBox[{"I", " ", "y"}]}], "]"}], ",", "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{"x", ",", 
     RowBox[{"-", "1.45"}], ",", 
     RowBox[{"-", "1.25"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"y", ",", 
     RowBox[{"-", "0.12"}], ",", "0.12"}], "}"}], " ", ",", " ", 
   "\[IndentingNewLine]", 
   RowBox[{"Mesh", "->", "False"}], ",", "  ", "\[IndentingNewLine]", 
   RowBox[{"AspectRatio", "->", "Automatic"}], ",", "\[IndentingNewLine]", 
   RowBox[{"Frame", "\[Rule]", "True"}], ",", "\[IndentingNewLine]", 
   RowBox[{"ColorFunction", "->", "Hue"}], ",", "\[IndentingNewLine]", 
   RowBox[{"PlotPoints", "\[Rule]", "100"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.424459521762453*^9, 3.42445952206299*^9}}]
}, Closed]]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell["Problem 2:  Julia Set", "Subsection"],

Cell[CellGroupData[{

Cell["Solution", "Subsubsection"],

Cell[BoxData[
 RowBox[{"Clear", "[", "\"\<Global`*\>\"", "]"}]], "Input"],

Cell[CellGroupData[{

Cell["Part a", "Subsubsection"],

Cell[BoxData[
 RowBox[{
  RowBox[{"Juliao", "=", 
   RowBox[{"Compile", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"{", 
       RowBox[{"z0", ",", "_Complex"}], "}"}], "}"}], ",", " ", 
     RowBox[{"FixedPointList", "[", 
      RowBox[{
       RowBox[{
        RowBox[{
         RowBox[{"#", "^", "2"}], "+", "c"}], "&"}], ",", "z0", ",", "50", 
       ",", 
       RowBox[{"SameTest", "->", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{
           RowBox[{"Abs", "[", "#2", "]"}], ">", "2.0"}], "&"}], ")"}]}]}], 
      "]"}]}], "]"}]}], " ", ";"}]], "Input"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"c", "=", 
    RowBox[{"-", "1"}]}], ";"}], " "}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"Juliao", "[", "0.1", " ", "]"}], "//", "Chop"}], " "}]}], "Input"],

Cell[BoxData[
 RowBox[{
  RowBox[{"Juliao", "[", "1.9", " ", "]"}], "//", "Chop"}]], "Input"]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell["Part b", "Subsubsection"],

Cell[BoxData[
 RowBox[{
  RowBox[{"Julia", "=", 
   RowBox[{"Compile", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"{", 
       RowBox[{"z0", ",", "_Complex"}], "}"}], "}"}], ",", 
     RowBox[{"Length", "[", 
      RowBox[{"FixedPointList", "[", 
       RowBox[{
        RowBox[{
         RowBox[{
          RowBox[{"#", "^", "2"}], "+", "c"}], "&"}], ",", "z0", ",", "50", 
        ",", 
        RowBox[{"SameTest", "->", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{
            RowBox[{"Abs", "[", "#2", "]"}], ">", "2.0"}], "&"}], ")"}]}]}], 
       "]"}], "]"}]}], "]"}]}], ";"}]], "Input"],

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"c", "=", " ", 
    RowBox[{"-", "1"}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{"Plot3D", "[", 
  RowBox[{
   RowBox[{"Julia", "[", 
    RowBox[{"x", "+", 
     RowBox[{"I", " ", "y"}]}], "]"}], ",", "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{"x", ",", 
     RowBox[{"-", "2.0"}], ",", "2"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"y", ",", 
     RowBox[{"-", "1"}], " ", ",", "1"}], " ", "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"AspectRatio", "->", "Automatic"}], ",", " ", 
   "\[IndentingNewLine]", 
   RowBox[{"ColorFunction", "->", "Hue"}], " ", ",", "\[IndentingNewLine]", 
   RowBox[{"PlotPoints", "\[Rule]", "100"}], ",", " ", "\[IndentingNewLine]", 
   
   RowBox[{"PlotRange", "\[Rule]", "All"}]}], " ", "]"}]}], "Input",
 CellChangeTimes->{3.42445952899547*^9}],

Cell[BoxData[
 RowBox[{"DensityPlot", "[", 
  RowBox[{
   RowBox[{"Julia", "[", 
    RowBox[{"x", "+", 
     RowBox[{"I", " ", "y"}]}], "]"}], ",", "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{"x", ",", 
     RowBox[{"-", "2"}], ",", "2"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"y", ",", 
     RowBox[{"-", "1"}], " ", ",", "1"}], " ", "}"}], ",", "  ", 
   "\[IndentingNewLine]", 
   RowBox[{"Mesh", "->", "False"}], ",", "  ", "\[IndentingNewLine]", 
   RowBox[{"AspectRatio", "->", "Automatic"}], ",", "\[IndentingNewLine]", 
   RowBox[{"Frame", "\[Rule]", "True"}], ",", "\[IndentingNewLine]", 
   RowBox[{"PlotPoints", "\[Rule]", "100"}], ",", "\[IndentingNewLine]", 
   RowBox[{"ColorFunction", "->", "Hue"}]}], " ", "]"}]], "Input",
 CellChangeTimes->{3.424459535121632*^9}]
}, Closed]]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell["5.4 Exercises", "Section"],

Cell["Exercise 1: Gaussian Map  ", "Subsubsection"],

Cell["Problem 2: Return Maps for the Henon Map ", "Subsubsection"],

Cell["Exercise 3: Cubic Maps", "Subsubsection"],

Cell["Exercise 4: Two Dimensional Map ", "Subsubsection"],

Cell["Exercise  5: Tent map", "Subsubsection"]
}, Closed]]
},
AutoGeneratedPackage->None,
WindowToolbars->"EditBar",
CellGrouping->Manual,
WindowSize->{703, 940},
WindowMargins->{{109, Automatic}, {Automatic, 0}},
PrintingCopies->1,
PrintingPageRange->{1, 9999},
PrivateNotebookOptions->{"ColorPalette"->{RGBColor, -1}},
ShowSelection->True,
ShowCellLabel->True,
ShowCellTags->False,
SpellingOptions->{"AlwaysStop"->"RepeatedWords"},
SpellingDictionaries->{"CorrectWords"->{
 "descrete", "Poincar\[EAcute]", "Mandelbrot", "xo", "Gfixpt", "Gfixptpt", 
  "Lvalues", "Spoints", "fdata", "rdata", "returnpt", "diff", "Gder", "prob", 
  "Scobweb", "Svalues", "fder", "Lagrange's", "Lagrange", "qi", "Qi", "eq", 
  "eqin", "Ser", "eqs", "vars", "Diff", "zpsol", "zp", "perturbative", 
  "firstorderpert", "xfirst", "ro", "''", "Rx", "Ry", "Rz", "Eq", "Kepler", 
  "Keplerian", "Johannes", "Kepler's", "uo", "ee", "cterm", "plotorbit", 
  "num", "uforce", "ndsol", "ndsol.", "numorbit", "rrule", "Urule", "Lpt", 
  "tmax", "Mgraph", "fx", "fy", "tfinal", "hrule", "vxo", "vyo", "eqlist", 
  "Equi", "Lgraph", "jac", "nonrotating", "accreting", "Lagragian", "rl", 
  "zeropt", "yi", "yrs", "Ll", "freq", "invfreq", "xy", "tmoon", "Descrete", 
  "Poincare", "eigenfrequencies", "eigenfrequency", "eigenmatrix", "th", 
  "ii.", "iii.", "Ndata", "Gcobweb", "fd", "quasiperiodic.", "nonchaotic", 
  "Greene", "Chirikov", "Ch", "Chplot", "pb", "Henon", "Henon.", "Hx", "pts", 
  "zo", "Mand", "Juliao", "bdry", "traj", "Lstepsa", "Lsteps", "Osteps", "xf",
   "yf", "sqdist", "meansqdist", "nstep", "ntrial", "datao", "xo.", "endata", 
  "expr", "superstable", "xmin", "xmax", "ymin", "ymax", "dy", "orbitplot"}},
RenderingOptions->{"ObjectDithering"->True,
"RasterDithering"->False},
Magnification->1,
FrontEndVersion->"6.0 for Linux x86 (32-bit) (June 19, 2007)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[590, 23, 224, 7, 30, "Subsubsection"],
Cell[817, 32, 791, 15, 248, "Input",
 Evaluatable->False]
}, Closed]],
Cell[CellGroupData[{
Cell[1645, 52, 115, 2, 24, "Subsubsection"],
Cell[1763, 56, 1998, 34, 806, "Input",
 Evaluatable->False]
}, Closed]],
Cell[3776, 93, 94, 2, 115, "Title",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[3895, 99, 31, 0, 73, "Section"],
Cell[3929, 101, 246, 8, 55, "Input"]
}, Closed]],
Cell[4190, 112, 35, 0, 43, "Section"],
Cell[4228, 114, 50, 0, 31, "Subsection"],
Cell[CellGroupData[{
Cell[4303, 118, 45, 0, 31, "Subsection"],
Cell[CellGroupData[{
Cell[4373, 122, 33, 0, 30, "Subsubsection"],
Cell[4409, 124, 73, 1, 32, "Input"],
Cell[CellGroupData[{
Cell[4507, 129, 31, 0, 30, "Subsubsection"],
Cell[4541, 131, 244, 8, 32, "Input"],
Cell[4788, 141, 326, 10, 32, "Input"],
Cell[5117, 153, 323, 10, 32, "Input"],
Cell[5443, 165, 111, 2, 32, "Input"],
Cell[5557, 169, 107, 2, 32, "Input"],
Cell[5667, 173, 205, 6, 32, "Input"],
Cell[5875, 181, 1422, 38, 209, "Input"],
Cell[7300, 221, 282, 7, 32, "Input"]
}, Closed]],
Cell[CellGroupData[{
Cell[7619, 233, 31, 0, 30, "Subsubsection"],
Cell[7653, 235, 587, 15, 77, "Input"],
Cell[8243, 252, 217, 6, 32, "Input"],
Cell[8463, 260, 396, 12, 32, "Input"],
Cell[8862, 274, 561, 15, 77, "Input"],
Cell[9426, 291, 218, 6, 32, "Input"],
Cell[9647, 299, 343, 11, 32, "Input"],
Cell[9993, 312, 551, 15, 77, "Input"],
Cell[10547, 329, 220, 6, 32, "Input"],
Cell[10770, 337, 344, 11, 32, "Input"],
Cell[11117, 350, 361, 10, 32, "Input"]
}, Closed]]
}, Closed]]
}, Closed]],
Cell[CellGroupData[{
Cell[11539, 367, 54, 0, 31, "Subsection"],
Cell[CellGroupData[{
Cell[11618, 371, 33, 0, 30, "Subsubsection"],
Cell[11654, 373, 73, 1, 32, "Input"],
Cell[CellGroupData[{
Cell[11752, 378, 87, 2, 30, "Subsubsection"],
Cell[11842, 382, 355, 12, 32, "Input"],
Cell[12200, 396, 242, 8, 32, "Input"],
Cell[12445, 406, 489, 16, 55, "Input"],
Cell[12937, 424, 180, 5, 32, "Input"],
Cell[13120, 431, 1096, 33, 121, "Input"],
Cell[14219, 466, 549, 17, 55, "Input"],
Cell[14771, 485, 395, 11, 32, "Input"],
Cell[15169, 498, 428, 12, 32, "Input"]
}, Closed]],
Cell[CellGroupData[{
Cell[15634, 515, 87, 2, 30, "Subsubsection"],
Cell[15724, 519, 1356, 39, 143, "Input"],
Cell[17083, 560, 1704, 46, 187, "Input"],
Cell[18790, 608, 411, 13, 32, "Input"],
Cell[19204, 623, 161, 4, 32, "Input"]
}, Closed]],
Cell[19380, 630, 112, 2, 32, "Input"],
Cell[CellGroupData[{
Cell[19517, 636, 87, 2, 30, "Subsubsection"],
Cell[19607, 640, 1005, 29, 99, "Input"],
Cell[20615, 671, 523, 13, 55, "Input"]
}, Closed]]
}, Closed]]
}, Closed]],
Cell[CellGroupData[{
Cell[21199, 691, 72, 1, 31, "Subsection",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[21296, 696, 33, 0, 30, "Subsubsection"],
Cell[21332, 698, 73, 1, 32, "Input"],
Cell[CellGroupData[{
Cell[21430, 703, 31, 0, 30, "Subsubsection"],
Cell[21464, 705, 1977, 53, 187, "Input"],
Cell[23444, 760, 327, 10, 32, "Input"],
Cell[23774, 772, 566, 18, 55, "Input"],
Cell[24343, 792, 189, 4, 32, "Input"]
}, Closed]],
Cell[CellGroupData[{
Cell[24569, 801, 31, 0, 30, "Subsubsection"],
Cell[24603, 803, 287, 8, 32, "Input"]
}, Closed]]
}, Closed]]
}, Closed]],
Cell[CellGroupData[{
Cell[24951, 818, 54, 0, 31, "Subsection"],
Cell[25008, 820, 73, 1, 32, "Input"],
Cell[CellGroupData[{
Cell[25106, 825, 33, 0, 30, "Subsubsection"],
Cell[25142, 827, 615, 20, 55, "Input"],
Cell[25760, 849, 133, 3, 32, "Input"],
Cell[25896, 854, 53, 0, 32, "Input"],
Cell[25952, 856, 1105, 30, 143, "Input"]
}, Closed]]
}, Closed]],
Cell[CellGroupData[{
Cell[27106, 892, 73, 0, 31, "Subsection"],
Cell[CellGroupData[{
Cell[27204, 896, 35, 0, 30, "Subsubsection"],
Cell[27242, 898, 73, 1, 32, "Input"],
Cell[CellGroupData[{
Cell[27340, 903, 33, 0, 30, "Subsubsection"],
Cell[27376, 905, 239, 8, 32, "Input"],
Cell[27618, 915, 305, 10, 32, "Input"],
Cell[27926, 927, 777, 22, 77, "Input"],
Cell[28706, 951, 676, 17, 121, "Input"]
}, Closed]],
Cell[CellGroupData[{
Cell[29419, 973, 33, 0, 30, "Subsubsection"],
Cell[29455, 975, 195, 6, 32, "Input"],
Cell[29653, 983, 350, 11, 32, "Input"],
Cell[30006, 996, 230, 5, 32, "Input"],
Cell[30239, 1003, 52, 1, 32, "Input"],
Cell[30294, 1006, 438, 13, 55, "Input"],
Cell[30735, 1021, 393, 12, 32, "Input"],
Cell[31131, 1035, 602, 14, 121, "Input"],
Cell[31736, 1051, 523, 15, 77, "Input"]
}, Closed]]
}, Closed]]
}, Closed]],
Cell[32298, 1071, 33, 0, 43, "Section"],
Cell[32334, 1073, 44, 0, 31, "Subsection"],
Cell[CellGroupData[{
Cell[32403, 1077, 45, 0, 31, "Subsection"],
Cell[CellGroupData[{
Cell[32473, 1081, 33, 0, 30, "Subsubsection"],
Cell[32509, 1083, 73, 1, 32, "Input"],
Cell[CellGroupData[{
Cell[32607, 1088, 31, 0, 30, "Subsubsection"],
Cell[32641, 1090, 234, 8, 32, "Input"],
Cell[32878, 1100, 422, 11, 77, "Input"],
Cell[33303, 1113, 168, 5, 32, "Input"],
Cell[33474, 1120, 548, 13, 121, "Input"],
Cell[34025, 1135, 276, 6, 32, "Input"],
Cell[34304, 1143, 468, 14, 55, "Input"]
}, Closed]],
Cell[CellGroupData[{
Cell[34809, 1162, 31, 0, 30, "Subsubsection"],
Cell[34843, 1164, 124, 4, 50, "Input"],
Cell[34970, 1170, 145, 4, 50, "Input"],
Cell[35118, 1176, 56, 0, 32, "Input"],
Cell[35177, 1178, 467, 12, 77, "Input"]
}, Closed]],
Cell[CellGroupData[{
Cell[35681, 1195, 33, 0, 30, "Subsubsection"],
Cell[35717, 1197, 746, 26, 77, "Input"],
Cell[36466, 1225, 740, 21, 77, "Input"],
Cell[37209, 1248, 421, 10, 77, "Input"],
Cell[37633, 1260, 152, 4, 32, "Input"]
}, Closed]],
Cell[CellGroupData[{
Cell[37822, 1269, 84, 1, 46, "Subsubsection"],
Cell[37909, 1272, 196, 2, 27, "Input"],
Cell[38108, 1276, 62, 1, 32, "Input"],
Cell[38173, 1279, 129, 1, 27, "Input"],
Cell[38305, 1282, 52, 0, 32, "Input"],
Cell[38360, 1284, 751, 20, 121, "Input"],
Cell[39114, 1306, 1054, 27, 165, "Input"]
}, Closed]]
}, Closed]]
}, Closed]],
Cell[CellGroupData[{
Cell[40229, 1340, 48, 0, 31, "Subsection"],
Cell[40280, 1342, 73, 1, 32, "Input"],
Cell[CellGroupData[{
Cell[40378, 1347, 33, 0, 30, "Subsubsection"],
Cell[CellGroupData[{
Cell[40436, 1351, 74, 1, 30, "Subsubsection"],
Cell[40513, 1354, 498, 15, 32, "Input"],
Cell[41014, 1371, 1983, 53, 187, "Input"],
Cell[43000, 1426, 275, 8, 32, "Input"],
Cell[43278, 1436, 319, 10, 32, "Input"],
Cell[43600, 1448, 307, 8, 32, "Input"],
Cell[43910, 1458, 791, 21, 121, "Input"],
Cell[44704, 1481, 354, 9, 32, "Input"],
Cell[45061, 1492, 286, 9, 32, "Input"],
Cell[45350, 1503, 295, 9, 32, "Input"]
}, Closed]],
Cell[CellGroupData[{
Cell[45682, 1517, 33, 0, 30, "Subsubsection"],
Cell[45718, 1519, 1199, 32, 165, "Input"],
Cell[46920, 1553, 535, 16, 55, "Input"],
Cell[47458, 1571, 206, 4, 21, "Input"]
}, Closed]],
Cell[CellGroupData[{
Cell[47701, 1580, 32, 0, 30, "Subsubsection"],
Cell[47736, 1582, 1097, 30, 121, "Input"],
Cell[48836, 1614, 905, 24, 121, "Input"]
}, Closed]]
}, Closed]]
}, Closed]],
Cell[CellGroupData[{
Cell[49802, 1645, 92, 1, 31, "Subsection"],
Cell[CellGroupData[{
Cell[49919, 1650, 33, 0, 30, "Subsubsection"],
Cell[49955, 1652, 73, 1, 32, "Input"],
Cell[CellGroupData[{
Cell[50053, 1657, 31, 0, 30, "Subsubsection"],
Cell[50087, 1659, 647, 20, 32, "Input"],
Cell[50737, 1681, 289, 8, 32, "Input"],
Cell[51029, 1691, 900, 22, 165, "Input"],
Cell[51932, 1715, 788, 22, 99, "Input"]
}, Closed]],
Cell[CellGroupData[{
Cell[52757, 1742, 31, 0, 30, "Subsubsection"],
Cell[52791, 1744, 274, 8, 32, "Input"],
Cell[53068, 1754, 823, 22, 99, "Input"],
Cell[53894, 1778, 187, 4, 32, "Input"]
}, Closed]],
Cell[CellGroupData[{
Cell[54118, 1787, 32, 0, 30, "Subsubsection"],
Cell[54153, 1789, 1512, 42, 165, "Input"],
Cell[55668, 1833, 962, 26, 121, "Input"]
}, Closed]]
}, Closed]]
}, Closed]],
Cell[CellGroupData[{
Cell[56691, 1866, 43, 0, 31, "Subsection"],
Cell[CellGroupData[{
Cell[56759, 1870, 33, 0, 30, "Subsubsection"],
Cell[56795, 1872, 73, 1, 32, "Input"],
Cell[CellGroupData[{
Cell[56893, 1877, 31, 0, 30, "Subsubsection"],
Cell[56927, 1879, 364, 12, 32, "Input"],
Cell[57294, 1893, 632, 15, 121, "Input"],
Cell[57929, 1910, 390, 11, 32, "Input"]
}, Closed]],
Cell[CellGroupData[{
Cell[58356, 1926, 33, 0, 30, "Subsubsection"],
Cell[58392, 1928, 460, 13, 55, "Input"],
Cell[58855, 1943, 537, 16, 55, "Input"],
Cell[59395, 1961, 189, 6, 32, "Input"],
Cell[59587, 1969, 474, 12, 99, "Input"]
}, Closed]]
}, Closed]]
}, Closed]],
Cell[60100, 1986, 31, 0, 43, "Section"],
Cell[60134, 1988, 45, 0, 24, "Subsubsection"],
Cell[CellGroupData[{
Cell[60204, 1992, 49, 0, 31, "Subsection"],
Cell[CellGroupData[{
Cell[60278, 1996, 33, 0, 30, "Subsubsection"],
Cell[60314, 1998, 73, 1, 32, "Input"],
Cell[CellGroupData[{
Cell[60412, 2003, 33, 0, 30, "Subsubsection"],
Cell[60448, 2005, 581, 19, 55, "Input"],
Cell[61032, 2026, 189, 6, 32, "Input"],
Cell[61224, 2034, 114, 3, 32, "Input"]
}, Closed]],
Cell[CellGroupData[{
Cell[61375, 2042, 31, 0, 30, "Subsubsection"],
Cell[61409, 2044, 154, 4, 32, "Input"],
Cell[61566, 2050, 737, 18, 143, "Input"],
Cell[62306, 2070, 795, 17, 165, "Input"],
Cell[63104, 2089, 844, 19, 165, "Input"]
}, Closed]]
}, Closed]]
}, Closed]],
Cell[CellGroupData[{
Cell[64009, 2115, 43, 0, 31, "Subsection"],
Cell[CellGroupData[{
Cell[64077, 2119, 33, 0, 30, "Subsubsection"],
Cell[64113, 2121, 73, 1, 32, "Input"],
Cell[CellGroupData[{
Cell[64211, 2126, 31, 0, 30, "Subsubsection"],
Cell[64245, 2128, 584, 19, 55, "Input"],
Cell[CellGroupData[{
Cell[64854, 2151, 221, 7, 55, "Input"],
Cell[65078, 2160, 93, 2, 32, "Input"]
}, Closed]]
}, Closed]],
Cell[CellGroupData[{
Cell[65220, 2168, 31, 0, 30, "Subsubsection"],
Cell[65254, 2170, 621, 20, 77, "Input"],
Cell[65878, 2192, 874, 24, 187, "Input"],
Cell[66755, 2218, 794, 18, 165, "Input"]
}, Closed]]
}, Closed]]
}, Closed]],
Cell[CellGroupData[{
Cell[67610, 2243, 32, 0, 43, "Section"],
Cell[67645, 2245, 51, 0, 30, "Subsubsection"],
Cell[67699, 2247, 66, 0, 24, "Subsubsection"],
Cell[67768, 2249, 47, 0, 24, "Subsubsection"],
Cell[67818, 2251, 57, 0, 24, "Subsubsection"],
Cell[67878, 2253, 46, 0, 24, "Subsubsection"]
}, Closed]]
}
]
*)

(* End of internal cache information *)
