(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 6.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[    159556,       5762]
NotebookOptionsPosition[    132894,       4930]
NotebookOutlinePosition[    133315,       4949]
CellTagsIndexPosition[    133272,       4946]
WindowFrame->Normal
ContainsDynamic->False*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[
 RowBox[{
  RowBox[{"Off", "[", 
   RowBox[{"Clear", "::", "\"\<wrsym\>\""}], "]"}], ";"}]], "Input",
 Hyphenation->False],

Cell[CellGroupData[{

Cell[TextData[{
 "Note about the ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " Version 6 Files: "
}], "Subsubsection",
 CellChangeTimes->{{3.424620415746278*^9, 3.42462042670328*^9}},
 ImageRegion->{{0, 1}, {0, 1}}],

Cell[TextData[{
 "(* Note about the ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " Version 6 Files: \n\nDear user. \n\nThese files have been roughly adapted \
for Mathematica Version 6. There were significant changes with this \
Mathematica version. \n\nThe Mathematica input has been adapted to generate \
the solutions. In rare cases, changes in the internal Mathematica graphics \
structure made it difficult to fully reproduces the graphics of versions 4.x \
and 5.x; a 3'rd edition of our text is in progress and these will be \
addressed in this new book. \n\nFredrick Olness\nJuly 2008\n\n *)\n"
}], "Input",
 Evaluatable->False,
 CellChangeTimes->{{3.424620433558357*^9, 3.424620592507797*^9}, {
  3.424620630088725*^9, 3.424620726566171*^9}},
 ImageRegion->{{0, 1}, {0, 1}}]
}, Closed]],

Cell[CellGroupData[{

Cell["Legal Notice, Disclaimer, and Book Ordering Information:", \
"Subsubsection",
 ImageRegion->{{0, 1}, {0, 1}}],

Cell[TextData[{
 "(* Legal Notice, Disclaimer, and Book Ordering Information:\n\nLast \
Modified: FIO July 9, 2008: updated for Mathematica version 6.x\nLast \
Modified: FIO June 8, 2002\n\n",
 StyleBox["Mathematica For Physics: 2nd Edition",
  FontColor->RGBColor[1, 0, 0]],
 "\n\nRobert L. Zimmerman and Fredrick I. Olness\n\nWebSite:  \n",
 StyleBox["  www.physics.smu.edu/~olness\n  darkwing.uoregon.edu/~phys600/\n\n\
",
  FontColor->RGBColor[1, 0, 0]],
 "MathSource Number: 0206-862",
 StyleBox["\n",
  FontColor->RGBColor[1, 0, 0]],
 "\nISBN 0-201-53796-6\nFor ordering information, call 1-800-282-0693\n\
Addison-Wesley Publishing Company\n\nCommunication with the authors:\n\
Fredrick I. Olness:  olness@mail.physics.smu.edu\nRobert L. Zimmerman: \
bob@zim.uoregon.edu\n\nCopyright 2002, Addison-Wesley Publishing Company, \
Inc. The material in\nthis file may be distributed freely  so long as the \
content remains\nunchanged, and the copyright and  reference notices are \
included. The\npublisher grants permission for the noncommercial use of these \
programs\nand program segments.  All other uses require the prior written \
consent\nof the publisher.    \n\nAll rights are reserved with regard to the  \
material in the\n\"Mathematica For Physics\" text, and may not be reproduced, \
stored in a\nretrieval system, or transmitted,  in any form or by any means,\n\
electronic, mechanical, photocopying,  recording, or otherwise, without\nthe \
prior written permission  of the publisher. \n\nThe programs and applications \
presented in this book have been included\nfor  their instructional value. \
They have been tested with care but are\nnot  guaranteed for any particular \
purpose. The publisher does not\noffer any  warranties or representations, \
nor does it accept any\nliabilities with  respect to the programs or \
applications. \n\n *)\n"
}], "Input",
 Evaluatable->False,
 CellChangeTimes->{{3.424620828588587*^9, 3.42462084491675*^9}},
 ImageRegion->{{0, 1}, {0, 1}}]
}, Closed]],

Cell["8. Electrostatics", "Title",
 Evaluatable->False,
 InitializationCell->False,
 Hyphenation->False,
 AspectRatioFixed->True],

Cell[CellGroupData[{

Cell["Introduction", "Section",
 Evaluatable->False,
 InitializationCell->False,
 Hyphenation->False,
 AspectRatioFixed->True],

Cell["\<\
Off[General::spell ];  
Off[General::spell1];
 \
\>", "Input",
 InitializationCell->False,
 Hyphenation->False,
 AspectRatioFixed->True]
}, Closed]],

Cell[TextData[{
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " Commands for All Sections"
}], "Section",
 Evaluatable->False,
 InitializationCell->False,
 Hyphenation->False,
 AspectRatioFixed->True],

Cell[CellGroupData[{

Cell["VEPlot", "Subsubsection",
 Evaluatable->False,
 InitializationCell->False,
 Hyphenation->False,
 AspectRatioFixed->True],

Cell[BoxData[
 RowBox[{"Needs", "[", "\"\<VectorFieldPlots`\>\"", "]"}]], "Input",
 Hyphenation->False],

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"VEPlot", "[", 
    RowBox[{"potential_", ",", "xlim_", ",", "ylim_", ",", "opts___"}], "]"}],
    ":=", 
   RowBox[{"Module", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"plot1", ",", "plot2"}], "}"}], ",", 
     RowBox[{
      RowBox[{"plot1", "=", 
       RowBox[{"VectorFieldPlots`GradientFieldPlot", "[", 
        RowBox[{
         RowBox[{"-", "potential"}], ",", "xlim", ",", "ylim", ",", 
         RowBox[{"ScaleFunction", "\[Rule]", 
          RowBox[{"(", 
           RowBox[{"1", "&"}], ")"}]}]}], "]"}]}], ";", 
      RowBox[{"plot2", "=", 
       RowBox[{"ContourPlot", "[", 
        RowBox[{"potential", ",", "xlim", ",", "ylim", ",", 
         RowBox[{"ContourShading", "\[Rule]", "False"}], ",", 
         RowBox[{"PlotPoints", "\[Rule]", "50"}]}], "]"}]}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{"Show", "[", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"plot1", ",", "plot2"}], "}"}], ",", "opts"}], "]"}]}]}], 
    "\[IndentingNewLine]", "]"}]}], ";"}], "\n", 
 RowBox[{
  RowBox[{"VEPlot", "[", 
   RowBox[{"potential_", ",", "opts___"}], "]"}], ":=", 
  RowBox[{"VEPlot", "[", 
   RowBox[{"potential", ",", 
    RowBox[{"{", 
     RowBox[{"x", ",", "1.1`", ",", 
      RowBox[{"-", "1.1`"}]}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"y", ",", "1.1`", ",", 
      RowBox[{"-", "1.1`"}]}], "}"}], ",", "opts"}], "]"}]}]}], "Input",
 CellChangeTimes->{{3.421775830048864*^9, 3.421775880581219*^9}, 
   3.421775931945465*^9},
 Hyphenation->False],

Cell["Protect[VEPlot];", "Input",
 Hyphenation->False,
 AspectRatioFixed->True]
}, Closed]],

Cell[CellGroupData[{

Cell["\<\
Example:  Equipotential surface and electric field of two-point charges\
\>", "Subsubsection",
 Evaluatable->False,
 InitializationCell->False,
 Hyphenation->False,
 AspectRatioFixed->True],

Cell[BoxData[
 RowBox[{
  RowBox[{"dipole", "=", 
   FormBox[
    RowBox[{
     FractionBox["1", 
      SqrtBox[
       RowBox[{
        SuperscriptBox["x", "2"], "+", 
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "y"}], "-", 
           FractionBox["1", "2"]}], ")"}], "2"]}]]], "-", 
     FractionBox["1", 
      SqrtBox[
       RowBox[{
        SuperscriptBox["x", "2"], "+", 
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{
           FractionBox["1", "2"], "-", "y"}], ")"}], "2"]}]]]}],
    TraditionalForm]}], ";"}]], "Input",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{" ", 
  RowBox[{"VEPlot", "[", 
   RowBox[{"dipole", ",", 
    RowBox[{"Epilog", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{"Hue", "[", ".3", "]"}], ",", " ", 
         RowBox[{"Disk", "[", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{"0", ",", 
             RowBox[{"1", "/", "2"}]}], "}"}], ",", "0.1"}], "]"}]}], "}"}], 
       ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"Hue", "[", "0.95", "]"}], ",", " ", 
         RowBox[{"Disk", "[", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{"0", ",", 
             RowBox[{
              RowBox[{"-", "1"}], "/", "2"}]}], "}"}], ",", "0.1"}], "]"}]}], 
        "}"}]}], "}"}]}]}], "]"}]}]], "Input",
 CellChangeTimes->{3.421775953032186*^9},
 Hyphenation->False]
}, Closed]],

Cell["8.1 Point Charges, Multipoles, and Image Charges", "Section",
 Evaluatable->False,
 InitializationCell->False,
 Hyphenation->False,
 AspectRatioFixed->True],

Cell["Overview of Point Charges, Multipoles, and Image Charges", "Subsection",
 Evaluatable->False,
 Hyphenation->False,
 AspectRatioFixed->True],

Cell[CellGroupData[{

Cell[TextData[{
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " Commands for Section 8.1"
}], "Subsubsection",
 Evaluatable->False,
 InitializationCell->False,
 Hyphenation->False,
 AspectRatioFixed->True],

Cell[CellGroupData[{

Cell["Monopole", "Subsubsection",
 Evaluatable->False,
 InitializationCell->False,
 Hyphenation->False,
 AspectRatioFixed->True],

Cell["\<\
Monopole[q_:1,r0_:{0,0,0},r_:{x,y,z}]:=
q/Sqrt[ Sum[(r0[[i]]-r[[i]])^2,{i,1,Length[r0]}] ]; \
\>", "Input",
 InitializationCell->False,
 Hyphenation->False,
 AspectRatioFixed->True],

Cell[CellGroupData[{

Cell["Example", "Subsubsection",
 Evaluatable->False,
 InitializationCell->False,
 Hyphenation->False,
 AspectRatioFixed->True],

Cell["Monopole[q,{x0,y0},{x,y}]", "Input",
 InitializationCell->False,
 Hyphenation->False,
 AspectRatioFixed->True],

Cell["Monopole[q,{x0,y0}]", "Input",
 InitializationCell->False,
 Hyphenation->False,
 AspectRatioFixed->True],

Cell["\<\
dipole= ( Monopole[+1,{0,0,-a/2}] + 
          Monopole[-1,{0,0,+a/2}] )\
\>", "Input",
 InitializationCell->False,
 Hyphenation->False,
 AspectRatioFixed->True]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell["TrigToY", "Subsubsection",
 Evaluatable->False,
 InitializationCell->False,
 Hyphenation->False,
 AspectRatioFixed->True],

Cell["\<\
TrigToY[expression_,terms_:2]:= 
Module[{el,m,result}, 
  result=
    Sum[
       Integrate[ (-1)^(m) SphericalHarmonicY[el,-m,\[Theta],\[Phi]]
                  * expression  Sin[\[Theta]]
               ,{\[Theta],0,\[Pi]},{\[Phi],0,2 \[Pi]}]
    * Y[el,m,\[Theta],\[Phi]]
   ,{el,0,terms},{m,-el,el}];
  Return[result]
];\
\>", "Input",
 InitializationCell->False,
 Hyphenation->False,
 AspectRatioFixed->True],

Cell[CellGroupData[{

Cell["Example", "Subsubsection",
 Evaluatable->False,
 InitializationCell->False,
 Hyphenation->False,
 AspectRatioFixed->True],

Cell["eq1= Cos[\[Theta]]^2  //TrigToY", "Input",
 InitializationCell->False,
 Hyphenation->False,
 AspectRatioFixed->True],

Cell[BoxData[
 RowBox[{
  RowBox[{"eq1", "//.", 
   RowBox[{"Y", "\[Rule]", "SphericalHarmonicY"}]}], "//", 
  "Simplify"}]], "Input",
 Hyphenation->False]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell[" TrigToP", "Subsubsection",
 Evaluatable->False,
 InitializationCell->False,
 Hyphenation->False,
 AspectRatioFixed->True],

Cell["\<\
TrigToP[expression_,terms_:2]:= 
Module[{el,result}, 
  result=
    Sum[ Integrate[ LegendreP[el,Cos[\[Theta]]] expression  Sin[\[Theta]]
               ,{\[Theta],0,\[Pi]}]
        * (2 el+1)/2 P[el,Cos[\[Theta]]]
   ,{el,0,terms}];
  Return[result]
];\
\>", "Input",
 InitializationCell->False,
 Hyphenation->False,
 AspectRatioFixed->True],

Cell[CellGroupData[{

Cell["Example", "Subsubsection",
 Evaluatable->False,
 InitializationCell->False,
 Hyphenation->False,
 AspectRatioFixed->True],

Cell[BoxData[
 RowBox[{"eq1", "=", 
  RowBox[{
   SuperscriptBox[
    RowBox[{"Sin", "[", "\[Theta]", "]"}], "2"], "//", "TrigToP"}]}]], "Input",\

 Hyphenation->False],

Cell[BoxData[
 RowBox[{
  RowBox[{"eq1", "//.", 
   RowBox[{"P", "\[Rule]", "LegendreP"}]}], "//", "Simplify"}]], "Input",
 Hyphenation->False]
}, Closed]]
}, Closed]],

Cell["\<\
Protect[Monopole,TrigToY,TrigToP];
 \
\>", "Input",
 Hyphenation->False,
 AspectRatioFixed->True]
}, Closed]],

Cell[CellGroupData[{

Cell["Problem 1: Superposition of point charges", "Subsubsection",
 Evaluatable->False,
 InitializationCell->False,
 Hyphenation->False,
 AspectRatioFixed->True],

Cell["Remarks and outline", "Subsubsection",
 Evaluatable->False,
 InitializationCell->False,
 Hyphenation->False,
 AspectRatioFixed->True],

Cell["Required packages", "Subsubsection",
 Evaluatable->False,
 InitializationCell->False,
 Hyphenation->False,
 AspectRatioFixed->True],

Cell[BoxData[{
 RowBox[{
  RowBox[{"Needs", "[", "\"\<VectorAnalysis`\>\"", "]"}], 
  " "}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Needs", "[", "\"\<VectorFieldPlots`\>\"", "]"}], 
  " "}], "\[IndentingNewLine]", 
 RowBox[{"Needs", "[", "\"\<VectorFieldPlots`\>\"", "]"}]}], "Input",
 InitializationCell->False,
 CellChangeTimes->{{3.421776080575832*^9, 3.42177608453645*^9}},
 Hyphenation->False,
 AspectRatioFixed->True],

Cell[CellGroupData[{

Cell["Solution", "Subsubsection",
 Evaluatable->False,
 InitializationCell->False,
 Hyphenation->False,
 AspectRatioFixed->True],

Cell["Clear[\"Global`*\"];", "Input",
 InitializationCell->False,
 Hyphenation->False,
 AspectRatioFixed->True],

Cell[CellGroupData[{

Cell["Part a", "Subsubsection",
 Hyphenation->False],

Cell["\<\
quad=( Monopole[2 q,{0,0,   0} ]+
       Monopole[ -q,{0,0, d/2} ]+
       Monopole[ -q,{0,0,-d/2} ]) 
      \
\>", "Input",
 InitializationCell->False,
 Hyphenation->False,
 AspectRatioFixed->True],

Cell["\<\
triangle=( Monopole[+2q, {   0,0,   0} ]+
           Monopole[ -q, {+d/2,0,-d/2} ]+
           Monopole[ -q, {-d/2,0,-d/2} ]) ;\
\>", "Input",
 InitializationCell->False,
 Hyphenation->False,
 AspectRatioFixed->True],

Cell["\<\
square=( Monopole[+q,{+d/2,0, d/2} ]+
         Monopole[-q,{+d/2,0,-d/2} ]+
         Monopole[+q,{-d/2,0,-d/2} ]+
         Monopole[-q,{-d/2,0, d/2} ]) ;\
\>", "Input",
 InitializationCell->False,
 Hyphenation->False,
 AspectRatioFixed->True],

Cell[BoxData[
 RowBox[{"Plot3D", "[", 
  RowBox[{
   RowBox[{"square", " ", "/.", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"y", "\[Rule]", "0"}], ",", 
      RowBox[{"q", "\[Rule]", "1"}], ",", 
      RowBox[{"d", "\[Rule]", "1"}]}], "}"}]}], "\[IndentingNewLine]", ",", 
   RowBox[{"{", 
    RowBox[{"x", ",", 
     RowBox[{"-", "1"}], ",", "1"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"z", ",", 
     RowBox[{"-", "1"}], ",", "1"}], "}"}], "\[IndentingNewLine]", ",", 
   RowBox[{"AxesLabel", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"\"\<x\>\"", ",", "\"\<z\>\"", ",", "\"\<\>\""}], "}"}]}]}], 
  "]"}]], "Input",
 CellChangeTimes->{3.421776112922034*^9},
 Hyphenation->False]
}, Closed]],

Cell[CellGroupData[{

Cell["Part b", "Subsubsection",
 Hyphenation->False],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"\[IndentingNewLine]", 
  RowBox[{
   RowBox[{"charges", "=", " ", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{"Hue", "[", "0.3", "]"}], ",", " ", 
        RowBox[{"Disk", "[", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{"0", ",", 
            RowBox[{"1", "/", "2"}]}], "}"}], ",", "0.1"}], "]"}]}], "}"}], 
      ",", "\[IndentingNewLine]", "                 ", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"Hue", "[", "0.95", "]"}], ",", 
        RowBox[{"Disk", "[", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{"0", ",", "0"}], "}"}], ",", "0.2"}], "]"}]}], "}"}], ",", 
      "\[IndentingNewLine]", "                ", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"Hue", "[", "0.3", "]"}], ",", " ", 
        RowBox[{"Disk", "[", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{"0", ",", 
            RowBox[{
             RowBox[{"-", "1"}], "/", "2"}]}], "}"}], ",", "0.1"}], "]"}]}], 
       "}"}]}], "}"}]}], ";"}]}]], "Input",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{"p1", "=", 
  RowBox[{"VectorFieldPlots`GradientFieldPlot", "[", 
   RowBox[{
    RowBox[{
     RowBox[{"-", "quad"}], "//.", "\[InvisibleSpace]", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"q", "\[Rule]", "1"}], ",", 
       RowBox[{"d", "\[Rule]", "1"}], ",", 
       RowBox[{"y", "\[Rule]", "0"}]}], "}"}]}], ",", 
    RowBox[{"{", 
     RowBox[{"x", ",", 
      RowBox[{"-", "1.1`"}], ",", "1.1`"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"z", ",", 
      RowBox[{"-", "1.1`"}], ",", "1.1`"}], "}"}], ",", 
    RowBox[{"ScaleFunction", "\[Rule]", 
     RowBox[{"(", 
      RowBox[{"1", "&"}], ")"}]}], ",", 
    RowBox[{"Epilog", "\[Rule]", "charges"}]}], "]"}]}]], "Input",
 CellChangeTimes->{{3.421776157873975*^9, 3.421776167948391*^9}},
 Hyphenation->False]
}, Closed]],

Cell[BoxData[
 RowBox[{"p2", "=", 
  RowBox[{"ContourPlot", "[", 
   RowBox[{
    RowBox[{"quad", "//.", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"q", "\[Rule]", "1"}], ",", 
       RowBox[{"d", "\[Rule]", "1"}], ",", 
       RowBox[{"y", "\[Rule]", "0"}]}], "}"}]}], ",", "\[IndentingNewLine]", 
    RowBox[{"{", 
     RowBox[{"x", ",", 
      RowBox[{"-", "1.1"}], ",", "1.1"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"z", ",", 
      RowBox[{"-", "1.1"}], ",", "1.1"}], "}"}], ",", "\[IndentingNewLine]", 
    RowBox[{"ContourShading", "\[Rule]", "False"}], ",", 
    "\[IndentingNewLine]", 
    RowBox[{"PlotPoints", "\[Rule]", "50"}]}], "\[IndentingNewLine]", 
   "]"}]}]], "Input",
 CellChangeTimes->{{3.421776178350597*^9, 3.421776181969257*^9}},
 Hyphenation->False],

Cell[BoxData[
 RowBox[{"Show", "[", 
  RowBox[{"p1", ",", "p2"}], "]"}]], "Input",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{"VEPlot", "[", 
  RowBox[{
   RowBox[{"quad", "//.", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"q", "\[Rule]", "1"}], ",", 
      RowBox[{"d", "\[Rule]", "1"}], ",", 
      RowBox[{"y", "\[Rule]", "0"}]}], "}"}]}], ",", "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{"x", ",", 
     RowBox[{"-", "1.1"}], ",", "1.1"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"z", ",", 
     RowBox[{"-", "1.1"}], ",", "1.1"}], "}"}], ",", "\[IndentingNewLine]", 
   RowBox[{"Epilog", "\[Rule]", "charges"}]}], "]"}]], "Input",
 CellChangeTimes->{3.421776225610375*^9},
 Hyphenation->False],

Cell[BoxData[
 RowBox[{
  RowBox[{"charges", "=", " ", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"Hue", "[", "0.3", "]"}], ",", " ", 
       RowBox[{"Disk", "[", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{
           RowBox[{
            RowBox[{"-", "1"}], "/", "2"}], ",", 
           RowBox[{
            RowBox[{"-", "1"}], "/", "2"}]}], "}"}], ",", "0.1"}], "]"}]}], 
      "}"}], ",", "\[IndentingNewLine]", "                 ", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"Hue", "[", "0.95", "]"}], ",", 
       RowBox[{"Disk", "[", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "0"}], "}"}], ",", "0.2"}], "]"}]}], "}"}], ",", 
     "\[IndentingNewLine]", "                ", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"Hue", "[", "0.3", "]"}], ",", " ", 
       RowBox[{"Disk", "[", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{
           RowBox[{"1", "/", "2"}], ",", 
           RowBox[{
            RowBox[{"-", "1"}], "/", "2"}]}], "}"}], ",", "0.1"}], "]"}]}], 
      "}"}]}], "}"}]}], ";"}]], "Input",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{"VEPlot", "[", 
  RowBox[{
   RowBox[{"triangle", "/.", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"q", "\[Rule]", "1"}], ",", 
      RowBox[{"d", "\[Rule]", "1"}], ",", 
      RowBox[{"y", "\[Rule]", "0"}]}], "}"}]}], ",", "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{"x", ",", 
     RowBox[{"-", "1.1"}], ",", "1.1"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"z", ",", 
     RowBox[{"-", "1.1"}], ",", "1.1"}], "}"}], ",", "\[IndentingNewLine]", 
   RowBox[{"Epilog", "\[Rule]", "charges"}]}], "]"}]], "Input",
 CellChangeTimes->{3.421776243017647*^9},
 Hyphenation->False],

Cell[BoxData[
 RowBox[{
  RowBox[{"charges", "=", " ", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"Hue", "[", "0.95", "]"}], ",", " ", 
       RowBox[{"Disk", "[", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{
           RowBox[{
            RowBox[{"-", "1"}], "/", "2"}], ",", 
           RowBox[{
            RowBox[{"-", "1"}], "/", "2"}]}], "}"}], ",", "0.1"}], "]"}]}], 
      "}"}], ",", "\[IndentingNewLine]", "                 ", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"Hue", "[", "0.95", "]"}], ",", 
       RowBox[{"Disk", "[", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{
           RowBox[{"1", "/", "2"}], ",", 
           RowBox[{"1", "/", "2"}]}], "}"}], ",", "0.1"}], "]"}]}], "}"}], 
     ",", "\[IndentingNewLine]", "                  ", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"Hue", "[", "0.3", "]"}], ",", " ", 
       RowBox[{"Disk", "[", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{
           RowBox[{
            RowBox[{"-", "1"}], "/", "2"}], ",", " ", 
           RowBox[{"1", "/", "2"}]}], "}"}], ",", "0.1"}], "]"}]}], "}"}], 
     ",", "\[IndentingNewLine]", "                ", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"Hue", "[", "0.3", "]"}], ",", " ", 
       RowBox[{"Disk", "[", 
        RowBox[{
         RowBox[{"{", " ", 
          RowBox[{
           RowBox[{"1", "/", "2"}], ",", 
           RowBox[{
            RowBox[{"-", " ", "1"}], "/", "2"}]}], "}"}], ",", "0.1"}], 
        "]"}]}], "}"}]}], "}"}]}], ";"}]], "Input",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{"VEPlot", "[", 
  RowBox[{
   RowBox[{"square", "/.", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"q", "\[Rule]", "1"}], ",", 
      RowBox[{"d", "\[Rule]", "1"}], ",", 
      RowBox[{"y", "\[Rule]", "0"}]}], "}"}]}], ",", 
   RowBox[{"{", 
    RowBox[{"x", ",", 
     RowBox[{"-", "1.1"}], ",", "1.1"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"z", ",", 
     RowBox[{"-", "1.1"}], ",", "1.1"}], "}"}], ",", 
   RowBox[{"Epilog", "\[Rule]", "charges"}]}], "]"}]], "Input",
 CellChangeTimes->{3.421776261870982*^9},
 Hyphenation->False]
}, Closed]],

Cell[CellGroupData[{

Cell["Part c", "Subsubsection",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{"x2rRule", "=", 
  RowBox[{"Thread", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"x", ",", "y", ",", "z"}], "}"}], "\[Rule]", 
    RowBox[{"CoordinatesToCartesian", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"r", ",", "\[Theta]", ",", "\[Phi]"}], "}"}], ",", 
      "Spherical"}], "]"}]}], "]"}]}]], "Input",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{"seriesQuad", "=", " ", 
  RowBox[{
   RowBox[{
    RowBox[{"Series", "[", 
     RowBox[{
      RowBox[{"quad", " ", "//.", "x2rRule"}], " ", ",", 
      RowBox[{"{", 
       RowBox[{"r", ",", "\[Infinity]", ",", "3"}], "}"}]}], "]"}], " ", "//",
     "Simplify"}], "//", "Normal"}]}]], "Input",
 CellChangeTimes->{3.421776437831763*^9},
 Hyphenation->False],

Cell[" seriesQuad //TrigToP //Simplify", "Input",
 InitializationCell->False,
 Hyphenation->False,
 AspectRatioFixed->True],

Cell[BoxData[
 RowBox[{"seriesSquare", "=", " ", 
  RowBox[{
   RowBox[{
    RowBox[{"Series", "[", 
     RowBox[{
      RowBox[{"square", " ", "//.", "x2rRule"}], " ", ",", 
      RowBox[{"{", 
       RowBox[{"r", ",", "\[Infinity]", ",", "3"}], "}"}]}], "]"}], "  ", "//",
     "Simplify"}], " ", "//", "Normal"}]}]], "Input",
 CellChangeTimes->{3.421776488054169*^9},
 Hyphenation->False],

Cell[" seriesSquare //TrigToY //Simplify", "Input",
 InitializationCell->False,
 Hyphenation->False,
 AspectRatioFixed->True],

Cell[BoxData[
 RowBox[{"seriesTriangle", "=", " ", 
  RowBox[{
   RowBox[{
    RowBox[{"Series", "[", 
     RowBox[{
      RowBox[{"triangle", " ", "//.", "x2rRule"}], " ", ",", 
      RowBox[{"{", 
       RowBox[{"r", ",", "\[Infinity]", ",", "3"}], "}"}]}], "]"}], "  ", "//",
     "FullSimplify"}], "//", "Normal"}]}]], "Input",
 CellChangeTimes->{3.421776523785839*^9},
 Hyphenation->False],

Cell["seriesTriangle //TrigToY//Simplify  ", "Input",
 InitializationCell->False,
 Hyphenation->False,
 AspectRatioFixed->True]
}, Closed]],

Cell[CellGroupData[{

Cell["Part d", "Subsubsection",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{"p1", "=", 
  RowBox[{"VectorFieldPlots`GradientFieldPlot3D", "[", 
   RowBox[{
    RowBox[{"quad", "//.", "\[InvisibleSpace]", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"q", "\[Rule]", "1"}], ",", 
       RowBox[{"d", "\[Rule]", "1"}]}], "}"}]}], ",", 
    RowBox[{"{", 
     RowBox[{"x", ",", 
      RowBox[{"-", "1"}], ",", "1"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"y", ",", 
      RowBox[{"-", "1"}], ",", "1"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"z", ",", 
      RowBox[{"-", "1"}], ",", "1"}], "}"}], ",", 
    RowBox[{"ScaleFunction", "\[Rule]", 
     RowBox[{"(", 
      RowBox[{"1", "&"}], ")"}]}], ",", 
    RowBox[{"VectorHeads", "\[Rule]", "True"}], ",", 
    RowBox[{"PlotPoints", "\[Rule]", "6"}], ",", 
    RowBox[{"BoxRatios", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{"1", ",", "1", ",", "2"}], "}"}]}], ",", 
    RowBox[{"ViewPoint", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{"1.3`", ",", 
       RowBox[{"-", "2.4`"}], ",", "1"}], "}"}]}]}], "\[IndentingNewLine]", 
   "]"}]}]], "Input",
 CellChangeTimes->{{3.421776629109794*^9, 3.421776639872729*^9}},
 Hyphenation->False]
}, Closed]]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell["Problem 2: Point charges and grounded plane", "Subsubsection",
 Evaluatable->False,
 InitializationCell->False,
 Hyphenation->False,
 AspectRatioFixed->True],

Cell["Remarks and outline", "Subsubsection",
 Evaluatable->False,
 InitializationCell->False,
 Hyphenation->False,
 AspectRatioFixed->True],

Cell["Required packages", "Subsubsection",
 Evaluatable->False,
 InitializationCell->False,
 Hyphenation->False,
 AspectRatioFixed->True],

Cell[BoxData[
 RowBox[{
  RowBox[{"Needs", "[", "\"\<VectorAnalysis`\>\"", "]"}], " ", 
  RowBox[{"Needs", "[", "\"\<VectorFieldPlots`\>\"", "]"}]}]], "Input",
 InitializationCell->False,
 Hyphenation->False,
 AspectRatioFixed->True],

Cell[CellGroupData[{

Cell["Solution", "Subsubsection",
 Evaluatable->False,
 InitializationCell->False,
 Hyphenation->False,
 AspectRatioFixed->True],

Cell["Clear[\"Global`*\"];", "Input",
 InitializationCell->False,
 Hyphenation->False,
 AspectRatioFixed->True],

Cell[CellGroupData[{

Cell["Part a", "Subsubsection",
 Hyphenation->False],

Cell["\<\
dipole= ( Monopole[+q,{0,0,+d}] + 
          Monopole[-q,{0,0,-d}] )\
\>", "Input",
 InitializationCell->False,
 Hyphenation->False,
 AspectRatioFixed->True],

Cell[" dipole/.z->0", "Input",
 InitializationCell->False,
 Hyphenation->False,
 AspectRatioFixed->True]
}, Closed]],

Cell[CellGroupData[{

Cell["Part b", "Subsubsection",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{"x2rRule", "=", 
  RowBox[{"Thread", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"x", ",", "y", ",", "z"}], "}"}], "\[Rule]", 
    RowBox[{"CoordinatesToCartesian", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"r", ",", "\[Theta]", ",", "phi"}], "}"}], ",", "Spherical"}], 
     "]"}]}], "]"}]}]], "Input",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{"dipoleR", "=", " ", 
  RowBox[{
   RowBox[{
    RowBox[{"Series", "[", 
     RowBox[{
      RowBox[{"dipole", "//.", "x2rRule"}], " ", ",", 
      RowBox[{"{", 
       RowBox[{"r", ",", "\[Infinity]", ",", "2"}], "}"}]}], "]"}], " ", "//",
     "Normal"}], "//", "Simplify"}]}]], "Input",
 Hyphenation->False],

Cell["dipoleR//TrigToP", "Input",
 InitializationCell->False,
 Hyphenation->False,
 AspectRatioFixed->True],

Cell["\<\
efieldR= -Grad[dipoleR,Spherical[r,\[Theta],\[Phi]]]\
\>", "Input",
 InitializationCell->False,
 Hyphenation->False,
 AspectRatioFixed->True]
}, Closed]],

Cell[CellGroupData[{

Cell["Part c", "Subsubsection",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{"charge", "=", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"-", "1"}], "/", 
     RowBox[{"(", 
      RowBox[{"4", " ", "\[Pi]"}], ")"}]}], " ", 
    RowBox[{"D", "[", 
     RowBox[{"dipole", ",", "z"}], "]"}]}], "//.", 
   RowBox[{"z", "\[Rule]", "0"}]}]}]], "Input",
 Hyphenation->False],

Cell["\<\
Integrate[charge,{y,-\[Infinity],+\[Infinity]},{x,-\[Infinity],+\[Infinity]},\
GenerateConditions->False]//PowerExpand\
\>", "Input",
 InitializationCell->False,
 CellChangeTimes->{{3.421778717666802*^9, 3.42177877660908*^9}},
 Hyphenation->False,
 AspectRatioFixed->True],

Cell[BoxData[
 RowBox[{"ContourPlot", "[", 
  RowBox[{
   RowBox[{"charge", "/.", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"d", "\[Rule]", "1"}], ",", 
      RowBox[{"q", "\[Rule]", "1"}]}], "}"}]}], ",", 
   RowBox[{"{", 
    RowBox[{"y", ",", 
     RowBox[{"-", "1"}], ",", "1"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"x", ",", 
     RowBox[{"-", "1"}], ",", "1"}], "}"}]}], "]"}]], "Input",
 CellChangeTimes->{3.421778835087124*^9},
 Hyphenation->False]
}, Closed]]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell["Problem 3: Point charges and grounded sphere", "Subsubsection",
 Evaluatable->False,
 InitializationCell->False,
 Hyphenation->False,
 AspectRatioFixed->True],

Cell["Remarks and outline", "Subsubsection",
 Evaluatable->False,
 InitializationCell->False,
 Hyphenation->False,
 AspectRatioFixed->True],

Cell["Required packages", "Subsubsection",
 Evaluatable->False,
 InitializationCell->False,
 Hyphenation->False,
 AspectRatioFixed->True],

Cell[BoxData[{
 RowBox[{
  RowBox[{"Needs", "[", "\"\<VectorAnalysis`\>\"", "]"}], 
  " "}], "\[IndentingNewLine]", 
 RowBox[{"Needs", "[", "\"\<VectorFieldPlots`\>\"", "]"}]}], "Input",
 InitializationCell->False,
 CellChangeTimes->{3.421779011731569*^9},
 Hyphenation->False,
 AspectRatioFixed->True],

Cell[CellGroupData[{

Cell["Solution", "Subsubsection",
 Evaluatable->False,
 InitializationCell->False,
 Hyphenation->False,
 AspectRatioFixed->True],

Cell["Clear[\"Global`*\"];", "Input",
 InitializationCell->False,
 Hyphenation->False,
 AspectRatioFixed->True],

Cell[CellGroupData[{

Cell["Part a", "Subsubsection",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{
  RowBox[{"eq1", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{
       FractionBox["q", 
        RowBox[{"a", "+", "d"}]], "+", 
       FractionBox["q1", 
        RowBox[{"a", "+", "d1"}]]}], "==", "0"}], ",", 
     RowBox[{
      RowBox[{
       FractionBox["q", 
        RowBox[{
         RowBox[{"-", "a"}], "+", "d"}]], "+", 
       FractionBox["q1", 
        RowBox[{"a", "-", "d1"}]]}], "==", "0"}]}], "}"}]}], ";"}]], "Input",
 Hyphenation->False],

Cell["imageRule= Solve[eq1,{d1,q1}] //ExpandAll //Flatten ", "Input",
 InitializationCell->False,
 Hyphenation->False,
 AspectRatioFixed->True],

Cell[BoxData[
 RowBox[{"potential", "=", 
  RowBox[{
   RowBox[{"(", 
    RowBox[{
     RowBox[{"Monopole", "[", 
      RowBox[{"q", ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", "0", ",", "d"}], "}"}]}], "]"}], "+", 
     RowBox[{"Monopole", "[", 
      RowBox[{"q1", ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", "0", ",", "d1"}], "}"}]}], "]"}]}], ")"}], "//.", 
   "imageRule"}]}]], "Input",
 Hyphenation->False]
}, Closed]],

Cell[CellGroupData[{

Cell["Part b", "Subsubsection",
 Hyphenation->False],

Cell["\<\
x2rRule=Thread[{x,y,z}-> \
CoordinatesToCartesian[{r,\[Theta],\[Phi]},Spherical]]\
\>", "Input",
 InitializationCell->False,
 Hyphenation->False,
 AspectRatioFixed->True],

Cell[" potentialR= potential //.x2rRule //Simplify //Expand", "Input",
 InitializationCell->False,
 Hyphenation->False,
 AspectRatioFixed->True],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"potentialR", "//.", 
    RowBox[{"r", "\[Rule]", "a"}]}], "//", "Simplify"}], "//", 
  "PowerExpand"}]], "Input",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"Series", "[", 
    RowBox[{"potentialR", ",", 
     RowBox[{"{", 
      RowBox[{"r", ",", "\[Infinity]", ",", "2"}], "}"}]}], "]"}], " ", "//", 
   "Normal"}], "  ", "//", 
  RowBox[{
   RowBox[{"Collect", "[", 
    RowBox[{"#", ",", 
     RowBox[{"{", " ", 
      RowBox[{
       RowBox[{"Cos", "[", "\[Theta]", "]"}], ",", "r", ",", " ", "a"}], " ", 
      "}"}]}], "]"}], "&"}]}]], "Input",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{"VEPlot", "[", 
  RowBox[{
   RowBox[{"potential", "/.", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"a", "\[Rule]", "0.2"}], ",", 
      RowBox[{"d", "\[Rule]", "0.4"}], ",", 
      RowBox[{"q", "\[Rule]", "1"}], ",", 
      RowBox[{"y", "\[Rule]", "0"}]}], "}"}]}], ",", 
   RowBox[{"{", 
    RowBox[{"x", ",", 
     RowBox[{"-", "1"}], ",", "1"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"z", ",", 
     RowBox[{"-", "1"}], ",", "1"}], "}"}], ",", 
   RowBox[{"Epilog", "\[Rule]", 
    RowBox[{"{", " ", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{"Hue", "[", "0.3", "]"}], ",", 
        RowBox[{"Disk", "[", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{"0", ",", "0.1"}], " ", "}"}], ",", "0.05"}], "]"}]}], 
       "}"}], ",", "\[IndentingNewLine]", "                 ", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"Thickness", "[", "0.01", "]"}], ",", 
        RowBox[{"Circle", "[", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{"0", ",", "0"}], "}"}], ",", "0.2"}], "]"}]}], "}"}], "  ",
       ",", "\[IndentingNewLine]", "                  ", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"Hue", "[", "0.95", "]"}], ",", 
        RowBox[{"Disk", "[", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{"0", ",", "0.4"}], "}"}], ",", "0.1"}], "]"}]}], "}"}]}], 
     "}"}]}]}], "]"}]], "Input",
 CellChangeTimes->{3.421779095583007*^9},
 Hyphenation->False]
}, Closed]],

Cell[CellGroupData[{

Cell["Part c", "Subsubsection",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{"chargedensity", "=", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{
       FormBox[
        RowBox[{"-", 
         FractionBox["1", 
          RowBox[{"4", " ", "\[Pi]"}]]}],
        TraditionalForm], " ", 
       RowBox[{"D", "[", 
        RowBox[{"potentialR", ",", "r"}], "]"}]}], "/.", 
      RowBox[{"{", 
       RowBox[{"r", "\[Rule]", "a"}], "}"}]}], "//", "Simplify"}], "//", 
    "PowerExpand"}], "//", "Simplify"}]}]], "Input",
 CellChangeTimes->{{3.421779117374179*^9, 3.421779119877953*^9}},
 Hyphenation->False],

Cell[BoxData[
 RowBox[{"totalcharge", "=", "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{"Integrate", "[", 
    RowBox[{
     RowBox[{"chargedensity", "  ", "2", " ", "\[Pi]", " ", 
      RowBox[{"a", "^", "2"}], 
      RowBox[{"Sin", "[", "\[Theta]", "]"}]}], ",", 
     RowBox[{"{", 
      RowBox[{"\[Theta]", ",", "0", ",", "\[Pi]"}], "}"}], ",", 
     RowBox[{"GenerateConditions", "\[Rule]", "False"}]}], "]"}], " ", "//", 
   "Simplify"}]}]], "Input",
 CellChangeTimes->{{3.421779147132993*^9, 3.421779161293829*^9}, 
   3.421779612460525*^9},
 Hyphenation->False],

Cell[BoxData[
 RowBox[{
  RowBox[{"rule", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      FractionBox["1", 
       SqrtBox[
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{"a", "-", "d"}], ")"}], "2"]]], "\[Rule]", 
      FractionBox["1", 
       RowBox[{
        RowBox[{"-", "a"}], "+", "d"}]]}], ",", 
     RowBox[{
      SqrtBox[
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{"a", "-", "d"}], ")"}], "2"]], "\[Rule]", 
      RowBox[{
       RowBox[{"-", "a"}], "+", "d"}]}]}], "}"}]}], ";"}]], "Input",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"totalcharge", " ", "//.", "rule"}], "//", "PowerExpand"}], " ", "//",
   "Simplify"}]], "Input",
 Hyphenation->False]
}, Closed]],

Cell[CellGroupData[{

Cell["Part d", "Subsubsection",
 Hyphenation->False],

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"\[Theta]Min", "=", 
    RowBox[{"+", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"FindMinimum", "[", 
        RowBox[{
         RowBox[{
          RowBox[{"+", "chargedensity"}], "/.", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"a", "\[Rule]", "1"}], ",", 
            RowBox[{"q", "\[Rule]", "1"}], ",", 
            RowBox[{"d", "\[Rule]", "2"}]}], "}"}]}], ",", 
         RowBox[{"{", 
          RowBox[{"\[Theta]", ",", "1"}], "}"}]}], "]"}], "//", "First"}], 
      ")"}]}]}], ";"}], "\[IndentingNewLine]"}], "\n", 
 RowBox[{
  RowBox[{
   RowBox[{"\[Theta]Max", "=", 
    RowBox[{"-", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"FindMinimum", "[", 
        RowBox[{
         RowBox[{
          RowBox[{"-", "chargedensity"}], "/.", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"a", "\[Rule]", "1"}], ",", 
            RowBox[{"q", "\[Rule]", "1"}], ",", 
            RowBox[{"d", "\[Rule]", "2"}]}], "}"}]}], ",", 
         RowBox[{"{", 
          RowBox[{"\[Theta]", ",", "1"}], "}"}]}], "]"}], "//", "First"}], 
      ")"}]}]}], ";"}], "\[IndentingNewLine]"}], "\n", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"gray", "[", "\[Theta]_", "]"}], "=", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{
       RowBox[{"(", 
        RowBox[{"chargedensity", "-", "\[Theta]Min"}], ")"}], "/", 
       RowBox[{"(", 
        RowBox[{"\[Theta]Max", "-", "\[Theta]Min"}], ")"}]}], "/.", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"a", "\[Rule]", "1"}], ",", 
        RowBox[{"q", "\[Rule]", "1"}], ",", 
        RowBox[{"d", "\[Rule]", "2"}]}], "}"}]}], ")"}]}], ";"}], 
  "\[IndentingNewLine]"}], "\n", 
 RowBox[{"{", 
  RowBox[{"\[Theta]Min", ",", "\[Theta]Max"}], "}"}]}], "Input",
 Hyphenation->False],

Cell["\<\
radius=1;
ParametricPlot3D[{radius Sin[\[Theta]] Cos[\[Phi]]
                ,radius Sin[\[Theta]] Sin[\[Phi]]
                ,radius Cos[\[Theta]]
                ,GrayLevel[gray[\[Theta]]]}
          ,{\[Theta],0,\[Pi]}
          ,{\[Phi],0,2 \[Pi]}
          ,Axes->False
          ,Boxed->False]\
\>", "Input",
 InitializationCell->False,
 CellChangeTimes->{{3.421779694792602*^9, 3.421779699191436*^9}, {
   3.421779758955213*^9, 3.421779769857524*^9}, 3.421779859935044*^9},
 Hyphenation->False,
 AspectRatioFixed->True]
}, Closed]]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell["Problem 4: Line charge and grounded plane", "Subsubsection",
 Evaluatable->False,
 InitializationCell->False,
 Hyphenation->False,
 AspectRatioFixed->True],

Cell["Remarks and outline", "Subsubsection",
 Evaluatable->False,
 InitializationCell->False,
 Hyphenation->False,
 AspectRatioFixed->True],

Cell["Required packages", "Subsubsection",
 Evaluatable->False,
 InitializationCell->False,
 Hyphenation->False,
 AspectRatioFixed->True],

Cell[BoxData[{
 RowBox[{
  RowBox[{"Needs", "[", "\"\<VectorAnalysis`\>\"", "]"}], 
  " "}], "\[IndentingNewLine]", 
 RowBox[{"Needs", "[", "\"\<VectorFieldPlots`\>\"", "]"}]}], "Input",
 InitializationCell->False,
 CellChangeTimes->{3.421780097757304*^9},
 Hyphenation->False,
 AspectRatioFixed->True],

Cell[CellGroupData[{

Cell["Solution", "Subsubsection",
 Evaluatable->False,
 InitializationCell->False,
 Hyphenation->False,
 AspectRatioFixed->True],

Cell["Clear[\"Global`*\"];", "Input",
 InitializationCell->False,
 Hyphenation->False,
 AspectRatioFixed->True],

Cell[CellGroupData[{

Cell["Part a", "Subsubsection",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{
  RowBox[{"potential", "=", 
   RowBox[{
    RowBox[{
     RowBox[{"-", "q"}], " ", 
     RowBox[{"Log", "[", 
      RowBox[{
       SuperscriptBox["x", "2"], "+", 
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{"y", "-", "y0"}], ")"}], "2"]}], "]"}]}], "+", 
    RowBox[{"q", " ", 
     RowBox[{"Log", "[", 
      RowBox[{
       SuperscriptBox["x", "2"], "+", 
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{"y", "+", "y0"}], ")"}], "2"]}], "]"}]}]}]}], ";"}]], "Input",\

 Hyphenation->False],

Cell["potential //.{y->0}", "Input",
 InitializationCell->False,
 Hyphenation->False,
 AspectRatioFixed->True],

Cell[BoxData[
 RowBox[{"VEPlot", "[", 
  RowBox[{
   RowBox[{"potential", "//.", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"q", "\[Rule]", "1"}], ",", 
      RowBox[{"y0", "\[Rule]", "1"}]}], "}"}]}], ",", 
   RowBox[{"{", 
    RowBox[{"x", ",", 
     RowBox[{"-", "1.1"}], ",", "1.1"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"y", ",", 
     RowBox[{"-", "2"}], ",", "2"}], "}"}], ",", 
   RowBox[{"Epilog", "\[Rule]", 
    RowBox[{"{", " ", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{"Thickness", "[", ".03", "]"}], ",", 
        RowBox[{"Line", "[", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{
             RowBox[{"-", "1.1"}], ",", "0"}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{"1.1", ",", "0"}], "}"}]}], "}"}], "]"}]}], " ", "}"}], 
      ",", "\[IndentingNewLine]", " ", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"Hue", "[", ".35", "]"}], ",", 
        RowBox[{"Disk", "[", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{"0", ",", " ", 
            RowBox[{"-", "1"}]}], " ", "}"}], ",", ".1"}], "]"}]}], "}"}], 
      " ", ",", "\[IndentingNewLine]", "  ", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"Hue", "[", ".95", "]"}], ",", 
        RowBox[{"Disk", "[", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{"0", ",", " ", "1"}], " ", "}"}], ",", ".1"}], "]"}]}], 
       "}"}]}], "}"}]}]}], "]"}]], "Input",
 CellChangeTimes->{3.421780112514832*^9},
 Hyphenation->False],

Cell["Laplacian[ potential,Cartesian[x,y,z]]//Together", "Input",
 InitializationCell->False,
 Hyphenation->False,
 AspectRatioFixed->True]
}, Closed]],

Cell[CellGroupData[{

Cell["Part b", "Subsubsection",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{"charge", "=", 
  RowBox[{
   RowBox[{
    FormBox[
     RowBox[{"-", 
      FractionBox["1", 
       RowBox[{"4", " ", "\[Pi]"}]]}],
     TraditionalForm], " ", 
    RowBox[{"D", "[", 
     RowBox[{"potential", ",", "y"}], "]"}]}], "/.", 
   RowBox[{"{", 
    RowBox[{"y", "\[Rule]", "0"}], "}"}]}]}]], "Input",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{"ContourPlot", "[", 
  RowBox[{
   RowBox[{"charge", "/.", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"q", "\[Rule]", "1"}], ",", 
      RowBox[{"y0", "\[Rule]", "1"}]}], "}"}]}], ",", 
   RowBox[{"{", 
    RowBox[{"x", ",", 
     RowBox[{"-", "2"}], ",", "2"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"y", ",", 
     RowBox[{"-", "2"}], ",", "2"}], "}"}]}], "]"}]], "Input",
 CellChangeTimes->{3.421780139980984*^9},
 Hyphenation->False],

Cell["\<\
Integrate[charge,{x,-\[Infinity],+\[Infinity]},GenerateConditions->False] \
//PowerExpand\
\>", "Input",
 InitializationCell->False,
 CellChangeTimes->{{3.421780152232671*^9, 3.421780161217534*^9}},
 Hyphenation->False,
 AspectRatioFixed->True]
}, Closed]],

Cell[CellGroupData[{

Cell["Part c", "Subsubsection",
 Hyphenation->False],

Cell["eField= -Grad[potential,Cartesian[x,y,z]] //Simplify", "Input",
 InitializationCell->False,
 Hyphenation->False,
 AspectRatioFixed->True],

Cell[BoxData[
 RowBox[{"VectorFieldPlots`VectorFieldPlot", "[", 
  RowBox[{
   RowBox[{
    RowBox[{"eField", "\[LeftDoubleBracket]", 
     RowBox[{"{", 
      RowBox[{"1", ",", "2"}], "}"}], "\[RightDoubleBracket]"}], "//.", 
    "\[InvisibleSpace]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"q", "\[Rule]", "1"}], ",", 
      RowBox[{"y0", "\[Rule]", "1"}]}], "}"}]}], ",", 
   RowBox[{"{", 
    RowBox[{"x", ",", 
     RowBox[{"-", "5"}], ",", "5"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"y", ",", "0", ",", "3"}], "}"}], ",", 
   RowBox[{"PlotPoints", "\[Rule]", "10"}], ",", 
   RowBox[{"ScaleFunction", "\[Rule]", 
    RowBox[{"(", 
     RowBox[{"1", "&"}], ")"}]}], ",", 
   RowBox[{"AspectRatio", "\[Rule]", 
    FractionBox["8", "10"]}], ",", 
   RowBox[{"Prolog", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{"Thickness", "[", "0.03`", "]"}], ",", 
        RowBox[{"Line", "[", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{
             RowBox[{"-", "5"}], ",", "0"}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{"5", ",", "0"}], "}"}]}], "}"}], "]"}]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"Hue", "[", "0.95`", "]"}], ",", 
        RowBox[{"Disk", "[", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{"0", ",", "1"}], "}"}], ",", "0.2`"}], "]"}]}], "}"}]}], 
     "}"}]}]}], "]"}]], "Input",
 CellChangeTimes->{{3.421780210094564*^9, 3.421780212985014*^9}}]
}, Closed]]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell["Problem 5: Multipole expansion of a charge distribution", \
"Subsubsection",
 Evaluatable->False,
 InitializationCell->False,
 Hyphenation->False,
 AspectRatioFixed->True],

Cell["Clear[\"Global`*\"];", "Input",
 InitializationCell->False,
 Hyphenation->False,
 AspectRatioFixed->True],

Cell[CellGroupData[{

Cell["Remarks and outline", "Subsubsection",
 Evaluatable->False,
 InitializationCell->False,
 Hyphenation->False,
 AspectRatioFixed->True],

Cell[CellGroupData[{

Cell["MultipoleSH", "Subsubsection",
 Evaluatable->False,
 InitializationCell->False,
 Hyphenation->False,
 AspectRatioFixed->True],

Cell[BoxData[
 RowBox[{" ", 
  RowBox[{
   RowBox[{
    RowBox[{"MultipoleSH", "[", 
     RowBox[{"distribution_", ",", "rlimit_", ",", "n_"}], "]"}], ":=", 
    RowBox[{"Module", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"q", ",", "V"}], "}"}], ",", 
      RowBox[{
       RowBox[{"q", ":=", 
        RowBox[{"Integrate", "[", 
         RowBox[{
          RowBox[{
           RowBox[{"(", 
            RowBox[{"Integrate", "[", 
             RowBox[{
              RowBox[{"distribution", " ", 
               SuperscriptBox["r", "2"]}], ",", 
              RowBox[{"{", 
               RowBox[{"r", ",", "0", ",", "rlimit"}], "}"}]}], "]"}], ")"}], 
           "*", 
           FormBox[
            RowBox[{
             SuperscriptBox[
              RowBox[{"(", 
               RowBox[{"-", "1"}], ")"}], "m"], " ", 
             RowBox[{"sin", "(", "\[Theta]", ")"}], " ", 
             RowBox[{
              SubsuperscriptBox["Y", "el", 
               RowBox[{"-", "m"}]], "(", 
              RowBox[{"\[Theta]", ",", "\[Phi]"}], ")"}]}],
            TraditionalForm]}], ",", 
          RowBox[{"{", 
           RowBox[{"\[Theta]", ",", "0", ",", "\[Pi]"}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"\[Phi]", ",", "0", ",", 
            RowBox[{"2", " ", "\[Pi]"}]}], "}"}]}], "]"}]}], ";", 
       "\[IndentingNewLine]", 
       RowBox[{"V", "=", 
        RowBox[{"Sum", "[", 
         RowBox[{
          FormBox[
           FractionBox[
            RowBox[{"4", " ", "\[Pi]", " ", "q", " ", 
             SuperscriptBox[
              RowBox[{"(", 
               FractionBox["rlimit", "r"], ")"}], "el"], " ", 
             RowBox[{"Y", "(", 
              RowBox[{"el", ",", "m", ",", "\[Theta]", ",", "\[Phi]"}], 
              ")"}]}], 
            RowBox[{
             RowBox[{"(", 
              RowBox[{
               RowBox[{"2", " ", "el"}], "+", "1"}], ")"}], " ", "r"}]],
           TraditionalForm], ",", 
          RowBox[{"{", 
           RowBox[{"el", ",", "0", ",", "n"}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"m", ",", 
            RowBox[{"-", "el"}], ",", "el"}], "}"}]}], "]"}]}], ";", 
       "\[IndentingNewLine]", 
       RowBox[{"Return", "[", "V", "]"}]}]}], "]"}]}], ";"}]}]], "Input",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{
  RowBox[{"density", "=", 
   FormBox[
    FractionBox[
     RowBox[{"Q", " ", 
      RowBox[{"(", 
       RowBox[{"r", "-", "a"}], ")"}], " ", 
      RowBox[{
       SuperscriptBox["sin", "2"], "(", "\[Theta]", ")"}], " ", 
      RowBox[{
       SuperscriptBox["sin", "2"], "(", "\[Phi]", ")"}]}], 
     SuperscriptBox["a", "4"]],
    TraditionalForm]}], ";"}]], "Input",
 Hyphenation->False],

Cell["  MultipoleSH[density,a,2] //Simplify //Apart  ", "Input",
 InitializationCell->False,
 Hyphenation->False,
 AspectRatioFixed->True]
}, Closed]],

Cell[CellGroupData[{

Cell["MultipoleP", "Subsubsection",
 Evaluatable->False,
 InitializationCell->False,
 Hyphenation->False,
 AspectRatioFixed->True],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"MultipoleP", "[", 
    RowBox[{"distribution_", ",", "rlimit_", ",", "n_"}], "]"}], ":=", 
   RowBox[{"Module", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"q", ",", "pot"}], "}"}], ",", 
     RowBox[{
      RowBox[{"q", ":=", 
       RowBox[{"Integrate", "[", 
        RowBox[{
         RowBox[{"2", " ", "\[Pi]", "*", 
          RowBox[{"(", 
           RowBox[{"Integrate", "[", 
            RowBox[{
             RowBox[{"distribution", " ", 
              RowBox[{"r", "^", "2"}]}], ",", 
             RowBox[{"{", 
              RowBox[{"r", ",", "0", ",", "rlimit"}], "}"}]}], "]"}], ")"}], 
          "*", 
          FormBox[
           FractionBox[
            SqrtBox[
             RowBox[{
              RowBox[{"2", " ", "el"}], "+", "1"}]], 
            RowBox[{"2", " ", 
             SqrtBox["\[Pi]"]}]],
           TraditionalForm], " ", 
          RowBox[{"LegendreP", "[", 
           RowBox[{"el", ",", 
            RowBox[{"Cos", "[", "\[Theta]", "]"}]}], "]"}], "*", 
          RowBox[{"Sin", "[", "\[Theta]", "]"}]}], ",", 
         RowBox[{"{", 
          RowBox[{"\[Theta]", ",", "0", ",", "\[Pi]"}], "}"}]}], "]"}]}], ";",
       "\[IndentingNewLine]", 
      RowBox[{"pot", "=", 
       RowBox[{"Sum", "[", 
        RowBox[{
         FormBox[
          FractionBox[
           RowBox[{"2", " ", 
            SqrtBox[
             FractionBox["1", 
              RowBox[{
               RowBox[{"2", " ", "el"}], "+", "1"}]]], " ", 
            SqrtBox["\[Pi]"], " ", "q", " ", 
            SuperscriptBox[
             RowBox[{"(", 
              FractionBox["rlimit", "r"], ")"}], "el"], " ", 
            RowBox[{"P", "(", 
             RowBox[{"el", ",", 
              RowBox[{"cos", "(", "\[Theta]", ")"}]}], ")"}]}], "r"],
          TraditionalForm], ",", 
         RowBox[{"{", 
          RowBox[{"el", ",", "0", ",", "n"}], "}"}]}], "]"}]}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{"Return", "[", "pot", "]"}]}]}], "]"}]}], ";"}]], "Input",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{
  RowBox[{"density", "=", 
   FormBox[
    FractionBox[
     RowBox[{"Q", " ", 
      RowBox[{"(", 
       RowBox[{"r", "-", 
        RowBox[{"a", " ", 
         RowBox[{
          SuperscriptBox["cos", "2"], "(", "\[Theta]", ")"}]}]}], ")"}]}], 
     SuperscriptBox["a", "4"]],
    TraditionalForm]}], ";"}]], "Input",
 Hyphenation->False],

Cell["eq1= MultipoleP[density,a,2] ", "Input",
 InitializationCell->False,
 Hyphenation->False,
 AspectRatioFixed->True],

Cell["eq2= MultipoleSH[density,a,2]", "Input",
 InitializationCell->False,
 Hyphenation->False,
 AspectRatioFixed->True],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"eq1", "\[Equal]", "eq2"}], "//.", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"P", "\[Rule]", "LegendreP"}], ",", 
     RowBox[{"Y", "\[Rule]", "SphericalHarmonicY"}]}], "}"}]}], "//", 
  "Simplify"}]], "Input",
 Hyphenation->False]
}, Closed]]
}, Closed]],

Cell["Required packages", "Subsubsection",
 Evaluatable->False,
 InitializationCell->False,
 Hyphenation->False,
 AspectRatioFixed->True],

Cell[BoxData[
 RowBox[{
  RowBox[{"Needs", "[", "\"\<VectorAnalysis`\>\"", "]"}], " ", 
  RowBox[{"Needs", "[", "\"\<VectorFieldPlots`\>\"", "]"}]}]], "Input",
 InitializationCell->False,
 Hyphenation->False,
 AspectRatioFixed->True],

Cell[CellGroupData[{

Cell["Solution", "Subsubsection",
 Evaluatable->False,
 InitializationCell->False,
 Hyphenation->False,
 AspectRatioFixed->True],

Cell[CellGroupData[{

Cell["Part a", "Subsubsection",
 Hyphenation->False],

Cell[BoxData[{
 RowBox[{
  RowBox[{"chargeDensity1", "=", 
   FormBox[
    FractionBox[
     RowBox[{"q0", " ", 
      RowBox[{"(", 
       RowBox[{"a", "-", "r"}], ")"}], " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"sin", "(", "\[Theta]", ")"}], "-", 
        FractionBox["\[Pi]", "4"]}], ")"}]}], 
     SuperscriptBox["a", "4"]],
    TraditionalForm]}], ";"}], "\n", 
 RowBox[{
  RowBox[{"chargeDensity2", "=", 
   FormBox[
    FractionBox[
     RowBox[{
      SuperscriptBox["\[ExponentialE]", 
       FractionBox[
        RowBox[{"a", "-", "r"}], "a"]], " ", "q0", " ", 
      RowBox[{"(", 
       RowBox[{"a", "-", "r"}], ")"}], " ", 
      RowBox[{"cos", "(", "\[Theta]", ")"}]}], 
     SuperscriptBox["a", "4"]],
    TraditionalForm]}], ";"}], "\n", 
 RowBox[{
  RowBox[{"chargeDensity3", "=", 
   FormBox[
    FractionBox[
     RowBox[{"q0", " ", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{"a", "-", "r"}], ")"}], "2"], " ", 
      RowBox[{
       SuperscriptBox["sin", "2"], "(", "\[Theta]", ")"}], " ", 
      RowBox[{"sin", "(", 
       RowBox[{"2", " ", "\[Phi]"}], ")"}]}], 
     SuperscriptBox["a", "5"]],
    TraditionalForm]}], ";"}]}], "Input",
 Hyphenation->False],

Cell["\<\
r2xRule=Thread[{r,\[Theta],\[Phi]}->
            CoordinatesFromCartesian[{x,y,z},Spherical]]\
\>", "Input",
 InitializationCell->False,
 Hyphenation->False,
 AspectRatioFixed->True],

Cell[BoxData[
 RowBox[{
  RowBox[{"values", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"q0", "\[Rule]", "1"}], ",", 
     RowBox[{"a", "\[Rule]", "1"}]}], "}"}]}], ";"}]], "Input",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{"ContourPlot", "[", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"chargeDensity1", "/.", "r2xRule"}], "//.", "values"}], "/.", 
    RowBox[{"{", 
     RowBox[{"y", "\[Rule]", "0"}], "}"}]}], ",", 
   RowBox[{"{", 
    RowBox[{"x", ",", 
     RowBox[{"-", "1"}], ",", "1"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"z", ",", 
     RowBox[{"-", "1"}], ",", "1"}], "}"}], ",", 
   RowBox[{"PlotPoints", "\[Rule]", "40"}]}], "]"}]], "Input",
 CellChangeTimes->{3.421780407212301*^9},
 Hyphenation->False],

Cell[BoxData[
 RowBox[{"ContourPlot", "[", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"chargeDensity2", "/.", "r2xRule"}], "//.", "values"}], "/.", 
    RowBox[{"{", 
     RowBox[{"y", "\[Rule]", "0"}], "}"}]}], ",", 
   RowBox[{"{", 
    RowBox[{"x", ",", 
     RowBox[{"-", "1"}], ",", "1"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"z", ",", 
     RowBox[{"-", "1"}], ",", "1"}], "}"}], ",", 
   RowBox[{"PlotPoints", "\[Rule]", "40"}]}], "]"}]], "Input",
 CellChangeTimes->{3.421780426830817*^9},
 Hyphenation->False],

Cell[BoxData[
 RowBox[{"ContourPlot", "[", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"chargeDensity3", "/.", "r2xRule"}], "//.", "values"}], "/.", 
    RowBox[{"{", 
     RowBox[{"z", "\[Rule]", "0"}], "}"}]}], ",", 
   RowBox[{"{", 
    RowBox[{"x", ",", 
     RowBox[{"-", "1"}], ",", "1"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"y", ",", 
     RowBox[{"-", "1"}], ",", "1"}], "}"}], ",", 
   RowBox[{"PlotPoints", "\[Rule]", "40"}]}], "]"}]], "Input",
 CellChangeTimes->{3.421780442162593*^9},
 Hyphenation->False]
}, Closed]],

Cell[CellGroupData[{

Cell["Part b", "Subsubsection",
 Hyphenation->False],

Cell["multi1= MultipoleP[chargeDensity1,a,2]", "Input",
 InitializationCell->False,
 Hyphenation->False,
 AspectRatioFixed->True],

Cell["multi2= MultipoleP[chargeDensity2,a,2] //Simplify", "Input",
 InitializationCell->False,
 Hyphenation->False,
 AspectRatioFixed->True],

Cell["multi3= MultipoleSH[chargeDensity3,a,2] //Simplify", "Input",
 InitializationCell->False,
 Hyphenation->False,
 AspectRatioFixed->True]
}, Closed]],

Cell[CellGroupData[{

Cell["Part c", "Subsubsection",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{"eField1", "=", 
  RowBox[{"-", 
   RowBox[{"Grad", "[", 
    RowBox[{"multi1", ",", 
     RowBox[{"Spherical", "[", 
      RowBox[{"r", ",", "\[Theta]", ",", "\[Phi]"}], "]"}]}], 
    "]"}]}]}]], "Input",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{
  RowBox[{"eField1", "//.", 
   RowBox[{"P", "\[Rule]", "LegendreP"}]}], "//", "Simplify"}]], "Input",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{"eField2", "=", 
  RowBox[{
   RowBox[{
    RowBox[{"-", 
     RowBox[{"Grad", "[", 
      RowBox[{"multi2", ",", 
       RowBox[{"Spherical", "[", 
        RowBox[{"r", ",", "\[Theta]", ",", "\[Phi]"}], "]"}]}], "]"}]}], "//.",
     
    RowBox[{"P", "\[Rule]", "LegendreP"}]}], "//", "Simplify"}]}]], "Input",
 Hyphenation->False],

Cell[BoxData[{
 RowBox[{
  RowBox[{"eField3", "=", 
   RowBox[{"-", 
    RowBox[{"Grad", "[", 
     RowBox[{"multi3", ",", 
      RowBox[{"Spherical", "[", 
       RowBox[{"r", ",", "\[Theta]", ",", "\[Phi]"}], "]"}]}], "]"}]}]}], 
  ";"}], "\n", 
 RowBox[{
  RowBox[{
   RowBox[{"eField3", "/.", 
    RowBox[{"{", 
     RowBox[{"Y", "\[Rule]", "SphericalHarmonicY"}], "}"}]}], "//", 
   "ExpToTrig"}], "//", "Simplify"}]}], "Input",
 Hyphenation->False]
}, Closed]],

Cell[CellGroupData[{

Cell["Part d", "Subsubsection",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{"pot1", "=", " ", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{"multi1", "/.", "r2xRule"}], "/.", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"P", "\[Rule]", "LegendreP"}], ",", 
        RowBox[{"Y", "\[Rule]", "SphericalHarmonicY"}]}], "}"}]}], "/.", 
     "values"}], "/.", 
    RowBox[{"{", 
     RowBox[{"y", "\[Rule]", "0"}], "}"}]}], " ", "//", 
   "Simplify"}]}]], "Input",
 Hyphenation->False],

Cell["VEPlot[pot1,{x,1.1,-1.1},{z,1.1,-1.1}]", "Input",
 InitializationCell->False,
 CellChangeTimes->{3.421780518679861*^9},
 Hyphenation->False,
 AspectRatioFixed->True],

Cell[BoxData[
 RowBox[{"pot2", "=", " ", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"multi2", "/.", "r2xRule"}], "/.", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"P", "\[Rule]", "LegendreP"}], ",", 
       RowBox[{"Y", "\[Rule]", "SphericalHarmonicY"}]}], "}"}]}], "/.", 
    "values"}], "/.", 
   RowBox[{"{", 
    RowBox[{"y", "\[Rule]", "0"}], "}"}]}]}]], "Input",
 Hyphenation->False],

Cell["VEPlot[pot2,{x,-1.1,1.1},{z,-1.1,1.1}]", "Input",
 InitializationCell->False,
 CellChangeTimes->{3.421780547166253*^9},
 Hyphenation->False,
 AspectRatioFixed->True],

Cell[BoxData[
 RowBox[{"pot3", "=", " ", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{"multi3", "/.", "r2xRule"}], "//.", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"P", "\[Rule]", "LegendreP"}], ",", 
        RowBox[{"Y", "\[Rule]", "SphericalHarmonicY"}]}], "}"}]}], "//.", 
     "values"}], "/.", 
    RowBox[{"{", 
     RowBox[{"z", "\[Rule]", "0"}], "}"}]}], " ", "//", "FullSimplify", 
   " "}]}]], "Input",
 Hyphenation->False],

Cell["VEPlot[pot3]", "Input",
 InitializationCell->False,
 CellChangeTimes->{3.421780550774548*^9},
 Hyphenation->False,
 AspectRatioFixed->True]
}, Closed]]
}, Closed]]
}, Closed]],

Cell["\<\
8.2 Laplace's Equation in Cartesian and Cylindrical Coordinates \
\>", "Section",
 Evaluatable->False,
 InitializationCell->False,
 Hyphenation->False,
 AspectRatioFixed->True],

Cell["Overview of Cartesian and Cylindrical Coordinates", "Subsection",
 Hyphenation->False],

Cell[CellGroupData[{

Cell["\<\
Problem 1: Separation of variables in Cartesian and cylindrical coordinates\
\>", "Subsubsection",
 Evaluatable->False,
 InitializationCell->False,
 Hyphenation->False,
 AspectRatioFixed->True],

Cell["Required packages", "Subsubsection",
 Evaluatable->False,
 InitializationCell->False,
 Hyphenation->False,
 AspectRatioFixed->True],

Cell[BoxData[
 RowBox[{"Needs", "[", "\"\<VectorAnalysis`\>\"", "]"}]], "Input",
 InitializationCell->False,
 Hyphenation->False,
 AspectRatioFixed->True],

Cell["Solution", "Subsubsection",
 Evaluatable->False,
 InitializationCell->False,
 Hyphenation->False,
 AspectRatioFixed->True],

Cell["Clear[\"Global`*\"];", "Input",
 InitializationCell->False,
 Hyphenation->False,
 AspectRatioFixed->True],

Cell[CellGroupData[{

Cell["Part a", "Subsubsection",
 Hyphenation->False],

Cell["potential= Vx[x] Vy[y] Vz[z];", "Input",
 InitializationCell->False,
 Hyphenation->False,
 AspectRatioFixed->True],

Cell[CellGroupData[{

Cell["SetCoordinates[Cartesian[x,y,z]];", "Input",
 InitializationCell->False,
 Hyphenation->False,
 AspectRatioFixed->True],

Cell[" lapEq= Laplacian[potential]", "Input",
 InitializationCell->False,
 Hyphenation->False,
 AspectRatioFixed->True]
}, Closed]],

Cell[BoxData[
 RowBox[{"eq1", "=", 
  RowBox[{
   FractionBox["lapEq", 
    RowBox[{
     RowBox[{"Vx", "[", "x", "]"}], " ", 
     RowBox[{"Vy", "[", "y", "]"}], " ", 
     RowBox[{"Vz", "[", "z", "]"}]}]], "//", "Expand"}]}]], "Input",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{" ", 
  RowBox[{"eq2", "=", 
   RowBox[{"eq1", "/.", 
    RowBox[{"Plus", "\[Rule]", "List"}]}]}]}]], "Input",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{"  ", 
  RowBox[{"fieldEq", "=", 
   RowBox[{
    RowBox[{"eq2", "==", 
     FormBox[
      RowBox[{"{", 
       RowBox[{
        RowBox[{"-", 
         SuperscriptBox["Cx", "2"]}], ",", 
        RowBox[{"-", 
         SuperscriptBox["Cy", "2"]}], ",", 
        SuperscriptBox["Cz", "2"]}], "}"}],
      TraditionalForm]}], "//", "Thread"}]}]}]], "Input",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{" ", 
  RowBox[{
   RowBox[{
    RowBox[{"MapThread", "[", 
     RowBox[{"DSolve", ",", 
      RowBox[{"{", 
       RowBox[{"fieldEq", ",", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"Vx", "[", "x", "]"}], ",", 
          RowBox[{"Vy", "[", "y", "]"}], ",", 
          RowBox[{"Vz", "[", "z", "]"}]}], "}"}], ",", " ", 
        RowBox[{"{", 
         RowBox[{"x", ",", "y", ",", "z"}], "}"}]}], "}"}], ",", "1"}], "]"}],
     "//", "Flatten"}], "//", "Column"}]}]], "Input",
 CellChangeTimes->{{3.421780701337531*^9, 3.421780702275997*^9}},
 Hyphenation->False]
}, Closed]],

Cell[CellGroupData[{

Cell["Part b", "Subsubsection",
 Hyphenation->False],

Cell["potential= R[r] P[\[Phi]] Z[z];", "Input",
 InitializationCell->False,
 Hyphenation->False,
 AspectRatioFixed->True],

Cell[BoxData[
 RowBox[{
  RowBox[{"SetCoordinates", "[", 
   RowBox[{"Cylindrical", "[", 
    RowBox[{"r", ",", "\[Phi]", ",", "z"}], "]"}], "]"}], ";"}]], "Input",
 Hyphenation->False],

Cell["lapEq= Laplacian[potential] //Expand", "Input",
 InitializationCell->False,
 Hyphenation->False,
 AspectRatioFixed->True],

Cell[BoxData[
 RowBox[{"eq1", "=", 
  RowBox[{
   RowBox[{
    FractionBox["lapEq", 
     RowBox[{
      RowBox[{"R", "[", "r", "]"}], " ", 
      RowBox[{"P", "[", "\[Phi]", "]"}], " ", 
      RowBox[{"Z", "[", "z", "]"}]}]], "//", "Expand"}], "//", 
   RowBox[{
    RowBox[{"Collect", "[", 
     RowBox[{"#", ",", "r"}], "]"}], "&"}]}]}]], "Input",
 Hyphenation->False],

Cell["zEq= Select[eq1,(!FreeQ[#,z])&] == +Cz^2", "Input",
 InitializationCell->False,
 Hyphenation->False,
 AspectRatioFixed->True],

Cell[BoxData[
 RowBox[{" ", 
  RowBox[{
   RowBox[{"DSolve", "[", 
    RowBox[{"zEq", ",", 
     RowBox[{"Z", "[", "z", "]"}], ",", "z"}], "]"}], "//", 
   "Flatten"}]}]], "Input",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{" ", 
  RowBox[{
   RowBox[{"DSolve", "[", 
    RowBox[{
     RowBox[{"zEq", "/.", 
      RowBox[{"Cz", "\[Rule]", "0"}]}], ",", 
     RowBox[{"Z", "[", "z", "]"}], ",", "z"}], "]"}], "//", 
   "Flatten"}]}]], "Input",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{"eq2", "=", " ", 
  RowBox[{"eq1", "/.", 
   RowBox[{"{", 
    RowBox[{"zEq", "/.", 
     RowBox[{"Equal", "\[Rule]", "Rule"}]}], "}"}]}]}]], "Input",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{"eq3", "=", 
  RowBox[{
   RowBox[{
    SuperscriptBox["r", "2"], " ", "eq2"}], "//", "Expand"}]}]], "Input",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{"\[Phi]Eq", "=", 
  RowBox[{
   RowBox[{"Select", "[", 
    RowBox[{"eq3", ",", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"!", 
        RowBox[{"FreeQ", "[", 
         RowBox[{"#", ",", "\[Phi]"}], "]"}]}], ")"}], "&"}]}], "]"}], 
   "\[Equal]", 
   RowBox[{"-", 
    SuperscriptBox["C\[Phi]", "2"]}]}]}]], "Input",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{
  RowBox[{"DSolve", "[", 
   RowBox[{"\[Phi]Eq", ",", " ", 
    RowBox[{"P", "[", "\[Phi]", "]"}], " ", ",", "\[Phi]"}], "]"}], "//", 
  "Flatten"}]], "Input",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{
  RowBox[{"DSolve", "[", 
   RowBox[{
    RowBox[{"\[Phi]Eq", "/.", 
     RowBox[{
      SuperscriptBox["C\[Phi]", "2"], "\[Rule]", "0"}]}], ",", " ", 
    RowBox[{"P", "[", "\[Phi]", "]"}], " ", ",", "\[Phi]"}], "]"}], "//", 
  "Flatten"}]], "Input",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{"eq4", "=", 
  RowBox[{"eq3", "/.", 
   RowBox[{"(", " ", 
    RowBox[{"\[Phi]Eq", "/.", 
     RowBox[{"Equal", "\[Rule]", "Rule"}]}], ")"}], " "}]}]], "Input",
 Hyphenation->False],

Cell["DSolve[eq4==0, R[r] ,r]//Flatten", "Input",
 InitializationCell->False,
 Hyphenation->False,
 AspectRatioFixed->True],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"(", " ", 
     RowBox[{
      RowBox[{"DSolve", "[", 
       RowBox[{
        RowBox[{
         RowBox[{"eq4", "\[Equal]", "0"}], "/.", 
         RowBox[{"Cz", "\[Rule]", "0"}]}], ",", 
        RowBox[{"R", "[", "r", "]"}], ",", "r"}], "]"}], "//", "Flatten"}], 
     " ", ")"}], "/.", 
    RowBox[{
     RowBox[{"C", "[", "1", "]"}], "\[Rule]", 
     RowBox[{"A", "+", "B"}]}]}], "/.", 
   RowBox[{
    RowBox[{"C", "[", "2", "]"}], "\[Rule]", 
    RowBox[{"I", 
     RowBox[{"(", 
      RowBox[{"A", "-", "B"}], ")"}]}]}]}], " ", "//", 
  "FullSimplify"}]], "Input",
 Hyphenation->False]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell["Problem 2: Potential in a rectangular groove ", "Subsubsection",
 Evaluatable->False,
 InitializationCell->False,
 Hyphenation->False,
 AspectRatioFixed->True],

Cell[CellGroupData[{

Cell["Solution", "Subsubsection",
 Evaluatable->False,
 InitializationCell->False,
 Hyphenation->False,
 AspectRatioFixed->True],

Cell["Clear[\"Global`*\"];", "Input",
 InitializationCell->False,
 Hyphenation->False,
 AspectRatioFixed->True],

Cell[CellGroupData[{

Cell["Part a", "Subsubsection",
 Hyphenation->False],

Cell["\<\
A[V_,m_]:= 2/a Integrate[V Sin[\[Pi] m x/a],{x,0,a}];\
\>", "Input",
 InitializationCell->False,
 Hyphenation->False,
 AspectRatioFixed->True],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"pot", "[", 
    RowBox[{"V_", ",", "n_"}], "]"}], ":=", 
   RowBox[{"Sum", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"A", "[", 
       RowBox[{"V", ",", "m"}], "]"}], " ", 
      FormBox[
       RowBox[{
        SuperscriptBox["\[ExponentialE]", 
         RowBox[{"-", 
          FractionBox[
           RowBox[{"m", " ", "\[Pi]", " ", "y"}], "a"]}]], " ", 
        RowBox[{"sin", "(", 
         FractionBox[
          RowBox[{"m", " ", "\[Pi]", " ", "x"}], "a"], ")"}]}],
       TraditionalForm]}], ",", 
     RowBox[{"{", 
      RowBox[{"m", ",", "1", ",", "n"}], "}"}]}], "]"}]}], ";"}]], "Input",
 Hyphenation->False]
}, Closed]],

Cell[CellGroupData[{

Cell["Part b", "Subsubsection",
 Hyphenation->False],

Cell["\<\
  pot[Sin[x],3] 
 \
\>", "Input",
 InitializationCell->False,
 Hyphenation->False,
 AspectRatioFixed->True],

Cell[BoxData[
 RowBox[{" ", 
  RowBox[{"Plot3D", "[", 
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{"pot", "[", 
       RowBox[{
        RowBox[{"Sin", "[", "x", "]"}], ",", "30"}], "]"}], "/.", 
      RowBox[{"a", "\[Rule]", "1"}]}], "//", "Evaluate"}], ",", 
    "\[IndentingNewLine]", 
    RowBox[{"{", 
     RowBox[{"x", ",", "0", ",", "1"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"y", ",", "0", ",", "0.5"}], "}"}], ",", 
    RowBox[{"AxesLabel", "\[Rule]", 
     RowBox[{"{", " ", 
      RowBox[{"x", " ", ",", "y", " ", ",", "V"}], " ", "}"}]}]}], 
   "]"}]}]], "Input",
 CellChangeTimes->{3.421780859197317*^9},
 Hyphenation->False],

Cell[BoxData[
 RowBox[{
  RowBox[{"pot15", "=", 
   RowBox[{
    RowBox[{"pot", "[", 
     RowBox[{
      RowBox[{"Sin", "[", "x", "]"}], ",", "15"}], "]"}], "/.", 
    RowBox[{"a", "\[Rule]", "1"}]}]}], ";"}]], "Input",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{"VEPlot", "[", 
  RowBox[{"pot15", ",", 
   RowBox[{"{", 
    RowBox[{"x", ",", "0", ",", "1"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"y", ",", "0", ",", "0.5"}], "}"}]}], " ", "]"}]], "Input",
 CellChangeTimes->{3.421780893670984*^9},
 Hyphenation->False]
}, Closed]],

Cell[CellGroupData[{

Cell["Part c", "Subsubsection",
 Hyphenation->False],

Cell["eq1=pot[V0,\[Infinity]] ", "Input",
 InitializationCell->False,
 Hyphenation->False,
 AspectRatioFixed->True],

Cell[BoxData[
 RowBox[{"potV0", "=", " ", 
  RowBox[{
   RowBox[{"eq1", "//.", " ", 
    RowBox[{"{", 
     FormBox[
      RowBox[{
       RowBox[{"log", "(", 
        RowBox[{"1", "-", "a_"}], ")"}], "\[Rule]", 
       RowBox[{
        RowBox[{"log", "(", 
         FractionBox[
          RowBox[{"1", "-", "a"}], 
          RowBox[{"a", "+", "1"}]], ")"}], "+", 
        RowBox[{"log", "(", 
         RowBox[{"a", "+", "1"}], ")"}]}]}],
      TraditionalForm], "}"}]}], " ", "//", " ", "FullSimplify", 
   " "}]}]], "Input",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{"Plot3D", "[", 
  RowBox[{
   RowBox[{
    RowBox[{"potV0", "/.", 
     RowBox[{"a", "\[Rule]", "1"}]}], "/.", 
    RowBox[{"V0", "\[Rule]", "1"}]}], " ", ",", 
   RowBox[{"{", 
    RowBox[{"x", ",", "0.0001", ",", "0.9999"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"y", ",", "0", ",", "0.5"}], "}"}], ",", 
   RowBox[{"AxesLabel", "\[Rule]", 
    RowBox[{"{", " ", 
     RowBox[{"x", " ", ",", "y", " ", ",", "V"}], " ", "}"}]}]}], 
  "]"}]], "Input",
 CellChangeTimes->{3.421781045037504*^9},
 Hyphenation->False]
}, Closed]]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell["Problem  3:   Rectangular conduit", "Subsubsection",
 Evaluatable->False,
 InitializationCell->False,
 Hyphenation->False,
 AspectRatioFixed->True],

Cell["Remarks and outline", "Subsubsection",
 Evaluatable->False,
 InitializationCell->False,
 Hyphenation->False,
 AspectRatioFixed->True],

Cell["Required packages", "Subsubsection",
 Evaluatable->False,
 InitializationCell->False,
 Hyphenation->False,
 AspectRatioFixed->True],

Cell[BoxData[{
 RowBox[{
  RowBox[{"Needs", "[", "\"\<VectorAnalysis`\>\"", "]"}], 
  " "}], "\[IndentingNewLine]", 
 RowBox[{"Needs", "[", "\"\<VectorFieldPlots`\>\"", "]"}]}], "Input",
 InitializationCell->False,
 CellChangeTimes->{3.42178106041641*^9},
 Hyphenation->False,
 AspectRatioFixed->True],

Cell["Solution", "Subsubsection",
 Evaluatable->False,
 InitializationCell->False,
 Hyphenation->False,
 AspectRatioFixed->True],

Cell["Clear[\"Global`*\"];", "Input",
 InitializationCell->False,
 Hyphenation->False,
 AspectRatioFixed->True],

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"term", "[", "m_", "]"}], "=", 
   FormBox[
    RowBox[{
     RowBox[{"A", "(", "m", ")"}], " ", 
     RowBox[{"cosh", "(", 
      FractionBox[
       RowBox[{"m", " ", "\[Pi]", " ", "x"}], "b"], ")"}], " ", 
     RowBox[{"sin", "(", 
      FractionBox[
       RowBox[{"m", " ", "\[Pi]", " ", "y"}], "b"], ")"}]}],
    TraditionalForm]}], ";"}], "\n", 
 RowBox[{
  RowBox[{
   RowBox[{"pot", "[", "n_", "]"}], "=", 
   RowBox[{"Sum", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"term", "[", "m", "]"}], "//", "Evaluate"}], ",", 
     RowBox[{"{", 
      RowBox[{"m", ",", "1", ",", "n"}], "}"}]}], "]"}]}], ";"}], "\n", 
 RowBox[{"pot", "[", "n", "]"}]}], "Input",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{"check", "=", " ", 
  RowBox[{
   RowBox[{"D", "[", " ", 
    RowBox[{
     RowBox[{"pot", "[", "n", "]"}], " ", ",", "x"}], "]"}], " ", "//", 
   RowBox[{
    RowBox[{"MapAll", "[", 
     RowBox[{"Evaluate", ",", "#"}], "]"}], "&"}]}]}]], "Input",
 InitializationCell->False,
 Hyphenation->False],

Cell[BoxData[
 RowBox[{"check", " ", "/.", 
  RowBox[{"{", 
   RowBox[{"x", "->", "0"}], "}"}]}]], "Input",
 InitializationCell->False,
 Hyphenation->False],

Cell[BoxData[
 RowBox[{
  RowBox[{"pot", "[", "n", "]"}], "/.", 
  RowBox[{"{", 
   RowBox[{"x", "\[Rule]", "a"}], "}"}]}]], "Input",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{"eq1", "=", 
  RowBox[{
   RowBox[{"V0", "\[Equal]", 
    RowBox[{"term", "[", "m", "]"}]}], "/.", 
   RowBox[{"{", 
    RowBox[{"x", "\[Rule]", "a"}], "}"}]}]}]], "Input",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{"rhs", "=", 
  RowBox[{"(", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{
      RowBox[{"Integrate", "[", 
       RowBox[{
        RowBox[{
         RowBox[{"eq1", "[", 
          RowBox[{"[", "2", "]"}], "]"}], " ", 
         RowBox[{"Sin", "[", 
          RowBox[{"m", " ", "\[Pi]", " ", 
           RowBox[{"y", "/", "b"}]}], "]"}]}], ",", 
        RowBox[{"{", 
         RowBox[{"y", ",", "0", ",", "b"}], "}"}]}], "]"}], "//", 
      "Simplify"}], ")"}], "//.", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"Sin", "[", 
       RowBox[{"2", " ", "m", " ", "\[Pi]"}], "]"}], "\[Rule]", "0"}], 
     "}"}]}], ")"}]}]], "Input",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{"lhs", "=", 
  RowBox[{
   RowBox[{"(", 
    RowBox[{
     RowBox[{"(", 
      RowBox[{"Integrate", "[", 
       RowBox[{
        RowBox[{
         RowBox[{"eq1", "[", 
          RowBox[{"[", "1", "]"}], "]"}], " ", 
         RowBox[{"Sin", "[", 
          RowBox[{"m", " ", "\[Pi]", " ", 
           RowBox[{"y", "/", "b"}]}], "]"}]}], ",", 
        RowBox[{"{", 
         RowBox[{"y", ",", "0", ",", "b"}], "}"}]}], "]"}], ")"}], "//.", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"Cos", "[", 
        RowBox[{"m", " ", "\[Pi]"}], "]"}], "\[Rule]", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{"-", "1"}], ")"}], "^", "m"}]}], "}"}]}], ")"}], "//", 
   "Simplify"}]}]], "Input",
 Hyphenation->False],

Cell["\<\
aSol= Solve[rhs==lhs,A[m]][[1]] //Simplify;
A[m_]= A[m] /. aSol \
\>", "Input",
 InitializationCell->False,
 Hyphenation->False,
 AspectRatioFixed->True],

Cell["pot[n] ", "Input",
 InitializationCell->False,
 Hyphenation->False,
 AspectRatioFixed->True],

Cell[BoxData[
 RowBox[{"Plot", "[", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"Table", "[", 
      RowBox[{
       RowBox[{"pot", "[", "n", "]"}], ",", 
       RowBox[{"{", 
        RowBox[{"n", ",", "2", ",", "8", ",", "2"}], "}"}]}], "]"}], "//.", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"b", "\[Rule]", "1"}], ",", 
       RowBox[{"V0", "\[Rule]", "1"}], ",", 
       RowBox[{"a", "\[Rule]", "1"}], ",", 
       RowBox[{"x", "\[Rule]", "a"}]}], "}"}]}], "//", "Evaluate"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{"y", ",", "0", ",", "1"}], "}"}], ",", "\[IndentingNewLine]", 
   RowBox[{"PlotRange", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"0", ",", "2"}], "}"}]}]}], "]"}]], "Input",
 CellChangeTimes->{3.421781072925832*^9},
 Hyphenation->False],

Cell[BoxData[
 RowBox[{"Plot3D", "[", 
  RowBox[{
   RowBox[{
    RowBox[{"pot", "[", "4", "]"}], "//.", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"b", "\[Rule]", "1"}], ",", 
      RowBox[{"V0", "\[Rule]", "1"}], ",", 
      RowBox[{"a", "\[Rule]", "1"}]}], "}"}]}], ",", "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{"y", ",", "0", ",", "1"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"x", ",", "0", ",", "1"}], "}"}], ",", "\[IndentingNewLine]", 
   RowBox[{"ViewPoint", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"2", ",", "2", ",", "1"}], "}"}]}]}], "]"}]], "Input",
 CellChangeTimes->{3.421781077864684*^9},
 Hyphenation->False],

Cell[BoxData[
 RowBox[{"VEPlot", "[", 
  RowBox[{
   RowBox[{
    RowBox[{"pot", "[", "4", "]"}], "//.", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"b", "\[Rule]", "1"}], ",", 
      RowBox[{"V0", "\[Rule]", "1"}], ",", 
      RowBox[{"a", "\[Rule]", "1"}]}], "}"}]}], ",", "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{"x", ",", "0", ",", "1"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"y", ",", "0", ",", "1"}], "}"}]}], "]"}]], "Input",
 CellChangeTimes->{3.421781080860495*^9},
 Hyphenation->False]
}, Closed]],

Cell[CellGroupData[{

Cell["\<\
Problem 4: Potential inside a rectangular box with five sides at zero \
potential \
\>", "Subsubsection",
 Evaluatable->False,
 InitializationCell->False,
 Hyphenation->False,
 AspectRatioFixed->True],

Cell[CellGroupData[{

Cell["Solution", "Subsubsection",
 Evaluatable->False,
 InitializationCell->False,
 Hyphenation->False,
 AspectRatioFixed->True],

Cell["Clear[\"Global`*\"];", "Input",
 InitializationCell->False,
 Hyphenation->False,
 AspectRatioFixed->True],

Cell[CellGroupData[{

Cell["Part a", "Subsubsection",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{
  RowBox[{"mzRule", "=", 
   RowBox[{"{", 
    FormBox[
     RowBox[{"mz", "\[Rule]", 
      RowBox[{"c", " ", 
       SqrtBox[
        RowBox[{
         FractionBox[
          SuperscriptBox["mx", "2"], 
          SuperscriptBox["a", "2"]], "+", 
         FractionBox[
          SuperscriptBox["my", "2"], 
          SuperscriptBox["b", "2"]]}]]}]}],
     TraditionalForm], "}"}]}], ";"}]], "Input",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{
  RowBox[{"A", "[", 
   RowBox[{"mx_", ",", "my_"}], "]"}], "   ", "=", " ", 
  RowBox[{
   RowBox[{"(", 
    RowBox[{
     RowBox[{
      FormBox[
       FractionBox[
        RowBox[{"4", " ", "V0", " ", 
         RowBox[{"csch", "(", 
          RowBox[{"mz", " ", "\[Pi]"}], ")"}]}], 
        RowBox[{"a", " ", "b"}]],
       TraditionalForm], 
      RowBox[{"Integrate", "[", "  ", 
       RowBox[{
        FormBox[
         RowBox[{
          RowBox[{"sin", "(", 
           FractionBox[
            RowBox[{"mx", " ", "\[Pi]", " ", "x"}], "a"], ")"}], " ", 
          RowBox[{"sin", "(", 
           FractionBox[
            RowBox[{"my", " ", "\[Pi]", " ", "y"}], "b"], ")"}]}],
         TraditionalForm], ",", 
        RowBox[{"{", 
         RowBox[{"x", ",", "0", ",", "a"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"y", ",", "0", ",", "b"}], "}"}]}], "]"}]}], " ", "//", 
     RowBox[{
      RowBox[{"Simplify", "[", 
       RowBox[{"#", ",", 
        RowBox[{"Element", "[", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{"my", ",", " ", "mx"}], "}"}], ",", "Integers"}], "]"}]}], 
       "]"}], "&"}]}], " ", ")"}], "/.", "mzRule"}]}]], "Input",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{
  RowBox[{"pot", "[", 
   RowBox[{"nx_", ",", "ny_"}], "]"}], "=", 
  RowBox[{
   RowBox[{"Sum", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"A", "[", 
       RowBox[{"mx", ",", "my"}], "]"}], " ", 
      FormBox[
       RowBox[{
        RowBox[{"sin", "(", 
         FractionBox[
          RowBox[{"mx", " ", "\[Pi]", " ", "x"}], "a"], ")"}], " ", 
        RowBox[{"sin", "(", 
         FractionBox[
          RowBox[{"my", " ", "\[Pi]", " ", "y"}], "b"], ")"}], " ", 
        RowBox[{"sinh", "(", 
         FractionBox[
          RowBox[{"mz", " ", "\[Pi]", " ", "z"}], "c"], ")"}]}],
       TraditionalForm]}], ",", 
     RowBox[{"{", 
      RowBox[{"mx", ",", "1", ",", "nx"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"my", ",", "1", ",", "ny"}], "}"}]}], "]"}], "/.", 
   "mzRule"}]}]], "Input",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{"pot", "[", 
  RowBox[{"1", ",", "1"}], "]"}]], "Input",
 Hyphenation->False]
}, Closed]],

Cell[CellGroupData[{

Cell["Part b", "Subsubsection",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{
  RowBox[{"values", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"a", "\[Rule]", "1"}], ",", 
     RowBox[{"b", "\[Rule]", "1"}], ",", 
     RowBox[{"c", "\[Rule]", "1"}], ",", 
     RowBox[{"V0", "\[Rule]", "1"}], ",", 
     RowBox[{"x", "\[Rule]", 
      RowBox[{"1", "/", "2"}]}]}], "}"}]}], ";"}]], "Input",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{"Plot3D", "[", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"pot", "[", 
      RowBox[{"20", ",", "20"}], "]"}], "//.", "values"}], "//", "Evaluate"}],
    ",", 
   RowBox[{"{", 
    RowBox[{"y", ",", "0", ",", "1"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"z", ",", "0", ",", "1"}], "}"}]}], "]"}]], "Input",
 CellChangeTimes->{3.421781131431897*^9},
 Hyphenation->False],

Cell[BoxData[
 RowBox[{"VEPlot", "[", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{"pot", "[", 
       RowBox[{"10", ",", "10"}], "]"}], "//.", "values"}], "//.", 
     RowBox[{"{", 
      RowBox[{"x", "\[Rule]", 
       RowBox[{"1", "/", "2"}]}], "}"}]}], " ", "//", "Evaluate"}], ",", 
   RowBox[{"{", 
    RowBox[{"y", ",", "0", ",", "1"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"z", ",", "0", ",", "1"}], "}"}]}], "]"}]], "Input",
 CellChangeTimes->{3.421781136236916*^9},
 Hyphenation->False]
}, Closed]]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell["\<\
Problem 5: Conducting cylinder with a potential on the surface \
\>", "Subsubsection",
 Evaluatable->False,
 InitializationCell->False,
 Hyphenation->False,
 AspectRatioFixed->True],

Cell["Required packages", "Subsubsection",
 Evaluatable->False,
 InitializationCell->False,
 Hyphenation->False,
 AspectRatioFixed->True],

Cell["Solution", "Subsubsection",
 Evaluatable->False,
 InitializationCell->False,
 Hyphenation->False,
 AspectRatioFixed->True],

Cell["Clear[\"Global`*\"];", "Input",
 InitializationCell->False,
 Hyphenation->False,
 AspectRatioFixed->True],

Cell[CellGroupData[{

Cell["Part a", "Subsubsection",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{
  RowBox[{"A", "[", "n_", "]"}], " ", "=", 
  RowBox[{
   RowBox[{
    FormBox[
     FractionBox[
      SuperscriptBox["a", 
       RowBox[{"-", "n"}]], "\[Pi]"],
     TraditionalForm], 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"Integrate", "[", 
       RowBox[{
        RowBox[{"V0", "  ", 
         RowBox[{"Sin", "[", 
          RowBox[{"n", " ", "\[Phi]"}], "]"}]}], ",", 
        RowBox[{"{", 
         RowBox[{"\[Phi]", ",", "0", ",", " ", "\[Pi]"}], " ", "}"}]}], "]"}],
       " ", "-", 
      RowBox[{"Integrate", "[", 
       RowBox[{
        RowBox[{"V0", "  ", 
         RowBox[{"Sin", "[", 
          RowBox[{"n", " ", "\[Phi]"}], "]"}]}], ",", 
        RowBox[{"{", 
         RowBox[{"\[Phi]", ",", "\[Pi]", ",", 
          RowBox[{"2", " ", "\[Pi]"}]}], " ", "}"}]}], "]"}]}], " ", ")"}]}], 
   "//", 
   RowBox[{
    RowBox[{"Simplify", "[", 
     RowBox[{"#", ",", 
      RowBox[{"Element", "[", 
       RowBox[{"n", ",", "Integers"}], "]"}]}], "]"}], "&"}]}]}]], "Input",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"potIn", "[", "nf_", "]"}], ":=", 
   RowBox[{"Sum", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"A", "[", "n", "]"}], " ", 
      RowBox[{"Sin", "[", 
       RowBox[{"n", " ", "\[Phi]"}], "]"}], " ", 
      SuperscriptBox["r", "n"]}], ",", 
     RowBox[{"{", 
      RowBox[{"n", ",", "1", ",", "nf"}], "}"}]}], "]"}]}], ";"}]], "Input",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{"potIn", "[", "6", "]"}]], "Input",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{"eq1", "=", " ", 
  RowBox[{"potIn", "[", "Infinity", "]"}], " "}]], "Input",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{"Vin", "=", 
  RowBox[{
   RowBox[{"eq1", "//.", " ", 
    RowBox[{"{", 
     FormBox[
      RowBox[{
       RowBox[{"log", "(", 
        RowBox[{"1", "-", "aa_"}], ")"}], "\[Rule]", 
       RowBox[{
        RowBox[{"log", "(", 
         FractionBox[
          RowBox[{"1", "-", "aa"}], 
          RowBox[{"aa", "+", "1"}]], ")"}], "+", 
        RowBox[{"log", "(", 
         RowBox[{"aa", "+", "1"}], ")"}]}]}],
      TraditionalForm], "}"}]}], "//", "FullSimplify", "  "}]}]], "Input",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{
  RowBox[{"B", "[", " ", "n_", "]"}], " ", "=", 
  RowBox[{
   RowBox[{
    FormBox[
     FractionBox[
      SuperscriptBox["a", "n"], "\[Pi]"],
     TraditionalForm], 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"Integrate", "[", 
       RowBox[{
        RowBox[{"V0", "  ", 
         RowBox[{"Sin", "[", 
          RowBox[{"n", " ", "\[Phi]"}], "]"}]}], ",", 
        RowBox[{"{", 
         RowBox[{"\[Phi]", ",", "0", ",", " ", "\[Pi]"}], " ", "}"}]}], "]"}],
       " ", "\[IndentingNewLine]", "                    ", "-", 
      RowBox[{"Integrate", "[", 
       RowBox[{
        RowBox[{"V0", "  ", 
         RowBox[{"Sin", "[", 
          RowBox[{"n", " ", "\[Phi]"}], "]"}]}], ",", 
        RowBox[{"{", 
         RowBox[{"\[Phi]", ",", "\[Pi]", ",", 
          RowBox[{"2", " ", "\[Pi]"}]}], " ", "}"}]}], "]"}]}], " ", ")"}]}], 
   "//", 
   RowBox[{
    RowBox[{"Simplify", "[", 
     RowBox[{"#", ",", 
      RowBox[{"Element", "[", 
       RowBox[{"n", ",", "Integers"}], "]"}]}], "]"}], "&"}]}]}]], "Input",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"potOut", "[", "nf_", "]"}], ":=", 
   RowBox[{"Sum", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"B", "[", "n", "]"}], " ", 
      RowBox[{"Sin", "[", 
       RowBox[{"n", " ", "\[Phi]"}], "]"}], " ", 
      SuperscriptBox["r", 
       RowBox[{"-", "n"}]]}], ",", 
     RowBox[{"{", 
      RowBox[{"n", ",", "1", ",", "nf"}], "}"}]}], "]"}]}], ";"}]], "Input",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{"potOut", "[", "3", "]"}]], "Input",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{"Vout", "=", 
  RowBox[{
   RowBox[{
    RowBox[{"(", 
     RowBox[{
      RowBox[{"potOut", "[", "Infinity", "]"}], "//", "Simplify"}], ")"}], "//.",
     " ", 
    RowBox[{"{", 
     FormBox[
      RowBox[{
       RowBox[{"log", "(", 
        RowBox[{"1", "-", "aa_"}], ")"}], "\[Rule]", 
       RowBox[{
        RowBox[{"log", "(", 
         FractionBox[
          RowBox[{"1", "-", "aa"}], 
          RowBox[{"aa", "+", "1"}]], ")"}], "+", 
        RowBox[{"log", "(", 
         RowBox[{"aa", "+", "1"}], ")"}]}]}],
      TraditionalForm], "}"}]}], "//", " ", "Simplify", "  "}]}]], "Input",
 Hyphenation->False]
}, Closed]],

Cell[CellGroupData[{

Cell["Part b", "Subsubsection",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{"Off", "[", 
  RowBox[{
   RowBox[{"Plot3D", "::", "plnc"}], ",", 
   RowBox[{"Plot3D", "::", "gval"}]}], "]"}]], "Input",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{"pt1", "=", 
  RowBox[{"Plot3D", "[", " ", 
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{"Vin", "/.", 
       RowBox[{"a", "\[Rule]", "1"}]}], "/.", 
      RowBox[{"V0", "\[Rule]", "1"}]}], " ", "//", "Evaluate"}], ",", 
    "\[IndentingNewLine]", 
    RowBox[{"{", 
     RowBox[{"\[Phi]", ",", "0", ",", 
      RowBox[{"2", "\[Pi]"}]}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"r", ",", "0", ",", "1"}], " ", "}"}], ",", 
    "\[IndentingNewLine]", 
    RowBox[{"PlotPoints", "\[Rule]", "40"}]}], "\[IndentingNewLine]", 
   "]"}]}]], "Input",
 CellChangeTimes->{{3.421781345957179*^9, 3.42178134706549*^9}},
 Hyphenation->False],

Cell[BoxData[
 RowBox[{"pt2", "=", 
  RowBox[{"Plot3D", "[", " ", 
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{"Vout", "/.", 
       RowBox[{"a", "\[Rule]", "1"}]}], "/.", 
      RowBox[{"V0", "\[Rule]", "1"}]}], " ", "//", "Evaluate"}], ",", 
    "\[IndentingNewLine]", 
    RowBox[{"{", 
     RowBox[{"\[Phi]", ",", "0", ",", 
      RowBox[{"2", "\[Pi]"}]}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"r", ",", "1", " ", ",", "2"}], " ", "}"}], ",", 
    "\[IndentingNewLine]", 
    RowBox[{"PlotPoints", "\[Rule]", "40"}]}], "\[IndentingNewLine]", 
   "]"}]}]], "Input",
 CellChangeTimes->{{3.421781357219137*^9, 3.421781358457233*^9}},
 Hyphenation->False],

Cell[BoxData[
 RowBox[{"Off", "[", 
  RowBox[{"Graphics3D", "::", "nlist3"}], "]"}]], "Input",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{"Show", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"pt1", ",", "pt2"}], "}"}], ",", 
   RowBox[{"PlotRange", "\[Rule]", "All"}]}], "]"}]], "Input",
 CellChangeTimes->{
  3.421781313840791*^9, {3.421781414242166*^9, 3.421781418732376*^9}},
 Hyphenation->False],

Cell[BoxData[
 RowBox[{"Off", "[", 
  RowBox[{"ParametricPlot3D", "::", "pplr"}], "]"}]], "Input",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{"pt3", "=", 
  RowBox[{"RevolutionPlot3D", "[", 
   RowBox[{
    RowBox[{
     RowBox[{"Vin", "/.", "\[InvisibleSpace]", 
      RowBox[{"a", "\[Rule]", "1"}]}], "/.", "\[InvisibleSpace]", 
     RowBox[{"V0", "\[Rule]", "1"}]}], ",", 
    RowBox[{"{", 
     RowBox[{"r", ",", "0", ",", "1"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"\[Phi]", ",", "0.01`", ",", 
      RowBox[{"0.99`", " ", "\[Pi]"}]}], "}"}], ",", 
    RowBox[{"PlotPoints", "\[Rule]", "20"}]}], "]"}]}]], "Input",
 CellChangeTimes->{3.421781486309574*^9},
 Hyphenation->False],

Cell[BoxData[
 RowBox[{"pt4", "=", 
  RowBox[{"RevolutionPlot3D", "[", 
   RowBox[{
    RowBox[{
     RowBox[{"Vout", "/.", "\[InvisibleSpace]", 
      RowBox[{"a", "\[Rule]", "1"}]}], "/.", "\[InvisibleSpace]", 
     RowBox[{"V0", "\[Rule]", "1"}]}], ",", 
    RowBox[{"{", 
     RowBox[{"r", ",", "1", ",", "1.75`"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"\[Phi]", ",", "0.01`", ",", 
      RowBox[{"0.99`", " ", "\[Pi]"}]}], "}"}], ",", 
    RowBox[{"PlotPoints", "\[Rule]", "20"}]}], "]"}]}]], "Input",
 CellChangeTimes->{{3.421781489738443*^9, 3.421781491417432*^9}},
 Hyphenation->False],

Cell[BoxData[
 RowBox[{"Show", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"pt3", ",", "pt4"}], "}"}], ",", 
   RowBox[{"PlotRange", "\[Rule]", "All"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.421781495180326*^9, 3.42178151734326*^9}},
 Hyphenation->False]
}, Closed]]
}, Closed]],

Cell["8.3 Laplace's Equation in Spherical Coordinates ", "Section",
 Evaluatable->False,
 InitializationCell->False,
 Hyphenation->False,
 AspectRatioFixed->True],

Cell["Overview of Spherical Coordinates", "Subsubsection",
 Hyphenation->False],

Cell[CellGroupData[{

Cell["Problem 1: A charged ring  ", "Subsubsection",
 Evaluatable->False,
 InitializationCell->False,
 Hyphenation->False,
 AspectRatioFixed->True],

Cell["Required packages", "Subsubsection",
 Evaluatable->False,
 InitializationCell->False,
 Hyphenation->False,
 AspectRatioFixed->True],

Cell[BoxData[
 RowBox[{"Needs", "[", "\"\<VectorAnalysis`\>\"", "]"}]], "Input",
 InitializationCell->False,
 Hyphenation->False,
 AspectRatioFixed->True],

Cell[CellGroupData[{

Cell["Solution", "Subsubsection",
 Evaluatable->False,
 InitializationCell->False,
 Hyphenation->False,
 AspectRatioFixed->True],

Cell["Clear[\"Global`*\"];", "Input",
 InitializationCell->False,
 Hyphenation->False,
 AspectRatioFixed->True],

Cell[CellGroupData[{

Cell["Part a", "Subsubsection",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{
  RowBox[{"potZ", "=", 
   FormBox[
    FractionBox["q", 
     SqrtBox[
      RowBox[{
       SuperscriptBox["a", "2"], "+", 
       SuperscriptBox["r", "2"]}]]],
    TraditionalForm]}], ";"}]], "Input",
 Hyphenation->False],

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"potZin", "[", "n_", "]"}], ":=", 
   RowBox[{
    RowBox[{
     RowBox[{"Series", "[", 
      RowBox[{"potZ", ",", 
       RowBox[{"{", 
        RowBox[{"r", ",", "0", ",", "n"}], "}"}]}], "]"}], "//", 
     "PowerExpand"}], "//", "Normal"}]}], ";"}], "\n", 
 RowBox[{
  RowBox[{
   RowBox[{"potZout", "[", "n_", "]"}], ":=", 
   RowBox[{
    RowBox[{
     RowBox[{"Series", "[", 
      RowBox[{"potZ", ",", 
       RowBox[{"{", 
        RowBox[{"r", ",", "\[Infinity]", ",", "n"}], "}"}]}], "]"}], "//", 
     "PowerExpand"}], "//", "Normal"}]}], ";"}]}], "Input",
 Hyphenation->False],

Cell["potZin[9]", "Input",
 InitializationCell->False,
 Hyphenation->False,
 AspectRatioFixed->True],

Cell["potZout[9]", "Input",
 InitializationCell->False,
 Hyphenation->False,
 AspectRatioFixed->True]
}, Closed]],

Cell[CellGroupData[{

Cell["Part b", "Subsubsection",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{
  RowBox[{"pot", "[", "s_", "]"}], ":=", 
  RowBox[{"Sum", "[", 
   RowBox[{
    RowBox[{
     FormBox[
      RowBox[{
       RowBox[{
        RowBox[{"B", "(", "n", ")"}], " ", 
        SuperscriptBox[
         RowBox[{"(", 
          FractionBox["r", "a"], ")"}], "n"]}], "+", 
       RowBox[{
        SuperscriptBox[
         RowBox[{"(", 
          FractionBox["a", "r"], ")"}], 
         RowBox[{"n", "+", "1"}]], " ", 
        RowBox[{"A", "(", "n", ")"}]}]}],
      TraditionalForm], 
     RowBox[{"LegendreP", "[", 
      RowBox[{"n", ",", 
       RowBox[{"Cos", "[", "\[Theta]", "]"}]}], "]"}]}], ",", 
    RowBox[{"{", 
     RowBox[{"n", ",", "0", ",", "s"}], "}"}]}], "]"}]}]], "Input",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"Vout", "[", "s_", "]"}], "=", 
   RowBox[{"Sum", "[", 
    RowBox[{
     RowBox[{
      FormBox[
       RowBox[{
        SuperscriptBox[
         RowBox[{"(", 
          FractionBox["a", "r"], ")"}], 
         RowBox[{"n", "+", "1"}]], " ", 
        RowBox[{"A", "(", "n", ")"}]}],
       TraditionalForm], 
      RowBox[{"LegendreP", "[", 
       RowBox[{"n", ",", 
        RowBox[{"Cos", "[", "\[Theta]", "]"}]}], "]"}]}], ",", 
     RowBox[{"{", 
      RowBox[{"n", ",", "0", ",", "s"}], "}"}]}], "]"}]}], ";"}]], "Input",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{
  RowBox[{"coeffOut", "[", "s_", "]"}], ":=", 
  RowBox[{
   RowBox[{"Solve", "[", 
    RowBox[{
     RowBox[{"0", "\[Equal]", 
      RowBox[{"CoefficientList", "[", 
       RowBox[{
        RowBox[{
         RowBox[{"(", 
          RowBox[{
           RowBox[{"Vout", "[", "s", "]"}], "-", 
           RowBox[{"potZout", "[", "s", "]"}]}], ")"}], "/.", 
         RowBox[{"\[Theta]", "\[Rule]", "0"}]}], ",", 
        RowBox[{"1", "/", "r"}]}], "]"}]}], " ", ",", 
     RowBox[{"A", " ", "/@", " ", 
      RowBox[{"Range", "[", 
       RowBox[{"0", ",", "s"}], "]"}]}]}], "]"}], "//", 
   "Flatten"}]}]], "Input",
 Hyphenation->False],

Cell["coeffOut[3]", "Input",
 InitializationCell->False,
 Hyphenation->False,
 AspectRatioFixed->True],

Cell[" potOut[s_]:=Vout[s]/. coeffOut[s]  ", "Input",
 InitializationCell->False,
 Hyphenation->False,
 AspectRatioFixed->True],

Cell[" potOut[6]   ", "Input",
 InitializationCell->False,
 Hyphenation->False,
 AspectRatioFixed->True],

Cell[BoxData[
 RowBox[{
  RowBox[{"Vin", "[", "s_", "]"}], ":=", 
  RowBox[{"Sum", "[", 
   RowBox[{
    RowBox[{
     FormBox[
      RowBox[{
       SuperscriptBox[
        RowBox[{"(", 
         FractionBox["r", "a"], ")"}], "n"], " ", 
       RowBox[{"B", "(", "n", ")"}]}],
      TraditionalForm], 
     RowBox[{"LegendreP", "[", 
      RowBox[{"n", ",", 
       RowBox[{"Cos", "[", "\[Theta]", "]"}]}], "]"}]}], ",", 
    RowBox[{"{", 
     RowBox[{"n", ",", "0", ",", "s"}], "}"}]}], "]"}]}]], "Input",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{
  RowBox[{"coeffIn", "[", "s_", "]"}], ":=", 
  RowBox[{
   RowBox[{"Solve", "[", 
    RowBox[{
     RowBox[{"0", "\[Equal]", 
      RowBox[{"CoefficientList", "[", 
       RowBox[{
        RowBox[{
         RowBox[{"(", 
          RowBox[{
           RowBox[{"Vin", "[", "s", "]"}], "-", 
           RowBox[{"potZin", "[", "s", "]"}]}], ")"}], "/.", 
         RowBox[{"\[Theta]", "\[Rule]", "0"}]}], ",", " ", "r"}], "]"}]}], 
     " ", ",", 
     RowBox[{"B", "/@", 
      RowBox[{"Range", "[", 
       RowBox[{"0", ",", "s"}], "]"}]}]}], "]"}], "//", 
   "Flatten"}]}]], "Input",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{
  RowBox[{"potIn", "[", "s_", "]"}], ":=", 
  RowBox[{
   RowBox[{"Vin", "[", "s", "]"}], "/.", 
   RowBox[{"coeffIn", "[", "s", "]"}]}]}]], "Input",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{"potIn", "[", "6", "]"}]], "Input",
 Hyphenation->False],

Cell["\<\
SetCoordinates[Spherical[r, \[Theta], \[Phi]]];\
\>", "Input",
 InitializationCell->False,
 Hyphenation->False,
 AspectRatioFixed->True],

Cell[CellGroupData[{

Cell["electout[s_]:= -Grad[potOut[s]];", "Input",
 InitializationCell->False,
 Hyphenation->False,
 AspectRatioFixed->True],

Cell["electin[s_]:= -Grad[potIn[s]];", "Input",
 InitializationCell->False,
 Hyphenation->False,
 AspectRatioFixed->True],

Cell[BoxData[
 RowBox[{"electout", "[", "3", "]"}]], "Input",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{"electin", "[", "3", "]"}]], "Input",
 Hyphenation->False]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell["Part c", "Subsubsection",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{"r2xRule", "=", 
  RowBox[{
   RowBox[{
    RowBox[{"{", 
     RowBox[{"r", ",", "\[Theta]", ",", "\[Phi]"}], "}"}], "\[Rule]", 
    RowBox[{"CoordinatesFromCartesian", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"x", ",", "y", ",", "z"}], "}"}], ",", "Spherical"}], "]"}]}], 
   "//", "Thread"}]}]], "Input",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{
  RowBox[{"values", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"a", "\[Rule]", "1"}], ",", 
     RowBox[{"q", "\[Rule]", "1"}]}], "}"}]}], ";"}]], "Input",
 Hyphenation->False],

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"potOutXYZ", "[", 
    RowBox[{"x_", ",", "y_", ",", "z_"}], " ", "]"}], " ", "=", 
   RowBox[{
    RowBox[{
     RowBox[{"potOut", "[", "12", "]"}], "//.", "r2xRule"}], "//.", 
    "values"}]}], " ", ";"}], "\n", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"potInXYZ", "[", 
     RowBox[{"x_", ",", "y_", ",", "z_"}], " ", "]"}], " ", "=", 
    RowBox[{
     RowBox[{
      RowBox[{"potIn", "[", "12", "]"}], "//.", "r2xRule"}], "//.", 
     "values"}]}], " ", ";"}], " "}]}], "Input",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{
  RowBox[{"ff", "[", 
   RowBox[{"x_", ",", "y_", ",", "z_"}], "]"}], ":=", 
  RowBox[{"If", "[", 
   RowBox[{
    RowBox[{
     RowBox[{"N", "[", 
      FormBox[
       SqrtBox[
        RowBox[{
         SuperscriptBox["x", "2"], "+", 
         SuperscriptBox["y", "2"], "+", 
         SuperscriptBox["z", "2"]}]],
       TraditionalForm], "]"}], "\[GreaterEqual]", "1"}], ",", 
    RowBox[{"potOutXYZ", "[", 
     RowBox[{"x", ",", "y", ",", "z"}], "]"}], ",", 
    RowBox[{"potInXYZ", "[", 
     RowBox[{"x", ",", "y", ",", "z"}], "]"}]}], "]"}]}]], "Input",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{"pt1", "=", 
  RowBox[{"Plot3D", "[", 
   RowBox[{
    RowBox[{"ff", "[", 
     RowBox[{"x", ",", "0", ",", "z"}], "]"}], ",", 
    RowBox[{"{", 
     RowBox[{"x", ",", 
      RowBox[{"-", "2"}], ",", "2"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"z", ",", 
      RowBox[{"-", "2"}], ",", "2"}], "}"}], ",", 
    RowBox[{"PlotPoints", "\[Rule]", "30"}]}], "]"}]}]], "Input",
 CellChangeTimes->{3.421781704245435*^9},
 Hyphenation->False],

Cell[BoxData[
 RowBox[{"pt2", "=", 
  RowBox[{"ContourPlot", "[", 
   RowBox[{
    RowBox[{"ff", "[", 
     RowBox[{"x", ",", "0", ",", "z"}], "]"}], ",", 
    RowBox[{"{", 
     RowBox[{"x", ",", 
      RowBox[{"-", "2"}], ",", "2"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"z", ",", 
      RowBox[{"-", "2"}], ",", "2"}], "}"}], ",", 
    RowBox[{"PlotPoints", "\[Rule]", "30"}]}], "]"}]}]], "Input",
 CellChangeTimes->{{3.421781634834241*^9, 3.421781641731629*^9}},
 Hyphenation->False],

Cell[BoxData[
 RowBox[{"GraphicsRow", "[", 
  RowBox[{"{", 
   RowBox[{"pt1", ",", "pt2"}], "}"}], "]"}]], "Input",
 CellChangeTimes->{{3.421781556071414*^9, 3.421781557392668*^9}},
 Hyphenation->False],

Cell[BoxData[
 RowBox[{"VEPlot", "[", 
  RowBox[{
   RowBox[{
    RowBox[{"ff", "[", 
     RowBox[{"x", ",", "0", ",", "z"}], "]"}], "//", "Evaluate"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{"x", ",", 
     RowBox[{"-", "2.1"}], ",", "2.1"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"z", ",", 
     RowBox[{"-", "1.6"}], ",", "1.6"}], "}"}], ",", 
   RowBox[{"Epilog", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{"Hue", "[", ".3", "]"}], ",", " ", 
        RowBox[{"Disk", "[", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{"1", ",", "0"}], "}"}], ",", ".2"}], "]"}]}], "}"}], ",", 
      "  ", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"Hue", "[", ".3", "]"}], ",", " ", 
        RowBox[{"Disk", "[", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{
            RowBox[{"-", "1"}], ",", "0"}], " ", "}"}], ",", ".2"}], "]"}]}], 
       "}"}]}], "}"}]}]}], "]"}]], "Input",
 CellChangeTimes->{3.421781560819707*^9},
 Hyphenation->False],

Cell[BoxData[
 RowBox[{"pt3", "=", 
  RowBox[{"Plot3D", "[", 
   RowBox[{
    RowBox[{"ff", "[", 
     RowBox[{"x", ",", "y", ",", "0"}], "]"}], ",", 
    RowBox[{"{", 
     RowBox[{"x", ",", 
      RowBox[{"-", "2"}], ",", "2"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"y", ",", 
      RowBox[{"-", "2"}], ",", "2"}], "}"}], ",", 
    RowBox[{"PlotPoints", "\[Rule]", "30"}]}], "]"}]}]], "Input",
 CellChangeTimes->{3.421781568244449*^9},
 Hyphenation->False],

Cell[BoxData[
 RowBox[{"pt4", "=", 
  RowBox[{"ContourPlot", "[", 
   RowBox[{
    RowBox[{"ff", "[", 
     RowBox[{"x", ",", "y", ",", "0"}], "]"}], ",", "\[IndentingNewLine]", 
    RowBox[{"{", 
     RowBox[{"x", ",", 
      RowBox[{"-", "2"}], ",", "2"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"y", ",", 
      RowBox[{"-", "2"}], ",", "2"}], "}"}], ",", "\[IndentingNewLine]", 
    RowBox[{"PlotPoints", "\[Rule]", "30"}], ",", "\[IndentingNewLine]", 
    RowBox[{"Epilog", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"Hue", "[", "0.07", "]"}], ",", 
       RowBox[{"Thickness", "[", ".03", "]"}], ",", 
       RowBox[{"Circle", "[", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "0"}], "}"}], ",", "1"}], "]"}]}], "}"}]}]}], 
   "\[IndentingNewLine]", "]"}]}]], "Input",
 CellChangeTimes->{{3.421781573580575*^9, 3.421781575227949*^9}, 
   3.421781801674758*^9},
 Hyphenation->False],

Cell[BoxData[
 RowBox[{"GraphicsRow", "[", 
  RowBox[{"{", 
   RowBox[{"pt3", ",", "pt4"}], "}"}], "]"}]], "Input",
 CellChangeTimes->{{3.421781583739007*^9, 3.421781587162601*^9}},
 Hyphenation->False],

Cell[BoxData[
 RowBox[{"VEPlot", "[", 
  RowBox[{
   RowBox[{"ff", "[", 
    RowBox[{"x", ",", "y", ",", "0"}], "]"}], ",", "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{"x", ",", 
     RowBox[{"-", "2.1"}], ",", "2.1"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"y", ",", 
     RowBox[{"-", "2.1"}], ",", "2.1"}], "}"}], ",", 
   RowBox[{"Epilog", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"Hue", "[", "0.05", "]"}], ",", 
      RowBox[{"Thickness", "[", ".008", "]"}], ",", 
      RowBox[{"Circle", "[", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"0", ",", "0"}], "}"}], ",", "1"}], "]"}]}], "}"}]}]}], 
  "]"}]], "Input",
 CellChangeTimes->{3.421781590461296*^9},
 Hyphenation->False]
}, Closed]]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell["Problem 2: Grounded sphere in an electric field  ", "Subsubsection",
 Evaluatable->False,
 InitializationCell->False,
 Hyphenation->False,
 AspectRatioFixed->True],

Cell["Required packages", "Subsubsection",
 Evaluatable->False,
 InitializationCell->False,
 Hyphenation->False,
 AspectRatioFixed->True],

Cell[BoxData[{
 RowBox[{"Needs", "[", "\"\<VectorAnalysis`\>\"", "]"}], "\n", 
 RowBox[{"Needs", "[", "\"\<VectorFieldPlots`\>\"", "]"}]}], "Input",
 Hyphenation->False],

Cell["Solution", "Subsubsection",
 Evaluatable->False,
 InitializationCell->False,
 Hyphenation->False,
 AspectRatioFixed->True],

Cell["Clear[\"Global`*\"];", "Input",
 InitializationCell->False,
 Hyphenation->False,
 AspectRatioFixed->True],

Cell[CellGroupData[{

Cell["Part a", "Subsubsection",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{
  RowBox[{"Asol", "=", 
   RowBox[{"{", " ", 
    RowBox[{
     RowBox[{
      RowBox[{"A", "[", "1", "]"}], "\[Rule]", 
      RowBox[{
       RowBox[{"-", "E0"}], " ", "a"}]}], ",", " ", 
     RowBox[{
      RowBox[{"A", "[", "i_", "]"}], "\[Rule]", "0"}]}], "}"}]}], "  ", 
  ";"}]], "Input",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{
  RowBox[{"pot", "[", "s_", "]"}], ":=", 
  RowBox[{
   RowBox[{"Sum", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"(", 
       FormBox[
        RowBox[{
         RowBox[{
          RowBox[{"A", "(", "i", ")"}], " ", 
          SuperscriptBox[
           RowBox[{"(", 
            FractionBox["r", "a"], ")"}], "i"]}], "+", 
         RowBox[{
          SuperscriptBox[
           RowBox[{"(", 
            FractionBox["a", "r"], ")"}], 
           RowBox[{"i", "+", "1"}]], " ", 
          RowBox[{"B", "(", "i", ")"}]}]}],
        TraditionalForm], " ", ")"}], 
      RowBox[{"LegendreP", "[", 
       RowBox[{"i", ",", 
        RowBox[{"Cos", "[", "\[Theta]", "]"}]}], "]"}]}], ",", 
     RowBox[{"{", 
      RowBox[{"i", ",", "0", ",", "s"}], "}"}]}], "]"}], "/.", 
   "Asol"}]}]], "Input",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{
  RowBox[{"Beq", "[", "s_", "]"}], ":=", 
  RowBox[{"LogicalExpand", "[", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{
      RowBox[{"pot", "[", "s", "]"}], "/.", 
      RowBox[{"r", "\[Rule]", "a"}]}], ")"}], "\[Equal]", 
    RowBox[{"0", "+", 
     SuperscriptBox[
      RowBox[{"O", "[", 
       RowBox[{"Cos", "[", "\[Theta]", "]"}], "]"}], 
      RowBox[{"s", "+", "1"}]]}]}], "]"}], " "}]], "Input",
 Hyphenation->False],

Cell["\<\
Beq[4] 
 \
\>", "Input",
 InitializationCell->False,
 Hyphenation->False,
 AspectRatioFixed->True],

Cell[BoxData[
 RowBox[{"  ", 
  RowBox[{
   RowBox[{
    RowBox[{"Bsol", "[", "s_", "]"}], ":=", 
    RowBox[{
     RowBox[{"Solve", "[", 
      RowBox[{"Beq", "[", "s", "]"}], "]"}], "//", "Flatten"}]}], " ", 
   ";"}]}]], "Input",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{"Off", "[", 
  RowBox[{"Solve", "::", "svars"}], "]"}]], "Input",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{" ", 
  RowBox[{
   RowBox[{"Solve", "[", 
    RowBox[{"Beq", "[", "6", "]"}], "]"}], "//", "Flatten", " "}]}]], "Input",\

 Hyphenation->False],

Cell[BoxData[
 RowBox[{
  RowBox[{"Bsol", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{"B", "[", "1", "]"}], "\[Rule]", 
      RowBox[{"a", " ", "E0"}]}], ",", 
     RowBox[{
      RowBox[{"B", "[", "i_", "]"}], "\[Rule]", "0"}]}], "}"}]}], 
  ";"}]], "Input",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{"potential", " ", "=", 
  RowBox[{
   RowBox[{
    RowBox[{"(", 
     RowBox[{"Sum", "[", 
      RowBox[{
       RowBox[{
        RowBox[{"(", 
         FormBox[
          RowBox[{
           RowBox[{
            RowBox[{"A", "(", "i", ")"}], " ", 
            SuperscriptBox[
             RowBox[{"(", 
              FractionBox["r", "a"], ")"}], "i"]}], "+", 
           RowBox[{
            SuperscriptBox[
             RowBox[{"(", 
              FractionBox["a", "r"], ")"}], 
             RowBox[{"i", "+", "1"}]], " ", 
            RowBox[{"B", "(", "i", ")"}]}]}],
          TraditionalForm], ")"}], " ", 
        RowBox[{"LegendreP", "[", 
         RowBox[{"i", ",", 
          RowBox[{"Cos", "[", "\[Theta]", "]"}]}], "]"}]}], ",", 
       RowBox[{"{", 
        RowBox[{"i", ",", "0", ",", "3"}], "}"}]}], "]"}], ")"}], "/.", 
    "Asol"}], "/.", "Bsol"}]}]], "Input",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{"eField", "=", 
  RowBox[{
   RowBox[{"-", 
    RowBox[{"Grad", "[", 
     RowBox[{"potential", ",", 
      RowBox[{"Spherical", "[", 
       RowBox[{"r", ",", "\[Theta]", ",", "\[Phi]"}], "]"}]}], "]"}]}], "//", 
   "ExpandAll"}]}]], "Input",
 Hyphenation->False]
}, Closed]],

Cell[CellGroupData[{

Cell["Part b", "Subsubsection",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{
  RowBox[{"r2xRule", "=", 
   RowBox[{
    RowBox[{
     RowBox[{"{", 
      RowBox[{"r", ",", "\[Theta]", ",", "\[Phi]"}], "}"}], "\[Rule]", 
     RowBox[{"CoordinatesFromCartesian", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"x", ",", "y", ",", "z"}], "}"}], ",", "Spherical"}], "]"}]}],
     "//", "Thread"}]}], ";"}]], "Input",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{
  RowBox[{"values", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"E0", "\[Rule]", "1"}], ",", 
     RowBox[{"a", "\[Rule]", "1"}]}], "}"}]}], ";"}]], "Input",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{
  RowBox[{"p1", "=", 
   RowBox[{"VEPlot", "[", 
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{"potential", "//.", "r2xRule"}], "//.", "values"}], "//.", 
      RowBox[{"{", 
       RowBox[{"y", "\[Rule]", "0"}], "}"}]}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{"x", ",", 
       RowBox[{"-", "2.1"}], ",", "2.1"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"z", ",", 
       RowBox[{"-", "2.1"}], ",", "2.1"}], "}"}]}], "]"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.421781847453598*^9, 3.421781881175771*^9}},
 Hyphenation->False],

Cell[BoxData[
 RowBox[{
  RowBox[{"disk", "=", 
   RowBox[{"Graphics", "[", 
    RowBox[{"Disk", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"0", ",", "0"}], "}"}], ",", "1"}], "]"}], "]"}]}], 
  ";"}]], "Input",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{"Show", "[", 
  RowBox[{"p1", ",", "disk"}], "]"}]], "Input",
 CellChangeTimes->{3.421781859106645*^9},
 Hyphenation->False]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell["\<\
Problem 3: Sphere with an axially symmetric charge distribution  \
\>", "Subsubsection",
 Evaluatable->False,
 InitializationCell->False,
 Hyphenation->False,
 AspectRatioFixed->True],

Cell["Required packages", "Subsubsection",
 Evaluatable->False,
 InitializationCell->False,
 Hyphenation->False,
 AspectRatioFixed->True],

Cell[BoxData[
 RowBox[{
  RowBox[{"Needs", "[", "\"\<VectorAnalysis`\>\"", "]"}], " "}]], "Input",
 InitializationCell->False,
 CellChangeTimes->{{3.421842729833364*^9, 3.421842730124678*^9}},
 Hyphenation->False,
 AspectRatioFixed->True],

Cell["Solution", "Subsubsection",
 Evaluatable->False,
 InitializationCell->False,
 Hyphenation->False,
 AspectRatioFixed->True],

Cell["Clear[\"Global`*\"];", "Input",
 InitializationCell->False,
 Hyphenation->False,
 AspectRatioFixed->True],

Cell[CellGroupData[{

Cell["Part a", "Subsubsection",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{
  RowBox[{"potInA", "[", "s_", "]"}], ":=", 
  RowBox[{"Sum", "[", 
   RowBox[{
    RowBox[{
     FormBox[
      RowBox[{
       SuperscriptBox[
        RowBox[{"(", 
         FractionBox["r", "a"], ")"}], "i"], " ", 
       RowBox[{"A", "(", "i", ")"}]}],
      TraditionalForm], " ", 
     RowBox[{"LegendreP", "[", 
      RowBox[{"i", ",", 
       RowBox[{"Cos", "[", "\[Theta]", "]"}]}], "]"}]}], ",", 
    RowBox[{"{", 
     RowBox[{"i", ",", "0", ",", "s"}], "}"}]}], "]"}]}]], "Input",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{
  RowBox[{"potOutA", "[", "s_", "]"}], ":=", 
  RowBox[{"Sum", "[", 
   RowBox[{
    RowBox[{
     RowBox[{"A", "[", "i", "]"}], " ", 
     FormBox[
      SuperscriptBox[
       RowBox[{"(", 
        FractionBox["a", "r"], ")"}], 
       RowBox[{"i", "+", "1"}]],
      TraditionalForm], 
     RowBox[{"LegendreP", "[", 
      RowBox[{"i", ",", 
       RowBox[{"Cos", "[", "\[Theta]", "]"}]}], "]"}]}], ",", 
    RowBox[{"{", 
     RowBox[{"i", ",", "0", ",", "s"}], "}"}]}], "]"}]}]], "Input",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{
  RowBox[{"chargeDensity", "[", "s_", "]"}], ":=", 
  RowBox[{
   RowBox[{
    FormBox[
     FractionBox["1", 
      RowBox[{"4", " ", "\[Pi]"}]],
     TraditionalForm], 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"D", "[", 
       RowBox[{
        RowBox[{"potInA", "[", "s", "]"}], ",", "r"}], "]"}], "-", 
      RowBox[{"D", "[", 
       RowBox[{
        RowBox[{"potOutA", "[", "s", "]"}], ",", "r"}], "]"}]}], ")"}]}], "//.",
    
   RowBox[{"{", 
    RowBox[{"r", "\[Rule]", "a"}], "}"}]}]}]], "Input",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{
  RowBox[{"chargeDensity", "[", "2", "]"}], "//", "Apart"}]], "Input",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{
  RowBox[{"aEquation", "[", 
   RowBox[{"s_", ",", "Qdensity_"}], "]"}], ":=", 
  RowBox[{"LogicalExpand", "[", 
   RowBox[{
    RowBox[{"chargeDensity", "[", "s", "]"}], "\[Equal]", 
    RowBox[{"Qdensity", "+", 
     SuperscriptBox[
      RowBox[{"O", "[", 
       RowBox[{"Cos", "[", "\[Theta]", "]"}], "]"}], 
      RowBox[{"s", "+", "1"}]]}]}], "]"}]}]], "Input",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{
  RowBox[{"aRule", "[", 
   RowBox[{"s_", ",", "Qdensity_"}], "]"}], ":=", 
  RowBox[{
   RowBox[{"Solve", "[", 
    RowBox[{
     RowBox[{"aEquation", "[", 
      RowBox[{"s", ",", "Qdensity"}], "]"}], ",", 
     RowBox[{"Array", "[", 
      RowBox[{"A", ",", 
       RowBox[{"s", "+", "1"}], ",", "0"}], "]"}]}], "]"}], "//", 
   "Flatten"}]}]], "Input",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{"aRule", "[", 
  RowBox[{"4", ",", 
   FormBox[
    FractionBox[
     RowBox[{"Q", " ", 
      RowBox[{
       SuperscriptBox["cos", "2"], "(", "\[Theta]", ")"}]}], 
     SuperscriptBox["a", "2"]],
    TraditionalForm]}], "]"}]], "Input",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{
  RowBox[{"potInA", "[", "4", "]"}], "/.", 
  RowBox[{"aRule", "[", 
   RowBox[{"4", ",", 
    FormBox[
     FractionBox[
      RowBox[{"Q", " ", 
       RowBox[{
        SuperscriptBox["cos", "2"], "(", "\[Theta]", ")"}]}], 
      SuperscriptBox["a", "2"]],
     TraditionalForm]}], "]"}]}]], "Input",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{
  RowBox[{"potOutA", "[", "4", "]"}], "/.", 
  RowBox[{"aRule", "[", 
   RowBox[{"4", ",", 
    FormBox[
     FractionBox[
      RowBox[{"Q", " ", 
       RowBox[{
        SuperscriptBox["cos", "2"], "(", "\[Theta]", ")"}]}], 
      SuperscriptBox["a", "2"]],
     TraditionalForm]}], "]"}]}]], "Input",
 Hyphenation->False]
}, Closed]],

Cell[CellGroupData[{

Cell["Part b", "Subsubsection",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{"surfaceQ", "=", 
  RowBox[{
   FormBox[
    FractionBox[
     RowBox[{"Q", " ", 
      RowBox[{"(", 
       RowBox[{
        FractionBox[
         RowBox[{
          SuperscriptBox["cos", "2"], "(", "\[Theta]", ")"}], "2"], "+", 
        RowBox[{"cos", "(", "\[Theta]", ")"}]}], ")"}]}], 
     SuperscriptBox["a", "2"]],
    TraditionalForm], "//", "Expand"}]}]], "Input",
 Hyphenation->False],

Cell["potOutQ= potOutA[8] //. aRule[8,surfaceQ]", "Input",
 InitializationCell->False,
 Hyphenation->False,
 AspectRatioFixed->True],

Cell["potInQ= potInA[8]//.aRule[8,surfaceQ]", "Input",
 InitializationCell->False,
 Hyphenation->False,
 AspectRatioFixed->True],

Cell[BoxData[
 RowBox[{
  RowBox[{"values", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"Q", "\[Rule]", "1"}], ",", 
     RowBox[{"a", "\[Rule]", "1"}]}], "}"}]}], ";"}]], "Input",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{"p1", "=", 
  RowBox[{"RevolutionPlot3D", "[", 
   RowBox[{
    RowBox[{"potInQ", "//.", "\[InvisibleSpace]", "values"}], ",", 
    RowBox[{"{", 
     RowBox[{"r", ",", "0", ",", "1"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"\[Theta]", ",", "0", ",", 
      RowBox[{"2", " ", "\[Pi]"}]}], "}"}]}], "]"}]}]], "Input",
 CellChangeTimes->{3.421781950023628*^9},
 Hyphenation->False],

Cell[BoxData[
 RowBox[{"p2", "=", 
  RowBox[{"RevolutionPlot3D", "[", 
   RowBox[{
    RowBox[{"potOutQ", "//.", "\[InvisibleSpace]", "values"}], ",", 
    RowBox[{"{", 
     RowBox[{"r", ",", "1", ",", "3"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"\[Theta]", ",", "0", ",", 
      RowBox[{"2", " ", "\[Pi]"}]}], "}"}]}], "]"}]}]], "Input",
 CellChangeTimes->{3.421781956442528*^9},
 Hyphenation->False],

Cell[BoxData[
 RowBox[{"Show", "[", 
  RowBox[{"p1", ",", "p2", ",", "\[IndentingNewLine]", 
   RowBox[{"AxesLabel", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"a", ",", "b", ",", "c"}], "}"}]}], ",", "\[IndentingNewLine]", 
   RowBox[{"ViewPoint", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"-", "1.5"}], ",", 
      RowBox[{"-", "2"}], ",", "2"}], "}"}]}], ",", "\[IndentingNewLine]", 
   RowBox[{"BoxRatios", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"1", ",", "1", ",", "1"}], "}"}]}], ",", "\[IndentingNewLine]", 
   RowBox[{"PlotRange", "->", "All"}]}], "]"}]], "Input",
 CellChangeTimes->{
  3.421781965414066*^9, {3.421782036922534*^9, 3.421782044880148*^9}},
 Hyphenation->False],

Cell[BoxData[
 RowBox[{
  RowBox[{"r2xRule", "=", 
   RowBox[{
    RowBox[{
     RowBox[{"{", 
      RowBox[{"r", ",", "\[Theta]", ",", "\[Phi]"}], "}"}], "\[Rule]", 
     RowBox[{"CoordinatesFromCartesian", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"x", ",", "y", ",", "z"}], "}"}], ",", "Spherical"}], "]"}]}],
     "//", "Thread"}]}], ";"}]], "Input",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{
    RowBox[{"for", " ", "0"}], "<", "r", "<", "1"}], "*)"}], 
  "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"eq1", "[", 
     RowBox[{"y_", ",", "z_"}], "]"}], "=", 
    RowBox[{
     RowBox[{
      RowBox[{"potInQ", "/.", "r2xRule"}], "/.", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"Q", "\[Rule]", "1"}], ",", 
        RowBox[{"a", "\[Rule]", "1"}], ",", 
        RowBox[{"x", "\[Rule]", "0"}]}], "}"}]}], "//", "Simplify"}]}], 
   ";"}]}]], "Input",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{"for", " ", "1"}], "<", "r"}], " ", "*)"}], "\n", 
  RowBox[{
   RowBox[{
    RowBox[{"eq2", "[", 
     RowBox[{"y_", ",", "z_"}], "]"}], "=", 
    RowBox[{
     RowBox[{
      RowBox[{"potOutQ", "/.", "r2xRule"}], "/.", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"Q", "\[Rule]", "1"}], ",", 
        RowBox[{"a", "\[Rule]", "1"}], ",", 
        RowBox[{"x", "\[Rule]", "0"}]}], "}"}]}], " ", "//", "Simplify"}]}], 
   ";"}]}]], "Input",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{
  RowBox[{"pot", "[", 
   RowBox[{"y_", ",", "z_"}], "]"}], ":=", 
  RowBox[{"If", "[", 
   RowBox[{
    FormBox[
     RowBox[{
      RowBox[{
       SuperscriptBox["y", "2"], "+", 
       SuperscriptBox["z", "2"]}], "<", "1"}],
     TraditionalForm], ",", 
    RowBox[{"eq1", "[", 
     RowBox[{"y", ",", "z"}], "]"}], ",", 
    RowBox[{"eq2", "[", 
     RowBox[{"y", ",", "z"}], "]"}]}], "]"}]}]], "Input",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{
  RowBox[{"circle", "=", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
      RowBox[{"Thickness", "[", "0.02", "]"}], ",", 
      RowBox[{"Circle", "[", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"0", ",", "0"}], "}"}], ",", "1"}], "]"}]}], "}"}], " ", "//",
     "Graphics"}]}], ";"}]], "Input",
 CellChangeTimes->{3.421781977670903*^9, 3.421782027456309*^9},
 Hyphenation->False],

Cell[BoxData[
 RowBox[{"Show", "[", 
  RowBox[{"{", 
   RowBox[{
    RowBox[{"VEPlot", "[", 
     RowBox[{
      RowBox[{"pot", "[", 
       RowBox[{"y", ",", "z"}], "]"}], ",", 
      RowBox[{"{", 
       RowBox[{"y", ",", 
        RowBox[{"-", "2"}], ",", "2"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"z", ",", 
        RowBox[{"-", "2"}], ",", "2"}], "}"}]}], "]"}], ",", "circle"}], 
   "}"}], "]"}]], "Input",
 CellChangeTimes->{{3.42178200715529*^9, 3.421782013860066*^9}},
 Hyphenation->False]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell["Problem 4: Sphere with a given axially symmetric potential ", \
"Subsubsection",
 Evaluatable->False,
 InitializationCell->False,
 Hyphenation->False,
 AspectRatioFixed->True],

Cell["Required packages", "Subsubsection",
 Evaluatable->False,
 InitializationCell->False,
 Hyphenation->False,
 AspectRatioFixed->True],

Cell[BoxData[
 RowBox[{
  RowBox[{"Needs", "[", "\"\<VectorAnalysis`\>\"", "]"}], " "}]], "Input",
 InitializationCell->False,
 CellChangeTimes->{3.421782062227695*^9, 3.4218432105881*^9},
 Hyphenation->False,
 AspectRatioFixed->True],

Cell["Solution", "Subsubsection",
 Evaluatable->False,
 InitializationCell->False,
 Hyphenation->False,
 AspectRatioFixed->True],

Cell["Clear[\"Global`*\"];", "Input",
 InitializationCell->False,
 Hyphenation->False,
 AspectRatioFixed->True],

Cell[CellGroupData[{

Cell["Part a", "Subsubsection",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{
  RowBox[{"potIn", "[", 
   RowBox[{"V_", ",", "s_"}], "]"}], ":=", 
  RowBox[{"Sum", "[", 
   RowBox[{
    RowBox[{
     FormBox[
      RowBox[{
       SuperscriptBox[
        RowBox[{"(", 
         FractionBox["r", "r0"], ")"}], "n"], " ", 
       RowBox[{"B", "(", 
        RowBox[{"V", ",", "n"}], ")"}]}],
      TraditionalForm], " ", 
     RowBox[{"P", "[", 
      RowBox[{"n", ",", 
       RowBox[{"Cos", "[", "\[Theta]", "]"}]}], "]"}]}], ",", 
    RowBox[{"{", 
     RowBox[{"n", ",", "0", ",", "s"}], "}"}]}], "]"}]}]], "Input",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{
  RowBox[{"potOut", "[", 
   RowBox[{"V_", ",", "s_"}], "]"}], ":=", 
  RowBox[{"Sum", "[", 
   RowBox[{
    RowBox[{
     FormBox[
      RowBox[{
       SuperscriptBox[
        RowBox[{"(", 
         FractionBox["r0", "r"], ")"}], 
        RowBox[{"n", "+", "1"}]], " ", 
       RowBox[{"B", "(", 
        RowBox[{"V", ",", "n"}], ")"}]}],
      TraditionalForm], " ", 
     RowBox[{"P", "[", 
      RowBox[{"n", ",", 
       RowBox[{"Cos", "[", "\[Theta]", "]"}]}], "]"}]}], ",", 
    RowBox[{"{", 
     RowBox[{"n", ",", "0", ",", "s"}], "}"}]}], "]"}]}]], "Input",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{
  RowBox[{"B", "[", 
   RowBox[{"V_", ",", "n_"}], "]"}], ":=", 
  RowBox[{
   FormBox[
    RowBox[{
     FractionBox["1", "2"], " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"2", " ", "n"}], "+", "1"}], ")"}]}],
    TraditionalForm], " ", 
   RowBox[{"Integrate", "[", 
    RowBox[{
     RowBox[{"V", " ", 
      RowBox[{"LegendreP", "[", 
       RowBox[{"n", ",", 
        RowBox[{"Cos", "[", "\[Theta]", "]"}]}], "]"}], " ", 
      RowBox[{"Sin", "[", "\[Theta]", "]"}]}], ",", 
     RowBox[{"{", 
      RowBox[{"\[Theta]", ",", "0", ",", "\[Pi]"}], "}"}]}], 
    "]"}]}]}]], "Input",
 Hyphenation->False]
}, Closed]],

Cell[CellGroupData[{

Cell["Part b", "Subsubsection",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{"pOut", "=", 
  RowBox[{"potOut", "[", 
   RowBox[{
    RowBox[{"V0", " ", 
     SuperscriptBox[
      RowBox[{"Cos", "[", "\[Theta]", "]"}], "2"]}], ",", "4"}], 
   "]"}]}]], "Input",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{"pIn", "=", 
  RowBox[{"potIn", "[", 
   RowBox[{
    RowBox[{"V0", " ", 
     SuperscriptBox[
      RowBox[{"Cos", "[", "\[Theta]", "]"}], "2"]}], ",", "4"}], 
   "]"}]}]], "Input",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{
  RowBox[{"values", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"r0", "\[Rule]", "1"}], ",", 
     RowBox[{"V0", "\[Rule]", "1"}], ",", 
     RowBox[{"P", "\[Rule]", "LegendreP"}]}], "}"}]}], ";"}]], "Input",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{"p1", "=", 
  RowBox[{"RevolutionPlot3D", "[", 
   RowBox[{
    RowBox[{"pIn", "/.", "\[InvisibleSpace]", "values"}], ",", 
    RowBox[{"{", 
     RowBox[{"r", ",", "0", ",", "1"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"\[Theta]", ",", "0", ",", 
      RowBox[{"2", " ", "\[Pi]"}]}], "}"}]}], "]"}]}]], "Input",
 CellChangeTimes->{3.421782076424829*^9},
 Hyphenation->False],

Cell[BoxData[
 RowBox[{"p2", "=", 
  RowBox[{"RevolutionPlot3D", "[", 
   RowBox[{
    RowBox[{"pOut", "/.", "\[InvisibleSpace]", "values"}], ",", 
    RowBox[{"{", 
     RowBox[{"r", ",", "1", ",", "3"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"\[Theta]", ",", "0", ",", 
      RowBox[{"2", " ", "\[Pi]"}]}], "}"}]}], "]"}]}]], "Input",
 CellChangeTimes->{3.421782082238945*^9},
 Hyphenation->False],

Cell[BoxData[
 RowBox[{"Show", "[", 
  RowBox[{"p1", ",", "p2", ",", 
   RowBox[{"BoxRatios", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"1", ",", "1", ",", "1"}], "}"}]}], ",", 
   RowBox[{"ViewPoint", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"-", "1.5"}], ",", 
      RowBox[{"-", "2"}], ",", "2"}], "}"}]}], ",", 
   RowBox[{"PlotRange", "\[Rule]", "All"}]}], "]"}]], "Input",
 CellChangeTimes->{
  3.421782089705402*^9, {3.421782181211804*^9, 3.421782185588536*^9}},
 Hyphenation->False]
}, Closed]],

Cell[CellGroupData[{

Cell["Part c", "Subsubsection",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{
  RowBox[{"surfacePot", "=", 
   FormBox[
    FractionBox[
     RowBox[{"cos", "(", "\[Theta]", ")"}], 
     RowBox[{"1.1", "\[InvisibleSpace]", "-", 
      RowBox[{"cos", "(", "\[Theta]", ")"}]}]],
    TraditionalForm]}], ";"}]], "Input",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"{", 
    RowBox[{"pIn2", ",", "pOut2"}], "}"}], "=", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{"potIn", "[", 
          RowBox[{"surfacePot", ",", "3"}], "]"}], ",", 
         RowBox[{"potOut", "[", 
          RowBox[{"surfacePot", ",", "3"}], "]"}]}], "}"}], "/.", 
       RowBox[{"P", "\[Rule]", "LegendreP"}]}], "//.", 
      RowBox[{"{", 
       RowBox[{"r0", "\[Rule]", "1"}], "}"}]}], "//", "Simplify"}], ")"}]}], 
  ";"}]], "Input",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{"p1", "=", 
  RowBox[{"RevolutionPlot3D", "[", 
   RowBox[{"pIn2", ",", 
    RowBox[{"{", 
     RowBox[{"r", ",", "0", ",", "1"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"\[Theta]", ",", "0", ",", 
      RowBox[{"2", " ", "\[Pi]"}]}], "}"}], ",", 
    RowBox[{"PlotRange", "\[Rule]", "All"}]}], "]"}]}]], "Input",
 CellChangeTimes->{3.421782100825108*^9},
 Hyphenation->False],

Cell[BoxData[
 RowBox[{"p2", "=", 
  RowBox[{"RevolutionPlot3D", "[", 
   RowBox[{"pOut2", ",", 
    RowBox[{"{", 
     RowBox[{"r", ",", "1", ",", "3"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"\[Theta]", ",", "0", ",", 
      RowBox[{"2", " ", "\[Pi]"}]}], "}"}]}], "]"}]}]], "Input",
 CellChangeTimes->{3.421782106678069*^9},
 Hyphenation->False],

Cell[BoxData[
 RowBox[{"Show", "[", 
  RowBox[{"p1", ",", "p2", ",", 
   RowBox[{"BoxRatios", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"1", ",", "1", ",", "1"}], "}"}]}], ",", 
   RowBox[{"ViewPoint", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"-", "1.5`"}], ",", 
      RowBox[{"-", "2"}], ",", "2"}], "}"}]}]}], "]"}]], "Input",
 CellChangeTimes->{3.421782112816316*^9},
 Hyphenation->False]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell["\<\
Problem 5: Sphere with upper hemisphere V0 and lower hemisphere -V0\
\>", "Subsubsection",
 Evaluatable->False,
 InitializationCell->False,
 Hyphenation->False,
 AspectRatioFixed->True],

Cell["Required packages", "Subsubsection",
 Evaluatable->False,
 InitializationCell->False,
 Hyphenation->False,
 AspectRatioFixed->True],

Cell[BoxData[
 RowBox[{
  RowBox[{"Needs", "[", "\"\<VectorAnalysis`\>\"", "]"}], " "}]], "Input",
 InitializationCell->False,
 CellChangeTimes->{
  3.421782213149704*^9, {3.421843310853271*^9, 3.421843311409121*^9}},
 Hyphenation->False,
 AspectRatioFixed->True],

Cell["Solution", "Subsubsection",
 Evaluatable->False,
 InitializationCell->False,
 Hyphenation->False,
 AspectRatioFixed->True],

Cell["Clear[\"Global`*\"];", "Input",
 InitializationCell->False,
 Hyphenation->False,
 AspectRatioFixed->True],

Cell[CellGroupData[{

Cell["Part a", "Subsubsection",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{
  RowBox[{"potIn", "[", "s_", "]"}], ":=", 
  RowBox[{"Sum", "[", 
   RowBox[{
    RowBox[{
     FormBox[
      RowBox[{
       SuperscriptBox[
        RowBox[{"(", 
         FractionBox["r", "r0"], ")"}], "n"], " ", 
       RowBox[{"B", "(", "n", ")"}]}],
      TraditionalForm], " ", 
     RowBox[{"P", "[", 
      RowBox[{"n", ",", 
       RowBox[{"Cos", "[", "\[Theta]", "]"}]}], "]"}]}], ",", 
    RowBox[{"{", 
     RowBox[{"n", ",", "0", ",", "s"}], "}"}]}], "]"}]}]], "Input",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{
  RowBox[{"potOut", "[", "s_", "]"}], ":=", 
  RowBox[{"Sum", "[", 
   RowBox[{
    RowBox[{
     FormBox[
      RowBox[{
       SuperscriptBox[
        RowBox[{"(", 
         FractionBox["r0", "r"], ")"}], 
        RowBox[{"n", "+", "1"}]], " ", 
       RowBox[{"B", "(", "n", ")"}]}],
      TraditionalForm], " ", 
     RowBox[{"P", "[", 
      RowBox[{"n", ",", 
       RowBox[{"Cos", "[", "\[Theta]", "]"}]}], "]"}]}], ",", 
    RowBox[{"{", 
     RowBox[{"n", ",", "0", ",", "s"}], "}"}]}], "]"}]}]], "Input",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"B", "[", "n_", "]"}], ":=", 
   RowBox[{
    FormBox[
     RowBox[{
      FractionBox["1", "2"], " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"2", " ", "n"}], "+", "1"}], ")"}]}],
     TraditionalForm], 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"+", 
       RowBox[{"Integrate", "[", 
        RowBox[{
         RowBox[{"V0", " ", 
          RowBox[{"LegendreP", "[", 
           RowBox[{"n", ",", 
            RowBox[{"Cos", "[", "\[Theta]", "]"}]}], "]"}], 
          RowBox[{"Sin", "[", "\[Theta]", "]"}]}], ",", 
         RowBox[{"{", 
          RowBox[{"\[Theta]", ",", "0", ",", 
           RowBox[{"\[Pi]", "/", "2"}]}], "}"}]}], "]"}]}], "+", 
      RowBox[{"Integrate", "[", 
       RowBox[{
        RowBox[{
         RowBox[{"-", "V0"}], " ", 
         RowBox[{"LegendreP", "[", 
          RowBox[{"n", ",", 
           RowBox[{"Cos", "[", "\[Theta]", "]"}]}], "]"}], 
         RowBox[{"Sin", "[", "\[Theta]", "]"}]}], ",", 
        RowBox[{"{", 
         RowBox[{"\[Theta]", ",", 
          RowBox[{"\[Pi]", "/", "2"}], ",", "\[Pi]"}], "}"}]}], "]"}]}], 
     ")"}]}]}], ";"}]], "Input",
 Hyphenation->False],

Cell[" potOut[5] ", "Input",
 InitializationCell->False,
 Hyphenation->False,
 AspectRatioFixed->True]
}, Closed]],

Cell[CellGroupData[{

Cell["Part b", "Subsubsection",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{
  RowBox[{"values", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"r0", "\[Rule]", "1"}], ",", 
     RowBox[{"V0", "\[Rule]", "1"}], ",", 
     RowBox[{"x", "->", "0"}]}], "}"}]}], ";"}]], "Input",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{
  RowBox[{"r2xRule", "=", 
   RowBox[{
    RowBox[{
     RowBox[{"{", 
      RowBox[{"r", ",", "\[Theta]", ",", "\[Phi]"}], "}"}], "\[Rule]", 
     RowBox[{"CoordinatesFromCartesian", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"x", ",", "y", ",", "z"}], "}"}], ",", "Spherical"}], "]"}]}],
     "//", "Thread"}]}], ";"}]], "Input",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{
  RowBox[{"allRules", "=", " ", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
      RowBox[{"P", "\[Rule]", "LegendreP"}], " ", ",", " ", "r2xRule", ",", 
      "values"}], "}"}], "//", "Flatten"}]}], " ", ";"}]], "Input",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{
  RowBox[{"eq1", "=", " ", 
   RowBox[{
    RowBox[{"potIn", "[", "11", "]"}], "//.", "allRules"}]}], ";"}]], "Input",\

 Hyphenation->False],

Cell[BoxData[
 RowBox[{
  RowBox[{"eq2", "=", 
   RowBox[{
    RowBox[{"potOut", "[", "11", "]"}], "//.", "allRules"}]}], ";"}]], "Input",\

 Hyphenation->False],

Cell[BoxData[
 RowBox[{
  RowBox[{"potTot", "=", 
   RowBox[{"If", "[", 
    RowBox[{
     FormBox[
      RowBox[{
       RowBox[{
        SuperscriptBox["y", "2"], "+", 
        SuperscriptBox["z", "2"]}], "\[LessEqual]", "1"}],
      TraditionalForm], ",", "eq1", ",", "eq2"}], "]"}]}], ";"}]], "Input",
 Hyphenation->False],

Cell["circle= Graphics[{Thickness[0.02],Circle[{0,0},1]}];", "Input",
 InitializationCell->False,
 Hyphenation->False,
 AspectRatioFixed->True],

Cell[BoxData[
 RowBox[{"Show", "[", 
  RowBox[{"{", 
   RowBox[{
    RowBox[{"ContourPlot", "[", 
     RowBox[{
      RowBox[{"potTot", "//", "Evaluate"}], ",", "\[IndentingNewLine]", 
      RowBox[{"{", 
       RowBox[{"y", ",", 
        RowBox[{"-", "2"}], ",", "2"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"z", ",", 
        RowBox[{"-", "2"}], ",", "2"}], "}"}], ",", "\[IndentingNewLine]", 
      RowBox[{"PlotPoints", "\[Rule]", "20"}]}], "]"}], ",", 
    "\[IndentingNewLine]", "circle"}], "}"}], "]"}]], "Input",
 CellChangeTimes->{{3.42178223361359*^9, 3.421782242006505*^9}},
 Hyphenation->False]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell["8.4 Exercises ", "Section",
 Evaluatable->False,
 InitializationCell->False,
 Hyphenation->False,
 AspectRatioFixed->True],

Cell["Exercise 1 Parallel plates and strips  ", "Subsubsection",
 Evaluatable->False,
 InitializationCell->False,
 Hyphenation->False,
 AspectRatioFixed->True],

Cell["Exercise 2 Parallel plates and a point charge", "Subsubsection",
 Evaluatable->False,
 InitializationCell->False,
 Hyphenation->False,
 AspectRatioFixed->True],

Cell["Exercise 3 Cylinder divided into segments ", "Subsubsection",
 Evaluatable->False,
 InitializationCell->False,
 Hyphenation->False,
 AspectRatioFixed->True],

Cell["Exercise 4 Elliptical cylinder in a uniform electric field", \
"Subsubsection",
 Evaluatable->False,
 InitializationCell->False,
 Hyphenation->False,
 AspectRatioFixed->True],

Cell["Exercise 5 Cylindrical box and n charges", "Subsubsection",
 Evaluatable->False,
 InitializationCell->False,
 Hyphenation->False,
 AspectRatioFixed->True],

Cell["Exercise 6 Distorted sphere with a potential", "Subsubsection",
 Evaluatable->False,
 InitializationCell->False,
 Hyphenation->False,
 AspectRatioFixed->True],

Cell["\<\
Exercise 7 Concentric spheres with different potentials on the two \
hemispheres   \
\>", "Subsubsection",
 Evaluatable->False,
 InitializationCell->False,
 Hyphenation->False,
 AspectRatioFixed->True],

Cell["Exercise 8 Ring charge  ", "Subsubsection",
 Evaluatable->False,
 InitializationCell->False,
 Hyphenation->False,
 AspectRatioFixed->True],

Cell["Exercise 9 Laplace's equations in other coordinates", "Subsubsection",
 Evaluatable->False,
 InitializationCell->False,
 Hyphenation->False,
 AspectRatioFixed->True]
}, Closed]]
},
WindowToolbars->"EditBar",
CellGrouping->Manual,
WindowSize->{662, 937},
WindowMargins->{{238, Automatic}, {Automatic, 0}},
ShowSelection->True,
Magnification->1,
FrontEndVersion->"6.0 for Linux x86 (32-bit) (June 19, 2007)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[568, 21, 136, 4, 32, "Input"],
Cell[CellGroupData[{
Cell[729, 29, 224, 7, 30, "Subsubsection"],
Cell[956, 38, 791, 15, 248, "Input",
 Evaluatable->False]
}, Closed]],
Cell[CellGroupData[{
Cell[1784, 58, 115, 2, 24, "Subsubsection"],
Cell[1902, 62, 1998, 34, 806, "Input",
 Evaluatable->False]
}, Closed]],
Cell[3915, 99, 129, 4, 59, "Title",
 Evaluatable->False,
 InitializationCell->False],
Cell[CellGroupData[{
Cell[4069, 107, 126, 4, 73, "Section",
 Evaluatable->False,
 InitializationCell->False],
Cell[4198, 113, 146, 7, 68, "Input",
 InitializationCell->False]
}, Closed]],
Cell[4359, 123, 204, 8, 43, "Section",
 Evaluatable->False,
 InitializationCell->False],
Cell[CellGroupData[{
Cell[4588, 135, 126, 4, 24, "Subsubsection",
 Evaluatable->False,
 InitializationCell->False],
Cell[4717, 141, 103, 2, 32, "Input"],
Cell[4823, 145, 1545, 42, 231, "Input"],
Cell[6371, 189, 79, 2, 32, "Input"]
}, Closed]],
Cell[CellGroupData[{
Cell[6487, 196, 199, 6, 24, "Subsubsection",
 Evaluatable->False,
 InitializationCell->False],
Cell[6689, 204, 617, 23, 82, "Input"],
Cell[7309, 229, 847, 27, 77, "Input"]
}, Closed]],
Cell[8171, 259, 162, 4, 71, "Section",
 Evaluatable->False,
 InitializationCell->False],
Cell[8336, 265, 145, 3, 31, "Subsection",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[8506, 272, 209, 8, 24, "Subsubsection",
 Evaluatable->False,
 InitializationCell->False],
Cell[CellGroupData[{
Cell[8740, 284, 128, 4, 30, "Subsubsection",
 Evaluatable->False,
 InitializationCell->False],
Cell[8871, 290, 191, 6, 50, "Input",
 InitializationCell->False],
Cell[CellGroupData[{
Cell[9087, 300, 127, 4, 30, "Subsubsection",
 Evaluatable->False,
 InitializationCell->False],
Cell[9217, 306, 116, 3, 32, "Input",
 InitializationCell->False],
Cell[9336, 311, 110, 3, 32, "Input",
 InitializationCell->False],
Cell[9449, 316, 171, 6, 50, "Input",
 InitializationCell->False]
}, Closed]]
}, Closed]],
Cell[CellGroupData[{
Cell[9669, 328, 127, 4, 30, "Subsubsection",
 Evaluatable->False,
 InitializationCell->False],
Cell[9799, 334, 423, 15, 212, "Input",
 InitializationCell->False],
Cell[CellGroupData[{
Cell[10247, 353, 127, 4, 30, "Subsubsection",
 Evaluatable->False,
 InitializationCell->False],
Cell[10377, 359, 122, 3, 32, "Input",
 InitializationCell->False],
Cell[10502, 364, 155, 5, 32, "Input"]
}, Closed]]
}, Closed]],
Cell[CellGroupData[{
Cell[10706, 375, 128, 4, 30, "Subsubsection",
 Evaluatable->False,
 InitializationCell->False],
Cell[10837, 381, 352, 13, 176, "Input",
 InitializationCell->False],
Cell[CellGroupData[{
Cell[11214, 398, 127, 4, 30, "Subsubsection",
 Evaluatable->False,
 InitializationCell->False],
Cell[11344, 404, 168, 6, 32, "Input"],
Cell[11515, 412, 143, 4, 32, "Input"]
}, Closed]]
}, Closed]],
Cell[11685, 420, 107, 5, 50, "Input"]
}, Closed]],
Cell[CellGroupData[{
Cell[11829, 430, 161, 4, 24, "Subsubsection",
 Evaluatable->False,
 InitializationCell->False],
Cell[11993, 436, 139, 4, 30, "Subsubsection",
 Evaluatable->False,
 InitializationCell->False],
Cell[12135, 442, 137, 4, 24, "Subsubsection",
 Evaluatable->False,
 InitializationCell->False],
Cell[12275, 448, 429, 11, 71, "Input",
 InitializationCell->False],
Cell[CellGroupData[{
Cell[12729, 463, 128, 4, 30, "Subsubsection",
 Evaluatable->False,
 InitializationCell->False],
Cell[12860, 469, 111, 3, 32, "Input",
 InitializationCell->False],
Cell[CellGroupData[{
Cell[12996, 476, 52, 1, 30, "Subsubsection"],
Cell[13051, 479, 208, 8, 86, "Input",
 InitializationCell->False],
Cell[13262, 489, 226, 7, 68, "Input",
 InitializationCell->False],
Cell[13491, 498, 252, 8, 86, "Input",
 InitializationCell->False],
Cell[13746, 508, 691, 20, 77, "Input"]
}, Closed]],
Cell[CellGroupData[{
Cell[14474, 533, 52, 1, 30, "Subsubsection"],
Cell[CellGroupData[{
Cell[14551, 538, 1087, 33, 99, "Input"],
Cell[15641, 573, 800, 22, 77, "Input"]
}, Closed]],
Cell[16456, 598, 788, 21, 121, "Input"],
Cell[17247, 621, 103, 3, 32, "Input"],
Cell[17353, 626, 609, 17, 77, "Input"],
Cell[17965, 645, 1142, 36, 77, "Input"],
Cell[19110, 683, 612, 17, 77, "Input"],
Cell[19725, 702, 1600, 49, 99, "Input"],
Cell[21328, 753, 564, 17, 55, "Input"]
}, Closed]],
Cell[CellGroupData[{
Cell[21929, 775, 52, 1, 30, "Subsubsection"],
Cell[21984, 778, 369, 11, 55, "Input"],
Cell[22356, 791, 381, 11, 55, "Input"],
Cell[22740, 804, 123, 3, 32, "Input",
 InitializationCell->False],
Cell[22866, 809, 391, 11, 55, "Input"],
Cell[23260, 822, 125, 3, 32, "Input",
 InitializationCell->False],
Cell[23388, 827, 394, 11, 55, "Input"],
Cell[23785, 840, 127, 3, 32, "Input",
 InitializationCell->False]
}, Closed]],
Cell[CellGroupData[{
Cell[23949, 848, 52, 1, 30, "Subsubsection"],
Cell[24004, 851, 1150, 32, 121, "Input"]
}, Closed]]
}, Closed]]
}, Closed]],
Cell[CellGroupData[{
Cell[25215, 890, 163, 4, 24, "Subsubsection",
 Evaluatable->False,
 InitializationCell->False],
Cell[25381, 896, 139, 4, 30, "Subsubsection",
 Evaluatable->False,
 InitializationCell->False],
Cell[25523, 902, 137, 4, 24, "Subsubsection",
 Evaluatable->False,
 InitializationCell->False],
Cell[25663, 908, 233, 6, 26, "Input",
 InitializationCell->False],
Cell[CellGroupData[{
Cell[25921, 918, 128, 4, 30, "Subsubsection",
 Evaluatable->False,
 InitializationCell->False],
Cell[26052, 924, 111, 3, 32, "Input",
 InitializationCell->False],
Cell[CellGroupData[{
Cell[26188, 931, 52, 1, 30, "Subsubsection"],
Cell[26243, 934, 167, 6, 50, "Input",
 InitializationCell->False],
Cell[26413, 942, 104, 3, 32, "Input",
 InitializationCell->False]
}, Closed]],
Cell[CellGroupData[{
Cell[26554, 950, 52, 1, 30, "Subsubsection"],
Cell[26609, 953, 365, 11, 55, "Input"],
Cell[26977, 966, 333, 10, 55, "Input"],
Cell[27313, 978, 107, 3, 32, "Input",
 InitializationCell->False],
Cell[27423, 983, 151, 5, 32, "Input",
 InitializationCell->False]
}, Closed]],
Cell[CellGroupData[{
Cell[27611, 993, 52, 1, 30, "Subsubsection"],
Cell[27666, 996, 318, 11, 32, "Input"],
Cell[27987, 1009, 282, 7, 32, "Input",
 InitializationCell->False],
Cell[28272, 1018, 467, 15, 32, "Input"]
}, Closed]]
}, Closed]]
}, Closed]],
Cell[CellGroupData[{
Cell[28800, 1040, 164, 4, 24, "Subsubsection",
 Evaluatable->False,
 InitializationCell->False],
Cell[28967, 1046, 139, 4, 30, "Subsubsection",
 Evaluatable->False,
 InitializationCell->False],
Cell[29109, 1052, 137, 4, 24, "Subsubsection",
 Evaluatable->False,
 InitializationCell->False],
Cell[29249, 1058, 302, 8, 49, "Input",
 InitializationCell->False],
Cell[CellGroupData[{
Cell[29576, 1070, 128, 4, 30, "Subsubsection",
 Evaluatable->False,
 InitializationCell->False],
Cell[29707, 1076, 111, 3, 32, "Input",
 InitializationCell->False],
Cell[CellGroupData[{
Cell[29843, 1083, 52, 1, 30, "Subsubsection"],
Cell[29898, 1086, 496, 18, 52, "Input"],
Cell[30397, 1106, 143, 3, 32, "Input",
 InitializationCell->False],
Cell[30543, 1111, 430, 14, 55, "Input"]
}, Closed]],
Cell[CellGroupData[{
Cell[31010, 1130, 52, 1, 30, "Subsubsection"],
Cell[31065, 1133, 180, 6, 32, "Input",
 InitializationCell->False],
Cell[31248, 1141, 144, 3, 32, "Input",
 InitializationCell->False],
Cell[31395, 1146, 181, 6, 32, "Input"],
Cell[31579, 1154, 461, 15, 55, "Input"],
Cell[32043, 1171, 1477, 44, 99, "Input"]
}, Closed]],
Cell[CellGroupData[{
Cell[33557, 1220, 52, 1, 30, "Subsubsection"],
Cell[33612, 1223, 567, 18, 100, "Input"],
Cell[34182, 1243, 570, 14, 77, "Input"],
Cell[34755, 1259, 568, 21, 66, "Input"],
Cell[35326, 1282, 164, 5, 32, "Input"]
}, Closed]],
Cell[CellGroupData[{
Cell[35527, 1292, 52, 1, 30, "Subsubsection"],
Cell[35582, 1295, 1816, 56, 275, "Input"],
Cell[37401, 1353, 537, 15, 176, "Input",
 InitializationCell->False]
}, Closed]]
}, Closed]]
}, Closed]],
Cell[CellGroupData[{
Cell[37999, 1375, 161, 4, 24, "Subsubsection",
 Evaluatable->False,
 InitializationCell->False],
Cell[38163, 1381, 139, 4, 30, "Subsubsection",
 Evaluatable->False,
 InitializationCell->False],
Cell[38305, 1387, 137, 4, 24, "Subsubsection",
 Evaluatable->False,
 InitializationCell->False],
Cell[38445, 1393, 302, 8, 49, "Input",
 InitializationCell->False],
Cell[CellGroupData[{
Cell[38772, 1405, 128, 4, 30, "Subsubsection",
 Evaluatable->False,
 InitializationCell->False],
Cell[38903, 1411, 111, 3, 32, "Input",
 InitializationCell->False],
Cell[CellGroupData[{
Cell[39039, 1418, 52, 1, 30, "Subsubsection"],
Cell[39094, 1421, 549, 20, 32, "Input"],
Cell[39646, 1443, 110, 3, 32, "Input",
 InitializationCell->False],
Cell[39759, 1448, 1527, 47, 99, "Input"],
Cell[41289, 1497, 139, 3, 32, "Input",
 InitializationCell->False]
}, Closed]],
Cell[CellGroupData[{
Cell[41465, 1505, 52, 1, 30, "Subsubsection"],
Cell[41520, 1508, 356, 13, 53, "Input"],
Cell[41879, 1523, 468, 15, 32, "Input"],
Cell[42350, 1540, 254, 7, 32, "Input",
 InitializationCell->False]
}, Closed]],
Cell[CellGroupData[{
Cell[42641, 1552, 52, 1, 30, "Subsubsection"],
Cell[42696, 1555, 143, 3, 32, "Input",
 InitializationCell->False],
Cell[42842, 1560, 1530, 45, 154, "Input"]
}, Closed]]
}, Closed]]
}, Closed]],
Cell[CellGroupData[{
Cell[44433, 1612, 177, 5, 24, "Subsubsection",
 Evaluatable->False,
 InitializationCell->False],
Cell[44613, 1619, 111, 3, 32, "Input",
 InitializationCell->False],
Cell[CellGroupData[{
Cell[44749, 1626, 139, 4, 30, "Subsubsection",
 Evaluatable->False,
 InitializationCell->False],
Cell[CellGroupData[{
Cell[44913, 1634, 131, 4, 30, "Subsubsection",
 Evaluatable->False,
 InitializationCell->False],
Cell[45047, 1640, 2291, 64, 195, "Input"],
Cell[47341, 1706, 417, 14, 56, "Input"],
Cell[47761, 1722, 138, 3, 32, "Input",
 InitializationCell->False]
}, Closed]],
Cell[CellGroupData[{
Cell[47936, 1730, 130, 4, 30, "Subsubsection",
 Evaluatable->False,
 InitializationCell->False],
Cell[48069, 1736, 2060, 59, 283, "Input"],
Cell[50132, 1797, 364, 13, 58, "Input"],
Cell[50499, 1812, 120, 3, 32, "Input",
 InitializationCell->False],
Cell[50622, 1817, 120, 3, 32, "Input",
 InitializationCell->False],
Cell[50745, 1822, 279, 9, 55, "Input"]
}, Closed]]
}, Closed]],
Cell[51051, 1835, 137, 4, 30, "Subsubsection",
 Evaluatable->False,
 InitializationCell->False],
Cell[51191, 1841, 233, 6, 26, "Input",
 InitializationCell->False],
Cell[CellGroupData[{
Cell[51449, 1851, 128, 4, 30, "Subsubsection",
 Evaluatable->False,
 InitializationCell->False],
Cell[CellGroupData[{
Cell[51602, 1859, 52, 1, 30, "Subsubsection"],
Cell[51657, 1862, 1213, 41, 169, "Input"],
Cell[52873, 1905, 192, 6, 50, "Input",
 InitializationCell->False],
Cell[53068, 1913, 207, 7, 32, "Input"],
Cell[53278, 1922, 530, 16, 55, "Input"],
Cell[53811, 1940, 530, 16, 55, "Input"],
Cell[54344, 1958, 530, 16, 55, "Input"]
}, Closed]],
Cell[CellGroupData[{
Cell[54911, 1979, 52, 1, 30, "Subsubsection"],
Cell[54966, 1982, 129, 3, 32, "Input",
 InitializationCell->False],
Cell[55098, 1987, 140, 3, 32, "Input",
 InitializationCell->False],
Cell[55241, 1992, 141, 3, 32, "Input",
 InitializationCell->False]
}, Closed]],
Cell[CellGroupData[{
Cell[55419, 2000, 52, 1, 30, "Subsubsection"],
Cell[55474, 2003, 249, 8, 32, "Input"],
Cell[55726, 2013, 147, 4, 32, "Input"],
Cell[55876, 2019, 355, 11, 55, "Input"],
Cell[56234, 2032, 454, 15, 55, "Input"]
}, Closed]],
Cell[CellGroupData[{
Cell[56725, 2052, 52, 1, 30, "Subsubsection"],
Cell[56780, 2055, 453, 15, 77, "Input"],
Cell[57236, 2072, 171, 4, 32, "Input",
 InitializationCell->False],
Cell[57410, 2078, 402, 13, 77, "Input"],
Cell[57815, 2093, 171, 4, 32, "Input",
 InitializationCell->False],
Cell[57989, 2099, 464, 15, 77, "Input"],
Cell[58456, 2116, 145, 4, 32, "Input",
 InitializationCell->False]
}, Closed]]
}, Closed]]
}, Closed]],
Cell[58640, 2125, 186, 6, 71, "Section",
 Evaluatable->False,
 InitializationCell->False],
Cell[58829, 2133, 92, 1, 31, "Subsection"],
Cell[CellGroupData[{
Cell[58946, 2138, 203, 6, 24, "Subsubsection",
 Evaluatable->False,
 InitializationCell->False],
Cell[59152, 2146, 137, 4, 30, "Subsubsection",
 Evaluatable->False,
 InitializationCell->False],
Cell[59292, 2152, 154, 4, 26, "Input",
 InitializationCell->False],
Cell[59449, 2158, 128, 4, 30, "Subsubsection",
 Evaluatable->False,
 InitializationCell->False],
Cell[59580, 2164, 111, 3, 26, "Input",
 InitializationCell->False],
Cell[CellGroupData[{
Cell[59716, 2171, 52, 1, 30, "Subsubsection"],
Cell[59771, 2174, 120, 3, 32, "Input",
 InitializationCell->False],
Cell[CellGroupData[{
Cell[59916, 2181, 124, 3, 32, "Input",
 InitializationCell->False],
Cell[60043, 2186, 119, 3, 32, "Input",
 InitializationCell->False]
}, Closed]],
Cell[60177, 2192, 258, 8, 54, "Input"],
Cell[60438, 2202, 154, 5, 32, "Input"],
Cell[60595, 2209, 399, 14, 32, "Input"],
Cell[60997, 2225, 600, 17, 55, "Input"]
}, Closed]],
Cell[CellGroupData[{
Cell[61634, 2247, 52, 1, 30, "Subsubsection"],
Cell[61689, 2250, 122, 3, 32, "Input",
 InitializationCell->False],
Cell[61814, 2255, 185, 5, 32, "Input"],
Cell[62002, 2262, 127, 3, 32, "Input",
 InitializationCell->False],
Cell[62132, 2267, 371, 12, 54, "Input"],
Cell[62506, 2281, 131, 3, 32, "Input",
 InitializationCell->False],
Cell[62640, 2286, 201, 7, 32, "Input"],
Cell[62844, 2295, 262, 9, 32, "Input"],
Cell[63109, 2306, 194, 6, 32, "Input"],
Cell[63306, 2314, 153, 5, 32, "Input"],
Cell[63462, 2321, 367, 13, 32, "Input"],
Cell[63832, 2336, 204, 6, 32, "Input"],
Cell[64039, 2344, 296, 9, 32, "Input"],
Cell[64338, 2355, 204, 6, 32, "Input"],
Cell[64545, 2363, 123, 3, 32, "Input",
 InitializationCell->False],
Cell[64671, 2368, 649, 22, 55, "Input"]
}, Closed]]
}, Closed]],
Cell[CellGroupData[{
Cell[65369, 2396, 165, 4, 24, "Subsubsection",
 Evaluatable->False,
 InitializationCell->False],
Cell[CellGroupData[{
Cell[65559, 2404, 128, 4, 30, "Subsubsection",
 Evaluatable->False,
 InitializationCell->False],
Cell[65690, 2410, 111, 3, 32, "Input",
 InitializationCell->False],
Cell[CellGroupData[{
Cell[65826, 2417, 52, 1, 30, "Subsubsection"],
Cell[65881, 2420, 152, 5, 32, "Input",
 InitializationCell->False],
Cell[66036, 2427, 673, 22, 50, "Input"]
}, Closed]],
Cell[CellGroupData[{
Cell[66746, 2454, 52, 1, 30, "Subsubsection"],
Cell[66801, 2457, 117, 6, 50, "Input",
 InitializationCell->False],
Cell[66921, 2465, 654, 20, 55, "Input"],
Cell[67578, 2487, 241, 8, 32, "Input"],
Cell[67822, 2497, 284, 8, 32, "Input"]
}, Closed]],
Cell[CellGroupData[{
Cell[68143, 2510, 52, 1, 30, "Subsubsection"],
Cell[68198, 2513, 115, 3, 32, "Input",
 InitializationCell->False],
Cell[68316, 2518, 547, 18, 77, "Input"],
Cell[68866, 2538, 541, 16, 55, "Input"]
}, Closed]]
}, Closed]]
}, Closed]],
Cell[CellGroupData[{
Cell[69468, 2561, 153, 4, 24, "Subsubsection",
 Evaluatable->False,
 InitializationCell->False],
Cell[69624, 2567, 139, 4, 30, "Subsubsection",
 Evaluatable->False,
 InitializationCell->False],
Cell[69766, 2573, 137, 4, 24, "Subsubsection",
 Evaluatable->False,
 InitializationCell->False],
Cell[69906, 2579, 301, 8, 49, "Input",
 InitializationCell->False],
Cell[70210, 2589, 128, 4, 30, "Subsubsection",
 Evaluatable->False,
 InitializationCell->False],
Cell[70341, 2595, 111, 3, 26, "Input",
 InitializationCell->False],
Cell[70455, 2600, 735, 24, 95, "Input"],
Cell[71193, 2626, 320, 10, 32, "Input",
 InitializationCell->False],
Cell[71516, 2638, 156, 5, 32, "Input",
 InitializationCell->False],
Cell[71675, 2645, 154, 5, 32, "Input"],
Cell[71832, 2652, 216, 7, 32, "Input"],
Cell[72051, 2661, 674, 22, 55, "Input"],
Cell[72728, 2685, 741, 24, 77, "Input"],
Cell[73472, 2711, 163, 6, 50, "Input",
 InitializationCell->False],
Cell[73638, 2719, 98, 3, 32, "Input",
 InitializationCell->False],
Cell[73739, 2724, 794, 23, 99, "Input"],
Cell[74536, 2749, 647, 18, 77, "Input"],
Cell[75186, 2769, 515, 15, 55, "Input"]
}, Closed]],
Cell[CellGroupData[{
Cell[75738, 2789, 210, 7, 43, "Subsubsection",
 Evaluatable->False,
 InitializationCell->False],
Cell[CellGroupData[{
Cell[75973, 2800, 128, 4, 30, "Subsubsection",
 Evaluatable->False,
 InitializationCell->False],
Cell[76104, 2806, 111, 3, 32, "Input",
 InitializationCell->False],
Cell[CellGroupData[{
Cell[76240, 2813, 52, 1, 30, "Subsubsection"],
Cell[76295, 2816, 445, 16, 69, "Input"],
Cell[76743, 2834, 1228, 38, 149, "Input"],
Cell[77974, 2874, 854, 27, 103, "Input"],
Cell[78831, 2903, 100, 3, 32, "Input"]
}, Closed]],
Cell[CellGroupData[{
Cell[78968, 2911, 52, 1, 30, "Subsubsection"],
Cell[79023, 2914, 360, 11, 32, "Input"],
Cell[79386, 2927, 403, 13, 32, "Input"],
Cell[79792, 2942, 521, 16, 55, "Input"]
}, Closed]]
}, Closed]]
}, Closed]],
Cell[CellGroupData[{
Cell[80374, 2965, 191, 6, 24, "Subsubsection",
 Evaluatable->False,
 InitializationCell->False],
Cell[80568, 2973, 137, 4, 30, "Subsubsection",
 Evaluatable->False,
 InitializationCell->False],
Cell[80708, 2979, 128, 4, 24, "Subsubsection",
 Evaluatable->False,
 InitializationCell->False],
Cell[80839, 2985, 111, 3, 26, "Input",
 InitializationCell->False],
Cell[CellGroupData[{
Cell[80975, 2992, 52, 1, 30, "Subsubsection"],
Cell[81030, 2995, 1039, 34, 122, "Input"],
Cell[82072, 3031, 407, 13, 32, "Input"],
Cell[82482, 3046, 79, 2, 32, "Input"],
Cell[82564, 3050, 121, 3, 32, "Input"],
Cell[82688, 3055, 531, 17, 53, "Input"],
Cell[83222, 3074, 1068, 33, 100, "Input"],
Cell[84293, 3109, 431, 14, 32, "Input"],
Cell[84727, 3125, 80, 2, 32, "Input"],
Cell[84810, 3129, 639, 21, 98, "Input"]
}, Closed]],
Cell[CellGroupData[{
Cell[85486, 3155, 52, 1, 30, "Subsubsection"],
Cell[85541, 3158, 166, 5, 32, "Input"],
Cell[85710, 3165, 664, 19, 99, "Input"],
Cell[86377, 3186, 671, 19, 99, "Input"],
Cell[87051, 3207, 115, 3, 32, "Input"],
Cell[87169, 3212, 285, 8, 32, "Input"],
Cell[87457, 3222, 119, 3, 32, "Input"],
Cell[87579, 3227, 571, 15, 55, "Input"],
Cell[88153, 3244, 600, 15, 55, "Input"],
Cell[88756, 3261, 259, 7, 32, "Input"]
}, Closed]]
}, Closed]],
Cell[89042, 3272, 162, 4, 43, "Section",
 Evaluatable->False,
 InitializationCell->False],
Cell[89207, 3278, 79, 1, 24, "Subsubsection"],
Cell[CellGroupData[{
Cell[89311, 3283, 147, 4, 24, "Subsubsection",
 Evaluatable->False,
 InitializationCell->False],
Cell[89461, 3289, 137, 4, 30, "Subsubsection",
 Evaluatable->False,
 InitializationCell->False],
Cell[89601, 3295, 154, 4, 26, "Input",
 InitializationCell->False],
Cell[CellGroupData[{
Cell[89780, 3303, 128, 4, 30, "Subsubsection",
 Evaluatable->False,
 InitializationCell->False],
Cell[89911, 3309, 111, 3, 32, "Input",
 InitializationCell->False],
Cell[CellGroupData[{
Cell[90047, 3316, 52, 1, 30, "Subsubsection"],
Cell[90102, 3319, 248, 10, 64, "Input"],
Cell[90353, 3331, 634, 21, 55, "Input"],
Cell[90990, 3354, 100, 3, 32, "Input",
 InitializationCell->False],
Cell[91093, 3359, 101, 3, 32, "Input",
 InitializationCell->False]
}, Closed]],
Cell[CellGroupData[{
Cell[91231, 3367, 52, 1, 30, "Subsubsection"],
Cell[91286, 3370, 742, 25, 81, "Input"],
Cell[92031, 3397, 593, 20, 51, "Input"],
Cell[92627, 3419, 658, 20, 77, "Input"],
Cell[93288, 3441, 102, 3, 32, "Input",
 InitializationCell->False],
Cell[93393, 3446, 127, 3, 32, "Input",
 InitializationCell->False],
Cell[93523, 3451, 104, 3, 32, "Input",
 InitializationCell->False],
Cell[93630, 3456, 529, 18, 50, "Input"],
Cell[94162, 3476, 627, 20, 77, "Input"],
Cell[94792, 3498, 194, 6, 32, "Input"],
Cell[94989, 3506, 79, 2, 32, "Input"],
Cell[95071, 3510, 146, 5, 32, "Input",
 InitializationCell->False],
Cell[CellGroupData[{
Cell[95242, 3519, 123, 3, 32, "Input",
 InitializationCell->False],
Cell[95368, 3524, 121, 3, 32, "Input",
 InitializationCell->False],
Cell[95492, 3529, 82, 2, 32, "Input"],
Cell[95577, 3533, 81, 2, 32, "Input"]
}, Closed]]
}, Closed]],
Cell[CellGroupData[{
Cell[95707, 3541, 52, 1, 30, "Subsubsection"],
Cell[95762, 3544, 364, 11, 77, "Input"],
Cell[96129, 3557, 206, 7, 32, "Input"],
Cell[96338, 3566, 556, 18, 55, "Input"],
Cell[96897, 3586, 606, 19, 76, "Input"],
Cell[97506, 3607, 465, 14, 32, "Input"],
Cell[97974, 3623, 494, 14, 32, "Input"],
Cell[98471, 3639, 202, 5, 32, "Input"],
Cell[98676, 3646, 1055, 34, 99, "Input"],
Cell[99734, 3682, 465, 14, 32, "Input"],
Cell[100202, 3698, 934, 25, 121, "Input"],
Cell[101139, 3725, 202, 5, 32, "Input"],
Cell[101344, 3732, 724, 22, 77, "Input"]
}, Closed]]
}, Closed]]
}, Closed]],
Cell[CellGroupData[{
Cell[102129, 3761, 169, 4, 24, "Subsubsection",
 Evaluatable->False,
 InitializationCell->False],
Cell[102301, 3767, 137, 4, 30, "Subsubsection",
 Evaluatable->False,
 InitializationCell->False],
Cell[102441, 3773, 169, 3, 49, "Input"],
Cell[102613, 3778, 128, 4, 30, "Subsubsection",
 Evaluatable->False,
 InitializationCell->False],
Cell[102744, 3784, 111, 3, 26, "Input",
 InitializationCell->False],
Cell[CellGroupData[{
Cell[102880, 3791, 52, 1, 30, "Subsubsection"],
Cell[102935, 3794, 339, 12, 32, "Input"],
Cell[103277, 3808, 841, 28, 96, "Input"],
Cell[104121, 3838, 450, 14, 32, "Input"],
Cell[104574, 3854, 108, 6, 50, "Input",
 InitializationCell->False],
Cell[104685, 3862, 253, 9, 32, "Input"],
Cell[104941, 3873, 109, 3, 32, "Input"],
Cell[105053, 3878, 167, 6, 32, "Input"],
Cell[105223, 3886, 300, 11, 32, "Input"],
Cell[105526, 3899, 922, 29, 96, "Input"],
Cell[106451, 3930, 287, 9, 32, "Input"]
}, Closed]],
Cell[CellGroupData[{
Cell[106775, 3944, 52, 1, 30, "Subsubsection"],
Cell[106830, 3947, 391, 12, 77, "Input"],
Cell[107224, 3961, 207, 7, 32, "Input"],
Cell[107434, 3970, 594, 17, 55, "Input"],
Cell[108031, 3989, 244, 9, 32, "Input"],
Cell[108278, 4000, 147, 4, 32, "Input"]
}, Closed]]
}, Closed]],
Cell[CellGroupData[{
Cell[108474, 4010, 193, 6, 24, "Subsubsection",
 Evaluatable->False,
 InitializationCell->False],
Cell[108670, 4018, 137, 4, 30, "Subsubsection",
 Evaluatable->False,
 InitializationCell->False],
Cell[108810, 4024, 238, 6, 26, "Input",
 InitializationCell->False],
Cell[109051, 4032, 128, 4, 30, "Subsubsection",
 Evaluatable->False,
 InitializationCell->False],
Cell[109182, 4038, 111, 3, 26, "Input",
 InitializationCell->False],
Cell[CellGroupData[{
Cell[109318, 4045, 52, 1, 30, "Subsubsection"],
Cell[109373, 4048, 537, 18, 51, "Input"],
Cell[109913, 4068, 539, 18, 51, "Input"],
Cell[110455, 4088, 556, 20, 77, "Input"],
Cell[111014, 4110, 115, 3, 32, "Input"],
Cell[111132, 4115, 413, 12, 55, "Input"],
Cell[111548, 4129, 401, 13, 55, "Input"],
Cell[111952, 4144, 282, 10, 56, "Input"],
Cell[112237, 4156, 347, 12, 56, "Input"],
Cell[112587, 4170, 348, 12, 56, "Input"]
}, Closed]],
Cell[CellGroupData[{
Cell[112972, 4187, 52, 1, 30, "Subsubsection"],
Cell[113027, 4190, 417, 14, 70, "Input"],
Cell[113447, 4206, 132, 3, 32, "Input",
 InitializationCell->False],
Cell[113582, 4211, 128, 3, 32, "Input",
 InitializationCell->False],
Cell[113713, 4216, 206, 7, 32, "Input"],
Cell[113922, 4225, 408, 11, 32, "Input"],
Cell[114333, 4238, 409, 11, 32, "Input"],
Cell[114745, 4251, 704, 17, 121, "Input"],
Cell[115452, 4270, 391, 12, 77, "Input"],
Cell[115846, 4284, 552, 19, 55, "Input"],
Cell[116401, 4305, 538, 18, 55, "Input"],
Cell[116942, 4325, 453, 16, 32, "Input"],
Cell[117398, 4343, 417, 13, 32, "Input"],
Cell[117818, 4358, 510, 16, 32, "Input"]
}, Closed]]
}, Closed]],
Cell[CellGroupData[{
Cell[118377, 4380, 181, 5, 24, "Subsubsection",
 Evaluatable->False,
 InitializationCell->False],
Cell[118561, 4387, 137, 4, 30, "Subsubsection",
 Evaluatable->False,
 InitializationCell->False],
Cell[118701, 4393, 234, 6, 26, "Input",
 InitializationCell->False],
Cell[118938, 4401, 128, 4, 30, "Subsubsection",
 Evaluatable->False,
 InitializationCell->False],
Cell[119069, 4407, 111, 3, 26, "Input",
 InitializationCell->False],
Cell[CellGroupData[{
Cell[119205, 4414, 52, 1, 30, "Subsubsection"],
Cell[119260, 4417, 583, 20, 50, "Input"],
Cell[119846, 4439, 613, 21, 54, "Input"],
Cell[120462, 4462, 641, 22, 74, "Input"]
}, Closed]],
Cell[CellGroupData[{
Cell[121140, 4489, 52, 1, 30, "Subsubsection"],
Cell[121195, 4492, 228, 8, 32, "Input"],
Cell[121426, 4502, 226, 8, 32, "Input"],
Cell[121655, 4512, 258, 8, 32, "Input"],
Cell[121916, 4522, 404, 11, 32, "Input"],
Cell[122323, 4535, 405, 11, 32, "Input"],
Cell[122731, 4548, 508, 14, 55, "Input"]
}, Closed]],
Cell[CellGroupData[{
Cell[123276, 4567, 52, 1, 30, "Subsubsection"],
Cell[123331, 4570, 284, 9, 54, "Input"],
Cell[123618, 4581, 580, 19, 77, "Input"],
Cell[124201, 4602, 404, 11, 32, "Input"],
Cell[124608, 4615, 354, 10, 32, "Input"],
Cell[124965, 4627, 410, 12, 32, "Input"]
}, Closed]]
}, Closed]],
Cell[CellGroupData[{
Cell[125424, 4645, 195, 6, 24, "Subsubsection",
 Evaluatable->False,
 InitializationCell->False],
Cell[125622, 4653, 137, 4, 30, "Subsubsection",
 Evaluatable->False,
 InitializationCell->False],
Cell[125762, 4659, 263, 7, 26, "Input",
 InitializationCell->False],
Cell[126028, 4668, 128, 4, 30, "Subsubsection",
 Evaluatable->False,
 InitializationCell->False],
Cell[126159, 4674, 111, 3, 26, "Input",
 InitializationCell->False],
Cell[CellGroupData[{
Cell[126295, 4681, 52, 1, 30, "Subsubsection"],
Cell[126350, 4684, 529, 18, 50, "Input"],
Cell[126882, 4704, 559, 19, 54, "Input"],
Cell[127444, 4725, 1183, 37, 119, "Input"],
Cell[128630, 4764, 102, 3, 32, "Input",
 InitializationCell->False]
}, Closed]],
Cell[CellGroupData[{
Cell[128769, 4772, 52, 1, 30, "Subsubsection"],
Cell[128824, 4775, 245, 8, 32, "Input"],
Cell[129072, 4785, 391, 12, 77, "Input"],
Cell[129466, 4799, 266, 8, 32, "Input"],
Cell[129735, 4809, 165, 6, 32, "Input"],
Cell[129903, 4817, 161, 6, 32, "Input"],
Cell[130067, 4825, 326, 11, 32, "Input"],
Cell[130396, 4838, 143, 3, 32, "Input",
 InitializationCell->False],
Cell[130542, 4843, 616, 16, 99, "Input"]
}, Closed]]
}, Closed]],
Cell[CellGroupData[{
Cell[131207, 4865, 128, 4, 43, "Section",
 Evaluatable->False,
 InitializationCell->False],
Cell[131338, 4871, 159, 4, 30, "Subsubsection",
 Evaluatable->False,
 InitializationCell->False],
Cell[131500, 4877, 165, 4, 24, "Subsubsection",
 Evaluatable->False,
 InitializationCell->False],
Cell[131668, 4883, 162, 4, 24, "Subsubsection",
 Evaluatable->False,
 InitializationCell->False],
Cell[131833, 4889, 180, 5, 24, "Subsubsection",
 Evaluatable->False,
 InitializationCell->False],
Cell[132016, 4896, 160, 4, 24, "Subsubsection",
 Evaluatable->False,
 InitializationCell->False],
Cell[132179, 4902, 164, 4, 24, "Subsubsection",
 Evaluatable->False,
 InitializationCell->False],
Cell[132346, 4908, 211, 7, 43, "Subsubsection",
 Evaluatable->False,
 InitializationCell->False],
Cell[132560, 4917, 144, 4, 24, "Subsubsection",
 Evaluatable->False,
 InitializationCell->False],
Cell[132707, 4923, 171, 4, 24, "Subsubsection",
 Evaluatable->False,
 InitializationCell->False]
}, Closed]]
}
]
*)

(* End of internal cache information *)
